﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com.APP
{
    /// <summary>
    /// 获取主页显示信息的数据
    /// </summary>
    public sealed class GetMainInfoRequest : ILJRequest<GetMainInfoResponse>
    {
        public string GetApiName()
        {
            return "GetMainInfo";
        }
        public string token { get; set; }
        /// <summary>
        /// 0|null:APP
        /// 1: PC
        /// </summary>
        public int? type { get; set; }
    }

    public sealed class GetMainInfoResponse : LJResponse
    {
        /// <summary>
        /// 未处理违停数
        /// </summary>
        public int violateCnt { get; set; }
        /// <summary>
        /// 报备数
        /// </summary>
        public int recordCnt { get; set; }
        /// <summary>
        /// 已到期备案数
        /// </summary>
        public int expiredCnt { get; set; }

        #region PC端附加
        /// <summary>
        /// 总车位数
        /// </summary>
        public int totalPermitCnt { get; set; }
        /// <summary>
        /// 剩余车位
        /// </summary>
        public int leftPermitCnt { get; set; }
        /// <summary>
        /// 过期车辆
        /// </summary>
        public int expiredPermitCnt { get; set; }
        /// <summary>
        /// 即将过期
        /// </summary>
        public int expiringPermitCnt { get; set; }
        /// <summary>
        /// 已到期备案列表
        /// </summary>
        public List<Permit> expiredRecordList { get; set; }
        #endregion
    }
}
