﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取违停列表
    /// </summary>
    public sealed class GetBillListRequest : ILJRequest<GetBillListResponse>
    {
        public string GetApiName()
        {
            return "GetBillList";
        }
        public string token { get; set; }
        /// <summary>
        /// 状态: -1:全部、0-未处理、1-已处理、2-已撤销
        /// </summary>
        public int flag { get; set; }
        /// <summary>
        /// 建立时间大于等于
        /// </summary>
        public DateTime? begindate { get; set; }
        /// <summary>
        /// 建立时间小于等于
        /// </summary>
        public DateTime? enddate { get; set; }
        /// <summary>
        /// 车牌号码包含
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主电话包含
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 车主姓名包含
        /// </summary>
        public string owner { get; set; }
    }

    public sealed class GetBillListResponse : LJResponse
    {
        public List<Bill> billList { get; set; }
        /// <summary>
        /// 系统参数：默认违停收款金额(元/天)
        /// </summary>
        public decimal amtPerDay { get; set; }
    }
}
