﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取车辆信息汇总
    /// </summary>
    public sealed class GetCarListRequest : ILJRequest<GetCarListResponse>
    {
        public string GetApiName()
        {
            return "GetCarList";
        }
        public string token { get; set; }
        /// <summary>
        /// 有效期大于等于
        /// </summary>
        public DateTime? begindate { get; set; }
        /// <summary>
        /// 有效期小于等于
        /// </summary>
        public DateTime? enddate { get; set; }
        /// <summary>
        /// 车牌号码包含
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主电话包含
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 车主姓名包含
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 违停统计结束时间开始
        /// </summary>
        public DateTime? violateBegindate { get; set; }
        /// <summary>
        /// 违停统计结束时间
        /// </summary>
        public DateTime? violateEnddate { get; set; }
    }

    public sealed class GetCarListResponse : LJResponse
    {
        public List<Car> carList { get; set; } 
    }
}
