﻿using LJLib.Net.SPI.Com;
using System;
using System.Collections.Generic;
using JLHHJSvr.Com.Model;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 查询符合条件的车位
    /// </summary>
    public sealed class GetPermitListRequest : ILJRequest<GetPermitListResponse>
    {
        public string token { get; set; }
        /// <summary>
        /// 有效期大于等于
        /// </summary>
        public DateTime? begindate { get; set; }
        /// <summary>
        /// 有效期小于等于
        /// </summary>
        public DateTime? enddate { get; set; }
        /// <summary>
        /// 车牌号码包含
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主电话包含
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 车主姓名包含
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 是否临停
        /// </summary>
        public int iftmp { get; set; }
        /// <summary>
        /// 是否即将过期
        /// </summary>
        public int ifExpiring { get; set; }

        public string GetApiName()
        {
            return "GetPermitList";
        }
    }

    public sealed class GetPermitListResponse : LJResponse
    {
        /// <summary>
        /// 返回车位的全部信息及路段(roadname,groupname,manager,man_tel)
        /// </summary>
        public List<Permit> PermitList { get; set; }
        public string sql { get; set; }
    }
}
