﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 查询符合条件的路段信息
    /// （系统参数设置界面）
    /// </summary>
    public sealed class GetRoadListRequest : ILJRequest<GetRoadListResponse>
    {
        public string GetApiName()
        {
            return "GetRoadList";
        }
        public string token { get; set; }
        /// <summary>
        /// 分组名
        /// </summary>
        public string groupname { get; set; }
        /// <summary>
        /// 管理员
        /// </summary>
        public string manager { get; set; }
        /// <summary>
        /// 是否有剩余车位
        /// </summary>
        public byte ifLeftCnt { get; set; }
    }

    public sealed class GetRoadListResponse : LJResponse
    {
        public List<Road> RoadList { get; set; } 
    }
}
