﻿using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取用户自定义值
    /// </summary>
    public sealed class GetSysUserFileStringRequest : ILJRequest<GetSysUserFileStringResponse>
    {
        public string token { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int? empid { get; set; }
        /// <summary>
        /// 窗口名
        /// </summary>
        public string dwname { get; set; }
        /// <summary>
        /// 表格名
        /// </summary>
        public string itemname { get; set; }
        /// <summary>
        /// 是否压缩
        /// </summary>
        public byte ifcompress { get; set; }
        /// <summary>
        /// 是否删除token.empid的布局信息
        /// </summary>
        public byte? ifdel { get; set; }

        public string GetApiName()
        {
            return "GetSysUserFileString";
        }
    }

    public sealed class GetSysUserFileStringResponse : LJResponse
    {
        /// <summary>
        /// 自定义值
        /// </summary>
        public string itemvalue { get; set; }
    }
}
