﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.Net.SPI.Com;
using Microsoft.SqlServer.Server;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 登录
    /// </summary>
    public sealed class LoginRequest : ILJRequest<LoginResponse>
    {
        /// <summary>
        /// 用户名
        /// </summary>
        public string usercode { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string psw { get; set; }

        public string GetApiName()
        {
            return "Login";
        }
    }

    public sealed class LoginResponse : LJResponse
    {
        public string token { get; set; }
        public string username { get; set; }
        public string usercode { get; set; }
        public int empid { get; set; }
        /// <summary>
        /// 有权限的模块id
        /// </summary>
        //public List<int> funidList { get; set; }
        /// <summary>
        /// 可用权限列表
        /// </summary>
        public List<int> rsltFunids { get; set; }
        public int usermode { get; set; }
    }
}
