﻿using System;

namespace JLHHJSvr.Com.Model
{
    public sealed class Permit
    {
        /// <summary>
        /// 车位ID(许可证ID)
        /// </summary>
        public int? pid { get; set; }
        /// <summary>
        /// 车牌号码
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主姓名
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 车主电话
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 有效 开始时间
        /// </summary>
        public DateTime? begindate { get; set; }
        /// <summary>
        /// 有效 结束时间
        /// </summary>
        public DateTime? enddate { get; set; }
        /// <summary>
        /// 0-车位 1-备案(临停)
        /// </summary>
        public int? iftmp { get; set; }
        /// <summary>
        /// 有效标记
        /// </summary>
        public int? inuse { get; set; }
        /// <summary>
        /// 路段ID
        /// </summary>
        public int? roadid { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 结算方式 0-无 1-扫二维码支付 2-现金支付 3-刷卡支付
        /// </summary>
        public int? paytype { get; set; }
        /// <summary>
        /// 结算金额
        /// </summary>
        public decimal? payamt { get; set; }
        /// <summary>
        /// 即将过期
        /// </summary>
        public byte? expiring { get; set; }

        #region 备案管理
        /// <summary>
        /// 当月违停次数
        /// </summary>
        public int? violateCnt { get; set; }
        /// <summary>
        /// 当月备案次数
        /// </summary>
        public int? recordCnt { get; set; }
        #endregion

        #region 路段信息
        /// <summary>
        /// 路段名
        /// </summary>
        public string roadname { get; set; }
        /// <summary>
        /// 分组名
        /// </summary>
        public string groupname { get; set; }
        /// <summary>
        /// 路段管理员
        /// </summary>
        public string manager { get; set; }
        /// <summary>
        /// 路段管理员电话
        /// </summary>
        public string man_tel { get; set; }
        #endregion
    }
}
