﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    public sealed class Recursion<T>
    {
        public int value { get; set; }
        public string text { get; set; }
        public T data { get; set; }
        public List<Recursion<T>> children { get; set; }

        // 构造函数，用于初始化Children属性为一个空列表  
        public Recursion()
        {
            children = new List<Recursion<T>>();
        }

        // 添加子节点的方法
        public void AddChild(Recursion<T> child)
        {
            this.children.Add(child);
        }
    }

    public sealed class PkName
    {
        /// <summary>
        /// 主ID
        /// </summary>
        public string MainField { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string MainName { get; set; }
        /// <summary>
        /// 父ID
        /// </summary>
        public string ParentField { get; set; }
    }
}