﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "bednettypeid" })]
    public sealed class u_bednet_type
    {
        /// <summary>
        /// 床网类别id
        /// </summary>
        public int? bednettypeid { get; set; }
        /// <summary>
        /// 类别名称
        /// </summary>
        public string typename { get; set; }
        /// <summary>
        /// 双网（状态）
        /// </summary>
        public int? if_double_net { get; set; }
        /// <summary>
        /// 双簧（状态）
        /// </summary>
        public int? if_double_spring { get; set; }
        /// <summary>
        /// 15分布条（状态）
        /// </summary>
        public int? if_15cm_strip { get; set; }
        /// <summary>
        /// 多区袋装（状态）
        /// </summary>
        public int? if_part { get; set; }
        /// <summary>
        /// 蛇线（状态）
        /// </summary>
        public int? if_snake_wire { get; set; }
        /// <summary>
        /// 蛇线线径MM
        /// </summary>
        public decimal? snake_wire_diameter { get; set; }
        /// <summary>
        /// 蛇线材料成本公式
        /// </summary>
        public string snake_wire_mtrl_formula { get; set; }
        /// <summary>
        /// 四周加硬（状态）
        /// </summary>
        public int? if_hard_around { get; set; }
        /// <summary>
        /// 四周加硬材料成本公式
        /// </summary>
        public string hard_around_mtrl_formula { get; set; }
        /// <summary>
        /// 四周加硬人力成本公式
        /// </summary>
        public string hard_around_hr_formula { get; set; }
        /// <summary>
        /// 四周口袋（状态）
        /// </summary>
        public int? if_pocket_around { get; set; }
        /// <summary>
        /// 四周口袋弹簧成本公式
        /// </summary>
        public string pocket_around_spring_formula { get; set; }
        /// <summary>
        /// 四周口袋无纺布成本公式
        /// </summary>
        public string pocket_around_fabrics_formula { get; set; }
        /// <summary>
        /// 边铁（状态）
        /// </summary>
        public int? if_side_iron { get; set; }
        /// <summary>
        /// 边铁材料成本公式
        /// </summary>
        public string side_iron_mtrl_formula { get; set; }
        /// <summary>
        /// 边铁人力成本公式
        /// </summary>
        public string side_iron_hr_formula { get; set; }
        /// <summary>
        /// 胶水材料成本公式
        /// </summary>
        public string glue_mtrl_formula { get; set; }
        /// <summary>
        /// 胶条/包角（状态）
        /// </summary>
        public int? if_rsORwa { get; set; }
        /// <summary>
        /// 胶条/包角材料成本公式
        /// </summary>
        public string rsORwa_mtrl_formula { get; set; }
        /// <summary>
        /// 胶条/包角人力成本公式
        /// </summary>
        public string rsORwa_hr_formula { get; set; }
        /// <summary>
        /// 海绵打孔（状态）
        /// </summary>
        public int? if_sponge_drilling { get; set; }
        /// <summary>
        /// 海绵打孔人力成本公式
        /// </summary>
        public string sponge_drilling_hr_formula { get; set; }
        /// <summary>
        /// 弹叉材料成本公式
        /// </summary>
        public string fork_mtrl_formula { get; set; }
        /// <summary>
        /// 弹叉人力成本公式
        /// </summary>
        public string fork_hr_formula { get; set; }
        /// <summary>
        /// C钉/夹码材料公式
        /// </summary>
        public string cnail_mtrl_formula { get; set; }
        /// <summary>
        /// C钉/夹码人力公式
        /// </summary>
        public string cnail_hr_formula { get; set; }
        /// <summary>
        /// 海绵包边材料成本公式
        /// </summary>
        public string sponge_mtrl_formula { get; set; }
        /// <summary>
        /// 海绵包边人力成本公式
        /// </summary>
        public string sponge_hr_formula { get; set; }
        /// <summary>
        /// 封边材料成本公式
        /// </summary>
        public string edge_mtrl_formula { get; set; }
        /// <summary>
        /// 封边人力成本公式
        /// </summary>
        public string edge_hr_formula { get; set; }
        /// <summary>
        /// 登记人
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 登记时间
        /// </summary>
        public string typecode { get; set; }
        /// <summary>
        /// 弹簧总材料成本公式
        /// </summary>
        public string spring_mtrl_formula { get; set; }
        /// <summary>
        /// 弹簧人力料成本公式
        /// </summary>
        public string spring_hr_formula { get; set; }
        /// <summary>
        /// 入袋无纺布材料公式
        /// </summary>
        public string fabrics1_mtrl_formula { get; set; }
        /// <summary>
        /// 底面无纺布材料公式
        /// </summary>
        public string fabrics2_mtrl_formula { get; set; }
        /// <summary>
        /// 包装材料公式
        /// </summary>
        public string bz_mtrl_formula { get; set; }
        public string felt_mtrl_formula { get; set; }
        public string felt_hr_formula { get; set; }
        public string felt_mtrl_cost_replace_formula { get; set; }
        public string felt_hr_cost_replace_formula { get; set; }
        public string packet_mtrl_formula { get; set; }
        public string packet_hr_formula { get; set; }
        public string sponge_mtrl_tc_formula { get; set; }
        public string spring_weight_formula { get; set; }
        public string side_iron_weight_formula { get; set; }
        public string hard_around_weight_formula { get; set; }
        public string fabrics1_weight_formula { get; set; }
        public string fabrics2_weight_formula { get; set; }
        public string felt_weight_formula { get; set; }
        public string cnail_weight_formula { get; set; }
        public string sponge_weight_formula { get; set; }
        /// <summary>
        /// 填充海绵公式
        /// </summary>
        public string sponge_weight_tc_formula { get; set; }
        public string edge_weight_formula { get; set; }
        public string fork_weight_formula { get; set; }


    }
}
