﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "springid" })]
    public sealed class u_spring
    {
        /// <summary>
        /// 弹簧id
        /// </summary>
        public int? springid { get; set; }
        /// <summary>
        /// 线径MM
        /// </summary>
        public decimal? line_diameter { get; set; }
        /// <summary>
        /// 高度CM
        /// </summary>
        public decimal? height { get; set; }
        /// <summary>
        /// 口径CM
        /// </summary>
        public decimal? caliber { get; set; }
        /// <summary>
        /// 中心直径CM
        /// </summary>
        public decimal? center_diameter { get; set; }
        /// <summary>
        /// 圈数
        /// </summary>
        public decimal? cyclenum { get; set; }
        /// <summary>
        /// 克重KG
        /// </summary>
        public decimal? gram_weight { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 床网类型id
        /// </summary>
        public int? bedtypeid { get; set; }
        /// <summary>
        /// 弹簧类型id
        /// </summary>
        public int? springtypeid { get; set; }
        /// <summary>
        /// 审核
        /// </summary>
        public byte? flag { get; set; }
        /// <summary>
        /// 有效
        /// </summary>
        public byte? inuse { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 自由高度
        /// </summary>
        public decimal? free_height { get; set; }
        /// <summary>
        /// 实际高度
        /// </summary>
        public decimal? actual_height { get; set; }
        /// <summary>
        /// 硬度
        /// </summary>
        public decimal? hardness { get; set; }
        /// <summary>
        /// 压陷硬度10%
        /// </summary>
        public decimal? hardness_indentation_1 { get; set; }
        /// <summary>
        /// 压陷硬度20%
        /// </summary>
        public decimal? hardness_indentation_2 { get; set; }
        /// <summary>
        /// 压陷硬度40%
        /// </summary>
        public decimal? hardness_indentation_4 { get; set; }
        /// <summary>
        /// 排列宽
        /// </summary>
        public decimal? arrangement_width { get; set; }
        /// <summary>
        /// 排列长
        /// </summary>
        public decimal? arrangement_height { get; set; }
        /// <summary>
        /// 卷排列宽
        /// </summary>
        public decimal? roll_width { get; set; }
        /// <summary>
        /// 卷排列长
        /// </summary>
        public decimal? roll_length { get; set; }
        /// <summary>
        /// 压缩比
        /// </summary>
        public decimal? comperssion_rate { get; set; }
        public int? his_typeid { get; set; }
        public string name
        {
            get
            {
                return $"{line_diameter.Value.ToString("0.###")}/{height.Value.ToString("0.###")}/{caliber.Value.ToString("0.###")}/{center_diameter.Value.ToString("0.###")}/{cyclenum.Value.ToString("0.###")}/";
            }
            set { }
        }
    }
}
