﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LJLib.DAL.SQL;

namespace JLHHJSvr.DBA.DBModle
{
    [PK(new[] { "pid" })]
    public sealed class st_permit
    {
        /// <summary>
        /// 车位ID(许可证ID)
        /// </summary>
        public int? pid { get; set; }
        /// <summary>
        /// 车牌号码
        /// </summary>
        public string carnum { get; set; }
        /// <summary>
        /// 车主姓名
        /// </summary>
        public string owner { get; set; }
        /// <summary>
        /// 车主电话
        /// </summary>
        public string owner_tel { get; set; }
        /// <summary>
        /// 有效 开始时间
        /// </summary>
        public DateTime? begindate { get; set; }
        /// <summary>
        /// 有效 结束时间
        /// </summary>
        public DateTime? enddate { get; set; }
        /// <summary>
        /// 0-车位 1-备案(临停)
        /// </summary>
        public int? iftmp { get; set; }
        /// <summary>
        /// 有效标记
        /// </summary>
        public int? inuse { get; set; }
        /// <summary>
        /// 路段ID
        /// </summary>
        public int? roadid { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string opemp { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? opdate { get; set; }
        /// <summary>
        /// 修改人
        /// </summary>
        public string modemp { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime? moddate { get; set; }
        /// <summary>
        /// 结算方式 0-无 1-扫二维码支付 2-现金支付 3-刷卡支付
        /// </summary>
        public int? paytype { get; set; }
        /// <summary>
        /// 结算金额
        /// </summary>
        public decimal? payamt { get; set; }
    }
}
