﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using DirectService.Tools;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using JLHHJSvr.LJFramework.Tools;
using JLHHJSvr.Tools;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;

namespace JLHHJSvr.Excutor
{
    internal sealed class GetComputeSpringExcutor : ExcutorBase<GetComputeSpringRequest, GetComputeSpringResponse>
    {
        Dictionary<string, object> replacements = new Dictionary<string, object>();

        protected override void ExcuteInternal(GetComputeSpringRequest request, object state, GetComputeSpringResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }
            if (request.bednet == null)
            {
                rslt.ErrMsg = "缺少主表信息";
                return;
            }
            if (request.bednet.bednettypeid <= 0)
            {
                rslt.ErrMsg = "请选择床网类型";
                return;
            }
            if (request.bednetMx == null || !request.bednetMx.Any())
            {
                rslt.ErrMsg = "缺少报价明细";
                return;
            }
            // 检查是否填写床网高度

            foreach (var mx in request.bednetMx)
            {
                if (mx.bednet_height == null || mx.bednet_height <= 0)
                {
                    rslt.ErrMsg = "请填写床网高";
                    return;
                }
                else
                {
                    request.bednet.mattress_height = mx.bednet_height;
                }
            }

            using (var con = new SqlConnection(GlobalVar.ConnectionString))
            using (var cmd = con.CreateCommand())
            {
                con.Open();

                // 初始化属性
                AutoInit.AutoInitS(cmd, request.bednet);

                foreach (var mx in request.bednetMx)
                {
                    AutoInit.AutoInitS(cmd, mx);
                }

                var helper = HelperBase.GetHelper<BedNetHelper>(cmd,new HelperBase.Context() { tokendata = tokendata});

                try
                {
                    helper.CalCulateSpringQty(request.bednet, request.bednetMx);
                }
                catch (Exception e)
                {
                    rslt.message = e.Message;
                }
                rslt.replace = helper.Replacements;

                rslt.formulas = helper.FormulaReplacements;

                rslt.bednet = request.bednet;
                rslt.bednetMx = request.bednetMx;
            }
        }
    }
}
