﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using DirectService.Tools;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using JLHHJSvr.LJFramework.Tools;
using JLHHJSvr.Tools;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;
using Newtonsoft.Json.Linq;

namespace JLHHJSvr.Excutor
{
    internal sealed class GetERPMtrlTypeListExcutor : ExcutorBase<GetERPMtrlTypeListRequest, GetERPMtrlTypeListResponse>
    {
        protected override void ExcuteInternal(GetERPMtrlTypeListRequest request, object state, GetERPMtrlTypeListResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }

            using (var con = new SqlConnection(GlobalVar.ConnectionString))
            using (var cmd = con.CreateCommand())
            {
                con.Open();

                using (var erp_con = new SqlConnection(BllHelper.GetERPConnectString(cmd)))
                using (var erp_cmd = erp_con.CreateCommand())
                {
                    erp_con.Open();

                    var cusion = new menuRecursion();

                    var erpHelper = HelperBase.GetHelper<ERPHelper>(null);

                    var _params = new JObject();
                    _params.Add("parentid", request.parentid);
                    _params.Add("RecurionType", request.RecurionType);

                    var list = erpHelper.GetERPList<u_mtrltype>("GetL1Mtrltype", null);

                    var pk = new PkName()
                    {
                        MainField = "mtrltypeid",
                        MainName = "mtrltype",
                        ParentField = "parentid"
                    };

                    ListEx.GetRecursions(list, pk, out var resultList);

                    rslt.reList = resultList;

                }
            }
        }
    }
}
