﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using DirectService.Tools;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;

namespace JLHHJSvr.Excutor
{
    internal sealed class GetERPMtrldefListExcutor : ExcutorBase<GetERPMtrldefListRequest, GetERPMtrldefListResponse>
    {
        protected override void ExcuteInternal(GetERPMtrldefListRequest request, object state, GetERPMtrldefListResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }

            using (var con = new SqlConnection(GlobalVar.ConnectionString))
            using (var cmd = con.CreateCommand())
            {
                con.Open();

                using (var erp_con = new SqlConnection(BllHelper.GetERPConnectString(cmd)))
                using (var erp_cmd = erp_con.CreateCommand())
                {
                    erp_con.Open();
                    var mtrldefList = new List<erp_mtrldef>();

                    var selectFields =
                        "row_number() over (order by mtrlcode) as rowNum,u_mtrldef.mtrlid,mtrlcode,mtrlname,mtrlorigin,mtrltype," +
                        "unit,mtrlmode,mtrlsectype,zxmtrlmode,ISNULL(noallocqty,0) AS noallocqty,u_storage.storagename,u_mtrldef.fjcnt,status_config,woodcode_config,pcode_config,statustype,woodcodetype,pcodetype,u_mtrldef.scid";
                    var outputFields =
                        "rowNum,mtrlid,mtrlcode,mtrlname,mtrlorigin,mtrltype,unit,mtrlmode,mtrlsectype,zxmtrlmode,noallocqty,storagename," +
                        "fjcnt,status_config,woodcode_config,pcode_config,statustype,woodcodetype,pcodetype,scid";

                    if (request.simpleField != 1)
                    {
                        selectFields +=
                            ",handtype,mtrlengname,barcode,u_mtrldef.dscrp,issuliao,isuse,iflimitprice,net_weight,gross_weight,cubage,prdpackcode,opdate,opemp";
                        outputFields +=
                            ",handtype,mtrlengname,barcode,u_mtrldef.dscrp,issuliao,isuse,iflimitprice,net_weight,gross_weight,cubage,prdpackcode,opdate,opemp";
                    }
                    var selectStr = string.Format(@"
                    SELECT {0}
                    FROM   u_mtrldef
                            LEFT OUTER JOIN (SELECT Sum(noallocqty) noallocqty
                                                    ,mtrlid
                                            FROM   u_mtrlware
                                            GROUP  BY mtrlid) AS vvv_mtrlware
                                        ON vvv_mtrlware.mtrlid = u_mtrldef.mtrlid 
                            LEFT JOIN u_mtrl_storage on u_mtrl_storage.mtrlid = u_mtrldef.mtrlid and u_mtrl_storage.dft = 1
                            LEFT OUTER JOIN u_storage on u_storage.scid = u_mtrldef.scid and u_storage.storageid = u_mtrl_storage.storageid",
                        selectFields);

                    var whereList = new List<string>();
                    var parms = new Dictionary<string, object>();

                    ////查看有权限类别的物料
                    //var mtrltypeids = UserHelper.ParsePowerStr(cmd, tokenData.empid, "mtrltypestr");

                    //if (!string.IsNullOrEmpty(mtrltypeids))
                    //{
                    //    whereList.Add($"u_mtrldef.mtrltypeid IN {mtrltypeids}");
                    //}

                    if (request.mtrlid > 0)
                    {
                        whereList.Add("u_mtrldef.mtrlid = @mtrlid");
                        parms.Add("@mtrlid", request.mtrlid);
                    }
                    else
                    {
                        if (request.mtrlprp != null && request.mtrlprp != -1)
                        {
                            whereList.Add("u_mtrldef.mtrlprp = @mtrlprp");
                            parms.Add("@mtrlprp", request.mtrlprp);
                        }
                        if (request.mtrltypeid != null && request.mtrltypeid != -1)
                        {
                            whereList.Add("u_mtrldef.mtrltypeid = @mtrltypeid");
                            parms.Add("@mtrltypeid", request.mtrltypeid);
                        }
                        if (request.storageid != null && request.storageid != -1)
                        {
                            whereList.Add(
                                "EXISTS (SELECT mtrlwareid FROM u_mtrlware WHERE mtrlid = u_mtrldef.mtrlid AND storageid = @storageid)");
                            parms.Add("@storageid", request.storageid);
                        }
                        if (request.mtrlorigin != null && request.mtrlorigin != -1)
                        {
                            whereList.Add("u_mtrldef.mtrlorigin = @mtrlorigin");
                            parms.Add("@mtrlorigin", request.mtrlorigin);
                        }
                        if (request.isuse != null && request.isuse != -1)
                        {
                            whereList.Add("u_mtrldef.isuse = @isuse");
                            parms.Add("@isuse", request.isuse);
                        }
                        if (!string.IsNullOrEmpty(request.keyword))
                        {
                            whereList.Add(@"(u_mtrldef.mtrlcode LIKE @keyword) 
                                            OR (u_mtrldef.mtrlname LIKE @keyword) 
                                            OR (u_mtrldef.mtrlmode LIKE @keyword) 
                                            OR (u_mtrldef.mtrlsectype LIKE @keyword) 
                                            OR (u_mtrldef.zxmtrlmode LIKE @keyword)
                                            OR (u_mtrldef.usermtrlmode LIKE @keyword)
                                            OR (u_mtrldef.plancode LIKE @keyword)");
                            parms.Add("@keyword", "%" + request.keyword + "%");
                        }

                        if (!string.IsNullOrEmpty(request.mtrlcode))
                        {
                            whereList.Add("u_mtrldef.mtrlcode LIKE @mtrlcode");
                            parms.Add("@mtrlcode", "%" + request.mtrlcode + "%");
                        }

                        if (!string.IsNullOrEmpty(request.mtrlname))
                        {
                            whereList.Add("u_mtrldef.mtrlname LIKE @mtrlname");
                            parms.Add("@mtrlname", "%" + request.mtrlname + "%");
                        }

                        if (!string.IsNullOrEmpty(request.mtrlmode))
                        {
                            whereList.Add("u_mtrldef.mtrlmode LIKE @mtrlmode");
                            parms.Add("@mtrlmode", "%" + request.mtrlmode + "%");
                        }

                        if (!string.IsNullOrEmpty(request.mtrlsectype))
                        {
                            whereList.Add("u_mtrldef.mtrlsectype LIKE @mtrlsectype");
                            parms.Add("@mtrlsectype", "%" + request.mtrlsectype + "%");
                        }

                        if (!string.IsNullOrEmpty(request.zxmtrlmode))
                        {
                            whereList.Add("u_mtrldef.zxmtrlmode LIKE @zxmtrlmode");
                            parms.Add("@zxmtrlmode", "%" + request.zxmtrlmode + "%");
                        }

                        if (!string.IsNullOrEmpty(request.usermtrlmode))
                        {
                            whereList.Add("u_mtrldef.usermtrlmode LIKE @usermtrlmode");
                            parms.Add("@usermtrlmode", "%" + request.usermtrlmode + "%");
                        }

                        if (!string.IsNullOrEmpty(request.plancode))
                        {
                            whereList.Add("u_mtrldef.plancode LIKE @plancode");
                            parms.Add("@plancode", "%" + request.plancode + "%");
                        }
                    }
                    var whereStr = ListEx.GetWhereStr(whereList);
                    var orderStr = "mtrlcode";
                    DbSqlHelper.SelectJoin(erp_cmd, selectStr, whereStr, parms, orderStr, outputFields, request.pageindex,
                        request.pagesize, mtrldefList);

                    rslt.mtrldefList = mtrldefList;
                }
            }
        }
    }
}
