﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using DirectService.Tools;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;

namespace JLHHJSvr.Excutor
{
    internal sealed class GetMattressInterfaceListExcutor : ExcutorBase<GetMattressInterfaceListRequest, GetMattressInterfaceListResponse>
    {
        protected override void ExcuteInternal(GetMattressInterfaceListRequest request, object state, GetMattressInterfaceListResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }
            if (request.mattressid == null || request.mattressid <= 0)
            {
                rslt.ErrMsg = "床垫id有误,请检查!";
                return;
            }

            using (var con = new SqlConnection(GlobalVar.ConnectionString))
            using (var cmd = con.CreateCommand())
            {
                con.Open();

                cmd.CommandText = @"SELECT u_mattress.mattressid
	                                ,u_mattress.erp_mtrlid
	                                ,u_mattress.mattressname
	                                ,u_mattress.erp_configcodetype
	                                ,u_mattress.mattresscode
	                                ,u_mattress.mattressrelcode
	                                ,erp_mtrltypeid
	                                ,erp_mtrlcode
	                                ,erp_mtrlname
	                                ,erp_mtrlmode
	                                ,erp_mtrlunit
	                                ,erp_mtrltype
	                                ,CASE 
		                                WHEN isnull(erp_mtrlengname, '') = ''
			                                THEN mattressrelcode
		                                ELSE erp_mtrlengname
		                                END AS erp_mtrlengname
	                                ,old_mtrlname AS old_mtrlname
                                    ,deptid
                                FROM u_mattress
                                WHERE u_mattress.mattressid = @mattressid";
                cmd.Parameters.Clear();
                cmd.Parameters.AddWithValue("@mattressid", request.mattressid);
                using (var reader = cmd.ExecuteReader()) 
                {
                    if (reader.Read()) {
                        rslt.mattress = new u_mattress()
                        {
                            mattressid = request.mattressid.Value,
                            erp_mtrlid = Convert.ToInt32(reader["erp_mtrlid"]),
                            deptid = Convert.ToInt32(reader["deptid"]),
                            mattressname = Convert.ToString(reader["mattressname"]),
                            mattresscode = Convert.ToString(reader["mattresscode"]),
                            mattressrelcode = Convert.ToString(reader["mattressrelcode"]),
                            erp_configcodetype = Convert.ToInt32(reader["erp_configcodetype"]),
                            erp_mtrltypeid = Convert.ToInt32(reader["erp_mtrltypeid"]),
                            erp_mtrlcode = Convert.ToString(reader["erp_mtrlcode"]),
                            erp_mtrlname = Convert.ToString(reader["erp_mtrlname"]),
                            erp_mtrlmode = Convert.ToString(reader["erp_mtrlmode"]),
                            erp_mtrlunit = Convert.ToString(reader["erp_mtrlunit"]),
                            erp_mtrlengname = Convert.ToString(reader["erp_mtrlengname"]),
                            erp_mtrltype = Convert.ToString(reader["erp_mtrltype"]),
                            old_mtrlname = Convert.ToString(reader["old_mtrlname"])
                        };
                    }
                }

                using (var erp_con = new SqlConnection(BllHelper.GetERPConnectString(cmd)))
                using (var erp_cmd = erp_con.CreateCommand())
                {
                    erp_con.Open();

                    var interfaceHelper = HelperBase.GetHelper<InterfaceHelper>(cmd, erp_cmd, new HelperBase.Context() { tokendata = tokendata });

                    var interfaceList = interfaceHelper.GetMattressInterfaceList(request.mattressid.Value);
                    var qdList = interfaceHelper.GetMattressInterfaceQdList(request.mattressid.Value);

                    interfaceHelper.MattressInterfaceFindERPPrdPf(qdList, interfaceList);

                    rslt.interfaceList = interfaceList;
                    rslt.qdList = qdList;
                }
            }
        }
    }
}
