﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using JLHHJSvr.Tools;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;

namespace JLHHJSvr.Excutor
{
    internal sealed class SaveMattressExcutor : ExcutorBase<SaveMattressRequest, SaveMattressResponse>
    {
        protected override void ExcuteInternal(SaveMattressRequest request, object state, SaveMattressResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }
            if (request.mattress == null)
            {
                rslt.ErrMsg = "缺少主表信息";
                return;
            }

            using (var con = new SqlConnection(GlobalVar.ConnectionString))
            using (var cmd = con.CreateCommand())
            {
                con.Open();

                // 初始化属性
                AutoInit.AutoInitS(cmd, request.mattress);

                if(request.mattress.copy_id != null && request.mattress.copy_id > 0)
                {
                    request.mattress.mattressid = 0;
                    request.mattress.mattresscode = string.Empty;

                    foreach (var mx in request.mattressMx)
                    {
                        mx.mattressid = 0;
                        mx.mattressmxid = 0;
                    }
                }

                foreach(var mx in request.mattressMx)
                {
                    AutoInit.AutoInitS(cmd, mx);
                }

                using (cmd.Transaction = con.BeginTransaction())
                {

                    var helper = HelperBase.GetHelper<MattressHelper>(cmd, new HelperBase.Context() { tokendata = tokendata });

                    try
                    {
                        helper.CalCulateFormula(request.mattress, request.mattressMx);
                    }
                    catch (Exception e)
                    {
                        rslt.message = e.Message;
                    }

                    var mxmessageList = request.mattressMx.Where(item => !string.IsNullOrEmpty(item.message)).ToList();
                    if (mxmessageList.Any())
                    {
                        rslt.mxmessage = new List<string>();
                        foreach (var mx in mxmessageList)
                        {
                            rslt.mxmessage.Add(mx.message);
                        }
                    }

                    try
                    {
                        helper.SaveMattress(request.mattress, request.mattressMx, request.subspecs);

                        if(request.mattress.copy_id != null && request.mattress.copy_id > 0)
                        {
                            helper.CopyMattressInterface(request.mattress.copy_id.Value, request.mattress.mattressid);
                        }
                        
                        cmd.Transaction.Commit();

                        rslt.mattressid = request.mattress.mattressid;
                        rslt.mattresscode = request.mattress.mattresscode;
                    }
                    catch (Exception e)
                    {
                        cmd.Transaction.Rollback();
                        rslt.ErrMsg = e.Message;
                    }
                }
            }
        }
    }
}
