import { Mattress } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

/**
 * @name 床垫报价保存
 */
export const SaveMattress = (params: Mattress.ReqSaveMattress) => {
  return http.post<Mattress.ResSaveMattress>(PORT1 + `/SaveMattress`, params);
};

/**
 * @name 床垫报价：业务下单/取消/审核
 */
export const SaveMattressAuditing = (params: Mattress.ReqMultiMattress) => {
  return http.post(PORT1 + `/SaveMattressAuditing`, params);
};

/**
 * @name 床垫报价：删除
 */
export const DelMattress = (params: Mattress.ReqMultiMattress) => {
  return http.post(PORT1 + `/DelMattress`, params);
};

/**
 * @name 床垫报价：已审批复制
 */
export const CopyMattressAudited = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/CopyMattressAudited`, params);
};

/**
 * @name 床垫报价：未审批重算
 */
export const ReCalculateNoAudit = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/ReCalculateNoAudit`, params);
};

/**
 * @name 半成品报价保存
 */
export const SaveMattressBcp = (params: Mattress.ReqSaveMattress) => {
  return http.post<Mattress.ResSaveMattressBcp>(PORT1 + `/SaveMattressBcp`, params);
};

/**
 * @name 半成品报价：审核
 */
export const AuditMattressBcp = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/AuditMattressBcp`, params);
};

/**
 * @name 半成品报价：删除
 */
export const DeleteMattressBcp = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/DeleteMattressBcp`, params);
};

/**
 * @name 床网报价：保存
 */
export const SaveBedNet = (params: Mattress.ReqSaveBedNet) => {
  return http.post<Mattress.ResSaveBedNet>(PORT1 + `/SaveBedNet`, params);
};

/**
 * @name 床网报价：审核
 */
export const AuditBedNet = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/AuditBedNet`, params);
};

/**
 * @name 床网报价：删除
 */
export const DeleteBedNet = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/DeleteBedNet`, params);
};

/**
 * @name 床垫报价：计算
 */
export const GetComputeMattress = (params: Mattress.ReqSaveMattress) => {
  return http.post<Mattress.ResComputeMattress>(PORT1 + `/GetComputeMattress`, params);
};

/**
 * @name 床网报价：计算
 */
export const GetComputeBednet = (params: Mattress.ReqSaveBedNet) => {
  return http.post<Mattress.ResComputeBednet>(PORT1 + `/GetComputeBednet`, params);
};

/**
 * @name 床网报价：未审批重算
 */
export const ReCalculateBedNetNoAudit = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/ReCalculateBedNetNoAudit`, params);
};

/**
 * @name 床垫清单：业务审核
 */
export const MattressYWAudit = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/MattressYWAudit`, params);
};

/**
 * @name 床垫清单：产品补充审核
 */
export const MattressJSAudit = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/MattressJSAudit`, params);
};

/**
 * @name 床垫清单：清单补充审核
 */
export const MattressJS2Audit = (params: Mattress.ReqMultiMattressBcp) => {
  return http.post(PORT1 + `/MattressJS2Audit`, params);
};

/**
 * @name 床垫清单：刷新配置
 */
export const RefreshMattressInterface = (params: Mattress.ReqRefreshMattressInterface) => {
  return http.post<Mattress.ResRefreshMattressInterface>(PORT1 + `/RefreshMattressInterface`, params);
};

/**
 * @name 床垫清单：刷新清单
 */
export const RefreshMattressInterfaceQd = (params: Mattress.ReqRefreshMattressInterface) => {
  return http.post<Mattress.ResRefreshMattressInterface>(PORT1 + `/RefreshMattressInterfaceQd`, params);
};

/**
 * @name 床垫清单：获取清单
 */
export const GetMattressInterfaceList = (params: Mattress.ReqRefreshMattressInterface) => {
  return http.post<Mattress.ResGetMattressInterfaceList>(PORT1 + `/GetMattressInterfaceList`, params);
};

/**
 * @name 床垫清单：保存清单
 */
export const SaveMattressInterface = (params: Mattress.ReqSaveMattressInterface) => {
  return http.post<Mattress.ResSaveMattressBcp>(PORT1 + `/SaveMattressInterface`, params);
};
