import { ResPage, User } from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";

// /**
//  * @name 用户管理模块
//  */
// // 获取用户列表
// export const getUserList = (params: User.ReqUserParams) => {
//   return http.post<ResPage<User.ResUserList>>(PORT1 + `/user/list`, params);
// };

// // 获取树形用户列表
// export const getUserTreeList = (params: User.ReqUserParams) => {
//   return http.post<ResPage<User.ResUserList>>(PORT1 + `/user/tree/list`, params);
// };

// 新增用户
export const addUser = (params: { id: string }) => {
  return http.post(PORT1 + `/user/add`, params);
};

// 批量添加用户
export const BatchAddUser = (params: FormData) => {
  return http.post(PORT1 + `/user/import`, params);
};

// 编辑用户
export const editUser = (params: { id: string }) => {
  return http.post(PORT1 + `/user/edit`, params);
};

// 删除用户
export const deleteUser = (params: { id: string[] }) => {
  return http.post(PORT1 + `/user/delete`, params);
};

// 切换用户状态
export const changeUserStatus = (params: { id: string; status: number }) => {
  return http.post(PORT1 + `/user/change`, params);
};

// 重置用户密码
export const resetUserPassWord = (params: { account: string; userid: string; oldpassword: string; newpassword: string }) => {
  return http.post(PORT1 + `/ChangePassword`, params);
};

// // 导出用户数据
// export const exportUserInfo = (params: User.ReqUserParams) => {
//   return http.download(PORT1 + `/user/export`, params);
// };

// // 获取用户状态字典
// export const getUserStatus = () => {
//   return http.get<User.ResStatus[]>(PORT1 + `/user/status`);
// };

// // 获取用户性别字典
// export const getUserGender = () => {
//   return http.get<User.ResGender[]>(PORT1 + `/user/gender`);
// };

// // 获取用户部门列表
// export const getUserDepartment = () => {
//   return http.get<User.ResDepartment[]>(PORT1 + `/user/department`);
// };

// // 获取用户角色字典
// export const getUserRole = () => {
//   return http.get<User.ResRole[]>(PORT1 + `/user/role`);
// };

// /**
//  * @name (销售)获取客户列表
//  */
// export const getMyCustList = () => {
//   return http.post<ResMyCustList>(PORT1 + `/GetMyCustList`, {});
// };

export const getUserScdef = () => {
  return http.post<User.ResL1UserScdef>(PORT1 + `/GetL1Scdef`, {});
};

export const getStorageList = () => {
  return http.post<User.ResL1UserScdef>(PORT1 + `/GetL1StorageList`, {});
};
