import { ColumnProps } from "@/components/LjVxeTable/interface/index";

export interface descDataItem extends ColumnProps {
  // /**
  //  * @description value 返回值的字段
  //  */
  // field: string;
  // /**
  //  * @description 详情字段说明标题
  //  */
  // title: string;
  // /**
  //  * @description value  数据存放的表格：主要方便调用i18n
  //  */
  // table: string;
  /**
   * @description 插槽（自定义 value）
   */
  slotName?: string;
  /**
   * @description 占用的列宽，默认占用 1 列，最多 4 列
   */
  span?: number;
  /**
   * @description value 值的提示语
   */
  tooltip?: string | Function;
  /**
   * @description Tooltip 组件出现的位置
   */
  placement:
    | "top"
    | "top-start"
    | "top-end"
    | "bottom"
    | "bottom-start"
    | "bottom-end"
    | "left"
    | "left-start"
    | "left-end"
    | "right"
    | "right-start"
    | "right-end";
  /**
   * @description tooltip 提示语的 icon 大小
   */
  iconSize?: string | number;
  /**
   * @description tooltip 提示语的 icon 颜色
   */
  iconColor?: string;
  /**
   * @description 备注信息
   * -------list	字典 list 定义的数据名即 listTypeInfo 里面对应的值	String	无
   * -------key	下拉数据源的 key 字段	String	'value'
   * -------label	下拉数据源的 label 字段	String	'label'
   * @example listTypeInfo: {
   *  stockTakeTypeList: [
   *    {
   *      label: '在制品',
   *      value: 1,
   *    },
   *    ...
   *    ]
   *  }
   */
  filters?: any;
  /**
   * 是否可视
   */
  visible?: boolean;
  /**
   * @argument number 列顺序
   */
  colorder?: number;
}
