/**
 * @description 打印面板:基础模块
 */
export const BASE_PROVIDERS = {
  groupName: "基础",
  printElements: [
    {
      tid: "printDate",
      title: "打印时间",
      data: "2022-01-01 09:00",
      type: "text",
      options: {
        width: 130,
        field: "printDate",
        testData: "2022-01-01 09:00",
        height: 16,
        fontSize: 6.75,
        fontWeight: "500",
        textAlign: "left",
        textContentVerticalAlign: "middle"
      }
    },
    {
      tid: "text",
      title: "文本",
      type: "text"
    },
    {
      tid: "hline",
      title: "横线",
      type: "hline"
    },
    {
      tid: "vline",
      title: "竖线",
      type: "vline"
    },
    {
      tid: "rect",
      title: "矩形",
      type: "rect"
    },
    {
      tid: "oval",
      title: "椭圆",
      type: "oval"
    },
    {
      tid: "image",
      title: "图片",
      type: "image"
    }
  ]
};

/**
 * @description 打印面板:客户模块
 */
export const CUSTOMER_PROVIDERS = {
  groupName: "客户信息",
  printElements: [
    {
      tid: "cusname",
      title: "客户名称",
      data: "客户名称",
      type: "text",
      options: {
        width: 200,
        field: "cusname",
        testData: "客户名称",
        height: 17,
        fontSize: 16.5,
        fontWeight: "700",
        textAlign: "center",
        hideTitle: true
      }
    }
  ]
};

/**
 * @description 打印面板:供应商模块
 */
export const COMPANY_PROVIDERS = {
  groupName: "供应商信息",
  printElements: [
    {
      tid: "comInfo_comname",
      title: "供应商名称",
      type: "text",
      options: {
        field: "comInfo.comname",
        testData: "供应商公司名称"
      }
    },
    {
      tid: "comInfo_relcode",
      title: "供应商编号",
      type: "text",
      options: {
        field: "comInfo.relcode",
        testData: "00.000"
      }
    },
    {
      tid: "comInfo_tele",
      title: "联系电话",
      type: "text",
      options: {
        field: "comInfo.tele",
        testData: "0000-88888888"
      }
    },
    {
      tid: "comInfo_address",
      title: "地址",
      type: "text",
      options: {
        field: "comInfo.address",
        testData: "xx省xx市xx区xx路xx号"
      }
    }
  ]
};
