/**
 * @description 赋予特殊原始默认值
 * 正则表达式匹配，特征"$"和”^“
 * @param $ 以...结尾
 * @param ^ 以...开头
 */
export const defineColumnStyle: any = {
  date: {
    format: "yyyy-MM-dd",
    width: 120
  },
  datetime: {
    format: "yyyy-MM-dd HH:mm",
    width: 160
  },
  checkbox: {
    width: 80
  },
  integer: {
    format: "intNumber",
    align: "right",
    width: 120
  },
  number: {
    format: "cutNumber",
    align: "right",
    width: 120
  },
  percent: {
    format: "percent",
    align: "right",
    width: 120
  },
  "^pid": {
    width: 80
  },
  date$: {
    format: "yyyy-MM-dd",
    width: 120
  },
  time$: {
    format: "yyyy-MM-dd HH:mm",
    width: 160
  },
  amt$: {
    format: "cutNumber",
    align: "right",
    width: 120
  },
  emp$: {
    width: 100
  },
  rep$: {
    width: 100
  },
  rate$: {
    width: 80
  },
  state$: {
    width: 80
  },
  inuse$: {
    width: 80
  },
  "^if": {
    width: 80
  },
  /**
   * @description 单位类
   */
  unit$: {
    width: 100
  },
  /**
   * @description 物料分类
   */
  mtrltype$: {
    width: 120
  },
  /**
   * @description 客户地区
   */
  "^cusareaname": {
    width: 100
  },
  /**
   * @description 分部
   */
  "^scid": {
    width: 100
  }
};
