/**
 * @description 采购订单状态枚举
 * 12-待接收, 13-已终止, 14-已拒绝, 15-待回复, 6-在进行, 7-完成, 2-已退回
 */
export const taskStatus = [
  {
    label: "待接收",
    value: 12
  },
  {
    label: "已终止",
    value: 13
  },
  {
    label: "已拒绝",
    value: 14
  },
  {
    label: "待回复",
    value: 15
  },
  {
    label: "在进行",
    value: 6
  },
  {
    label: "完成",
    value: 7
  },
  {
    label: "已退回",
    value: 2
  }
];

/**
 * @description 发货单状态枚举
 * 0-待审, 1-在途, 2-验收中, 3-已收货, 4-退货中, 5-退货已收
 */
export const outwareStatus = [
  {
    label: "待审",
    value: 0
  },
  {
    label: "在途",
    value: 1
  },
  {
    label: "验收中",
    value: 2
  },
  {
    label: "已收货",
    value: 3
  },
  {
    label: "退货中",
    value: 4
  },
  {
    label: "退货已收",
    value: 5
  }
];

/**
 * @description 客户性质
 * 0-待审, 1-在途, 2-验收中, 3-已收货, 4-退货中, 5-退货已收
 */
export const custState = [
  {
    label: "正式",
    value: 1
  },
  {
    label: "非正式",
    value: 0
  },
  {
    label: "黑名单",
    value: 2
  }
];

/**
 * @description
 * 0-无效, 1-有效
 */
export const custInuse = [
  {
    label: "有效",
    value: 1
  },
  {
    label: "无效",
    value: 0
  }
];

/**
 * @description 物料状态
 * 0-待审核,1-待终审,2-已审核
 *
 */
export const mtrldefStatus = [
  {
    label: "待审核",
    value: 0
  },
  {
    label: "待终审",
    value: 1
  },
  {
    label: "已审核",
    value: 2
  }
];

/**
 * @description 物料状态
 * 0-待初审,1-在进行,2-已暂停,3-已终止,4-待终审,5-已完成,6-手动完成
 */
export const saleTaskStatus = [
  {
    label: "全部",
    value: -1
  },
  {
    label: "待初审",
    value: 0
  },
  {
    label: "在进行",
    value: 1
  },
  {
    label: "已暂停",
    value: 2
  },
  {
    label: "已终止",
    value: 3
  },
  {
    label: "待终审",
    value: 4
  },
  {
    label: "已完成",
    value: 5
  },
  {
    label: "手动完成",
    value: 6
  }
];
