export enum sysOptionEnum {
  /**
   * @description 用户使用客户区域限制
   */
  sys_option_014 = "014",
  /**
   * @description 销售发货单先确认后仓库审核
   */
  sys_option_025 = "025",
  /**
   * @description 销售订单使用二级审核
   */
  sys_option_035 = "035",
  /**
   * @description 销售订单使用OA审批流程
   */
  sys_option_043 = "043",
  /**
   * @description 系统使用多币种应收帐
   */
  sys_option_045 = "045",
  /**
   * @description 销售订单，销售发货单允许修改业务员和上级经理
   */
  sys_option_062 = "062",
  /**
   * @description 生产计划用料运算的按生产指令单的半成品按计划产品配置
   */
  sys_option_072 = "072",
  /**
   * @description 销售订单,销售报价单使用配置选择窗口
   */
  sys_option_087 = "087",
  /**
   * @description 用户使用业务员限制
   */
  sys_option_178 = "178",
  /**
   * @description 销售报价单使用二级审核
   */
  sys_option_236 = "236",
  /**
   * @description 销售单价按人民币单价折算
   */
  sys_option_238 = "238",
  /**
   * @description 销售订单保存时限制信用额;[0-提醒;1-保存限制;2-审核限制;3-打印限制;4-不使用]
   */
  sys_option_250 = "250",
  /**
   * @description 单据汇率不允许修改
   */
  sys_option_276 = "276",
  /**
   * @description 客户资料使用审核
   */
  sys_option_298 = "298",
  /**
   * @description 销售订单生产审交期限制提醒天数
   */
  sys_option_361 = "361",
  /**
   * @description 销售订单财务确认选项
   */
  sys_option_413 = "413",
  /**
   * @description 销售订单审核检查订单明细行的物料匹配的部件选配项目的自动换料的类别是否已经进行技审
   */
  sys_option_496 = "496",
  /**
   * @description 使用出纳帐号权限
   */
  sys_option_505 = "505",
  /**
   * @description 销售发货单使用二级确认
   */
  sys_option_552 = "552",
  /**
   * @description 销售订单、销售报价单 按产品默认客户限制
   */
  sys_option_558 = "558",
  /**
   * @description 销售订单选客户订货历史按产品制造分部限制
   */
  sys_option_587 = "587",
  /**
   * @description 出口销售订单使用二级审核
   */
  sys_option_600 = "600",
  /**
   * @description 销售发货单使用多单位
   */
  sys_option_635 = "635",
  /**
   * @description 货运部使用审核
   */
  sys_option_706 = "706",
  /**
   * @description 销售订单启用成本审批模式
   */
  sys_option_738 = "738"
}

/**
 * 将枚举转换为数组
 * @param enumType 枚举类型
 * @returns 枚举值的数组
 */
function enumToArray<T extends string>(enumType: { [key: string]: T }): T[] {
  return Object.values(enumType) as T[];
}

export const sysOptionEnumArray = enumToArray(sysOptionEnum);
