import type { Menu } from "@/typings/global";
/**
 * @argument name 基础资料
 */
export const baseRouter: Menu.MenuOptions[] = [
  {
    path: "/baseinfo",
    name: "baseinfo",
    meta: {
      icon: "Common_List.png",
      title: "基础资料",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 109
    },
    children: [
      {
        path: "/baseinfo/bednettype",
        name: "bednettype",
        component: "/baseinfo/bednettype/index",
        meta: {
          icon: "Common_List.png",
          title: "床网类别定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 31
        },
        children: [
          {
            path: "/baseinfo/bednettype/detail",
            name: "bednettypeDetail",
            component: "/baseinfo/bednettype/detail",
            meta: {
              icon: "Common_List.png",
              title: "床网类别定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/bednettype"
            }
          }
        ]
      },
      {
        path: "/baseinfo/mattresstype",
        name: "mattresstype",
        component: "/baseinfo/mattresstype/index",
        meta: {
          icon: "Common_List.png",
          title: "床垫类别定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 51
        },
        children: [
          {
            path: "/baseinfo/mattresstype/detail",
            name: "mattresstypeDetail",
            component: "/baseinfo/mattresstype/detail",
            meta: {
              icon: "Common_List.png",
              title: "床垫类别定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/mattresstype"
            }
          }
        ]
      },
      {
        path: "/baseinfo/mattressformula",
        name: "mattressformula",
        component: "/baseinfo/mattressformula/index",
        meta: {
          icon: "Common_List.png",
          title: "床垫公式定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 53
        },
        children: [
          {
            path: "/baseinfo/mattressformula/detail",
            name: "mattressformulaDetail",
            component: "/baseinfo/mattressformula/detail",
            meta: {
              icon: "Common_List.png",
              title: "床垫公式定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/mattressformula"
            }
          }
        ]
      },
      {
        path: "/baseinfo/shrinkage",
        name: "shrinkage",
        component: "/baseinfo/shrinkage/index",
        meta: {
          icon: "Common_List.png",
          title: "裥棉收缩率",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 110
        },
        children: [
          {
            path: "/baseinfo/shrinkage/detail",
            name: "shrinkageDetail",
            component: "/baseinfo/shrinkage/detail",
            meta: {
              icon: "Common_List.png",
              title: "裥棉收缩率详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/shrinkage"
            }
          }
        ]
      },
      {
        path: "/baseinfo/spring",
        name: "spring",
        component: "/baseinfo/spring/index",
        meta: {
          icon: "Common_List.png",
          title: "弹簧资料",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 106
        },
        children: [
          {
            path: "/baseinfo/spring/detail",
            name: "springDetail",
            component: "/baseinfo/spring/detail",
            meta: {
              icon: "Common_List.png",
              title: "弹簧资料详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/spring"
            }
          }
        ]
      },
      {
        path: "/baseinfo/bednetvar",
        name: "bednetvar",
        component: "/baseinfo/bednetvar/index",
        meta: {
          icon: "Common_List.png",
          title: "变量定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 106
        },
        children: [
          {
            path: "/baseinfo/bednetvar/detail",
            name: "bednetvarDetail",
            component: "/baseinfo/bednetvar/detail",
            meta: {
              icon: "Common_List.png",
              title: "变量定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/bednetvar"
            }
          }
        ]
      },
      {
        path: "/baseinfo/mtrldef",
        name: "mtrldef",
        component: "/baseinfo/mtrldef/index",
        meta: {
          icon: "Common_List.png",
          title: "物料资料定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 1
        },
        children: [
          {
            path: "/baseinfo/mtrldef/detail",
            name: "mtrldefDetail",
            component: "/baseinfo/mtrldef/detail",
            meta: {
              icon: "Common_List.png",
              title: "物料资料定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/mtrldef"
            }
          }
        ]
      },
      {
        path: "/baseinfo/mtrltype",
        name: "mtrltype",
        component: "/baseinfo/mtrltype/index",
        meta: {
          icon: "Common_List.png",
          title: "物料类别定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 111
        },
        children: [
          {
            path: "/baseinfo/mtrltype/detail",
            name: "mtrltypeDetail",
            component: "/baseinfo/mtrltype/detail",
            meta: {
              icon: "Common_List.png",
              title: "物料资料定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/mtrltype"
            }
          }
        ]
      },
      {
        path: "/baseinfo/mutilprice",
        name: "mutilprice",
        component: "/baseinfo/mutilprice/index",
        meta: {
          icon: "Common_List.png",
          title: "多维度定价",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 112
        },
        children: [
          {
            path: "/baseinfo/mutilprice/detail",
            name: "mutilpriceDetail",
            component: "/baseinfo/mutilprice/detail",
            meta: {
              icon: "Common_List.png",
              title: "多维度定价详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/mutilprice"
            }
          }
        ]
      },
      {
        path: "/baseinfo/bednetarea",
        name: "bednetarea",
        component: "/baseinfo/bednetarea/index",
        meta: {
          icon: "Common_List.png",
          title: "床网分区定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 113
        },
        children: [
          {
            path: "/baseinfo/bednetarea/detail",
            name: "bednetareaDetail",
            component: "/baseinfo/bednetarea/detail",
            meta: {
              icon: "Common_List.png",
              title: "床网分区定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/bednetarea"
            }
          }
        ]
      },
      {
        path: "/baseinfo/configure",
        name: "configure",
        component: "/baseinfo/configure/index",
        meta: {
          icon: "Common_List.png",
          title: "核价配置资料定义",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 114
        },
        children: [
          {
            path: "/baseinfo/configure/detail",
            name: "configureDetail",
            component: "/baseinfo/configure/detail",
            meta: {
              icon: "Common_List.png",
              title: "核价配置资料定义详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/bednetarea"
            }
          }
        ]
      },
      {
        path: "/baseinfo/user",
        name: "user",
        component: "/baseinfo/user/index",
        meta: {
          icon: "Common_List.png",
          title: "用户权限",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/baseinfo",
          funid: 122
        },
        children: [
          {
            path: "/baseinfo/user/detail",
            name: "userDetail",
            component: "/baseinfo/user/detail",
            meta: {
              icon: "Common_List.png",
              title: "用户权限详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/baseinfo/bednetarea"
            }
          }
        ]
      }
    ]
  }
];
