import type { Menu } from "@/typings/global";
/**
 * @argument name 销售价格管理
 */
export const salePriceRouter: Menu.MenuOptions[] = [
  {
    path: "/saleprice",
    name: "saleprice",
    meta: {
      icon: "iconSetting_light",
      title: "销售价格管理",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 115
    },
    children: [
      {
        path: "/saleprice/pricelist",
        name: "pricelist",
        component: "/saleprice/pricelist/index",
        meta: {
          icon: "Common_Other.png",
          title: "部门价格表",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/saleprice",
          funid: 116
        },
        children: [
          {
            path: "/saleprice/pricelist/detail",
            name: "pricelistDetail",
            component: "/saleprice/pricelist/detail",
            meta: {
              icon: "Common_Other.png",
              title: "部门价格表详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/saleprice/pricelist"
            }
          }
        ]
      },
      {
        path: "/saleprice/dept",
        name: "dept",
        component: "/saleprice/dept/index",
        meta: {
          icon: "Common_Other.png",
          title: "部门",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/saleprice",
          funid: 117
        },
        children: [
          {
            path: "/saleprice/dept/detail",
            name: "deptDetail",
            component: "/saleprice/dept/detail",
            meta: {
              icon: "Common_Other.png",
              title: "部门详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/saleprice/dept"
            }
          }
        ]
      },
      {
        path: "/saleprice/profitrate",
        name: "profitrate",
        component: "/saleprice/profitrate/index",
        meta: {
          icon: "Common_Other.png",
          title: "工厂利润率",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/saleprice",
          funid: 118
        },
        children: [
          {
            path: "/saleprice/profitrate/detail",
            name: "profitrateDetail",
            component: "/saleprice/profitrate/detail",
            meta: {
              icon: "Common_Other.png",
              title: "工厂利润率详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/saleprice/profitrate"
            }
          }
        ]
      },
      {
        path: "/saleprice/workmanship",
        name: "workmanship",
        component: "/saleprice/workmanship/index",
        meta: {
          icon: "Common_Other.png",
          title: "工艺加点设置",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/saleprice",
          funid: 119
        },
        children: [
          {
            path: "/saleprice/workmanship/detail",
            name: "workmanshipDetail",
            component: "/saleprice/workmanship/detail",
            meta: {
              icon: "Common_Other.png",
              title: "工厂利润率详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/saleprice/workmanship"
            }
          }
        ]
      },
      {
        path: "/saleprice/quoteinquiry",
        name: "quoteinquiry",
        component: "/saleprice/quoteinquiry/index",
        meta: {
          icon: "Common_Other.png",
          title: "报价查询",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/saleprice",
          funid: 119
        },
        children: [
          {
            path: "/saleprice/quoteinquiry/detail",
            name: "quoteinquiryDetail",
            component: "/saleprice/quoteinquiry/detail",
            meta: {
              icon: "Common_Other.png",
              title: "报价详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              activeMenu: "/saleprice/quoteinquiry"
            }
          }
        ]
      }
    ]
  }
];
