export type AsideThemeType = "light" | "inverted" | "dark";

export const asideTheme: Record<AsideThemeType, { [key: string]: string }> = {
  light: {
    "--el-color-primary": "var(--lj-color-primary-500)",
    "--el-button-active-bg-color": "var(--lj-color-primary-600)",
    "--el-button-active-border-color": "var(--lj-color-primary-600)",
    "--el-color-primary-dark-2": "var(--lj-color-primary-700)",
    "--el-color-primary-light-1": "var(--lj-color-primary-900)",
    "--el-color-primary-light-2": "var(--lj-color-primary-800)",
    "--el-color-primary-light-3": "var(--lj-color-primary-700)",
    "--el-color-primary-light-4": "var(--lj-color-primary-600)",
    "--el-color-primary-light-5": "var(--lj-color-primary-500)",
    "--el-color-primary-light-6": "var(--lj-color-primary-400)",
    "--el-color-primary-light-7": "var(--lj-color-primary-300)",
    "--el-color-primary-light-8": "var(--lj-color-primary-200)",
    "--el-color-primary-light-9": "var(--lj-color-primary-100)",
    "--el-logo-text-color": "#303133",
    "--el-menu-bg-color": "#ffffff",
    "--el-menu-hover-bg-color": "#cccccc",
    "--el-menu-active-bg-color": "var(--lj-color-primary-000)",
    "--el-menu-text-color": "#333333",
    "--el-menu-active-color": "var(--el-color-primary)",
    "--el-menu-hover-text-color": "#333333",
    "--el-menu-horizontal-sub-item-height": "50px",
    "--lj-menu-bg-color-inverted": "#262626"
  },
  inverted: {
    "--el-logo-text-color": "#dadada",
    "--el-menu-bg-color": "#262626",
    "--el-menu-hover-bg-color": "#000000",
    "--el-menu-active-bg-color": "#000000",
    "--el-menu-text-color": "#bdbdc0",
    "--el-menu-active-color": "#ffffff",
    "--el-menu-hover-text-color": "#ffffff",
    "--el-menu-horizontal-sub-item-height": "50px",
    "--lj-menu-bg-color-inverted": "#262626"
  },
  dark: {
    "--el-color-primary": "var(--lj-color-primary-500)",
    "--el-logo-text-color": "#dadada",
    "--el-menu-bg-color": "#141414",
    "--el-menu-hover-bg-color": "#000000",
    "--el-menu-active-bg-color": "var(--el-color-primary-light-8)",
    "--el-menu-text-color": "#bdbdc0",
    "--el-menu-active-color": "#ffffff",
    "--el-menu-hover-text-color": "#ffffff",
    "--el-menu-horizontal-sub-item-height": "50px",
    "--lj-menu-bg-color-inverted": "#262626"
  }
};
