/**
 * @description 分账套权限
 */
export interface u_company {
  /**
   * @description 公司ID
   */
  comid?: number;
  /**
   * @description 公司名称
   */
  comname: string;
  /**
   * @description 操作员工
   */
  opemp: string;
  /**
   * @description 操作日期
   */
  opstring?: string;
  /**
   * @description 修改员工
   */
  modemp: string;
  /**
   * @description 修改日期
   */
  modstring?: string;
  /**
   * @description 采购汇率
   */
  pmrate?: number;
  /**
   * @description 销售汇率
   */
  mcrate?: number;
  /**
   * @description 公司代码
   */
  comcode: string;
  /**
   * @description 是否销售分包
   */
  ifsalefb?: number;
}

/**
 * @description 单据抬头
 */
export interface u_billcode {
  /**
   * @description ID
   */
  id?: number;
  /**
   * @description 单据名称
   */
  billstyle: string;
  /**
   *  @description 源抬头
   */
  oldfirststr: string;
  /**
   *  @description 新抬头
   */
  firststr: string;
  /**
   *  @description 曾用抬头
   */
  formername: string;
}

/**
 * @description
 */
export interface u_sc_workgroup {
  workgroups?: u_workgroup[];
  wrkGrpid?: number;
  wrkgrpcode?: string;
  wrkGrpName?: string;
  ifjj?: number;
  ifprint?: number;
  handtype?: string;
  sonflag?: number;
  parentid?: number;
  inuse?: number;
  storageid?: number;
  opstring?: string;
  opemp?: string;
  modstring?: string;
  modemp?: string;
  ifwkpmtrlware?: number;
  dscrp?: string;
  empnum?: number;
  avggz?: number;
  /**
   * @description 工组进度生成模式
   * [0]按工组交接数统计
   * [1]按工组末工序计件确认数统计
   * [2]按末工序计件确认数更新工组完成数统计
   * [3]工序完工单（末工序）更新工组完工数
   * [4]工序完工单（末工序）更新工艺完工数以及工组完工数
   * [5]工艺完工单更新工组完工数
   * [6]部件条码更新工组完工数
   * [7]按工组质检单
   * [8]工序完工单（所有工序配套数）更新工组完工数
   * [9]工组配套完成数，按已完成的工价百分比更新
   */
  jdtype?: number;
  jdnum?: number;
  tasktype?: number;
  sys_changetime?: string;
  userate?: number;
  deptid?: number;
  OTHour?: number;
  shortrate?: number;
  iflastfinish?: number;
  barcode_check?: number;
  ifauto_mode?: number;
  ifbj?: number;
  jjamt?: number;
  /**
   * @description 0-派工单核实即完工；1-工位机接工方可完工；2-工组完工需要考虑下工组接收数
   */
  finflowop?: number;
  /**
   * @description 工组添加列 工位机工序派工流程选项 0-不限制工序派工 1-本工组配套接收才可派工
   */
  proflowop?: number;
  /**
   * @description 工位机小组质检分值录入方式[0-质检完工时录入][1-月尾批更新][2-先完工后评分]
   */
  fenop?: number;
  gw_empid?: number;
  ifkey?: number;
  simplename?: string;
  /**
   * @description DONE:工位机工序交接主管代号,替代gw_empid的作用
   */
  gw_mastercode?: string;
  /**
   * @description TODO:本工组完成后是否需要交给后工组
   */
  gw_ifprojj?: number;
  /**
   * @description 是否允许派工后直接完工(0-不允许，1-允许)
   */
  ifdirectfinish?: number;
  /**
   * @description 接报工模式：0：默认，手动接工，手动报工
   */
  acceptMode?: number;
  /**
   * @description 完工模式：0，手动，1自动
   */
  finishMode?: number;
  /**
   * @description 物料工序表
   */
  workpriceList?: u_sc_workprice[];
}

/**
 * @description 分部
 */
export interface u_scdef {
  /**
   * @description 分部id
   */
  scid?: number;

  /**
   * @description 分部名
   */
  scname?: string;

  /**
   * @description 分部编码
   */
  sccode?: string;

  /**
   * @description
   */
  ffpsw?: string;

  /**
   * @description
   */
  mffpsw?: string;

  /**
   * @description
   */
  ifpscid?: number;

  /**
   * @description
   */
  accsetid?: number;

  /**
   * @description 独立核算分账套名称
   */
  comid?: number;

  /**
   * @description
   */
  sys_changetime?: Date;
}

/**
 * @description 公告栏列表
 */
export interface u_sys_post {
  postid: number;
  scid: number;
  deptid: number;
  sdate: string;
  edate: string;
  dscrp: string;
  opemp: string;
  opdate: string;
  //关联
  departmentname: string;
}

/**
 * @description 系统选项列表
 */
export interface sys_option {
  optionid: string;
  optionname: string;
  optionvalue: string;
}

export interface u_cust {
  /**
   * @description 客户ID
   */
  cusid?: number;
  /**
   * @description 客户编码
   */
  cuscode?: string;
  /**
   * @description 客户名称
   */
  name?: string;
  /**
   * @description 联系人
   */
  rep?: string;
  /**
   * @description 客户名称(定制报价不用)
   */
  cusname?: string;
  /**
   * @description 联系人(定制报价不用)
   */
  cusrep?: string;
  /**
   * @description 联系电话
   */
  tele?: string;
  /**
   * @description 地址
   */
  address?: string;
  /**
   * @description 区域
   */
  cusareaname?: string;
  /**
   * @description 区域
   */
  areaname?: string;
  /**
   * @description 状态:正式/非正式
   */
  state?: number;
  /**
   * @description 业务员
   */
  custype?: string;
  /**
   * @description 客户简称
   */
  simplename?: string;
  /**
   * @description 客户类别
   */
  cuskind?: string;
  /**
   * @description QQ
   */
  qqcode?: string;
  /**
   * @description 手机
   */
  tele1?: string;
  /**
   * @description 传真
   */
  faxno?: string;
  /**
   * @description 邮箱
   */
  email?: string;
  /**
   * @description 网址
   */
  nethttp?: string;
  /**
   * @description 默认货运部
   */
  freight?: string;
  /**
   * @description 货运部地址
   */
  stat_address?: string;
  /**
   * @description 货运电话
   */
  freight_tele?: string;
  /**
   * @description 货运部手机
   */
  stat_handtel?: string;
  /**
   * @description 客户状态描述
   */
  stateStr?: string;
  /**
   * @description 描述
   */
  dscrp?: string;
  /**
   * @description 有效
   */
  inuse?: number;
  /**
   * @description 有效
   */
  cusareaid?: number;
  /**
   * @description 建立人
   */
  opemp?: string;
  /**
   * @description 建立时间
   */
  opdate?: string;
  /**
   * @description 修改时间
   */
  moddate?: string;
  /**
   * @description 修改人
   */
  modemp?: string;
  moneyid?: number;
  banktypeid?: number;
  ifexportsale?: number;
  iftask?: number;
  ifout?: number;
  exporttype?: number;
  msttaketype?: number;
  rebate?: number;
  stat_rep?: string;
  bank?: string;
  cunt?: string;
  trade?: string;
  mainmarket?: string;
  corporation?: string;
  /**
   * @description 报价历史次数
   */
  BJnum?: number;
  banktypename?: string;
  moneyname?: string;
  listname?: string;
  /**
   * @description 发货方式
   */
  msttake?: string;
  /**
   * @description 销售类型
   */
  exportsale?: string;
}

/**
 * @description 客户关系列表
 */
export interface u_cust_rep {
  /**
   * @description 代表ID
   */
  repid?: number;
  /**
   * @description 客户ID
   */
  cusid?: number;
  /**
   * @description 代表姓名
   */
  repname?: string;
  /**
   * @description 职务
   */
  duty?: string;
  /**
   * @description 性别
   */
  sex?: string;
  /**
   * @description 办公电话
   */
  officetel?: string;
  /**
   * @description 手机号码
   */
  handtel?: string;
  /**
   * @description 传真号码
   */
  faxno?: string;
  /**
   * @description 邮箱
   */
  email?: string;
  /**
   * @description 描述
   */
  dscrp?: string;
  /**
   * @description 部门名称
   */
  deptname?: string;
  /**
   * @description 兴趣
   */
  interest?: string;
  /**
   * @description 主要产品
   */
  mainproduct?: string;
  /**
   * @description 创建日期
   */
  opdate?: string;
  /**
   * @description 创建人员
   */
  opemp?: string;
  /**
   * @description 修改日期
   */
  moddate?: string;
  /**
   * @description 修改人员
   */
  modemp?: string;
  /**
   * @description QQ号码
   */
  qqcode?: string;
  /**
   * @description MSN号码
   */
  msncode?: string;
  /**
   * @description 地址
   */
  address?: string;
  /**
   * @description 链接邮箱
   */
  ljmail?: string;
}

/**
 * @description 站点列表
 */
export interface u_station {
  /**
   * @description 站点ID
   */
  stationid?: number;
  /**
   * @description 站点名称
   */
  stationname?: string;
  /**
   * @description 代表
   */
  rep?: string;
  /**
   * @description 电话
   */
  tele?: string;
  /**
   * @description 地址
   */
  address?: string;
  /**
   * @description 手机号码
   */
  handtel?: string;
  /**
   * @description 传真号码
   */
  fax?: string;
  /**
   * @description 区域
   */
  area?: string;
  /**
   * @description 创建日期
   */
  opdate?: Date;
  /**
   * @description 创建人员
   */
  opemp?: string;
  /**
   * @description 邮箱
   */
  email?: string;
  /**
   * @description 使用状态
   */
  inuse?: number;
  /**
   * @description 描述
   */
  dscrp?: string;
  /**
   * @description 内容
   */
  content?: string;
  /**
   * @description 淘宝代码
   */
  taobao_code?: string;
  /**
   * @description 淘宝名称
   */
  taobao_name?: string;
  /**
   * @description 转换码公式
   */
  trancode_formula?: string;
  /**
   * @description 客户ID
   */
  cusid?: number;
  /**
   * @description 默认标志
   */
  dftflag?: number;
}

/**
 * @description 客户访谈列表
 */
export interface u_cust_interview {
  /**
   * @description 访谈ID
   */
  interviewid?: number;
  /**
   * @description 客户ID
   */
  cusid?: number;
  /**
   * @description 销售员
   */
  saler?: string;
  /**
   * @description 访谈日期
   */
  interviewdate?: Date;
  /**
   * @description 访谈代表
   */
  interviewrep?: string;
  /**
   * @description 访谈时长
   */
  interviewtime?: number;
  /**
   * @description 访谈内容
   */
  interviewcontent?: string;
  /**
   * @description 描述
   */
  dscrp?: string;
  /**
   * @description 修改日期
   */
  moddate?: Date;
  /**
   * @description 修改人员
   */
  modemp?: string;
  /**
   * @description 创建日期
   */
  opdate?: Date;
  /**
   * @description 创建人员
   */
  opemp?: string;
  /**
   * @description 金额
   */
  amt?: number;
  /**
   * @description 访谈方式
   */
  interviewway?: string;
  /**
   * @description 访谈结果
   */
  interviewrslt?: string;
  /**
   * @description 访谈形式
   */
  interviewform?: string;
  /**
   * @description 客户评估
   */
  custassess?: string;
  /**
   * @description 客户意见
   */
  custview?: string;
  /**
   * @description 电话
   */
  tele?: string;
  /**
   * @description 访谈地址
   */
  interviewaddress?: string;
  /**
   * @description 输入方式
   */
  inputway?: string;
  /**
   * @description 计划ID
   */
  planid?: number;
  /**
   * @description 单据类型
   */
  billtype?: number;
  /**
   * @description 下次访谈时间
   */
  nexttime?: Date;
  /**
   * @description 成功率
   */
  winrate?: number;
  /**
   * @description 成交金额
   */
  winamt?: number;
  /**
   * @description 计划日期
   */
  plandate?: Date;
  /**
   * @description 客户名称
   */
  cusname?: string;
  /**
   * @description 业务员ID
   */
  bsid?: number;
  /**
   * @description 业务员名称
   */
  bsname?: string;
  /**
   * @description 附件明细列表
   */
  fjmxList?: FileData[];
}

export interface oa_emp_workplan {
  /**
   * 文件列表
   */
  fileList: oa_emp_workplan_file[];
  /**
   * 任务ID
   */
  planid?: number;
  /**
   * 0-临时任务 1-客户走访 2-设备维护 3-单据关联 4-稽核 5-维修任务
   */
  kind?: number;
  /**
   * 任务类型描述
   */
  kindStr?: string;
  /**
   * 任务人
   */
  empid?: number;
  /**
   * 任务人姓名/业务员
   */
  empname?: string;
  /**
   * 关联客户ID
   */
  relid?: number;
  /**
   * 联系人
   */
  relrep?: string;
  /**
   * 电话
   */
  reltele?: string;
  /**
   * 地址
   */
  address?: string;
  /**
   * 走访类型
   */
  interviewform?: string;
  /**
   * 主题
   */
  topic?: string;
  /**
   * 任务内容
   */
  content?: string;
  /**
   * 及格标准
   */
  standard?: string;
  /**
   * 开始时间
   */
  stime?: Date;
  /**
   * 结束时间
   */
  etime?: Date;
  /**
   * 发起人
   */
  opempid?: number;
  /**
   * 建立人
   */
  opemp?: string;
  /**
   * 建立时间
   */
  opdate?: Date;
  /**
   * 重复(0：一次1：本月每周同日2：本年每周同日3：本年每月同日)
   */
  planrule?: number;
  /**
   * 重复任务ID
   */
  relplanid?: number;
  /**
   * 提醒提前小时数
   */
  prehours?: number;
  /**
   * 描述
   */
  dscrp?: string;
  /**
   * 修改人
   */
  modemp?: string;
  /**
   * 修改时间
   */
  moddate?: Date;
  /**
   * 工时
   */
  workhour?: number;
  /**
   * 审批意见
   */
  upidea?: string;
  /**
   * 每天数量
   */
  perdaynum?: number;
  /**
   * 验收人
   */
  check_empid?: number;
  /**
   * 是否已读
   */
  ifread?: number;
  /**
   * 状态0-打开 1-完成 2-验收 3-终止 4-被返工
   */
  status?: number;
  /**
   * 状态描述
   */
  statusStr?: string;
  /**
   * 完成报告
   */
  finishreport?: string;
  /**
   * 实际完成时间
   */
  finishtime?: Date;
  /**
   * 评分
   */
  score?: number;
  /**
   * 评价
   */
  evaluation?: string;
  /**
   * 返工次数
   */
  reworknum?: number;
  /**
   * 返工任务
   */
  reworkplanid?: number;
  /**
   * 相关单据号
   */
  relbillcode?: string;
  /**
   * 任务群组
   */
  plangroup?: string;
  /**
   * 任务群组成员
   */
  plangroup_emp?: string;
  /**
   * 任务群组成员id
   */
  plangroup_empid?: string;
  /**
   * 只有稽核任务用到，用于村识不同类型的稽核任务，方便代码定制不同的后续流程
   * 0：无
   * 1：指令单拉货
   * 2：指令单尾数
   */
  checktype?: number;
  /**
   * 稽核类型描述
   */
  checktypeStr?: string;
  /**
   * 关联mbid
   */
  relmbid?: number;
  /**
   * 打印ID
   */
  printid?: number;
  /**
   * 关联打印ID
   */
  relprintid?: number;
  /**
   * 开始小时
   */
  beginhour?: number;
  /**
   * 任务小时
   */
  taskhour?: number;
  /**
   * 完成类型
   */
  finishtype?: number;
  /**
   * 考核节点id
   */
  checkpointmxid?: number;
  /**
   * 考核节点名称
   */
  namemx?: string;
  /**
   * 考核节点条款简述
   */
  checkpoint_dscrp?: string;
  /**
   * 惩罚类型
   */
  punish_type?: number;
  /**
   * 惩罚公式
   */
  punish_formula?: string;
  /**
   * 关联SQL ID
   */
  sql_id?: number;
  /**
   * 发起人姓名
   */
  opempname?: string;
  /**
   * 客户名
   */
  custname?: string;
  /**
   * 验收人姓名
   */
  check_empname?: string;
  /**
   * 是否有文件
   */
  hasFile?: number;
  /**
   * 关联的SQL脚本
   */
  sqlstr?: string;
  /**
   * SQL查询结果
   */
  sql_rslt?: string;
  /**
   * 0-考核，1-查询
   */
  if_query?: number;
  /**
   * 设备ID
   */
  EquipID: number;
  /**
   * 设备编号
   */
  EquipCode: string;
  /**
   * 设备名称
   */
  EquipName: string;
  /**
   * 设备规格
   */
  EquipMode: string;
  /**
   * 设备种类
   */
  typename: string;
  /**
   * 工作中心
   */
  workgroupname: string;
  /**
   * 物料名称
   */
  mtrlname: string;
  /**
   * 任务关联编号
   */
  taskrelcode: string;
  /**
   * 订单数量
   */
  orderqty: number;
  /**
   * 未完成数量
   */
  nocmpqty: number;
  /**
   * 工作组名称
   */
  wrkgrpname: string;
  /**
   * 状态配置
   */
  status_config: string;
  /**
   * 木材编码配置
   */
  woodcode_config: string;
  /**
   * 产品编码配置
   */
  pcode_config: string;
}

export interface oa_emp_workplan_file {
  /**
   * @description 数据
   */
  filedata: number[];
  /**
   * @description base64字符串
   */
  base64: string;
  /**
   * @description 附件ID
   */
  fileid?: number;
  /**
   * @description 任务ID
   */
  planid?: number;
  /**
   * @description 类型(0-任务描述 1-执行结果)
   */
  filetype?: number;
  /**
   * @description 文件名(全名含扩展名)
   */
  filename: string;
  /**
   * @description 扩展名(不含.)
   */
  extname: string;
  /**
   * @description 文件大小(KB)
   */
  filekb?: number;
  /**
   * @description 文件MD5
   */
  filemd5: string;
}

export interface rp_mtrlWillRqqty {
  //物料编码
  mtrlcode?: string;
  //名称
  mtrlname?: string;
  //规格
  mtrlmode?: string;
  //配置
  status?: string;
  //配置1
  woodcode?: string;
  //配置2
  pcode?: string;
  //自定义1
  mtrlsectype?: string;
  //自定义2
  zxmtrlmode?: string;
  //自定义3
  usermtrlmode?: string;
  //缺料数
  truerqqty?: number;
  //订单需求数
  taskqty?: number;
  //生产需求数
  rqqty?: number;
  //外协需求数
  wfjgrqqty?: number;
  //售后服务需求数
  serveqty?: number;
  //最低安全库存
  minqty?: number;
  //库存数
  noallocqty?: number;
  //外协库存数
  wxnoallocqty?: number;
  //采购未到货数
  buytaskqty?: number;
  //生产未完成数
  ordermlqty?: number;
  //外协未到货数
  wfjgqty?: number;
  //生产计划未排指令数
  not_zlqty?: number;
  //外协申请单未订货数
  rqwfjgqty?: number;
  //调拨已调出审未调入审数
  outwaremove_qty?: number;
  //申购未采购数
  rqbuyqty?: number;
  //未审申购数
  rqbuyqty_notaudit?: number;
  //参考下单数
  refqty?: number;
}
/**
 * @description 物料类别列表/递归树
 */
export interface u_mtrltype {
  /**
   * @description 物料类型的ID。
   */
  mtrltypeid?: number;
  /**
   * @description 物料类型的名称。
   */
  mtrltype?: string;
  /**
   * @description 物料类型的手工类型。
   */
  handtype?: string;
  /**
   * @description 标识物料类型是否为子类型的标志。
   */
  sonflag?: byte;
  /**
   * @description 父物料类型的ID。
   */
  parentid?: number;
  /**
   * @description 物料类型的属性。
   */
  mtrlprp?: byte;
  /**
   * @description 物料类型的代码。
   */
  typecode?: string;
  /**
   * @description 物料类型的代码字符串。
   */
  typecodestr?: string;
}

/**
 * @description 物料库存
 */
export interface u_mtrlware {
  /**
   * @description scid
   */
  scid?: number;
  /**
   * @description mtrlwareid
   */
  mtrlwareid?: number;
  /**
   * @description mtrlid
   */
  mtrlid?: number;
  /**
   * @description storageid
   */
  storageid?: number;
  /**
   * @description plancode
   */
  plancode?: string;
  /**
   * @description Status
   */
  status?: string;
  /**
   * @description noallocqty
   */
  noallocqty?: number;
  /**
   * @description allocqty
   */
  allocqty?: number;
  /**
   * @description wareamt
   */
  wareamt?: number;
  /**
   * @description planprice
   */
  planprice?: number;
  /**
   * @description waredate
   */
  waredate?: Date;
  /**
   * @description outdate
   */
  outdate?: Date;
  /**
   * @description Sptid
   */
  sptid?: number;
  /**
   * @description Dxflag
   */
  Dxflag?: number;
  /**
   * @description sys_changetime
   */
  sys_changetime?: Date;
  /**
   * @description newprice
   */
  newprice?: number;
  /**
   * @description woodcode
   */
  woodcode?: string;
  /**
   * @description pcode
   */
  pcode?: string;
  /**
   * @description cost
   */
  cost?: number;
  /**
   * @description noallocaddqty
   */
  noallocaddqty?: number;
  /**
   * @description allocaddqty
   */
  allocaddqty?: number;
  /**
   * @description inworkdate
   */
  inworkdate?: Date;
  /**
   * @description waredscrp
   */
  waredscrp?: string;
  /**
   * @description location
   */
  location?: string;
  /**
   * @description mtrlcuscode
   */
  mtrlcuscode?: string;
  /**
   * @description canuseqty
   */
  canuseqty?: number;
}

/**
 * @description 条码明细
 */
export interface u_mtrlware_mx {
  /**
   * @description 分部ID
   */
  scid?: number;
  /**
   * @description 物料仓库ID
   */
  mtrlwareid?: number;
  /**
   * @description 获取条码ID
   */
  getbarid?: number;
  /**
   * @description 条形码
   */
  barcode?: string;
  /**
   * @description 包装数量
   */
  packqty?: number;
  /**
   * @description 数量
   */
  qty?: number;
  /**
   * @description 是否使用
   */
  isuse?: number;
  /**
   * @description 入库标志
   */
  inflag?: number;
  /**
   * @description 出库标志
   */
  outflag?: number;
  /**
   * @description 获取条码标志
   */
  getbarflag?: number;
  /**
   * @description 物料ID
   */
  mtrlid?: number;
  /**
   * @description 仓库ID
   */
  storageid?: number;
  /**
   * @description 仓库名称
   */
  storagename?: string;
  /**
   * @description 是否关联
   */
  ifrel?: number;
  /**
   * @description 订单ID
   */
  orderid?: number;
  /**
   * @description 描述
   */
  mxdscrp?: string;
  /**
   * @description 入库时间
   */
  waredate?: Date;
  /**
   * @description 销售时间
   */
  saledate?: Date;
  /**
   * @description 打印次数
   */
  printnum?: number;
  /**
   * @description
   */
  ctmint?: number;
  /**
   * @description 供应商id
   */
  sptid?: number;
  /**
   * @description 配置
   */
  status?: string;
  /**
   * @description 配置一
   */
  woodcode?: string;
  /**
   * @description 配置二
   */
  pcode?: string;
  /**
   * @description 批号
   */
  plancode?: string;
  /**
   * @description 批号
   */
  mtrlcuscode?: string;
  /**
   * @description 仓位
   */
  location?: string;
  /**
   * @description
   */
  buytaskprintid?: number;
  /**
   * @description 相关单据编号
   */
  relbillcode?: string;
  /**
   * @description 相关单据ID
   */
  relbillid?: number;
  /**
   * @description 相关打印ID
   */
  relprintid?: number;
  /**
   * @description 盘点仓库ID
   */
  pdbstorageid?: number;
  /**
   * @description 盘点日期
   */
  pdbdate?: number;
  /**
   * @description 旧物料仓库ID
   */
  oldmtrlwareid?: number;
  /**
   * @description 旧位置
   */
  oldlocation?: string;
  /**
   * @description 包装单位数量
   */
  packuqty?: number;
  /**
   * @description 比率
   */
  rate?: number;
  /**
   * @description 描述2
   */
  mxdscrp2?: string;
  /**
   * @description 描述3
   */
  mxdscrp3?: string;
  /**
   * @description 描述4
   */
  mxdscrp4?: string;
}

export interface u_mtrlware_location {
  /**
   * @description 仓位
   */
  location?: string;
  /**
   * @description 已进仓数
   */
  inqty?: number;
  /**
   * @description 已出仓数
   */
  outqty?: number;
  /**
   * @description 最后进仓时间
   */
  opdate?: Date;
  /**
   * @description 最后进仓人
   */
  opemp?: string;
  /**
   * @description 最后出仓时间
   */
  outopdate?: Date;
  /**
   * @description 最后出仓人
   */
  outopemp?: string;
  /**
   * @description 未出仓数
   */
  notoutqty?: number;
  /**
   * @description 总容积
   */
  volume?: number;
  /**
   * @description 已用容积
   */
  comvolume?: number;
  /**
   * @description 剩余容积
   */
  lastvolume?: number;
}

/**
 * @description 仓库仓位信息
 */
export interface u_storage_loca {
  /**
   * @description storageid
   */
  storageid?: number;
  /**
   * @description sortcode
   */
  sortcode?: string;
  /**
   * @description locacode
   */
  locacode?: string;
  /**
   * @description lcode
   */
  lcode?: string;
  /**
   * @description 辅助
   */
  storagename?: string;
  /**
   * @description qty
   */
  qty?: number;
  /**
   * @description iflocation
   */
  iflocation?: number;
  /**
   * @description scode
   */
  scode?: string;
  /**
   * @description 仓位设置容量
   */
  area?: string;
  /**
   * @description volume
   */
  volume?: number;
  /**
   * @description 排序 999999：未设置仓区；999998：已设置仓区；>100000：推荐存放仓区；<100000：推荐存放仓位
   */
  sort?: number;
  /**
   * @description 仓位已存容量
   */
  allarea?: number;
  /**
   * @description 某物料/产品存放体积
   */
  mtrlarea?: number;
  /**
   * @description 某物料/产品存储量
   */
  notoutqty?: number;
  /**
   * @description 物料生产批号
   */
  plancode?: string;
  /**
   * @description 物料最近进出仓时间
   */
  opdate?: Date;
  /**
   * @description 是否默认存放位仓位置：0：不是；1；默认存放仓位；2：默认存放仓区
   */
  ifdefault?: number;
  /**
   * @description 是否使用新仓位模式
   */
  uselocation?: number;
}

/**
 * @description 客户价格
 */
export interface u_cus_price {
  /**
   * @description 客户id
   */
  cusid?: number;
  /**
   * @description 物料id
   */
  mtrlid?: number;
  /**
   * @description 销售单价
   */
  fprice?: number;
  /**
   * @description 销售折扣
   */
  zqrate?: number;
  /**
   * @description 销售实价
   */
  price?: number;
  /**
   * @description 备注
   */
  dscrp?: string;
  /**
   * @description 客户价格 更新时间
   */
  sys_changetime?: Date;
  /**
   * @description 颜色面料
   */
  status?: string;
  /**
   * @description 配置
   */
  woodcode?: string;
  /**
   * @description 订造说明
   */
  pcode?: string;
  /**
   * @description 有效
   */
  ifcancel?: number;
  /**
   * @description 报价单价
   */
  fprice_bj?: number;
  /**
   * @description 报价折扣
   */
  zqrate_bj?: number;
  /**
   * @description 报价实价
   */
  price_bj?: number;
  /**
   * @description 币种id
   */
  moneyid?: number;
  /**
   * @description 对应价格表
   */
  pricelistid?: number;
  /**
   * @description 数量下限
   */
  qty?: number;
  /**
   * @description 数量上限
   */
  qty1?: number;
  /**
   * @description 云端同步时间
   */
  fx_sync_time?: Date;
  /**
   * @description 单位
   */
  unit?: string;
}

/**
 * @description 币种
 */
export interface cw_currency {
  /**
   * @description 代号
   */
  code?: string;
  /**
   * @description 币种名称
   */
  name?: string;
  /**
   * @description 对人民币最新汇率
   */
  rate?: number;
  /**
   * @description 本位币
   */
  native?: number;
  /**
   * @description 有效
   */
  isuse?: number;
}

/**
 * @description 价格表
 */
export interface u_sale_price_list {
  /**
   * @description 价格表id
   */
  pricelistid?: number;
  /**
   * @description 价格表名称
   */
  listname?: string;
  /**
   * @description 标准
   */
  dftflag?: number;
  /**
   * @description 审核
   */
  flag?: number;
  /**
   * @description 审核人
   */
  auditingrep?: string;
  /**
   * @description 审核时间
   */
  auditingdate?: Date;
  /**
   * @description 币种
   */
  moneyid?: number;
  /**
   * @description 摘要
   */
  dscrp?: string;
  /**
   * @description 建立人
   */
  opemp?: string;
  /**
   * @description 建立时间
   */
  opdate?: Date;
  /**
   * @description 有效期
   */
  workdate?: Date;
}

/**
 * @description 价格表明细
 */
export interface u_sale_price_mx {
  /**
   * @description 价格表id
   */
  pricelistid?: number;
  /**
   * @description 物料id
   */
  mtrlid?: number;
  /**
   * @description 含税价
   */
  price?: number;
  /**
   * @description 上次价
   */
  hisprice?: number;
  /**
   * @description 备注
   */
  dscrp?: string;
  /**
   * @description 客户价格
   */
  cusprice?: number;
  /**
   * @description 颜色面料
   */
  status?: string;
  /**
   * @description 配置
   */
  pcode?: string;
  /**
   * @description 订造说明
   */
  woodcode?: string;
  /**
   * @description 修改时间
   */
  updatetime?: Date;
  /**
   * @description 折扣
   */
  rebate?: number;
  /**
   * @description 单价公式
   */
  pricestr?: string;
  /**
   * @description 折扣公式
   */
  rebatestr?: string;
  /**
   * @description 数量下限
   */
  saleqty?: number;
  /**
   * @description 数量上限
   */
  saleqty1?: number;
  /**
   * @description 审核
   */
  flag?: number;
  /**
   * @description 审核时间
   */
  auditingdate?: Date;
  /**
   * @description 审核人
   */
  auditingemp?: string;
  /**
   * @description 修改人
   */
  updateemp?: string;
  /**
   * @description 财审
   */
  secflag?: number;
  /**
   * @description 财审时间
   */
  secauditemp?: Date;
  /**
   * @description 财审人
   */
  secauditdate?: string;
  /**
   * @description 税率
   */
  tax?: number;
  /**
   * @description 不含税价
   */
  price_notax?: number;
  /**
   * @description 含税价  辅单位1
   */
  price_unit1?: number;
  /**
   * @description 不含税价  辅单位1
   */
  price_notax_unit1?: number;
  /**
   * @description 含税价  辅单位2
   */
  price_unit2?: number;
  /**
   * @description 不含税价  辅单位2
   */
  price_notax_unit2?: number;
  /**
   * @description 含税价  辅单位3
   */
  price_unit3?: number;
  /**
   * @description 不含税价  辅单位3
   */
  price_notax_unit3?: number;
}

/**
 * @description 公文
 */
export interface oa_doc {
  /**
   * @description 公文ID
   */
  docid?: number;
  /**
   * @description 公文编号
   */
  doccode?: string;
  /**
   * @description 标题
   */
  doctitle?: string;
  /**
   * @description 待补充
   */
  doccontent?: string;
  /**
   * @description 待补充
   */
  doccontent_add?: string;
  /**
   * @description 待补充
   */
  doccontent_ori?: string;
  /**
   * @description 备注
   */
  dscrp?: string;
  /**
   * @description 状态
   */
  docflag?: number;
  /**
   * @description 类型
   */
  dtype?: number;
  /**
   * @description 相关单号
   */
  billcode?: string;
  /**
   * @description 发起人
   */
  opemp?: string;
  /**
   * @description 发起时间
   */
  opdt?: Date;
  /**
   * @description 待补充
   */
  mdfemp?: string;
  /**
   * @description 待补充
   */
  mdfdt?: Date;
  /**
   * @description 最后处理人
   */
  fnsemp?: string;
  /**
   * @description 最后处理时间
   */
  fnsdt?: Date;
  /**
   * @description 待补充
   */
  scid?: number;
  /**
   * @description 待补充
   */
  billid?: number;
  /**
   * @description 待补充
   */
  flowid?: number;
  /**
   * @description 待补充
   */
  flowsort?: number;
  /**
   * @description 待补充
   */
  secrecy?: number;
  /**
   * @description 待补充
   */
  rowid?: number;
  /**
   * @description 待补充
   */
  powerid?: number;
  /**
   * @description 待补充
   */
  empid?: number;
  /**
   * @description 待补充
   */
  timedscrp?: string;
  /**
   * @description 待补充
   */
  specialdscrp?: string;
  /**
   * @description 待补充
   */
  html?: string;
  /**
   * @description 权值
   */
  relqty?: number;
  /**
   * @description 待补充
   */
  reldemocode?: string;
  /**
   * @description 待补充
   */
  reldemoid?: number;
  /**
   * @description 审批限制时限
   */
  last_time?: string;
  /**
   * @description 待补充
   */
  dscrp2?: string;
  /**
   * @description 抄送
   */
  ifcopy?: number;
  /**
   * @description 超期
   */
  ifover?: number;
  /**
   * @description 超期信息
   */
  overinfo?: string;
}

/**
 * @description 消息
 */
export interface sys_admsgmx {
  /**
   * @description 消息id
   */
  msgid?: number;
  /**
   * @description 待补充
   */
  senddtint?: number;
  /**
   * @description 收件人id
   */
  empid?: number;
  /**
   * @description 标题
   */
  s_msgtitle?: string;
  /**
   * @description 确认
   */
  dealflag?: number;
  /**
   * @description 确认时间
   */
  dealdt?: Date;
  /**
   * @description 消息
   */
  s_msg?: string;
  /**
   * @description 待补充
   */
  scid?: number;
  /**
   * @description 相关单号
   */
  billcode?: string;
  /**
   * @description 待补充
   */
  atflag?: number;
  /**
   * @description 已读
   */
  read_flag?: number;
  /**
   * @description 待补充
   */
  kind?: number;
}

/**
 * @description 公告栏
 */
export interface u_sys_post {
  /**
   * @description 公告ID
   */
  postid?: number;
  /**
   * @description 分部
   */
  scid?: number;
  /**
   * @description 部门id
   */
  deptid?: number;
  /**
   * @description 开始日期
   */
  sdate?: Date;
  /**
   * @description 结束日期
   */
  edate?: Date;
  /**
   * @description 内容
   */
  dscrp?: string;
  /**
   * @description 发布人
   */
  opemp?: string;
  /**
   * @description 发布时间
   */
  opdate?: Date;
}

export interface cw_department {
  /**
   * @description 待补充
   */
  accsetid: number;
  /**
   * @description 部门id
   */
  departmentid: number;
  /**
   * @description 部门名称
   */
  departmentname: string;
  /**
   * @description 部门编号
   */
  deptcode: string;
  /**
   * @description 部门详细信息
   */
  handtype: string;
  /**
   * @description 待补充
   */
  sonflag: number;
  /**
   * @description 上级部门id
   */
  parentid: number;
  /**
   * @description 标准人数
   */
  standardnum: number;
}

/**
 * @description 附件
 */
export interface FileData {
  fileid?: number;
  /**
   * @description 文件名，包扩展名，如："ABC.jpg"
   */
  fileName: string;
  /**
   * @description 附件别名
   */
  displayName: string;
  /**
   * @description 文件实际内容
   */
  fileData: any;
  /**
   * @description 关联单据id
   */
  relid?: number;
  /**
   * @description 关联单据明细id
   */
  relidmx?: number;
  /**
   * @description 文件类型
   */
  fileType: string;
  /**
   * @description base64字符串
   */
  base64: string;
  /**
   * @description 是否数据库已保存
   */
  ifDBSave: number;
  /**
   * @description file
   */
  filemd5: string;
  /**
   * @description 文件类名
   */
  ClassID: number;
  /**
   * @description 类别名称
   */
  ClassName: string;
  /**
   * @description 文件类别
   */
  billtype: number;
  /**
   * @description 附件数据库id
   */
  FileID_ERP?: number;
  scid?: number;
  relcode: string;
  relcodemx: string;
  // parm: ImgParm;
  /**
   * @description 文件大小(KB)
   */
  filekb?: number;
  /**
   * @description 辅助字段
   */
  printStr: string;
}

/**
 * @description 附件分类
 */
export interface FileClass {
  classId: number;
  className: string;
  dscrp: string;
  billType: number;
  ifSend: number;
  FileDatas: FileData[];
}

export interface sys_print_template {
  id?: number;
  printid?: number;
  /**
   * @description 打印模板名称
   */
  dwname: string;
  /**
   * @description 别名
   */
  aliase: string;
  /**
   * @description 打印模板内容
   */
  content: string;
  /**
   * @description 是否直接打印
   */
  directPrint?: boolean;
  /**
   * @description 直接打印
   */
  copies?: number;
  /**
   * @description 打印名称
   */
  printer?: any;
  /**
   * @description 是否默认模板 0： 否，1：是， 2: 经sql重置
   */
  isdefault?: number;
}
