export namespace uFinance {
  export interface u2_mx_takepay {
    /**
     * 收付款ID
     */
    takepayid?: number;
    /**
     * 单据类型
     */
    billtype?: number;
    /**
     * 分账套
     */
    comid?: number;
    /**
     * 行号
     */
    printid?: number;
    /**
     * 分部
     */
    scid?: number;
    /**
     * 客户/供应商
     */
    cusid_sptid?: number;
    /**
     * 单据编码
     */
    billcode?: string;
    /**
     * 相关号
     */
    relcode?: string;
    /**
     * 发生日期
     */
    billdate?: Date;
    /**
     * 预付款日期
     */
    viewdate?: Date;
    /**
     * 经手人
     */
    inrep?: string;
    /**
     * 费用项目
     */
    itemid?: number;
    /**
     * 币种
     */
    moneyid?: number;
    /**
     * 账户ID
     */
    accountsid?: number;
    /**
     * 结算方式
     */
    banktypeid?: number;
    /**
     * 汇率
     */
    mrate?: number;
    /**
     * 应付/应收金额(原币)
     */
    rawamt1?: number;
    /**
     * 应付/应收金额(人民币)
     */
    amt1?: number;
    /**
     * 已付/已收金额(原币)
     */
    rawamt2?: number;
    /**
     * 已付/已收金额(人民币)
     */
    amt2?: number;
    /**
     * 结余金额(原币)
     */
    erawamt?: number;
    /**
     * 结余金额(人民币)
     */
    eamt?: number;
    /**
     * 结余汇率
     */
    emrate?: number;
    /**
     * 摘要
     */
    dscrp?: string;
    /**
     * 核销金额（人民币）
     */
    writeoffamt?: number;
    /**
     * 建立人
     */
    opemp?: string;
    /**
     * 建立时间
     */
    opdate?: Date;
    /**
     * 待补充
     */
    ctmint?: number;
    /**
     * 核销金额（原币）
     */
    rawwriteoffamt?: number;
    /**
     * 结账月份
     */
    balcmth?: number;
    /**
     * 结账日期
     */
    balcdate?: Date;
    /**
     * 结账人
     */
    balcemp?: string;
  }

  export interface u_accounts {
    /**
     * 账户ID
     */
    accountsid?: number;
    /**
     * 账户名称
     */
    accountsname?: string;
    /**
     * 描述
     */
    dscrp?: string;
    /**
     * 建立人
     */
    opemp?: string;
    /**
     * 建立时间
     */
    opdate?: Date;
    /**
     * 负责人
     */
    accountrep?: string;
    /**
     * 有效
     */
    ifuse?: number;
    /**
     * 帐户类别
     */
    accountstype?: number;
    /**
     * 币种
     */
    moneyid?: number;
    /**
     * 会计科目
     */
    subid?: string;
    /**
     * 分部
     */
    scid?: number;
    /**
     * 默认结算方式
     */
    banktypeid?: number;
    /**
     * 帐户简称
     */
    simplename?: string;
    /**
     * 帐号编号
     */
    accountscode?: string;
  }

  export interface u2_mx_money {
    /**
     * id
     */
    rapid?: number;
    /**
     * 分部
     */
    scid?: number;
    /**
     * 账户ID
     */
    accountsid?: number;
    /**
     * 客户ID
     */
    cusid?: number;
    /**
     * 供应商ID
     */
    sptid?: number;
    /**
     * 行
     */
    printid?: number;
    /**
     * 单据编码
     */
    billcode?: string;
    /**
     * 相关号
     */
    relcode?: string;
    /**
     * 结算方式
     */
    banktypeid?: number;
    /**
     * 发生日期
     */
    takedate?: Date;
    /**
     * 发生汇率
     */
    mrate?: number;
    /**
     * 收入金额(原币)
     */
    rawdebit?: number;
    /**
     * 支出金额(原币)
     */
    rawcredit?: number;
    /**
     * 收入金额(人民币)
     */
    debit?: number;
    /**
     * 支出金额(人民币)
     */
    credit?: number;
    /**
     * 结余金额(原币)
     */
    erawamt?: number;
    /**
     * 结余金额(人民币)
     */
    eamt?: number;
    /**
     * 结余汇率
     */
    emrate?: number;
    /**
     * 经手人
     */
    takeemp?: string;
    /**
     * 摘要
     */
    dscrp?: string;
    /**
     * 建立人
     */
    opemp?: string;
    /**
     * 建立时间
     */
    opdate?: Date;
    /**
     *
     */
    ctmint?: number;
    /**
     * 结账月份
     */
    balcmth?: number;
    /**
     * 结账时间
     */
    balcdate?: Date;
    /**
     * 结算人员
     */
    balcemp?: string;
  }
}
