export namespace uSale {
  /**
   * @description 订单分类
   */
  export interface u_saletype {
    typeid?: number;
    typename: string;
    mtrllimittype?: number;
    pricelimittype?: number;
    cplimittype?: number;
    selecttype?: number;
    hispriceflag?: number;
    billcode?: string;
    ifbj?: number;
    salepriceeditmode?: number;
    rebateeditmode?: number;
    inuse?: number;
    ifdl?: number;
    deptid?: number;
    ifoppose?: number;
  }

  /**
   * @description 销售订单
   */
  export interface u_saletask {
    /**
     * @description 打印次数
     */
    printnum?: string;
    /**
     * @description 超期天数
     */
    delaydays?: string;
    /**
     * @description 是否已开单
     */
    ifsaleout?: string;
    /**
     * @description 订单编号
     */
    taskcode?: string;
    /**
     * @description 订单状态
     */
    status?: string;
    /**
     * @description 优先级
     */
    level?: string;
    /**
     * @description 订单分类
     */
    typename?: string;
    /**
     * @description 订货日期
     */
    taskdate?: string;
    /**
     * @description 结算方式
     */
    banktypeid?: string;
    /**
     * @description 业务员
     */
    assign_emp?: string;
    /**
     * @description 上级经理
     */
    upname?: string;
    /**
     * @description 交货方式
     */
    paytype?: string;
    /**
     * @description 货运部
     */
    freight?: string;
    /**
     * @description 货运部电话
     */
    freight_tele?: string;
    /**
     * @description 币种
     */
    moneyid?: string;
    /**
     * @description 汇率
     */
    mrate?: string;
    /**
     * @description 交货日期
     */
    requiredate?: string;
    /**
     * @description 相关号码
     */
    relcode?: string;
    /**
     * @description 联系人
     */
    rel_rep?: string;
    /**
     * @description 客户电话
     */
    cus_tele?: string;
    /**
     * @description 客户传真
     */
    cus_fax?: string;
    /**
     * @description 备注
     */
    dscrp?: string;
    /**
     * @description 齐款
     */
    ifamt_ok?: string;
    /**
     * @description 单据金额
     */
    msttakeamt?: string;
    /**
     * @description 已收余款
     */
    takeamt?: string;
    /**
     * @description 订金
     */
    damt?: string;
    /**
     * @description 已收订金
     */
    takedamt?: string;
    /**
     * @description 未收金额
     */
    notakeamt?: string;
    /**
     * @description 优惠金额
     */
    otheramt?: string;
    /**
     * @description 单据金额-优惠金额
     */
    nototheramt?: string;
    /**
     * @description 生产备注
     */
    dscrp2?: string;
    /**
     * @description 辅助备注
     */
    dscrp3?: string;
    /**
     * @description 完成/终止时间
     */
    accomplishdate?: string;
    /**
     * @description 建立人
     */
    opemp?: string;
    /**
     * @description 建立时间
     */
    opdate?: string;
    /**
     * @description 审核人
     */
    permit_emp?: string;
    /**
     * @description 审核时间
     */
    permit_date?: string;
    /**
     * @description 修改人
     */
    modemp?: string;
    /**
     * @description 修改时间
     */
    moddate?: string;
    /**
     * @description 完成确认人
     */
    finishemp?: string;
    /**
     * @description 暂停/终止人
     */
    stopemp?: string;
    /**
     * @description 生产审时间
     */
    p_Auditingdate?: string;
    /**
     * @description 生产审人
     */
    p_Auditingrep?: string;
    /**
     * @description 发送时间
     */
    sendTime?: string;
    /**
     * @description 发送人
     */
    sendUser?: string;
    /**
     * @description 电子商务相关单号
     */
    fiebrelcode?: string;
    /**
     * @description 单据附件数量
     */
    fjcnt_uc?: string;
    /**
     * @description 明细附件数量
     */
    fjcnt_mx?: string;
    /**
     * @description 汇率方案
     */
    exchangeid?: string;
    /**
     * @description 客户价格备注
     */
    pricedscrp?: string;
    /**
     * @description 备忘摘要(整单批注)
     */
    reminddscrp?: string;
    /**
     * @description 货运部地址
     */
    station_address?: string;
    /**
     * @description 确认
     */
    priceflag?: string;
    /**
     * @description 确认时间
     */
    pricedate?: string;
    /**
     * @description 确认人
     */
    pricerep?: string;
    /**
     * @description 选择限制及取价模式
     */
    selecttype?: string;
    /**
     * @description 板式销售意向单号
     */
    relwillcode?: string;
    /**
     * @description 协同报价确认
     */
    fiebPriceFlag?: string;
    /**
     * @description 协同订单状态
     */
    fxStatus?: string;
    /**
     * @description 终止原因
     */
    stopreason?: string;
    /**
     * @description 已收订金转发货金额
     */
    takedamtturn?: string;
    /**
     * @description 客户单号
     */
    cusrelcode?: string;
    /**
     * @description 客户交期确认
     */
    cusflag?: string;
    /**
     * @description 分配费用
     */
    reissueamt?: string;
    /**
     * @description 唛头审核时间
     */
    mtauditdate?: string;
    /**
     * @description 唛头审核人
     */
    mtauditemp?: string;
    /**
     * @description 唛头审核
     */
    mtauditflag?: string;
    /**
     * @description 唛头最近上传时间
     */
    mtfjdate?: string;
    /**
     * @description 唛头最近上传人
     */
    mtfjemp?: string;
    /**
     * @description 唛头附件
     */
    ifmtfj?: string;
  }

  /**
   * @description 销售订单明细
   */
  export interface u_saletask_mx {
    /**
     * @description 分组
     */
    outtypestr?: string;
    /**
     * @description 数量
     */
    saleQty?: string;
    /**
     * @description 辅数
     */
    addqty?: string;
    /**
     * @description 数量  销售单位
     */
    uqty?: string;
    /**
     * @description 单价  销售单位
     */
    enprice_unit?: string;
    /**
     * @description 转换率
     */
    rate_sale?: string;
    /**
     * @description 销售单位
     */
    sale_unit?: string;
    /**
     * @description 价格分类
     */
    pricetype?: string;
    /**
     * @description 单价
     */
    enprice?: string;
    /**
     * @description 折扣
     */
    rebate?: string;
    /**
     * @description 税率
     */
    taxrate?: string;
    /**
     * @description 交货日期
     */
    requiredate?: string;
    /**
     * @description 投影面积
     */
    area?: string;
    /**
     * @description 原币  实价
     */
    bateprice?: string;
    /**
     * @description 含税折前原币金额
     */
    Tamt?: string;
    /**
     * @description 人民币单价
     */
    fprice?: string;
    /**
     * @description 人民币实价
     */
    price?: string;
    /**
     * @description 不含税  原币单价
     */
    enprice_tax?: string;
    /**
     * @description 不含税原币  折后单价
     */
    bateprice_tax?: string;
    /**
     * @description 不含税折后原币金额
     */
    enamt_tax?: string;
    /**
     * @description 不含税  人民币单价
     */
    fprice_tax?: string;
    /**
     * @description 不含税  人民币金额
     */
    famt_tax?: string;
    /**
     * @description 最新售价
     */
    nprice?: string;
    /**
     * @description 颜色面料
     */
    status?: string;
    /**
     * @description 配置
     */
    woodcode?: string;
    /**
     * @description 订造说明
     */
    pcode?: string;
    /**
     * @description 明细备注(生产备注)
     */
    mxdscrp?: string;
    /**
     * @description 明细备注2
     */
    mxdscrp2?: string;
    /**
     * @description 生产批号
     */
    mtrlcuscode?: string;
    /**
     * @description 单价公式(双击编辑)
     */
    priceformula?: string;
    /**
     * @description 工艺备注
     */
    dscrp_text?: string;
    /**
     * @description 定价
     */
    dftsaleprice?: string;
    /**
     * @description 已发货数
     */
    consignedQty?: string;
    /**
     * @description 未发货数
     */
    noqty?: string;
    /**
     * @description 已开单未审数
     */
    noauditqty?: string;
    /**
     * @description 已排产数
     */
    assignQty?: string;
    /**
     * @description 客户产品别名
     */
    cusmtrlname?: string;
    /**
     * @description 客户物料编码
     */
    cusmtrlcode?: string;
    /**
     * @description 客户物料规格
     */
    cusmtrlmode?: string;
    /**
     * @description 客户品牌
     */
    cusmtrlbrand?: string;
    /**
     * @description 净重
     */
    net_weight?: string;
    /**
     * @description 毛重
     */
    gross_weight?: string;
    /**
     * @description 体积
     */
    cubage?: string;
    /**
     * @description 总净重
     */
    sumnetweight?: string;
    /**
     * @description 总毛重
     */
    sumgrossweight?: string;
    /**
     * @description 总体积
     */
    sumcubage?: string;
    /**
     * @description 包装数
     */
    packqty?: string;
    /**
     * @description 产能总量
     */
    capacity?: string;
    /**
     * @description 计划价
     */
    planprice?: string;
    /**
     * @description 生产预计完成日期
     */
    perfinishdate?: string;
    /**
     * @description 排程超期
     */
    if_delay?: string;
    /**
     * @description 英文名称
     */
    mtrlengname?: string;
    /**
     * @description 终止数
     */
    stopqty?: string;
    /**
     * @description 已发货通知数
     */
    saleoutqty?: string;
    /**
     * @description 终止人
     */
    stopemp?: string;
    /**
     * @description 终止时间
     */
    stopdate?: string;
    /**
     * @description 物料清单
     */
    pfcode?: string;
    /**
     * @description 清单审核
     */
    pfflag?: string;
    /**
     * @description 终止原因
     */
    stopreason?: string;
    /**
     * @description 补件审
     */
    bjflag?: string;
    /**
     * @description 补件审人
     */
    bjemp?: string;
    /**
     * @description 补件审时间
     */
    bjdate?: string;
    /**
     * @description 调度审
     */
    ddflag?: string;
    /**
     * @description 调度审人
     */
    ddemp?: string;
    /**
     * @description 调度审时间
     */
    dddate?: string;
    /**
     * @description 库存已分配数
     */
    fpqty?: string;
    /**
     * @description 参考库存分配数
     */
    mqty?: string;
    /**
     * @description 安排自制生产数
     */
    pqty?: string;
    /**
     * @description 安排采购数
     */
    bqty?: string;
    /**
     * @description 安排外协数
     */
    wqty?: string;
    /**
     * @description 安排来料加工生产数
     */
    lqty?: string;
    /**
     * @description 配置修改备注
     */
    changedscrp?: string;
    /**
     * @description 报价单号
     */
    quotecode?: string;
    /**
     * @description 明细附件数量
     */
    fjcnt?: string;
    /**
     * @description 人民币未打折金额
     */
    amt_norebate?: string;
    /**
     * @description 人民币打折金额
     */
    amt_rebate?: string;
    /**
     * @description 包件产品
     */
    ifpackpro?: string;
    /**
     * @description 包件
     */
    ifpack?: string;
    /**
     * @description 高级价格策略编号
     */
    pocode?: string;
    /**
     * @description 意向单号
     */
    samplecode?: string;
    /**
     * @description 发货完成时间
     */
    accomplishdate?: string;
    /**
     * @description 目标折扣
     */
    porebate?: string;
    /**
     * @description 备忘摘要(明细批注)
     */
    remindmxdscrp?: string;
    /**
     * @description 齐货
     */
    okflag?: string;
    /**
     * @description 销售限价
     */
    limitprice?: string;
    /**
     * @description 库存  分配齐货
     */
    okflag_ware?: string;
    /**
     * @description 分配  齐货
     */
    okflag_plan?: string;
    /**
     * @description 库存分配数
     */
    wareassignqty?: string;
    /**
     * @description 在途分配数
     */
    planassignqty?: string;
    /**
     * @description 在途相关单号
     */
    planbillcode?: string;
    /**
     * @description 畅销类型
     */
    saletype?: string;
    /**
     * @description 变更标识
     */
    peg?: string;
    /**
     * @description 终止金额
     */
    stopamt?: string;
    /**
     * @description 采购人
     */
    buyer?: string;
    /**
     * @description 启用销售政策
     */
    usezc?: string;
    /**
     * @description 销售政策
     */
    zcid?: string;
    /**
     * @description 图号
     */
    piccode?: string;
    /**
     * @description 使用协同采购
     */
    if_fx?: string;
    /**
     * @description 配置核对  (执行核对部件选配刷新)
     */
    pz_check?: string;
    /**
     * @description 上次下单时间
     */
    lasttime_check?: string;
    /**
     * @description 下单次数
     */
    cnt_check?: string;
    /**
     * @description 计划价
     */
    plprice?: string;
    /**
     * @description 成本统计日
     */
    plsumdate?: string;
    /**
     * @description 客户交期确认
     */
    cusflag?: string;
    /**
     * @description 物料备注
     */
    dscrp?: string;
    /**
     * @description 最大可装数总和
     */
    canpackqty?: string;
    /**
     * @description 包件产品未开单数总和
     */
    packpronoauditingqty2?: string;
    /**
     * @description 价格表名称
     */
    listname?: string;
    /**
     * @description 差价
     */
    diffprice?: string;
    /**
     * @description 产品批号|库存规格
     */
    oned_mtrlcuscode?: string;
  }

  export interface u_saletask_itemmx {
    /**
     * @description 项目编号
     */
    itemcode?: string;
    /**
     * @description 项目名称
     */
    itemname?: string;
    /**
     * @description 项目类别
     */
    itemtype?: string;
    /**
     * @description 金额
     */
    amt?: number;
    /**
     * @description 明细备注
     */
    mxdscrp?: string;
    /**
     * @description 影响应收帐
     */
    ifmoney?: boolean;
  }

  /**
   * @description 销售发货单
   */
  export interface u_outware {
    /**
     * @description 打印次数
     */
    printnum?: number;
    /**
     * @description 确认
     */
    priceflag?: number;
    /**
     * @description 单据编号
     */
    outwarecode?: string;
    /**
     * @description 分类
     */
    typeid?: number;
    /**
     * @description 相关号码
     */
    part?: string;
    /**
     * @description 销售日期
     */
    outdate?: Date;
    /**
     * @description 币种
     */
    relint_2?: string;
    /**
     * @description 汇率
     */
    mrate?: number;
    /**
     * @description 结算方式
     */
    relint_1?: number;
    /**
     * @description 预收款日期
     */
    viewdate?: Date;
    /**
     * @description 订金
     */
    damt?: number;
    /**
     * @description 优惠金额
     */
    otheramt?: number;
    /**
     * @description 业务员
     */
    outrep?: string;
    /**
     * @description 上级经理
     */
    upname?: string;
    /**
     * @description 货运部
     */
    relstr_1?: string;
    /**
     * @description 货运部电话
     */
    relstr_2?: string;
    /**
     * @description 客户联系电话
     */
    rel_tele?: string;
    /**
     * @description 客户联系人
     */
    rel_rep?: string;
    /**
     * @description 客户传真
     */
    rel_fax?: string;
    /**
     * @description 客户地址
     */
    rel_address?: string;
    /**
     * @description 备注
     */
    dscrp?: string;
    /**
     * @description 仓审
     */
    flag?: number;
    /**
     * @description 财审
     */
    secflag?: number;
    /**
     * @description 建立人
     */
    opemp?: string;
    /**
     * @description 建立时间
     */
    opdate?: Date;
    /**
     * @description 修改人
     */
    modemp?: string;
    /**
     * @description 修改时间
     */
    moddate?: Date;
    /**
     * @description 仓审人
     */
    auditingrep?: string;
    /**
     * @description 仓审时间
     */
    auditingdate?: Date;
    /**
     * @description 日结
     */
    balcflag?: number;
    /**
     * @description 财审人
     */
    secauditingrep?: string;
    /**
     * @description 财审时间
     */
    secauditingdate?: Date;
    /**
     * @description 确认人
     */
    priceemp?: string;
    /**
     * @description 确认时间
     */
    pricedate?: Date;
    /**
     * @description 结存日期
     */
    balcdateint?: number;
    /**
     * @description 最近发送人
     */
    senduser?: string;
    /**
     * @description 发送次数
     */
    sendcnt?: number;
    /**
     * @description 最近发送时间
     */
    sendtime?: Date;
    /**
     * @description PDA扫描中
     */
    pda_flag?: number;
    /**
     * @description 车牌号
     */
    carcode?: string;
    /**
     * @description 运输单号
     */
    transcode?: string;
    /**
     * @description 发货状态
     */
    carflag?: number;
    /**
     * @description 汇率方案
     */
    exchangeid?: number;
    /**
     * @description 价格备注
     */
    pricedscrp?: string;
    /**
     * @description 货运部地址
     */
    station_address?: string;
    /**
     * @description 凭证单号
     */
    autocredcode?: string;
    /**
     * @description 回单
     */
    secpflag?: number;
    /**
     * @description 回单人
     */
    secpemp?: string;
    /**
     * @description 回单时间
     */
    secpdate?: Date;
    /**
     * @description 会计审
     */
    cwauditingflag?: number;
    /**
     * @description 会计审人
     */
    cwauditingrep?: string;
    /**
     * @description 会计审时间
     */
    cwauditingdate?: Date;
    /**
     * @description 凭证字
     */
    credtype?: string;
    /**
     * @description 凭证号
     */
    credno?: number;
    /**
     * @description 交货方式
     */
    paytype?: number;
    /**
     * @description 内部结算
     */
    ifacc?: number;
    /**
     * @description 初确认时间
     */
    pricedate_f?: Date;
    /**
     * @description 初确认人
     */
    priceemp_f?: string;
    /**
     * @description 结算仓库
     */
    out_storagename?: string;
    /**
     * @description 仓库认领时间
     */
    adoptdate?: Date;
    /**
     * @description 仓库认领人
     */
    relstr_3?: string;
    /**
     * @description 附件数
     */
    fjcnt?: number;
    /**
     * @description 装车顺序
     */
    carorder?: string;
  }

  /**
   * @description 销售发货单明细
   */
  export interface u_outwaremx {
    /**
     * @description 订单
     */
    ifrel?: number;
    /**
     * @description 分组
     */
    outtypestr?: string;
    /**
     * @description 计划发货数
     */
    planqty?: number;
    /**
     * @description 转换率
     */
    rate?: number;
    /**
     * @description 辅数
     */
    uqty?: number;
    /**
     * @description 仓位
     */
    location?: string;
    /**
     * @description 辅单位
     */
    unit?: string;
    /**
     * @description 实发数
     */
    qty?: number;
    /**
     * @description 价格分类
     */
    pricetype?: number;
    /**
     * @description 单价
     */
    enprice?: number;
    /**
     * @description 折扣
     */
    rebate?: number;
    /**
     * @description 税率
     */
    taxrate?: number;
    /**
     * @description 人民币单价
     */
    fprice?: number;
    /**
     * @description 不含税单价
     */
    enprice_tax?: number;
    /**
     * @description 不含税计划发货金额
     */
    planamt_tax?: number;
    /**
     * @description 不含税实发金额
     */
    enamt_tax?: number;
    /**
     * @description 不含税人民币单价
     */
    fprice_tax?: number;
    /**
     * @description 不含税人民币金额
     */
    amt_tax?: number;
    /**
     * @description 实际销售数
     */
    saleqty?: number;
    /**
     * @description 实际销售金额
     */
    eq_amt?: number;
    /**
     * @description 损失数
     */
    lostqty?: number;
    /**
     * @description 损失金额
     */
    seq_amt?: number;
    /**
     * @description 包装数
     */
    packqty?: number;
    /**
     * @description 明细备注
     */
    mxdscrp?: string;
    /**
     * @description 明细备注2
     */
    mxdscrp2?: string;
    /**
     * @description 净重
     */
    net_weight?: number;
    /**
     * @description 毛重
     */
    gross_weight?: number;
    /**
     * @description 体积
     */
    cubage?: number;
    /**
     * @description 颜色面料
     */
    status?: string;
    /**
     * @description 配置
     */
    woodcode?: string;
    /**
     * @description 订造说明
     */
    pcode?: string;
    /**
     * @description 批号
     */
    plancode?: string;
    /**
     * @description 原币实价
     */
    enacprice?: number;
    /**
     * @description 人民币实价
     */
    price?: number;
    /**
     * @description 定价
     */
    dftsaleprice?: number;
    /**
     * @description 折算套数
     */
    capacity?: number;
    /**
     * @description 分部结算价
     */
    scidprice?: number;
    /**
     * @description 本批存量
     */
    curware_qty?: number;
    /**
     * @description 本批库存 已开单数
     */
    noauditingqty?: number;
    /**
     * @description 本批库存 未开单数
     */
    canuseqty?: number;
    /**
     * @description 订单号
     */
    relcode?: string;
    /**
     * @description 总净重
     */
    sumnetweight?: number;
    /**
     * @description 总毛重
     */
    sumgrossweight?: number;
    /**
     * @description 总体积
     */
    sumcubage?: number;
    /**
     * @description 产品批号
     */
    mtrlcuscode?: string;
    /**
     * @description 客户产品别名
     */
    cusmtrlname?: string;
    /**
     * @description 客户品牌
     */
    cusmtrlbrand?: string;
    /**
     * @description 行号
     */
    printid?: number;
    /**
     * @description 单价公式
     */
    priceformula?: string;
    /**
     * @description 数量公式
     */
    qtyformula?: string;
    /**
     * @description 库存id
     */
    mtrlwareid?: number;
    /**
     * @description 订单 明细id
     */
    relprintid?: number;
    /**
     * @description 通知 单id
     */
    saleoutid?: number;
    /**
     * @description 通知单 明细id
     */
    saleoutprintid?: number;
    /**
     * @description 人民币未打折金额
     */
    amt_norebate?: number;
    /**
     * @description 人民币打折金额
     */
    amt_rebate?: number;
    /**
     * @description 订单数量(不含终止数)
     */
    saletask_qty?: number;
    /**
     * @description 订单明细超期天数
     */
    days?: number;
    /**
     * @description 订单明细超期
     */
    IFdays?: number;
    /**
     * @description 含税计划发货人民币折前金额
     */
    planamt_rebate?: number;
    /**
     * @description 不含税计划发货人民币折前金额
     */
    planamt_norebate?: number;
    /**
     * @description 批注(双击编辑)
     */
    memostr?: string;
    /**
     * @description 含税实发折后金额销售单位
     */
    amt_unit?: string;
    /**
     * @description 不含税  实发折后金额销售单位
     */
    amt_unit_notax?: string;
    /**
     * @description 需求总量
     */
    sumneed_qty?: number;
    /**
     * @description 总存量
     */
    sumware_qty?: number;
    /**
     * @description 计划发货数销售单位
     */
    uplanqty?: number;
    /**
     * @description 单价销售单位
     */
    enprice_unit?: string;
  }

  /**
   * @description 销售报价单
   */
  export interface u_quote {
    /**
     * @description 打印次数
     */
    printnum?: number;
    /**
     * @description 单据编号
     */
    quotecode?: string;
    /**
     * @description 客户名称
     */
    name?: string;
    /**
     * @description 币种
     */
    moneyid?: number;
    /**
     * @description 报价日期
     */
    quotedate?: Date;
    /**
     * @description 相关号码
     */
    relcode?: string;
    /**
     * @description 经手人
     */
    assign_emp?: string;
    /**
     * @description 客户编号
     */
    cuscode?: string;
    /**
     * @description 联系人
     */
    rel_rep?: string;
    /**
     * @description 备注
     */
    dscrp?: string;
    /**
     * @description 辅助备注
     */
    dscrp3?: string;
    /**
     * @description 建立人
     */
    opemp?: string;
    /**
     * @description 建立日期
     */
    opdate?: Date;
    /**
     * @description 修改人
     */
    modemp?: string;
    /**
     * @description 修改日期
     */
    moddate?: Date;
    /**
     * @description 审核
     */
    flag?: number;
    /**
     * @description 审核人
     */
    auditingrep?: string;
    /**
     * @description 审核日期
     */
    auditingdate?: Date;
    /**
     * @description 电子商务
     */
    ifecomm?: number;
    /**
     * @description 最近发送人
     */
    sendUser?: string;
    /**
     * @description 最近发送时间
     */
    sendTime?: Date;
    /**
     * @description 发送次数
     */
    sendcnt?: number;
    /**
     * @description 电子商务相关单号
     */
    fiebrelcode?: string;
    /**
     * @description 汇率
     */
    mrate?: number;
    /**
     * @description 订单使用
     */
    peg?: string;
    /**
     * @description 折后含税单据总金额
     */
    allamt?: number;
    /**
     * @description 货运部
     */
    freight?: string;
    /**
     * @description 货运部电话
     */
    freight_tele?: string;
    /**
     * @description 货运部地址
     */
    station_address?: string;
    /**
     * @description 转单状态
     */
    turn?: number;
    /**
     * @description 柜型
     */
    containerid?: number;
    /**
     * @description 港口
     */
    portid?: number;
    /**
     * @description 贸易方式
     */
    tradewayid?: number;
  }

  /**
   * @description 销售报价单明细
   */
  export interface u_quotemx {
    /**
     * @description 审核
     */
    flag?: number;
    /**
     * @description 终止
     */
    stopflag?: number;
    /**
     * @description 颜色面料
     */
    status?: string;
    /**
     * @description 配置
     */
    woodcode?: string;
    /**
     * @description 订造说明
     */
    pcode?: string;
    /**
     * @description 税率
     */
    taxrate?: number;
    /**
     * @description 报价
     */
    sumprice?: number;
    /**
     * @description 客户还价
     */
    sumprice_1?: number;
    /**
     * @description 总运费
     */
    shipamt?: number;
    /**
     * @description 其它费用
     */
    otheramt?: number;
    /**
     * @description 人民币报价
     */
    fprice?: number;
    /**
     * @description 数量
     */
    qty_mx?: number;
    /**
     * @description 数量下限
     */
    qty?: number;
    /**
     * @description 数量上限
     */
    qty1?: number;
    /**
     * @description 折扣
     */
    rebate?: number;
    /**
     * @description 客户要求交期
     */
    requiredate?: Date;
    /**
     * @description 生产回复交期
     */
    perfinishdate?: Date;
    /**
     * @description 回复采购周期(天)
     */
    reBuyDays?: number;
    /**
     * @description 自定义参数1
     */
    arg_1?: string;
    /**
     * @description 自定义参数2
     */
    arg_2?: string;
    /**
     * @description 自定义参数3
     */
    arg_3?: string;
    /**
     * @description 自定义参数4
     */
    arg_4?: string;
    /**
     * @description 自定义参数5
     */
    arg_5?: string;
    /**
     * @description 价格公式(双击可设置)
     */
    pricestr?: string;
    /**
     * @description 明细备注
     */
    mxDscrp?: string;
    /**
     * @description 明细备注2
     */
    mxDscrp2?: string;
    /**
     * @description 更新订单
     */
    taskflag?: number;
    /**
     * @description 更新发货单
     */
    wareflag?: number;
    /**
     * @description 更新开始日期
     */
    sdate?: Date;
    /**
     * @description 利润率
     */
    profit_margin?: number;
    /**
     * @description 材料成本
     */
    mtrlcost?: number;
    /**
     * @description 更新结束日期
     */
    edate?: Date;
    /**
     * @description 人力成本
     */
    mancost?: number;
    /**
     * @description 工艺备注
     */
    dscrp_text?: string;
    /**
     * @description 外协成本
     */
    wfjgprice?: number;
    /**
     * @description 费用成本
     */
    outcost?: number;
    /**
     * @description 参考报价
     */
    allprice?: number;
    /**
     * @description 计划价
     */
    planprice?: number;
    /**
     * @description 最新售价
     */
    maxprice?: number;
    /**
     * @description 油漆成本
     */
    paintarea?: number;
    /**
     * @description 总成本
     */
    allamt?: number;
    /**
     * @description 常规批量
     */
    commonqty?: number;
    /**
     * @description 订制批量
     */
    customqty?: number;
    /**
     * @description 审核人
     */
    auditemp?: string;
    /**
     * @description 审核时间
     */
    auditdate?: Date;
    /**
     * @description 终止人
     */
    stopemp?: string;
    /**
     * @description 终止时间
     */
    stopdate?: Date;
    /**
     * @description 经验生产周期(天)
     */
    expday?: number;
    /**
     * @description 标准成本价
     */
    stprice?: number;
    /**
     * @description 标准销售价
     */
    stsaleprice?: number;
    /**
     * @description 客户物料编码
     */
    cusmtrlcode?: string;
    /**
     * @description 客户物料名称
     */
    cusmtrlname?: string;
    /**
     * @description 客户物料规格
     */
    cusmtrlmode?: string;
    /**
     * @description 客户品牌
     */
    cusmtrlbrand?: string;
    /**
     * @description 未开单库存数
     */
    notauditnoallocqty?: number;
    /**
     * @description 自定义
     */
    arg_custom?: string;
    /**
     * @description 生效开始日期
     */
    effdate?: Date;
    /**
     * @description 生效结束时间
     */
    effdate_end?: Date;
    /**
     * @description 组合配置备注
     */
    dscrp?: string;
    /**
     * @description 销售单位
     */
    unit?: string;
  }
}
