export namespace uTech {
  /**
   * @description 物料信息
   */
  export interface u_mtrldef {
    /**
     * @description 材料ID
     */
    mtrlid?: number;
    /**
     * @description 材料编码
     */
    mtrlcode?: string;
    /**
     * @description 材料名称
     */
    mtrlname?: string;
    /**
     * @description 材料来源
     */
    mtrlorigin?: number;
    /**
     * @description 材料类型
     */
    mtrltype?: string;
    /**
     * @description 手工类型
     */
    handtype?: string;
    /**
     *  @description 单位
     */
    unit?: string;
    /**
     * @description 材料模式
     */
    mtrlmode?: string;
    /**
     * @description 材料选择类型
     */
    mtrlsectype?: string;
    /**
     * @description 主线材料模式
     */
    zxmtrlmode?: string;
    /**
     * @description 用户材料模式
     */
    usermtrlmode?: string;
    /**
     * @description 材料英文名称
     */
    mtrlengname?: string;
    /**
     * @description 材料
     */
    material?: string;
    /**
     * @description 条码
     */
    barcode?: string;
    /**
     * @description 描述
     */
    dscrp?: string;
    /**
     * @description 是否可发料
     */
    issuliao?: number;
    /**
     * @description 是否使用
     */
    isuse?: number;
    /**
     * @description 净重
     */
    net_weight?: number;
    /**
     * @description 毛重
     */
    gross_weight?: number;
    /**
     * @description 体积
     */
    cubage?: number;
    /**
     * @description 产品包装编码
     */
    prdpackcode?: string;
    /**
     * @description 操作日期
     */
    opdate?: Date;
    /**
     * @description 操作员
     */
    opemp?: string;
    /**
     * @description 采购单位
     */
    buyunit?: number;
    /**
     * @description 采购小数位数
     */
    buydec?: number;
    /**
     *  @description 采购单位
     */
    unit_buy?: string;
    /**
     *  @description 销售单位
     */
    unit_scll?: string;
    /**
     *  @description 销售单位
     */
    unit_sale?: string;
    /**
     *  @description 采购汇率
     */
    rate_buy?: number;
    /**
     *  @description 销售汇率
     */
    rate_scll?: number;
    /**
     *  @description 销售汇率
     */
    rate_sale?: number;
    /**
     *  @description 销售单位数量
     */
    saleunit?: number;
    /**
     *  @description 是否按批准价采购
     */
    price_ifpz_buy?: number;
    /**
     *  @description 是否限价
     */
    iflimitprice?: number;
    /**
     *  @description 标志
     */
    flag?: number;
    /**
     *  @description 状态类型
     */
    statustype?: number;
    /**
     *  @description 木材编码类型
     */
    woodcodetype?: number;
    /**
     *  @description 产品编码类型
     */
    pcodetype?: number;
    /**
     *  @description 状态检查
     */
    status_check?: number;
    /**
     *  @description 木材编码检查
     */
    woodcode_check?: number;
    /**
     *  @description 产品编码检查
     */
    pcode_check?: number;
    /**
     *  @description 状态标志
     */
    statusflag?: number;
    /**
     *  @description 木材编码标志
     */
    woodcodeflag?: number;
    /**
     *  @description 产品编码标志
     */
    pcodeflag?: number;
    /**
     *  @description 最低销售价
     */
    LMsaleprice?: number;
    /**
     *  @description 汇率
     */
    gbrate?: number;
    /**
     *  @description 是否检查添加数量
     */
    ifcheckaddqty?: number;
    /**
     *  @description 检查添加数量字符串
     */
    strcheckaddqty?: string;
    /**
     *  @description 木材编码配置
     */
    woodcode_config?: string;
    /**
     *  @description 状态配置
     */
    status_config?: string;
    /**
     *  @description 木材编码配置名称
     */
    woodcode_configName?: string;
    /**
     *  @description 状态配置名称
     */
    status_configName?: string;
    /**
     *  @description 计划属性
     */
    ordertype?: number;
    /**
     *  @description 排产属性
     */
    ifselforder?: number;
    /**
     *  @description 包件产品
     */
    ifpackpro?: number;
    /**
     *  @description 包件
     */
    ifpack?: number;
    /**
     * @description 物料属性
     */
    mtrlprp?: number;
  }
}
