import { ColumnProps, SearchProps } from "@/components/LjVxeTable/interface";
import type { uSale } from "@/typings/modules/sale";
import { Table } from "@/hooks/interface/index";

export const useOutrep = (t: any) => {
  // 表格配置项
  const columns: ColumnProps<any>[] = [
    {
      field: "outrepcode",
      title: "编号",
      search: {
        el: "input",
        key: "keyword"
      }
    },
    {
      field: "outrepname",
      title: "名称|中文"
    },
    {
      field: "engname",
      title: "名称|英文"
    },
    {
      field: "upname",
      title: "级别"
    },
    {
      field: "maxamt",
      title: "信用额"
    },
    {
      field: "outrepdscrp",
      title: "备注"
    },
    {
      field: "isuse",
      title: "有效"
    },
    {
      field: "tele",
      title: "电话"
    },
    {
      field: "tele1",
      title: "手机"
    },
    {
      field: "faxno",
      title: "传真"
    },
    {
      field: "qqno",
      title: "QQ"
    },
    {
      field: "msnno",
      title: "MSN"
    },
    {
      field: "updscrp",
      title: "级别备注"
    },
    {
      field: "opemp",
      title: "修改人"
    },
    {
      field: "opdate",
      title: "修改时间"
    }
  ];

  return {
    columns
  };
};
