import { detailBase } from "@/components/LjDetail/interface";
// ? 全局默认配置项

// 首页地址（默认）
export const HOME_URL: string = "/home/index";

// 登录页地址（默认）
export const LOGIN_URL: string = "/login";

// 默认主题颜色
export const DEFAULT_PRIMARY: string = "#007d7b";

// 路由白名单地址（必须是本地存在的路由 staticRouter.ts 中）
export const ROUTER_WHITE_LIST: string[] = ["/500"];

export const TABLE_TYPE_FILTER = ["checkbox", "radio", "seq", "expand"];

/**
 * @description 单据允许修改的状态
 */
export const ALLOW_EDIT_STATE = ["new", "edit", "copy"];

// 数组
export const sys_arry_formulatype = [0, 1, 2, 3, 99, 104];

export const sys_arry_formulatype_other = [101, 102, 103, 104, 105, 106, 107, 108];

/**
 * @description 表格储存保留字段
 */
export const TABLE_LAYOUT_ATTR = [
  "field",
  "title",
  "sortable",
  "order",
  "sortTime",
  "format",
  "visible",
  "align",
  "width",
  "fixed",
  "datatype",
  "search.order",
  "search.labelPosition",
  "search.labelWidth",
  "search.span",
  "limited",
  "basicinfo.span",
  "basicinfo.row",
  "basicinfo.order",
  "basicinfo.group",
  "basicinfo.extendsField",
  "basicinfo.visible",
  "basicinfo.ishidden"
];

/**
 * @description 详情页基础信息布局保留字段名称
 */
export const TABLE_LAYOUT_BASICINFO_ATTR = ["labelPosition", "labelWidth", "basicGroup", "label", "span", "row", "visible"];

/**
 * @description 表格默认属性
 */
export const TABLE_LAYOUT_ATTR_DEFINE = {
  visible: true,
  width: 200,
  align: "center",
  sortable: true,
  order: "",
  sortTime: 0,
  fixed: "",
  search: {
    span: 1
  },
  basicinfo: {
    span: 1,
    row: 1,
    visible: true,
    ishidden: false
  }
};

/**
 * @description 详情页form表格默认属性
 */
export const DETAIL_BASICINFO_FORM_DEFINE = {
  labelPosition: "right",
  labelWidth: "80"
};

/**
 * @description 详情页布局默认属性
 */
export const DETAIL_LAYOUT_DEFINE: detailBase = {
  direction: "vertical",
  foldright: {
    minWidth: "44px",
    width: 60,
    hidden: false,
    lastWidth: 0
  },
  tabsProp: {
    scrollspy: false,
    sticky: true
  }
};

/**
 * @description 详情页布局储存保留字段
 */
export const DETAIL_LAYOUT_ATTR = [
  "header.tabsProp",
  "header.direction",
  "header.foldleft",
  "header.foldright",
  "header.mxprops",
  "header.floatbtn",
  "mould"
];

/**
 * @description 打印模版保留字段名
 * @params "aliase", "printid", "content", "dwname", "id"
 */
export const PRINT_KEY_ATTR = ["aliase", "printid", "content", "dwname", "id"];

/**
 * @description 表单行高
 */
export const FORM_LINE_HEIGHT = {
  small: 24,
  default: 32,
  large: 40
};

/**
 * @description 申请访问权限值
 * @author ds_sys_funcpwr_kf
 */
export const DEFAULT_FUNCIDS = [
  1, // 外协销售发货单-外协销售发货单
  2, // 客户资料建立-客户资料建立
  3, // 价格表设定-价格表设定
  4, // 客户价格表设定-客户价格表设定
  5, // 销售订单建立-销售订单建立
  6, // 销售订单审核-销售订单审核
  7, // 销售订单打印-销售订单打印
  8, // 销售订单撤审-销售订单撤审
  9, // 销售订单暂停-销售订单暂停
  10, // 销售订单终止-销售订单终止
  11, // 销售发货单建立-销售发货单建立
  12, // 客户价格管理-客户价格管理
  13, // 装箱单-装箱单
  14, // 库存查询-库存查询
  15, // 销售订单统计表-销售订单统计表
  16, // 客户信用额设定-客户信用额设定
  17, // 业务员设定-业务员设定
  18, // 销售发货单打印-销售发货单打印
  19, // 地区设定-地区设定
  20, // 结算方式设定-结算方式设定
  21, // 工价表审核-工价表审核
  22, // 内部异常反馈单建立-内部异常反馈单建立
  23, // 内部异常反馈单审核-内部异常反馈单审核
  24, // 配置设定-配置设定
  25, // 配置1设定-配置1设定
  26, // 内部异常反馈单补充责任部门纠正(预防)措施-内部异常反馈单补充责任部门纠正(预防)措施
  27, // 部门月工资汇总表-部门月工资汇总表
  28, // 内部异常反馈单统计表-内部异常反馈单统计表
  29, // 工段交期调整单审核-工段交期调整单审核
  30, // 生产进仓统计表-生产进仓统计表
  31, // 客户反馈单初级撤审-客户反馈单初级撤审
  32, // 物料清单建立-物料清单建立
  33, // 工序设定-工序设定
  34, // 工价表编辑-工价表编辑
  35, // 生产计划建立-生产计划建立
  36, // 生产计划终审-生产计划终审
  37, // 生产计划终撤-生产计划终撤
  38, // 生产计划暂停-生产计划暂停
  39, // 生产计划终止-生产计划终止
  40, // 外协订单建立-外协订单建立
  41, // 正常外协订单审核-正常外协订单审核
  42, // 正常外协订单撤审-正常外协订单撤审
  43, // 外协订单暂停-外协订单暂停
  44, // 外协订单终止-外协订单终止
  45, // 生产进仓单建立-生产进仓单建立
  46, // 生产领料单建立-生产领料单建立
  47, // 仓库外协收货单建立-仓库外协收货单建立
  48, // 工段交期调整单建立-工段交期调整单建立
  49, // 个人产品计件单-个人产品计件单
  50, // 物料监控-物料监控
  51, // 生产指令单工段排程及进度表-生产指令单工段排程及进度表
  52, // 库存查询-库存查询
  53, // 生产实际成本统计表-生产实际成本统计表
  54, // 生产计划统计表-生产计划统计表
  55, // 工段设定-工段设定
  56, // 物料清单审核-物料清单审核
  57, // 工段交接单建立-工段交接单建立
  58, // 工段交接单审核-工段交接单审核
  59, // 车间盘存管理-车间盘存管理
  60, // 生产指令单用料核算表-生产指令单用料核算表
  61, // 内部异常反馈单撤审-内部异常反馈单撤审
  62, // 产品及物料设定-产品及物料设定
  63, // 成品进仓单审核-成品进仓单审核
  64, // 生产领料单审核-生产领料单审核
  65, // 销售单仓库审核-销售单仓库审核
  66, // 采购收货单仓库审核-采购收货单仓库审核
  67, // 其它进仓单建立-其它进仓单建立
  68, // 其它进仓单审核-其它进仓单审核
  69, // 其它出仓单建立-其它出仓单建立
  70, // 其它出仓单审核-其它出仓单审核
  71, // 盘盈单建立-盘盈单建立
  72, // 盘盈单审核-盘盈单审核
  73, // 盘亏单建立-盘亏单建立
  74, // 盘亏单审核-盘亏单审核
  75, // 仓库结存-仓库结存
  76, // 出仓统计表-出仓统计表
  77, // 进仓统计表-进仓统计表
  78, // 客户反馈单统计表-客户反馈单统计表
  79, // 异常原因设定-异常原因设定
  80, // 成品库存查询-成品库存查询
  81, // 仓库调拨单建立-仓库调拨单建立
  82, // 仓库调拨单调出审核-仓库调拨单调出审核
  83, // 仓库外协收货单收货审核-仓库外协收货单收货审核
  84, // 扣费品领用单建立-扣费品领用单建立
  85, // 扣费品领用单仓库审核-扣费品领用单仓库审核
  86, // 仓库分类库存表-仓库分类库存表
  87, // 拆装单建立-拆装单建立
  88, // 拆装单审核-拆装单审核
  89, // 单产品客户调货单建立-单产品客户调货单建立
  90, // 单产品客户调货单审核-单产品客户调货单审核
  91, // 明细查询-明细查询
  92, // 供应商资料建立-供应商资料建立
  93, // 材料采购订单建立-材料采购订单建立
  94, // 材料采购订单终审-材料采购订单终审
  95, // 材料采购订单打印-材料采购订单打印
  96, // 材料采购订单终撤-材料采购订单终撤
  97, // 材料采购订单暂停-材料采购订单暂停
  98, // 材料采购订单终止-材料采购订单终止
  99, // 采购收货单建立-采购收货单建立
  100, // 材料采购订单跟踪表-材料采购订单跟踪表
  101, // 采购收货单统计表-采购收货单统计表
  102, // 库存报警表-库存报警表
  103, // 采购收货单仓库审核-采购收货单仓库审核
  104, // 供应商价格管理-供应商价格管理
  105, // 物料采购汇总表-物料采购汇总表
  106, // 库存查询-库存查询
  107, // 采购收货单打印-采购收货单打印
  108, // 物料价格对比-物料价格对比
  109, // 供应商投诉单打印-供应商投诉单打印
  110, // 供应商投诉单建立-供应商投诉单建立
  111, // 供应商投诉单审核/撤审-供应商投诉单审核/撤审
  112, // 供应商投诉单统计表-供应商投诉单统计表
  113, // 客户反馈单补充品质部意见-客户反馈单补充品质部意见
  114, // 供应商询价单建立-供应商询价单建立
  115, // 供应商询价单终审-供应商询价单终审
  116, // 赔偿单建立-赔偿单建立
  117, // 赔偿单审核-赔偿单审核
  118, // 员工充值消费记录工资撤审-员工充值消费记录工资撤审
  119, // 生产领料单可以不选生产计划-生产领料单可以不选生产计划
  120, // 选择生产计划时可选已完成计划-选择生产计划时可选已完成计划
  121, // 隐藏采购价/加工价-隐藏采购价/加工价
  122, // 隐藏销售价-隐藏销售价
  123, // 隐藏库存成本价-隐藏库存成本价
  124, // 限制采购价/加工价-限制采购价/加工价
  125, // 外协收货单可以不选外协计划-外协收货单可以不选外协计划
  126, // 报表数据发送-报表数据发送
  127, // 报表打印-报表打印
  128, // 收货单可以不选采购订单-收货单可以不选采购订单
  129, // 员工充值消费记录工资审核-员工充值消费记录工资审核
  130, // 成品入仓可以不选生产计划-成品入仓可以不选生产计划
  131, // 应收明细帐-应收明细帐
  132, // 应收帐管理-应收帐管理
  133, // 客户对帐表-客户对帐表
  134, // 应付帐管理-应付帐管理
  135, // 应付明细帐-应付明细帐
  136, // 客户收款单建立-客户收款单建立
  137, // 销售发货单财务审核-销售发货单财务审核
  138, // 收支汇总统计表-收支汇总统计表
  139, // 收支项目设定-收支项目设定
  140, // 收支管理-收支管理
  141, // 出纳帐号设定-出纳帐号设定
  142, // 出纳管理-出纳管理
  143, // 出纳帐汇总统计表-出纳帐汇总统计表
  144, // 内部异常反馈单补充责任部门意见-内部异常反馈单补充责任部门意见
  145, // 客户反馈单补充纠正方法及结果-客户反馈单补充纠正方法及结果
  146, // 行政办公-行政办公
  147, // 客户反馈单补充改善提案-客户反馈单补充改善提案
  148, // 员工充值消费记录撤审-员工充值消费记录撤审
  149, // 装箱单撤审-装箱单撤审
  150, // 内部异常反馈单补充验证结果-内部异常反馈单补充验证结果
  151, // 应收汇总统计表-应收汇总统计表
  152, // 考勤月报表-考勤月报表
  153, // 客户返利单撤审-客户返利单撤审
  154, // 考勤单统计表-考勤单统计表
  155, // 装箱单增加备注-装箱单增加备注
  156, // 客户费用单终撤-客户费用单终撤
  157, // 销售发货单财务撤审-销售发货单财务撤审
  158, // 生产领料单撤审-生产领料单撤审
  159, // 生产领料单添加备注-生产领料单添加备注
  160, // 销售退货单仓库撤审-销售退货单仓库撤审
  161, // 物料资料常规属性变更单终审撤审-物料资料常规属性变更单终审撤审
  162, // 删除操作日志-删除操作日志
  163, // 销售发货单反终确认-销售发货单反终确认
  164, // 销售退货单财务撤审-销售退货单财务撤审
  165, // 销售退货单反确认-销售退货单反确认
  166, // 工段交接单撤审-工段交接单撤审
  167, // 工段交接单增加备注-工段交接单增加备注
  168, // 生产进仓单撤审-生产进仓单撤审
  169, // 材料采购订单添加备注-材料采购订单添加备注
  170, // 生产进仓单添加备注-生产进仓单添加备注
  171, // 采购收货单仓库撤审-采购收货单仓库撤审
  172, // 销售发货单仓库撤审-销售发货单仓库撤审
  173, // 外协销售单删除-外协销售单删除
  174, // 外协销售发货单-外协销售发货单
  175, // 外协销售单建立-外协销售单建立
  176, // 外协销售单仓库审核-外协销售单仓库审核
  177, // 外协销售单仓库撤审-外协销售单仓库撤审
  178, // 外协销售单增加备注-外协销售单增加备注
  179, // 外协销售单打印-外协销售单打印
  180, // 外协销售退货单-外协销售退货单
  181, // 外协销售发货单/退货单财务撤审-外协销售发货单/退货单财务撤审
  182, // 外协销售退货单-外协销售退货单
  183, // 外协销售发货单/退货单财务审核-外协销售发货单/退货单财务审核
  184, // 外协销售发货单/退货单财务审核-外协销售发货单/退货单财务审核
  185, // 外协销售退货单仓库审核-外协销售退货单仓库审核
  186, // 外协销售单建立-外协销售单建立
  187, // 外协销售退货单增加备注-外协销售退货单增加备注
  188, // 外协销售单打印-外协销售单打印
  189, // 外协销售退货单建立-外协销售退货单建立
  190, // 外协销售单仓库撤审-外协销售单仓库撤审
  191, // 人员异动明细表-人员异动明细表
  192, // 部门设定-部门设定
  193, // 静态信息维护-静态信息维护
  194, // 员工资料管理-员工资料管理
  195, // 工资项目设定-工资项目设定
  196, // 工资表管理-工资表管理
  197, // 产品个人计件单建立-产品个人计件单建立
  198, // 产品个人计件单审核-产品个人计件单审核
  199, // 个人其它计件单建立-个人其它计件单建立
  200, // 个人其它计件单审核-个人其它计件单审核
  201, // 人员列表-人员列表
  202, // 人员籍贯分析图表-人员籍贯分析图表
  203, // 扣费品领用单工资审核-扣费品领用单工资审核
  204, // 借支单建立-借支单建立
  205, // 借支单审核-借支单审核
  206, // 返工返修赔偿单建立-返工返修赔偿单建立
  207, // 返工返修赔偿单审核-返工返修赔偿单审核
  208, // 考勤项目设定-考勤项目设定
  209, // 建立-建立
  210, // 审核-审核
  211, // 考勤单工资撤审-考勤单工资撤审
  212, // 考勤单工资审核-考勤单工资审核
  213, // 个人其它计件单确认-个人其它计件单确认
  214, // 外协销售退货单打印-外协销售退货单打印
  215, // 外协销售单删除-外协销售单删除
  216, // 外协销售退货单仓库撤审-外协销售退货单仓库撤审
  217, // 外协销售单增加备注-外协销售单增加备注
  218, // 外协销售退货单仓库撤审-外协销售退货单仓库撤审
  219, // 外协销售退货单删除-外协销售退货单删除
  220, // 外协销售单仓库审核-外协销售单仓库审核
  221, // 个人产品计件单建立-个人产品计件单建立
  222, // 个人产品计件单删除-个人产品计件单删除
  223, // 外协销售退货单打印-外协销售退货单打印
  224, // 外协销售退货单增加备注-外协销售退货单增加备注
  225, // 外协销售退货单仓库审核-外协销售退货单仓库审核
  226, // 仓库外协发出单增加备注-仓库外协发出单增加备注
  227, // 仓库外协发出单撤审-仓库外协发出单撤审
  228, // 仓库外协发出单撤审-仓库外协发出单撤审
  229, // 仓库外协退回单撤审-仓库外协退回单撤审
  230, // 仓库外协退回单增加备注-仓库外协退回单增加备注
  231, // 仓库外协发出单增加备注-仓库外协发出单增加备注
  232, // 工作中心产品月分配计件单统计表-工作中心产品月分配计件单统计表
  233, // 个人其它计件单反确认-个人其它计件单反确认
  234, // 产品个人计件单撤审-产品个人计件单撤审
  235, // 工作中心计件单撤审-工作中心计件单撤审
  236, // 考勤单统计表-考勤单统计表
  237, // 奖罚单统计表-奖罚单统计表
  238, // 借支单统计表-借支单统计表
  239, // 工作中心产品月分配计件单删除-工作中心产品月分配计件单删除
  240, // 工作中心产品月分配计件单工资撤审-工作中心产品月分配计件单工资撤审
  241, // 撤审-撤审
  242, // 借支单撤审-借支单撤审
  243, // 个人其它计件单撤审-个人其它计件单撤审
  244, // 工作中心工资撤审-工作中心工资撤审
  245, // 扣费品领用单工资撤审-扣费品领用单工资撤审
  246, // 仓库盘点-仓库盘点
  247, // 损耗单建立-损耗单建立
  248, // 损耗单审核/撤审-损耗单审核/撤审
  249, // 个人产品计件单工资审核-个人产品计件单工资审核
  250, // 外协订单增加备注-外协订单增加备注
  251, // 个人产品计件单工资撤审-个人产品计件单工资撤审
  252, // 采购收货单仓库撤审-采购收货单仓库撤审
  253, // 外协收货/退货单财务撤审-外协收货/退货单财务撤审
  254, // 采购收货单增加备注-采购收货单增加备注
  255, // 采购收货/退货单财务撤审-采购收货/退货单财务撤审
  256, // 销售-销售
  257, // 计划-计划
  258, // 仓库-仓库
  259, // 采购-采购
  260, // 员工管理-员工管理
  261, // 财务-财务
  262, // 系统-系统
  263, // 特殊权限-特殊权限
  264, // 物料类别-物料类别
  265, // 报表分析-报表分析
  266, // 销售订单-销售订单
  267, // 销售发货单-销售发货单
  268, // 内部异常反馈单-内部异常反馈单
  269, // 基础设置-基础设置
  270, // 投诉项目-投诉项目
  271, // 客户价格-客户价格
  272, // 地区-地区
  273, // 业务员-业务员
  274, // 客户资料-客户资料
  275, // 客户信用额-客户信用额
  276, // 结算方式-结算方式
  277, // 币种-币种
  278, // 币种设定-币种设定
  279, // 价格表-价格表
  280, // 客户价格表指定-客户价格表指定
  282, // 配置内容定义-配置内容定义
  283, // 投拆项目设定-投拆项目设定
  284, // 物料类别设定-物料类别设定
  285, // 其它出仓单-其它出仓单
  286, // 盘亏单-盘亏单
  287, // 盘盈单-盘盈单
  288, // 拆装单-拆装单
  289, // 仓库调拨单-仓库调拨单
  290, // 其它进仓单-其它进仓单
  291, // 生产进仓单-生产进仓单
  292, // 销售发货单仓审-销售发货单仓审
  293, // 采购收货单-采购收货单
  294, // 生产领料单-生产领料单
  295, // 扣费品领用单-扣费品领用单
  296, // 仓库外协收货单-仓库外协收货单
  297, // 单产品客户调货单-单产品客户调货单
  298, // 仓库盘点表-仓库盘点表
  299, // 仓库结存-仓库结存
  300, // 报表分析-报表分析
  301, // 仓库外协发出单-仓库外协发出单
  302, // 材料采购订单-材料采购订单
  303, // 赔偿单-赔偿单
  304, // 采购收货单-采购收货单
  305, // 分部-分部
  306, // 仓库-仓库
  307, // 系统用户信息-系统用户信息
  308, // 用户权限-用户权限
  309, // 系统选项设置-系统选项设置
  310, // 物料资料常规属性变更单-物料资料常规属性变更单
  311, // 系统操作日志-系统操作日志
  312, // 解决方案-解决方案
  313, // 版本管理-版本管理
  314, // 新程序上传-新程序上传
  315, // 关于系统-关于系统
  316, // 生产备料领料单-生产备料领料单
  317, // 物料资料常规属性变更单打印-物料资料常规属性变更单打印
  318, // 物料资料常规属性变更单建立-物料资料常规属性变更单建立
  319, // 物料资料常规属性变更单初审-物料资料常规属性变更单初审
  320, // 物料资料常规属性变更单增加备注-物料资料常规属性变更单增加备注
  321, // 采购退货单仓库撤审-采购退货单仓库撤审
  322, // 物料资料常规属性变更单初审撤审-物料资料常规属性变更单初审撤审
  323, // 物料资料常规属性变更单终审-物料资料常规属性变更单终审
  324, // 供应商询价单-供应商询价单
  325, // 供应商价格管理-供应商价格管理
  326, // 供应商投诉单-供应商投诉单
  327, // 明细查询-明细查询
  328, // 生产进仓单-生产进仓单
  329, // 主生产计划-主生产计划
  330, // 考勤单-考勤单
  331, // 借支单-借支单
  332, // 返工返修赔偿单-返工返修赔偿单
  333, // 产品个人计件单-产品个人计件单
  334, // 考核单(原奖罚单)-考核单(原奖罚单)
  335, // 个人其它计件单-个人其它计件单
  336, // 明细查询-明细查询
  337, // 扣费品领用单-扣费品领用单
  338, // 员工-员工
  339, // 工资表管理-工资表管理
  340, // 应收帐-应收帐
  341, // 应付帐-应付帐
  342, // 出纳-出纳
  343, // 收入支出-收入支出
  344, // 销售发货单财务审核-销售发货单财务审核
  345, // 明细查询-明细查询
  346, // 客户收款单-客户收款单
  347, // 工段交接单-工段交接单
  348, // 工段交期调整单-工段交期调整单
  349, // 委外-委外
  350, // 生产领料单-生产领料单
  351, // 车间核算-车间核算
  352, // 明细查询-明细查询
  353, // 外协订单-外协订单
  354, // 外协损耗单-外协损耗单
  355, // 仓库外协收货单-仓库外协收货单
  356, // 供应商-供应商
  357, // 异常原因-异常原因
  358, // 物料工序表-物料工序表
  359, // 部门-部门
  360, // 工段-工段
  361, // 物料清单-物料清单
  362, // 考勤项目-考勤项目
  363, // 收支项目-收支项目
  364, // 工资项目-工资项目
  365, // 出纳帐号-出纳帐号
  366, // 工序-工序
  367, // 产品及物料-产品及物料
  368, // 静态信息-静态信息
  369, // 销售发货单仓库审核-销售发货单仓库审核
  370, // 销售发货单财务审核-销售发货单财务审核
  371, // 销售单仓库撤审-销售单仓库撤审
  372, // 采购收货单建立-采购收货单建立
  373, // 仓库外协收货单建立-仓库外协收货单建立
  374, // 仓库外协发出单建立-仓库外协发出单建立
  375, // 仓库外协发出单审核-仓库外协发出单审核
  376, // 成品进仓单建立-成品进仓单建立
  377, // 生产领料单建立-生产领料单建立
  378, // 生产计划手动完成-生产计划手动完成
  379, // 生产进仓单审核-生产进仓单审核
  380, // 生产领料单审核-生产领料单审核
  381, // 仓库外协收货单仓库审核-仓库外协收货单仓库审核
  382, // 销售订单打印-销售订单打印
  383, // 赔偿单打印-赔偿单打印
  384, // 供应商询价单打印-供应商询价单打印
  385, // 生产计划打印-生产计划打印
  386, // 生产进仓单打印-生产进仓单打印
  387, // 生产领料单打印-生产领料单打印
  388, // 工段交接单打印-工段交接单打印
  389, // 工段交期调整单打印-工段交期调整单打印
  390, // 返工返修赔偿单打印-返工返修赔偿单打印
  391, // 外协订单打印-外协订单打印
  392, // 损耗单打印-损耗单打印
  393, // 仓库外协收货单打印-仓库外协收货单打印
  394, // 销售发货单明细表-销售发货单明细表
  395, // 业务员销售统计表-业务员销售统计表
  396, // 客户销售统计表-客户销售统计表
  397, // 产品销售统计表-产品销售统计表
  398, // 业务员积压订单明细表-业务员积压订单明细表
  399, // 销售订单手动完成-销售订单手动完成
  400, // 材料采购订单手动完成-材料采购订单手动完成
  401, // 客户销售金额对比统计表-客户销售金额对比统计表
  402, // 产品类别销售统计表-产品类别销售统计表
  403, // 产品价格对比-产品价格对比
  404, // 库存查询-库存查询
  405, // 物料进出明细查询-物料进出明细查询
  406, // 仓库历史结存表-仓库历史结存表
  407, // 库存报警表-库存报警表
  408, // 仓库调拨单统计表-仓库调拨单统计表
  409, // 供应商采购金额汇总表-供应商采购金额汇总表
  410, // 供应商物料采购汇总表-供应商物料采购汇总表
  411, // 物料采购价格浮动表-物料采购价格浮动表
  412, // 供应商交货达成统计表-供应商交货达成统计表
  413, // 生产领料统计表-生产领料统计表
  414, // 工段交接单明细表-工段交接单明细表
  415, // 工段交期明细表-工段交期明细表
  416, // 工段时间调整单明细表-工段时间调整单明细表
  417, // 工段交期达成统计表-工段交期达成统计表
  418, // 产品最新成本统计表-产品最新成本统计表
  419, // 仓库外协发出单-仓库外协发出单
  420, // 赔偿单-赔偿单
  421, // 赔偿单建立-赔偿单建立
  422, // 赔偿单审核-赔偿单审核
  423, // 赔偿单打印-赔偿单打印
  424, // 外协商询价单-外协商询价单
  425, // 外协商询价单建立-外协商询价单建立
  426, // 外协商询价单终审-外协商询价单终审
  427, // 外协商询价单打印-外协商询价单打印
  428, // 明细查询-明细查询
  429, // 库存查询-库存查询
  430, // 外协订单统计表-外协订单统计表
  431, // 外协商交期达成统计表-外协商交期达成统计表
  432, // 物料监控-物料监控
  433, // 人员年龄结构图表-人员年龄结构图表
  434, // 人员学历结构图表-人员学历结构图表
  435, // 部门人员结构图表-部门人员结构图表
  436, // 离职类别分析图表-离职类别分析图表
  437, // 月工资表-月工资表
  438, // 工资汇总表-工资汇总表
  439, // 产品个人计件单统计表-产品个人计件单统计表
  440, // 个人其它计件单统计表-个人其它计件单统计表
  441, // 工资单-工资单
  442, // 生产计划异常计件数量表-生产计划异常计件数量表
  443, // 客户应收结余表-客户应收结余表
  444, // 供应商对帐表-供应商对帐表
  445, // 客户反馈单建立-客户反馈单建立
  446, // 应付汇总统计表-应付汇总统计表
  447, // 供应商应付结余表-供应商应付结余表
  448, // 出纳帐结余统计表-出纳帐结余统计表
  449, // 客户收款单统计表-客户收款单统计表
  450, // 客户收款统计表-客户收款统计表
  451, // 安全库存-安全库存
  452, // 装箱单建立-装箱单建立
  453, // 装箱单审核-装箱单审核
  454, // 装箱单打印-装箱单打印
  455, // 采购收货单打印-采购收货单打印
  456, // 仓库外协收货单打印-仓库外协收货单打印
  457, // 薪酬管理-薪酬管理
  458, // 明细查询-明细查询
  459, // 销售报价单-销售报价单
  460, // 销售报价单建立-销售报价单建立
  461, // 销售报价单终审-销售报价单终审
  462, // 销售报价单打印-销售报价单打印
  463, // 仓库外协发出单建立-仓库外协发出单建立
  464, // 仓库外协发出单审核-仓库外协发出单审核
  465, // 仓库外协发出单打印-仓库外协发出单打印
  466, // 考勤单-考勤单
  467, // 考勤单建立-考勤单建立
  468, // 考勤单考核审核-考勤单考核审核
  469, // 成品进仓单打印-成品进仓单打印
  470, // 其它进仓单打印-其它进仓单打印
  471, // 盘盈单打印-盘盈单打印
  472, // 销售发货单打印-销售发货单打印
  473, // 仓库外协发出单打印-仓库外协发出单打印
  474, // 生产领料单打印-生产领料单打印
  475, // 其它出仓单打印-其它出仓单打印
  476, // 盘亏单打印-盘亏单打印
  477, // 扣费品领用单打印-扣费品领用单打印
  478, // 拆装单打印-拆装单打印
  479, // 调仓单打印-调仓单打印
  480, // 考勤单打印-考勤单打印
  481, // 借支单打印-借支单打印
  482, // 考勤单打印-考勤单打印
  483, // 打印-打印
  484, // 考勤单加主管部门意见-考勤单加主管部门意见
  485, // 考勤单加主管部门意见-考勤单加主管部门意见
  486, // 考勤单加批示-考勤单加批示
  487, // 考勤单加批示-考勤单加批示
  488, // 退货单毛利统计表-退货单毛利统计表
  489, // 假勤管理-假勤管理
  490, // 隐藏出仓成本价-隐藏出仓成本价
  491, // 销售发货单终确认-销售发货单终确认
  492, // 限制销售价-限制销售价
  493, // 工作中心人员-工作中心人员
  494, // 工作中心人员设定-工作中心人员设定
  495, // 工作中心工序计件-工作中心工序计件
  496, // 工作中心计件工资分配-工作中心计件工资分配
  497, // 工作中心计件单建立-工作中心计件单建立
  498, // 工作中心计件单审核-工作中心计件单审核
  499, // 工作中心计件单打印-工作中心计件单打印
  500, // 工作中心工资分配-工作中心工资分配
  501, // 工作中心工资审核-工作中心工资审核
  502, // 考勤机-考勤机
  503, // 考勤机设定-考勤机设定
  504, // 班次时段-班次时段
  505, // 班次时段设定-班次时段设定
  506, // 节假日-节假日
  507, // 节假日设定-节假日设定
  508, // 人员排班-人员排班
  509, // 发卡-发卡
  510, // 考勤机读数-考勤机读数
  511, // 数据分析-数据分析
  512, // 明细查询-明细查询
  513, // 考勤日报表-考勤日报表
  514, // 打卡明细表-打卡明细表
  515, // 考勤异常情况统计表-考勤异常情况统计表
  516, // 排班-排班
  517, // 发卡-发卡
  518, // 读数-读数
  519, // 分析-分析
  520, // 销售单可以不选销售订单-销售单可以不选销售订单
  521, // 隐藏/限制-隐藏/限制
  522, // 选择-选择
  523, // 销售发票-销售发票
  524, // 客户收款单初审-客户收款单初审
  525, // 销售发票建立-销售发票建立
  526, // 销售发票审核-销售发票审核
  527, // 手动打卡单明细表-手动打卡单明细表
  528, // 返工返修项目-返工返修项目
  529, // 返工返修项目设定-返工返修项目设定
  530, // 物料/产品存放仓库-物料/产品存放仓库
  531, // 物料/产品存放设定-物料/产品存放设定
  532, // 外协发出统计表-外协发出统计表
  533, // 外协进仓统计表-外协进仓统计表
  534, // 采购收货单增加备注-采购收货单增加备注
  535, // 外协商库存调整单建立-外协商库存调整单建立
  536, // 销售报价单终撤-销售报价单终撤
  537, // 外协商库存调整单-外协商库存调整单
  538, // 采购收货/退货单增加备注-采购收货/退货单增加备注
  539, // 销售退货单-销售退货单
  540, // 销售退货单建立-销售退货单建立
  541, // 销售退货单仓库审核-销售退货单仓库审核
  542, // 采购退货单-采购退货单
  543, // 采购退货单建立-采购退货单建立
  544, // 采购退货单仓库审核-采购退货单仓库审核
  545, // 采购退货单打印-采购退货单打印
  546, // 采购退货单-采购退货单
  547, // 采购退货单建立-采购退货单建立
  548, // 采购退货单仓库审核-采购退货单仓库审核
  549, // 采购退货单打印-采购退货单打印
  550, // 仓库外协返工单-仓库外协返工单
  551, // 仓库外协返工单建立-仓库外协返工单建立
  552, // 仓库外协返工单仓库审核-仓库外协返工单仓库审核
  553, // 仓库外协返工单打印-仓库外协返工单打印
  554, // 仓库外协返工单-仓库外协返工单
  555, // 仓库外协返工单建立-仓库外协返工单建立
  556, // 仓库外协返工单收货审核-仓库外协返工单收货审核
  557, // 仓库外协返工单打印-仓库外协返工单打印
  558, // 销售订单补件审核-销售订单补件审核
  559, // 销售订单补件修改单价-销售订单补件修改单价
  560, // 销售订单补件审核-销售订单补件审核
  561, // 考核单补充评价-考核单补充评价
  562, // 销售退货单财务审核-销售退货单财务审核
  563, // 销售退货单确认-销售退货单确认
  564, // 销售退货单打印-销售退货单打印
  565, // 销售退货单仓审-销售退货单仓审
  566, // 销售退货单仓库撤审-销售退货单仓库撤审
  567, // 销售退货单仓库审核-销售退货单仓库审核
  568, // 销售退货单打印-销售退货单打印
  569, // 销售退货单财务审核-销售退货单财务审核
  570, // 销售退货单财务审核-销售退货单财务审核
  571, // 客户返利单-客户返利单
  572, // 客户返利单建立-客户返利单建立
  573, // 客户返利单审核-客户返利单审核
  574, // 客户返利单打印-客户返利单打印
  575, // 客户费用单-客户费用单
  576, // 客户费用单建立-客户费用单建立
  577, // 客户费用单终审-客户费用单终审
  578, // 客户费用单打印-客户费用单打印
  579, // 销售订单删除-销售订单删除
  580, // 销售发货单删除-销售发货单删除
  581, // 销售退货单删除-销售退货单删除
  582, // 销售退货单增加备注-销售退货单增加备注
  583, // 销售发货单增加备注-销售发货单增加备注
  584, // 采购收货单删除-采购收货单删除
  585, // 采购退货单删除-采购退货单删除
  586, // 仓库外协收货单删除-仓库外协收货单删除
  587, // 仓库外协返工单删除-仓库外协返工单删除
  588, // 仓库外协发出单删除-仓库外协发出单删除
  589, // 仓库外协发出单删除-仓库外协发出单删除
  590, // 仓库外协返工单删除-仓库外协返工单删除
  591, // 仓库外协收货单删除-仓库外协收货单删除
  592, // 采购收货单删除-采购收货单删除
  593, // 采购退货单删除-采购退货单删除
  594, // 材料采购订单删除-材料采购订单删除
  595, // 外协订单删除-外协订单删除
  596, // 扣费品领用单删除-扣费品领用单删除
  597, // 成品进仓单删除-成品进仓单删除
  598, // 生产进仓单删除-生产进仓单删除
  599, // 生产领料单删除-生产领料单删除
  600, // 生产领料单删除-生产领料单删除
  601, // 其它进仓单删除-其它进仓单删除
  602, // 其它出仓单删除-其它出仓单删除
  603, // 盘盈单删除-盘盈单删除
  604, // 盘亏单删除-盘亏单删除
  605, // 销售报价单删除-销售报价单删除
  606, // 装箱单删除-装箱单删除
  607, // 销售发票删除-销售发票删除
  608, // 销售发票撤审-销售发票撤审
  609, // 客户返利单删除-客户返利单删除
  610, // 客户费用单删除-客户费用单删除
  611, // 内部异常反馈单删除-内部异常反馈单删除
  612, // 拆装单删除-拆装单删除
  613, // 仓库调拨单删除-仓库调拨单删除
  614, // 单产品客户调货单删除-单产品客户调货单删除
  615, // 供应商投诉单删除-供应商投诉单删除
  616, // 赔偿单删除-赔偿单删除
  617, // 供应商询价单删除-供应商询价单删除
  618, // 生产计划删除-生产计划删除
  619, // 工段交接单删除-工段交接单删除
  620, // 工段交期调整单删除-工段交期调整单删除
  621, // 返工返修赔偿单删除-返工返修赔偿单删除
  622, // 损耗单删除-损耗单删除
  623, // 赔偿单删除-赔偿单删除
  624, // 销售订单补件撤审-销售订单补件撤审
  625, // 产品个人计件单删除-产品个人计件单删除
  626, // 个人其它计件单删除-个人其它计件单删除
  627, // 借支单删除-借支单删除
  628, // 考勤单删除-考勤单删除
  629, // 删除-删除
  630, // 供应商物料别名-供应商物料别名
  631, // 供应商物料别名设定-供应商物料别名设定
  632, // 采购退货单增加备注-采购退货单增加备注
  633, // 采购退货单增加备注-采购退货单增加备注
  634, // 价格表审核-价格表审核
  635, // 价格表打印-价格表打印
  636, // 采购退货单仓库撤审-采购退货单仓库撤审
  637, // 客户返利单添加备注-客户返利单添加备注
  638, // 客户费用单添加备注-客户费用单添加备注
  639, // 应付对数单-应付对数单
  640, // 应收对数单-应收对数单
  641, // 应收对数单建立-应收对数单建立
  642, // 应付对数单建立-应付对数单建立
  643, // 销售报价单明细审核-销售报价单明细审核
  644, // 销售报价单明细报价-销售报价单明细报价
  645, // 应付帐龄表-应付帐龄表
  646, // 仓库外协返工单仓库撤审-仓库外协返工单仓库撤审
  647, // 仓库外协返工单增加备注-仓库外协返工单增加备注
  648, // 采购收货/退货单财务审核-采购收货/退货单财务审核
  649, // 采购收货/退货单财务审核-采购收货/退货单财务审核
  650, // 外协收货/退货单财务审核-外协收货/退货单财务审核
  651, // 外协收货/退货单财务审核-外协收货/退货单财务审核
  652, // 应收对数单审核-应收对数单审核
  653, // 应收对数单删除-应收对数单删除
  654, // 应付对数单审核-应付对数单审核
  655, // 应付对数单删除-应付对数单删除
  656, // 应付对数单打印-应付对数单打印
  657, // 应收对数单打印-应收对数单打印
  658, // 基础资料-基础资料
  659, // 技术-技术
  660, // 基础资料-基础资料
  661, // 基础资料-基础资料
  662, // 基础资料-基础资料
  663, // 销售报价单明细撤审-销售报价单明细撤审
  664, // 生产计划修改采购用料需求-生产计划修改采购用料需求
  665, // 系统权限导入导出-系统权限导入导出
  666, // 限制编辑打印格式-限制编辑打印格式
  667, // 仓库外协收货单增加备注-仓库外协收货单增加备注
  668, // 外协收货/退货单增加备注-外协收货/退货单增加备注
  669, // 仓库外协收货单仓库撤审-仓库外协收货单仓库撤审
  670, // 车间外协收货单收货撤审-车间外协收货单收货撤审
  671, // 考核单列表-考核单列表
  672, // 考核单建立-考核单建立
  673, // 考核单删除-考核单删除
  674, // 考核单初审-考核单初审
  675, // 考核单初撤-考核单初撤
  676, // 考核单打印-考核单打印
  677, // 补底工资变更单-补底工资变更单
  678, // 基本工资变更单审核-基本工资变更单审核
  679, // 岗位设定-岗位设定
  680, // 基本工资变更单删除-基本工资变更单删除
  681, // 基本工资变更单打印-基本工资变更单打印
  682, // 产品价格设定-产品价格设定
  683, // 单据抬头格式-单据抬头格式
  684, // 岗位-岗位
  685, // 外协商询价单删除-外协商询价单删除
  686, // 中止材料订单明细物料-中止材料订单明细物料
  687, // 工作中心-工作中心
  688, // 工作中心设定-工作中心设定
  689, // 领料单二审-领料单二审
  690, // 领料单二级审核-领料单二级审核
  691, // 基本工资变更单-基本工资变更单
  692, // 基本工资变更单新建-基本工资变更单新建
  693, // 来料加工收料单统计表-来料加工收料单统计表
  694, // 来料加工订单发货统计表-来料加工订单发货统计表
  695, // 来料加工发货单统计表-来料加工发货单统计表
  696, // 岗位考核项目设定-岗位考核项目设定
  697, // 外协订单手动完成-外协订单手动完成
  698, // 销售订单添加备注-销售订单添加备注
  699, // 销售发货单添加备注-销售发货单添加备注
  700, // 销售退货单添加备注-销售退货单添加备注
  701, // 废弃销售单明细表-废弃销售单明细表
  702, // 销售报价单增加备注-销售报价单增加备注
  703, // 销售报价单隐藏成本-销售报价单隐藏成本
  704, // 外协损耗单统计表-外协损耗单统计表
  705, // 销售订单跟踪-销售订单跟踪
  706, // 工段流程-工段流程
  707, // 工段流程定义-工段流程定义
  708, // 库存成本价调整单-库存成本价调整单
  709, // 库存成本价调整单建立-库存成本价调整单建立
  710, // 库存成本价调整单删除-库存成本价调整单删除
  711, // 库存成本价调整单审核-库存成本价调整单审核
  712, // 生产计划设定工段交接完成时间-生产计划设定工段交接完成时间
  713, // 客户业务员转换-客户业务员转换
  714, // 客户业务员转换设定-客户业务员转换设定
  715, // 外协商库存查询-外协商库存查询
  716, // 外协商结存-外协商结存
  717, // 供应商结存-供应商结存
  718, // 外协商历史结存查询-外协商历史结存查询
  719, // 员工充值消费记录建立-员工充值消费记录建立
  720, // 员工充值消费记录审核-员工充值消费记录审核
  721, // 物料常规属性批修改-物料常规属性批修改
  722, // 物料常规属性批量修改-物料常规属性批量修改
  723, // 产品价格设定-产品价格设定
  724, // 仓库外协退回单-仓库外协退回单
  725, // 仓库外协退回单建立-仓库外协退回单建立
  726, // 仓库外协退回单审核-仓库外协退回单审核
  727, // 仓库外协退回单删除-仓库外协退回单删除
  728, // 仓库外协退回单打印-仓库外协退回单打印
  729, // 车间外协发出单-车间外协发出单
  730, // 车间外协发出单建立-车间外协发出单建立
  731, // 车间外协发出单审核-车间外协发出单审核
  732, // 车间外协发出单删除-车间外协发出单删除
  733, // 车间外协发出单打印-车间外协发出单打印
  734, // 车间外协退回单-车间外协退回单
  735, // 车间外协退回单建立-车间外协退回单建立
  736, // 车间外协退回单审核-车间外协退回单审核
  737, // 车间外协退回单删除-车间外协退回单删除
  738, // 车间外协退回单打印-车间外协退回单打印
  739, // 车间外协收货单-车间外协收货单
  740, // 车间外协收货单建立-车间外协收货单建立
  741, // 车间外协收货单收货审核-车间外协收货单收货审核
  742, // 车间外协收货单删除-车间外协收货单删除
  743, // 车间外协收货单打印-车间外协收货单打印
  744, // 车间外协返工单-车间外协返工单
  745, // 车间外协返工单建立-车间外协返工单建立
  746, // 车间外协返工单收货审核-车间外协返工单收货审核
  747, // 车间外协返工单删除-车间外协返工单删除
  748, // 车间外协返工单打印-车间外协返工单打印
  749, // 客户反馈单删除-客户反馈单删除
  750, // 客户反馈单初级审核-客户反馈单初级审核
  751, // 客户反馈单补充责任部门意见-客户反馈单补充责任部门意见
  752, // 客户反馈单打印-客户反馈单打印
  753, // 内部异常反馈单打印-内部异常反馈单打印
  754, // 仓库外协退回单-仓库外协退回单
  755, // 仓库外协退回单建立-仓库外协退回单建立
  756, // 仓库外协退回单审核-仓库外协退回单审核
  757, // 仓库外协退回单删除-仓库外协退回单删除
  758, // 仓库外协退回单打印-仓库外协退回单打印
  759, // 物料清单打印-物料清单打印
  760, // 外协销售退货单删除-外协销售退货单删除
  761, // 外协销售退货单建立-外协销售退货单建立
  762, // 外协商外协金额统计表-外协商外协金额统计表
  763, // 销售订单终止明细物料-销售订单终止明细物料
  764, // 补底绩效考核单撤审-补底绩效考核单撤审
  765, // 隐藏正负差价-隐藏正负差价
  766, // 客户费用项目-客户费用项目
  767, // 客户费用项目建立-客户费用项目建立
  768, // 其它收入支出单-其它收入支出单
  769, // 其它收入支出单建立-其它收入支出单建立
  770, // 其它收入支出单删除-其它收入支出单删除
  771, // 其它收入支出单审核-其它收入支出单审核
  772, // 其它收入支出单打印-其它收入支出单打印
  773, // 其它收入支出单添加备注-其它收入支出单添加备注
  774, // 用户组-用户组
  775, // 客户费用单统计表-客户费用单统计表
  776, // 隐藏计划价-隐藏计划价
  777, // 考核单终审-考核单终审
  778, // 考核单终撤-考核单终撤
  779, // 员工充值消费记录删除-员工充值消费记录删除
  780, // 物料清单重算用料-物料清单重算用料
  781, // 库存金额汇总表-库存金额汇总表
  782, // 工作中心产品月分配计件单-工作中心产品月分配计件单
  783, // 工作中心产品月分配计件单建立-工作中心产品月分配计件单建立
  784, // 工作中心产品月分配计件单工资审核-工作中心产品月分配计件单工资审核
  785, // 生产计划重选物料清单-生产计划重选物料清单
  786, // 物料清单设默认/组装-物料清单设默认/组装
  787, // 销售订单区域统计表-销售订单区域统计表
  788, // 销售发货单区域统计表-销售发货单区域统计表
  789, // 销售订单明细跟踪表-销售订单明细跟踪表
  790, // 外协商盘点表-外协商盘点表
  791, // 外协商盘点-外协商盘点
  793, // 配置2设定-配置2设定
  794, // 外协订单可以不选生产计划-外协订单可以不选生产计划
  795, // 异常外协订单审核-异常外协订单审核
  796, // 异常外协订单撤审-异常外协订单撤审
  797, // 系统设置-系统设置
  798, // 单据字段标记-单据字段标记
  799, // Excel模版管理-Excel模版管理
  800, // 车辆管理-车辆管理
  801, // 车辆费用项目-车辆费用项目
  802, // 车辆档案-车辆档案
  803, // 车辆出车单-车辆出车单
  804, // 车辆加油单-车辆加油单
  805, // 车辆维修单-车辆维修单
  806, // 车辆费用单-车辆费用单
  807, // 隐藏金额-隐藏金额
  808, // 隐藏进仓价-隐藏进仓价
  809, // 隐藏出仓价-隐藏出仓价
  810, // 明细查询-明细查询
  811, // 车辆出车单统计表-车辆出车单统计表
  812, // 车辆加油单统计表-车辆加油单统计表
  813, // 车辆维修单统计表-车辆维修单统计表
  814, // 车辆费用单统计表-车辆费用单统计表
  816, // 车辆费用项目建立-车辆费用项目建立
  817, // 车辆费用项目删除-车辆费用项目删除
  818, // 车辆档案建立-车辆档案建立
  819, // 车辆档案删除-车辆档案删除
  820, // 车辆出车单建立-车辆出车单建立
  821, // 车辆出车单删除-车辆出车单删除
  822, // 车辆出车单审核-车辆出车单审核
  823, // 车辆出车单撤审-车辆出车单撤审
  824, // 车辆出车单增加备注-车辆出车单增加备注
  825, // 车辆出车单打印-车辆出车单打印
  826, // 车辆加油单建立-车辆加油单建立
  827, // 车辆加油单删除-车辆加油单删除
  828, // 车辆加油单审核-车辆加油单审核
  829, // 车辆加油单撤审-车辆加油单撤审
  830, // 车辆加油单增加备注-车辆加油单增加备注
  831, // 车辆加油单打印-车辆加油单打印
  832, // 车辆维修单建立-车辆维修单建立
  833, // 车辆维修单删除-车辆维修单删除
  834, // 车辆维修单审核-车辆维修单审核
  835, // 车辆维修单撤审-车辆维修单撤审
  836, // 车辆维修单增加备注-车辆维修单增加备注
  837, // 车辆维修单打印-车辆维修单打印
  838, // 车辆费用单建立-车辆费用单建立
  839, // 车辆费用单删除-车辆费用单删除
  840, // 车辆费用单审核-车辆费用单审核
  841, // 车辆费用单撤审-车辆费用单撤审
  842, // 车辆费用单增加备注-车辆费用单增加备注
  843, // 车辆费用单打印-车辆费用单打印
  844, // 车辆报废单-车辆报废单
  845, // 车辆报废单建立-车辆报废单建立
  846, // 车辆报废单删除-车辆报废单删除
  847, // 车辆报废单审核-车辆报废单审核
  848, // 车辆报废单撤审-车辆报废单撤审
  849, // 车辆报废单增加备注-车辆报废单增加备注
  850, // 车辆报废单打印-车辆报废单打印
  851, // 单产品客户调货单打印-单产品客户调货单打印
  852, // 库存成本价调整单打印-库存成本价调整单打印
  853, // 工段完工单仓库审-工段完工单仓库审
  854, // 工段完工单仓库审核-工段完工单仓库审核
  855, // 客户关系-客户关系
  856, // 客户档案-客户档案
  857, // 客户建立-客户建立
  858, // 客户删除-客户删除
  859, // 设正式-设正式
  860, // 走访建立-走访建立
  861, // 计划建立-计划建立
  862, // 销售计划-销售计划
  863, // 销售计划建立-销售计划建立
  864, // 销售计划删除-销售计划删除
  865, // 销售计划审核-销售计划审核
  866, // 销售计划撤审-销售计划撤审
  867, // 打印-打印
  868, // 销售计划增加备注-销售计划增加备注
  869, // 明细查询-明细查询
  870, // 销售计划打印-销售计划打印
  871, // 客户反馈单-客户反馈单
  872, // 人资-人资
  873, // 决策-决策
  874, // 绩效考核-绩效考核
  875, // 补底绩效考核单统计-补底绩效考核单统计
  876, // 规章-规章
  877, // 资产负债表-资产负债表
  878, // 考勤单考核撤审-考勤单考核撤审
  879, // 行政-行政
  880, // 行政部-行政部
  881, // 审批流程分类-审批流程分类
  882, // 审批流程-审批流程
  883, // 审批条件-审批条件
  884, // 审批流程分类设定-审批流程分类设定
  885, // 审批流程设定-审批流程设定
  886, // 审批条件设定-审批条件设定
  887, // 个人事务-个人事务
  888, // 公共事务-公共事务
  889, // 日程安排-日程安排
  890, // 工作流-工作流
  891, // 工作计划-工作计划
  892, // 单据消息发送人预置-单据消息发送人预置
  893, // 设非正式-设非正式
  894, // 生产计划工序统计表-生产计划工序统计表
  895, // 分部损益表-分部损益表
  896, // 供应商计划付款公式-供应商计划付款公式
  897, // 供应商计划付款公式设定-供应商计划付款公式设定
  898, // 货运部-货运部
  899, // 货运部设定-货运部设定
  900, // 隐藏成本-隐藏成本
  901, // 应收对数单撤审-应收对数单撤审
  902, // 应付对数单撤审-应付对数单撤审
  903, // 生产计划增加备注-生产计划增加备注
  904, // 联系人建立-联系人建立
  905, // 货运部建立-货运部建立
  906, // 联系人建立-联系人建立
  907, // 货运部建立-货运部建立
  908, // 设黑名单-设黑名单
  909, // 客户调货单统计表-客户调货单统计表
  910, // 车间外协收货单收货增加备注-车间外协收货单收货增加备注
  911, // 车间外协返工单收货撤审-车间外协返工单收货撤审
  912, // 车间外协返工单增加备注-车间外协返工单增加备注
  913, // 仓库外协收货单收货撤审-仓库外协收货单收货撤审
  914, // 仓库外协收货单增加备注-仓库外协收货单增加备注
  915, // 仓库外协返工单收货撤审-仓库外协返工单收货撤审
  916, // 仓库外协返工单增加备注-仓库外协返工单增加备注
  917, // 产品及物料高级修改-产品及物料高级修改
  918, // 客户资料高级修改-客户资料高级修改
  919, // 供应商资料高级修改-供应商资料高级修改
  920, // 产品及物料删除-产品及物料删除
  921, // 客户资料删除-客户资料删除
  922, // 供应商资料删除-供应商资料删除
  923, // 销售计划统计完成情况-销售计划统计完成情况
  924, // 销售计划确认-销售计划确认
  925, // 销售计划反确认-销售计划反确认
  926, // 补底工资变更单建立-补底工资变更单建立
  927, // 补底工资变更单删除-补底工资变更单删除
  928, // 补底工资变更单审核-补底工资变更单审核
  929, // 补底绩效考核单审核-补底绩效考核单审核
  930, // 补底工资变更单打印-补底工资变更单打印
  931, // 补底绩效考核单-补底绩效考核单
  932, // 补底绩效考核单建立-补底绩效考核单建立
  933, // 补底绩效考核单删除-补底绩效考核单删除
  934, // 补底绩效考核单二级审核-补底绩效考核单二级审核
  935, // 补底绩效考核单二级撤审-补底绩效考核单二级撤审
  936, // 补底绩效考核单添加备注-补底绩效考核单添加备注
  937, // 销售计划统计表-销售计划统计表
  938, // 产品销售分析表-产品销售分析表
  939, // 仓库调拨单调出撤审-仓库调拨单调出撤审
  940, // 仓库调拨单调入审核-仓库调拨单调入审核
  941, // 仓库调拨单调入撤审-仓库调拨单调入撤审
  942, // 仓库调拨单增加备注-仓库调拨单增加备注
  943, // 产品工序计件统计表-产品工序计件统计表
  944, // 成品进仓单撤审-成品进仓单撤审
  945, // 成品进仓单增加备注-成品进仓单增加备注
  946, // 销售订单生产审核-销售订单生产审核
  947, // 销售订单生产撤审-销售订单生产撤审
  948, // 文本读数-文本读数
  949, // 读数-读数
  950, // 客户库存表-客户库存表
  951, // 附件档案分类-附件档案分类
  952, // 附件档案分类设定-附件档案分类设定
  953, // 付款单统计表-付款单统计表
  954, // 物料/产品资料查看-物料/产品资料查看
  955, // 业务员走访统计表-业务员走访统计表
  956, // 安全库存设定-安全库存设定
  957, // 工段派工单-工段派工单
  958, // 工段派工单建立-工段派工单建立
  959, // 领料单-领料单
  960, // 超额发料单-超额发料单
  961, // 超额发料单建立-超额发料单建立
  962, // 超额发料单审核-超额发料单审核
  963, // 超额发料单打印-超额发料单打印
  964, // 超额发料单删除-超额发料单删除
  965, // 生产退料单-生产退料单
  966, // 生产退料单建立-生产退料单建立
  967, // 生产退料单审核-生产退料单审核
  968, // 生产退料单删除-生产退料单删除
  969, // 生产退料单打印-生产退料单打印
  970, // 其他领料单-其他领料单
  971, // 其他领料单建立-其他领料单建立
  972, // 其他领料单审核-其他领料单审核
  973, // 其他领料单打印-其他领料单打印
  974, // 其他领料单删除-其他领料单删除
  975, // 发料领料-发料领料
  976, // 工段派工单删除-工段派工单删除
  977, // 超额发料单-超额发料单
  978, // 超额发料单建立-超额发料单建立
  979, // 超额发料单删除-超额发料单删除
  980, // 超额发料单审核-超额发料单审核
  981, // 超额发料单撤审-超额发料单撤审
  982, // 超额发料单添加备注-超额发料单添加备注
  983, // 超额发料单打印-超额发料单打印
  984, // 生产退料单-生产退料单
  985, // 生产退料单建立-生产退料单建立
  986, // 生产退料单删除-生产退料单删除
  987, // 生产退料单审核-生产退料单审核
  988, // 生产退料单撤审-生产退料单撤审
  989, // 生产退料单添加备注-生产退料单添加备注
  990, // 生产退料单打印-生产退料单打印
  991, // 其他领料单-其他领料单
  992, // 其他领料单建立-其他领料单建立
  993, // 其他领料单删除-其他领料单删除
  994, // 其他领料单审核-其他领料单审核
  995, // 其他领料单撤审-其他领料单撤审
  996, // 其他领料单添加备注-其他领料单添加备注
  997, // 其他领料单打印-其他领料单打印
  998, // 产品及物料计量单位-产品及物料计量单位
  999, // 物料/产品计量单位设定-物料/产品计量单位设定
  1000, // 生产领料单撤审-生产领料单撤审
  1001, // 生产领料单增加备注-生产领料单增加备注
  1002, // 超额发料单撤审-超额发料单撤审
  1003, // 超额发料单增加备注-超额发料单增加备注
  1004, // 生产退料单撤审-生产退料单撤审
  1005, // 生产退料单增加备注-生产退料单增加备注
  1006, // 其他领料单撤审-其他领料单撤审
  1007, // 其他领料单增加备注-其他领料单增加备注
  1008, // 领料单二级撤审-领料单二级撤审
  1009, // 其它进仓单撤审-其它进仓单撤审
  1010, // 其它进仓单增加备注-其它进仓单增加备注
  1011, // 盘盈单撤审-盘盈单撤审
  1012, // 盘盈单增加备注-盘盈单增加备注
  1013, // 其它出仓单撤审-其它出仓单撤审
  1014, // 其它出仓单增加备注-其它出仓单增加备注
  1015, // 盘亏单撤审-盘亏单撤审
  1016, // 盘亏单增加备注-盘亏单增加备注
  1017, // 拆装单撤审-拆装单撤审
  1018, // 拆装单增加备注-拆装单增加备注
  1019, // 单产品客户调货单撤审-单产品客户调货单撤审
  1020, // 单产品客户调货单增加备注-单产品客户调货单增加备注
  1021, // 库存成本价调整单撤审-库存成本价调整单撤审
  1022, // 库存成本价调整单增加备注-库存成本价调整单增加备注
  1023, // 扣费品领用单仓库撤审-扣费品领用单仓库撤审
  1024, // 扣费品领用单增加备注-扣费品领用单增加备注
  1025, // 仓库外协退回单撤审-仓库外协退回单撤审
  1026, // 仓库外协退回单增加备注-仓库外协退回单增加备注
  1027, // 车间外协发出单撤审-车间外协发出单撤审
  1028, // 车间外协发出单增加备注-车间外协发出单增加备注
  1029, // 车间外协退回单撤审-车间外协退回单撤审
  1030, // 车间外协退回单增加备注-车间外协退回单增加备注
  1031, // 材料采购订单导出Excel-材料采购订单导出Excel
  1032, // 销售订单导出Excel-销售订单导出Excel
  1033, // 工段完工单仓库撤审-工段完工单仓库撤审
  1034, // 工段交期调整单撤审-工段交期调整单撤审
  1035, // 工段交期调整单增加备注-工段交期调整单增加备注
  1036, // 返工返修赔偿单撤审-返工返修赔偿单撤审
  1037, // 返工返修赔偿单增加备注-返工返修赔偿单增加备注
  1038, // 换卡单-换卡单
  1039, // 换卡单建立-换卡单建立
  1040, // 换卡单删除-换卡单删除
  1041, // 换卡单审核-换卡单审核
  1042, // 换卡单撤审-换卡单撤审
  1043, // 换卡单增加备注-换卡单增加备注
  1044, // 换卡单打印-换卡单打印
  1045, // 手工打卡单-手工打卡单
  1046, // 手工打卡单建立-手工打卡单建立
  1047, // 手工打卡单删除-手工打卡单删除
  1048, // 手工打卡单审核-手工打卡单审核
  1049, // 手工打卡单撤审-手工打卡单撤审
  1050, // 手工打卡单增加备注-手工打卡单增加备注
  1051, // 手工打卡单打印-手工打卡单打印
  1052, // 材料申购单-材料申购单
  1053, // 材料申购单建立-材料申购单建立
  1054, // 材料申购单删除-材料申购单删除
  1055, // 材料申购单初审-材料申购单初审
  1056, // 材料申购单初审撤审-材料申购单初审撤审
  1057, // 材料申购单增加备注-材料申购单增加备注
  1058, // 材料申购单打印-材料申购单打印
  1059, // 材料申购单终审-材料申购单终审
  1060, // 材料申购单终审撤审-材料申购单终审撤审
  1061, // 材料申购单终止-材料申购单终止
  1062, // 材料申购单暂停-材料申购单暂停
  1063, // 材料申购单手动完成-材料申购单手动完成
  1064, // 生产计划用料初审-生产计划用料初审
  1065, // 生产计划用料初级撤审-生产计划用料初级撤审
  1066, // 供应商辅助项目-供应商辅助项目
  1067, // 供应商辅助项目设定-供应商辅助项目设定
  1068, // 客户辅助项目-客户辅助项目
  1069, // 客户辅助项目设定-客户辅助项目设定
  1070, // 供应商付款单-供应商付款单
  1071, // 客户收款单删除-客户收款单删除
  1072, // 客户收款单初撤-客户收款单初撤
  1073, // 客户收款单打印-客户收款单打印
  1074, // 供应商付款单建立-供应商付款单建立
  1075, // 供应商付款单删除-供应商付款单删除
  1076, // 供应商付款单审核-供应商付款单审核
  1077, // 供应商付款单撤审-供应商付款单撤审
  1078, // 供应商付款单打印-供应商付款单打印
  1079, // 工段派工单初审-工段派工单初审
  1080, // 样版建立-样版建立
  1081, // 辅助项目摘要修改-辅助项目摘要修改
  1082, // 附件-附件
  1083, // 物料清单撤审-物料清单撤审
  1084, // 销售订单单据备货查询-销售订单单据备货查询
  1085, // 隐藏金额-隐藏金额
  1086, // 其它收入支出单撤审-其它收入支出单撤审
  1087, // 工段完工单打印-工段完工单打印
  1088, // 补底绩效考核单打印-补底绩效考核单打印
  1089, // 个人其它计件单打印-个人其它计件单打印
  1090, // 销售发票打印-销售发票打印
  1091, // 工段交接日报表-工段交接日报表
  1092, // 工段交接汇总统计表-工段交接汇总统计表
  1093, // 客户收款单终审-客户收款单终审
  1094, // 客户收款单终撤-客户收款单终撤
  1095, // 客户反馈单添加附件-客户反馈单添加附件
  1096, // 批修改工价表工序单价-批修改工价表工序单价
  1097, // 批修改计件单工序单价-批修改计件单工序单价
  1098, // 销售订单添加附件-销售订单添加附件
  1099, // 批修改计件单计件单价-批修改计件单计件单价
  1100, // 修改单价-修改单价
  1101, // 盘点表审核-盘点表审核
  1102, // 盘点表撤审-盘点表撤审
  1103, // 工段派工单初级撤审-工段派工单初级撤审
  1104, // 工段派工单终审-工段派工单终审
  1105, // 工段派工单终级撤审-工段派工单终级撤审
  1106, // 工段派工单增加备注-工段派工单增加备注
  1107, // 工段派工单打印-工段派工单打印
  1108, // 供应商询价单终撤-供应商询价单终撤
  1109, // 供应商询价单增加备注-供应商询价单增加备注
  1110, // 外协商询价单终撤-外协商询价单终撤
  1111, // 外协商询价单增加备注-外协商询价单增加备注
  1112, // 删除0库存-删除0库存
  1113, // 个人计件对帐表-个人计件对帐表
  1114, // 生产领料单确认-生产领料单确认
  1115, // 生产领料单反确认-生产领料单反确认
  1116, // 生产领料单确认-生产领料单确认
  1117, // 生产领料单反确认-生产领料单反确认
  1118, // 其它收入支出单统计表-其它收入支出单统计表
  1119, // 仓库历史库存表-仓库历史库存表
  1120, // 客户补件单-客户补件单
  1121, // 客户补件单建立-客户补件单建立
  1122, // 客户补件单删除-客户补件单删除
  1123, // 客户补件单财审-客户补件单财审
  1124, // 客户补件单财撤-客户补件单财撤
  1125, // 客户补件单添加备注-客户补件单添加备注
  1126, // 客户补件单打印-客户补件单打印
  1127, // 来料加工-来料加工
  1128, // 来料加工订单-来料加工订单
  1129, // 车间生产指令单-车间生产指令单
  1130, // 来料加工收料单-来料加工收料单
  1131, // 来料加工发货单-来料加工发货单
  1132, // 明细查询-明细查询
  1133, // 客户补件单统计表-客户补件单统计表
  1134, // 车间-车间
  1135, // 车间设定-车间设定
  1136, // 生产指令单建立-生产指令单建立
  1137, // 生产指令单删除-生产指令单删除
  1138, // 生产指令单终审-生产指令单终审
  1139, // 生产指令单终撤-生产指令单终撤
  1140, // 生产指令单暂停-生产指令单暂停
  1141, // 生产指令单终止-生产指令单终止
  1142, // 生产指令单手动完成-生产指令单手动完成
  1143, // 生产指令单增加备注-生产指令单增加备注
  1144, // 生产指令单打印-生产指令单打印
  1145, // 生产指令单设定工段交接完成时间-生产指令单设定工段交接完成时间
  1146, // 版本升级日志-版本升级日志
  1147, // 物料生产属性批修改-物料生产属性批修改
  1148, // 物料生产属性批量修改-物料生产属性批量修改
  1149, // 生产计划计算用料-生产计划计算用料
  1150, // 价格表调价单-价格表调价单
  1151, // 价格表调价单建立-价格表调价单建立
  1152, // 价格表调价单删除-价格表调价单删除
  1153, // 价格表调价单审核-价格表调价单审核
  1154, // 客户反馈单最终审核-客户反馈单最终审核
  1155, // 价格表调价单增加备注-价格表调价单增加备注
  1156, // 价格表调价单打印-价格表调价单打印
  1157, // 生产-生产
  1158, // 隐藏正负差价金额-隐藏正负差价金额
  1159, // 生产计划领料明细换配置-生产计划领料明细换配置
  1160, // 客户反馈单最终撤审-客户反馈单最终撤审
  1161, // 生产计划修改工序-生产计划修改工序
  1162, // 查看奖罚-查看奖罚
  1163, // 添加附件-添加附件
  1164, // 应收帐龄表-应收帐龄表
  1165, // 出纳明细表-出纳明细表
  1166, // 车间工价查询-车间工价查询
  1167, // 生产计划用料终审-生产计划用料终审
  1168, // 生产计划用料终级撤审-生产计划用料终级撤审
  1169, // 超额发料单确认-超额发料单确认
  1170, // 超额发料单反确认-超额发料单反确认
  1171, // 超额发料单确认-超额发料单确认
  1172, // 超额发料单反确认-超额发料单反确认
  1173, // 物料类别采购统计表-物料类别采购统计表
  1174, // 产品销售金额对比统计表-产品销售金额对比统计表
  1175, // 员工服务-员工服务
  1176, // 订餐管理-订餐管理
  1177, // 订餐单-订餐单
  1178, // 单据建立-单据建立
  1179, // 单据删除-单据删除
  1180, // 单据审核-单据审核
  1181, // 单据撤审-单据撤审
  1182, // 强制撤审-强制撤审
  1183, // 取消上传标记-取消上传标记
  1184, // 特殊订餐管理-特殊订餐管理
  1185, // 饭餐类型设定-饭餐类型设定
  1186, // 饭餐时段设定-饭餐时段设定
  1187, // 员工用餐类型设定-员工用餐类型设定
  1188, // 明细查询-明细查询
  1189, // 订餐日统计表-订餐日统计表
  1190, // 订餐月统计表-订餐月统计表
  1191, // 订餐打卡明细表-订餐打卡明细表
  1192, // 取餐打卡明细表-取餐打卡明细表
  1193, // 工作中心产品日分配计件单-工作中心产品日分配计件单
  1194, // 个人产品计件单确认-个人产品计件单确认
  1195, // 个人产品计件单反确认-个人产品计件单反确认
  1196, // 工作中心产品月分配计件单确认-工作中心产品月分配计件单确认
  1197, // 工作中心产品月分配计件单反确认-工作中心产品月分配计件单反确认
  1198, // 工作中心产品日分配计件单建立-工作中心产品日分配计件单建立
  1199, // 工作中心产品日分配计件单删除-工作中心产品日分配计件单删除
  1200, // 工作中心产品日分配计件单确认-工作中心产品日分配计件单确认
  1201, // 工作中心产品日分配计件单反确认-工作中心产品日分配计件单反确认
  1202, // 工作中心产品日分配计件单工资审核-工作中心产品日分配计件单工资审核
  1203, // 工作中心产品日分配计件单工资撤审-工作中心产品日分配计件单工资撤审
  1204, // 工作中心产品月分配计件单增加备注-工作中心产品月分配计件单增加备注
  1205, // 工作中心产品月分配计件单打印-工作中心产品月分配计件单打印
  1206, // 个人产品计件单增加备注-个人产品计件单增加备注
  1207, // 个人产品计件单打印-个人产品计件单打印
  1208, // 工作中心产品日分配计件单增加备注-工作中心产品日分配计件单增加备注
  1209, // 工作中心产品日分配计件单打印-工作中心产品日分配计件单打印
  1210, // 隐藏客户名称(库存表,生产计划,生产进仓单)-隐藏客户名称(库存表,生产计划,生产进仓单)
  1211, // 赔偿单撤审-赔偿单撤审
  1212, // 赔偿单财务审核-赔偿单财务审核
  1213, // 赔偿单财务撤审-赔偿单财务撤审
  1214, // 赔偿单增加备注-赔偿单增加备注
  1215, // 赔偿单撤审-赔偿单撤审
  1216, // 赔偿单财务审核-赔偿单财务审核
  1217, // 赔偿单财务撤审-赔偿单财务撤审
  1218, // 赔偿单增加备注-赔偿单增加备注
  1219, // 处理劳动法工资表-处理劳动法工资表
  1220, // 来料加工退料单-来料加工退料单
  1221, // 来料加工退货单-来料加工退货单
  1222, // 来料加工收料单建立-来料加工收料单建立
  1223, // 来料加工收料单删除-来料加工收料单删除
  1224, // 来料加工收料单审核-来料加工收料单审核
  1225, // 来料加工收料单撤审-来料加工收料单撤审
  1226, // 来料加工收料单增加备注-来料加工收料单增加备注
  1227, // 来料加工收料单打印-来料加工收料单打印
  1228, // 来料加工退料单建立-来料加工退料单建立
  1229, // 来料加工退料单删除-来料加工退料单删除
  1230, // 来料加工退料单审核-来料加工退料单审核
  1231, // 来料加工退料单撤审-来料加工退料单撤审
  1232, // 来料加工退料单增加备注-来料加工退料单增加备注
  1233, // 来料加工退料单打印-来料加工退料单打印
  1234, // 来料加工发货单建立-来料加工发货单建立
  1235, // 来料加工发货单删除-来料加工发货单删除
  1236, // 来料加工发货单仓库审核-来料加工发货单仓库审核
  1237, // 来料加工发货单仓库撤审-来料加工发货单仓库撤审
  1238, // 来料加工发货单增加备注-来料加工发货单增加备注
  1239, // 来料加工发货单打印-来料加工发货单打印
  1240, // 来料加工退货单建立-来料加工退货单建立
  1241, // 来料加工退货单删除-来料加工退货单删除
  1242, // 来料加工退货单仓库审核-来料加工退货单仓库审核
  1243, // 来料加工退货单仓库撤审-来料加工退货单仓库撤审
  1244, // 来料加工退货单增加备注-来料加工退货单增加备注
  1245, // 来料加工退货单打印-来料加工退货单打印
  1246, // 销售发货单财务撤审-销售发货单财务撤审
  1247, // 销售退货单财务撤审-销售退货单财务撤审
  1248, // 个人产品计件单统计表-个人产品计件单统计表
  1249, // 工作中心产品日分配计件单统计表-工作中心产品日分配计件单统计表
  1250, // 外协申请单-外协申请单
  1251, // 外协申请单建立-外协申请单建立
  1252, // 外协申请单删除-外协申请单删除
  1253, // 外协申请单初审-外协申请单初审
  1254, // 外协申请单初审撤审-外协申请单初审撤审
  1255, // 外协申请单终审-外协申请单终审
  1256, // 外协申请单终审撤审-外协申请单终审撤审
  1257, // 外协申请单手动完成-外协申请单手动完成
  1258, // 外协申请单增加备注-外协申请单增加备注
  1259, // 外协申请单打印-外协申请单打印
  1260, // 成品申购单-成品申购单
  1261, // 成品申购单建立-成品申购单建立
  1262, // 成品申购单删除-成品申购单删除
  1263, // 成品申购单初审-成品申购单初审
  1264, // 成品申购单初审撤审-成品申购单初审撤审
  1265, // 成品申购单终审-成品申购单终审
  1266, // 成品申购单终审撤审-成品申购单终审撤审
  1267, // 成品申购单终止-成品申购单终止
  1268, // 成品申购单暂停-成品申购单暂停
  1269, // 成品申购单手动完成-成品申购单手动完成
  1270, // 成品申购单增加备注-成品申购单增加备注
  1271, // 成品申购单打印-成品申购单打印
  1272, // 外协申请单终止-外协申请单终止
  1273, // 外协申请单暂停-外协申请单暂停
  1274, // 成品采购订单-成品采购订单
  1275, // 成品采购订单建立-成品采购订单建立
  1276, // 成品采购订单删除-成品采购订单删除
  1277, // 成品采购订单终审-成品采购订单终审
  1278, // 成品采购订单终撤-成品采购订单终撤
  1279, // 成品采购订单暂停-成品采购订单暂停
  1280, // 成品采购订单终止-成品采购订单终止
  1281, // 成品采购订单手动完成-成品采购订单手动完成
  1282, // 中止成品订单明细物料-中止成品订单明细物料
  1283, // 成品采购订单添加备注-成品采购订单添加备注
  1284, // 成品采购订单打印-成品采购订单打印
  1285, // 成品采购订单导出Excel-成品采购订单导出Excel
  1286, // 销售订单生产调度-销售订单生产调度
  1287, // 销售订单调度-销售订单调度
  1288, // 销售订单调度审核-销售订单调度审核
  1289, // 销售订单调度撤审-销售订单调度撤审
  1290, // 系统密码设置-系统密码设置
  1291, // 员工充值-员工充值
  1292, // 员工充值消费记录-员工充值消费记录
  1293, // 充值-充值
  1294, // 销售订单差价统计表-销售订单差价统计表
  1295, // 客户未对数单据统计表-客户未对数单据统计表
  1296, // 质检项目-质检项目
  1297, // 质检项目设定-质检项目设定
  1298, // 自制质检单-自制质检单
  1299, // 自制质检单建立-自制质检单建立
  1300, // 自制质检单删除-自制质检单删除
  1301, // 自制质检单审核-自制质检单审核
  1302, // 自制质检单撤审-自制质检单撤审
  1303, // 自制质检单增加备注-自制质检单增加备注
  1304, // 自制质检单打印-自制质检单打印
  1305, // 生产损耗单-生产损耗单
  1306, // 生产损耗单建立-生产损耗单建立
  1307, // 生产损耗单删除-生产损耗单删除
  1308, // 生产损耗单审核-生产损耗单审核
  1309, // 生产损耗单撤审-生产损耗单撤审
  1310, // 生产损耗单增加备注-生产损耗单增加备注
  1311, // 生产损耗单打印-生产损耗单打印
  1312, // 迟到早退统计规则-迟到早退统计规则
  1313, // 迟到早退统计规则建立-迟到早退统计规则建立
  1314, // 迟到早退次数统计表-迟到早退次数统计表
  1315, // 生产指令单换料单-生产指令单换料单
  1316, // 生产指令单换料单建立-生产指令单换料单建立
  1317, // 生产指令单换料单删除-生产指令单换料单删除
  1318, // 生产指令单换料单审核-生产指令单换料单审核
  1319, // 生产指令单换料单增加备注-生产指令单换料单增加备注
  1320, // 生产指令单换料单打印-生产指令单换料单打印
  1321, // 销售预测单-销售预测单
  1322, // 销售预测单建立-销售预测单建立
  1323, // 销售预测单删除-销售预测单删除
  1324, // 销售预测单审核-销售预测单审核
  1325, // 销售预测单撤审-销售预测单撤审
  1326, // 销售预测单生产审核-销售预测单生产审核
  1327, // 销售预测单生产撤审-销售预测单生产撤审
  1328, // 销售预测单增加备注-销售预测单增加备注
  1329, // 销售预测单终止-销售预测单终止
  1330, // 销售预测单暂停-销售预测单暂停
  1331, // 销售预测单手动完成-销售预测单手动完成
  1332, // 销售预测单终止明细物料-销售预测单终止明细物料
  1333, // 销售预测单打印-销售预测单打印
  1334, // 销售预测单添加附件-销售预测单添加附件
  1335, // 销售预测单导出Excel-销售预测单导出Excel
  1336, // 来料加工订单建立-来料加工订单建立
  1337, // 来料加工订单删除-来料加工订单删除
  1338, // 来料加工订单审核-来料加工订单审核
  1339, // 来料加工订单撤审-来料加工订单撤审
  1340, // 来料加工订单生产审核-来料加工订单生产审核
  1341, // 来料加工订单生产撤审-来料加工订单生产撤审
  1342, // 来料加工订单增加备注-来料加工订单增加备注
  1343, // 来料加工订单终止-来料加工订单终止
  1344, // 来料加工订单暂停-来料加工订单暂停
  1345, // 来料加工订单手动完成-来料加工订单手动完成
  1346, // 来料加工订单终止明细-来料加工订单终止明细
  1347, // 来料加工订单打印-来料加工订单打印
  1348, // 来料加工订单导出Excel-来料加工订单导出Excel
  1349, // 来料加工订单添加附件-来料加工订单添加附件
  1350, // 物料申购需求预测-物料申购需求预测
  1351, // 物料申购需求预测设定-物料申购需求预测设定
  1352, // 单据打印图片类别-单据打印图片类别
  1353, // 单据打印图片类别设定-单据打印图片类别设定
  1354, // 生产批令单修改工序-生产批令单修改工序
  1355, // 查看物料相关信息-查看物料相关信息
  1356, // 车间生产费用单-车间生产费用单
  1357, // 成本核算-成本核算
  1358, // 来料加工发货单财务审核-来料加工发货单财务审核
  1359, // 来料加工发货单财务审核-来料加工发货单财务审核
  1360, // 来料加工发货单财务撤审-来料加工发货单财务撤审
  1361, // 来料加工退货单财务审核-来料加工退货单财务审核
  1362, // 来料加工退货单财务审核-来料加工退货单财务审核
  1363, // 来料加工退货单财务撤审-来料加工退货单财务撤审
  1364, // 发料通知单-发料通知单
  1365, // 车间调拨单-车间调拨单
  1366, // 发料通知单建立-发料通知单建立
  1367, // 发料通知单删除-发料通知单删除
  1368, // 发料通知单审核-发料通知单审核
  1369, // 发料通知单撤审-发料通知单撤审
  1370, // 发料通知单增加备注-发料通知单增加备注
  1371, // 发料通知单打印-发料通知单打印
  1372, // 车间调拨单建立-车间调拨单建立
  1373, // 车间调拨单删除-车间调拨单删除
  1374, // 车间调拨单调出审核-车间调拨单调出审核
  1375, // 车间调拨单调出撤审-车间调拨单调出撤审
  1376, // 车间调拨单增加备注-车间调拨单增加备注
  1377, // 车间调拨单打印-车间调拨单打印
  1378, // 明细查询-明细查询
  1379, // 生产指令单日期调整单-生产指令单日期调整单
  1380, // 生产指令单日期调整单建立-生产指令单日期调整单建立
  1381, // 生产指令单日期调整单删除-生产指令单日期调整单删除
  1382, // 生产指令单日期调整单审核-生产指令单日期调整单审核
  1383, // 生产指令单日期调整单撤审-生产指令单日期调整单撤审
  1384, // 生产指令单日期调整单增加备注-生产指令单日期调整单增加备注
  1385, // 生产指令单日期调整单打印-生产指令单日期调整单打印
  1386, // 车间交期达成统计表-车间交期达成统计表
  1387, // 生产计划相关指令单工序进度表-生产计划相关指令单工序进度表
  1388, // 区域应收汇总统计表-区域应收汇总统计表
  1389, // 生产产量统计表-生产产量统计表
  1390, // 车间生产费用单建立-车间生产费用单建立
  1391, // 车间生产费用单删除-车间生产费用单删除
  1392, // 车间生产费用单审核-车间生产费用单审核
  1393, // 车间生产费用单撤审-车间生产费用单撤审
  1394, // 车间生产费用单增加备注-车间生产费用单增加备注
  1395, // 车间生产费用单打印-车间生产费用单打印
  1396, // 计算全套工价-计算全套工价
  1397, // 材料申购单统计表-材料申购单统计表
  1398, // 成品申购单统计表-成品申购单统计表
  1399, // 外协申请单统计表-外协申请单统计表
  1400, // 自制质检单统计表-自制质检单统计表
  1401, // 生产损耗单统计表-生产损耗单统计表
  1402, // 外协商金额统计表-外协商金额统计表
  1403, // 产品个人计件单确认-产品个人计件单确认
  1404, // 产品个人计件单反确认-产品个人计件单反确认
  1405, // 采购订单不允许超申购数-采购订单不允许超申购数
  1406, // 销售订单备货查询-销售订单备货查询
  1407, // 生产指令单终止单-生产指令单终止单
  1408, // 生产指令单终止单建立-生产指令单终止单建立
  1409, // 生产指令单终止单删除-生产指令单终止单删除
  1410, // 生产指令单终止单审核-生产指令单终止单审核
  1411, // 生产指令单终止单增加备注-生产指令单终止单增加备注
  1412, // 生产指令单终止单打印-生产指令单终止单打印
  1413, // 打印格式数据发送-打印格式数据发送
  1414, // 工作中心月分配异常计件单-工作中心月分配异常计件单
  1415, // 工作中心月分配异常计件单建立-工作中心月分配异常计件单建立
  1416, // 工作中心月分配异常计件单删除-工作中心月分配异常计件单删除
  1417, // 工作中心月分配异常计件单确认-工作中心月分配异常计件单确认
  1418, // 工作中心月分配异常计件单反确认-工作中心月分配异常计件单反确认
  1419, // 工作中心月分配异常计件单工资审核-工作中心月分配异常计件单工资审核
  1420, // 工作中心月分配异常计件单工资撤审-工作中心月分配异常计件单工资撤审
  1421, // 工作中心月分配异常计件单增加备注-工作中心月分配异常计件单增加备注
  1422, // 工作中心月分配异常计件单打印-工作中心月分配异常计件单打印
  1423, // 工作中心日分配异常计件单-工作中心日分配异常计件单
  1424, // 工作中心日分配异常计件单建立-工作中心日分配异常计件单建立
  1425, // 工作中心日分配异常计件单删除-工作中心日分配异常计件单删除
  1426, // 工作中心日分配异常计件单确认-工作中心日分配异常计件单确认
  1427, // 工作中心日分配异常计件单反确认-工作中心日分配异常计件单反确认
  1428, // 工作中心日分配异常计件单工资审核-工作中心日分配异常计件单工资审核
  1429, // 工作中心日分配异常计件单工资撤审-工作中心日分配异常计件单工资撤审
  1430, // 工作中心日分配异常计件单增加备注-工作中心日分配异常计件单增加备注
  1431, // 工作中心日分配异常计件单打印-工作中心日分配异常计件单打印
  1433, // 工作中心月分配异常计件单统计表-工作中心月分配异常计件单统计表
  1434, // 工作中心日分配异常计件单统计表-工作中心日分配异常计件单统计表
  1435, // 出纳期间结余统计表-出纳期间结余统计表
  1436, // 工资变更单-工资变更单
  1437, // 工资变更单建立-工资变更单建立
  1438, // 工资变更单删除-工资变更单删除
  1439, // 工资变更单审核-工资变更单审核
  1440, // 工资变更单撤审-工资变更单撤审
  1441, // 工资变更单打印-工资变更单打印
  1442, // 工资变更单增加备注-工资变更单增加备注
  1443, // 扣费品领用单统计表-扣费品领用单统计表
  1444, // 供应商未对数单据统计表-供应商未对数单据统计表
  1445, // 销售状况日报表-销售状况日报表
  1446, // 材料采购订单添加附件-材料采购订单添加附件
  1447, // 成品采购订单添加附件-成品采购订单添加附件
  1448, // 物料清单变更单-物料清单变更单
  1449, // 物料清单变更单建立-物料清单变更单建立
  1450, // 物料清单变更单删除-物料清单变更单删除
  1451, // 物料清单变更单审核-物料清单变更单审核
  1452, // 物料清单变更单增加备注-物料清单变更单增加备注
  1453, // 物料清单变更单打印-物料清单变更单打印
  1454, // 生产退料单确认-生产退料单反确认
  1455, // 生产退料单反确认-生产退料单反确认
  1456, // 生产退料单确认-生产退料单确认
  1457, // 生产退料单反确认-生产退料单反确认
  1458, // 其他领料单确认-其他领料单确认
  1459, // 其他领料单反确认-其他领料单反确认
  1460, // 其他领料单确认-其他领料单确认
  1461, // 其他领料单反确认-其他领料单反确认
  1462, // 配置类别定义-配置类别定义
  1463, // 配置类别设定-配置类别设定
  1464, // 车间调拨单调入审核-车间调拨单调入审核
  1465, // 车间调拨单调入撤审-车间调拨单调入撤审
  1466, // 生产计划修改工段-生产计划修改工段
  1467, // 生产指令单修改工段-生产指令单修改工段
  1468, // 客户关系日报表-客户关系日报表
  1469, // 物料资料常规属性变更单删除-物料资料常规属性变更单删除
  1470, // 劳动法工资统计表-劳动法工资统计表
  1471, // 采购订单可以不选申购单-采购订单可以不选申购单
  1473, // 总计件汇总表-总计件汇总表
  1474, // 生产指令单交期调整单明细表-生产指令单交期调整单明细表
  1475, // 客户预计收款统计表-客户预计收款统计表
  1476, // 应收-应收
  1477, // 应付-应付
  1478, // 出纳-出纳
  1479, // 明细查询-明细查询
  1480, // 明细查询-明细查询
  1481, // 工资表反初始化-工资表反初始化
  1482, // 工作中心日分配计件单打印-工作中心日分配计件单打印
  1483, // 物料清单确认-物料清单确认
  1484, // 物料清单反确认-物料清单反确认
  1485, // 车间盘点单-车间盘点单
  1486, // 车间盘点单建立-车间盘点单建立
  1487, // 车间盘点单删除-车间盘点单删除
  1488, // 车间盘点单审核-车间盘点单审核
  1489, // 车间盘点单撤审-车间盘点单撤审
  1490, // 车间盘点单增加备注-车间盘点单增加备注
  1491, // 车间盘点单打印-车间盘点单打印
  1492, // 产品个人计件单打印-产品个人计件单打印
  1493, // 物料领料月份对比统计表-物料领料月份对比统计表
  1494, // 物料工序表变更单-物料工序表变更单
  1495, // 工价表变更单建立-工价表变更单建立
  1496, // 工价表变更单删除-工价表变更单删除
  1497, // 工价表变更单审核-工价表变更单审核
  1498, // 工价表变更单增加备注-工价表变更单增加备注
  1499, // 工价表变更单打印-工价表变更单打印
  1500, // 转帐单-转帐单
  1501, // 转帐单建立-转帐单建立
  1502, // 转帐单删除-转帐单删除
  1503, // 转帐单审核-转帐单审核
  1504, // 转帐单撤审-转帐单撤审
  1505, // 转帐单增加备注-转帐单增加备注
  1506, // 转帐单打印-转帐单打印
  1507, // 供应商类别-供应商类别
  1508, // 供应商类别设定-供应商类别设定
  1509, // 销售订单待申购统计表-销售订单待申购统计表
  1510, // 物料成本费用设置-物料成本费用设置
  1511, // 物料成本费用设置-物料成本费用设置
  1512, // 产品价格表调价单-产品价格表调价单
  1513, // 产品价格表调价单建立-产品价格表调价单建立
  1514, // 产品价格表调价单删除-产品价格表调价单删除
  1515, // 产品价格表调价单审核-产品价格表调价单审核
  1516, // 产品价格表调价单增加备注-产品价格表调价单增加备注
  1517, // 产品价格表调价单打印-产品价格表调价单打印
  1518, // 工资表审核-工资表审核
  1519, // 工资表撤审-工资表撤审
  1520, // 物料限价属性批修改-物料限价属性批修改
  1521, // 物料限价属性批量修改-物料限价属性批量修改
  1522, // 材料采购订单初审-材料采购订单初审
  1523, // 成品采购订单初审-成品采购订单初审
  1524, // 成品采购订单初撤-成品采购订单初撤
  1525, // 材料采购订单初撤-材料采购订单初撤
  1526, // 客户反馈单审核后修改个人金额-客户反馈单审核后修改个人金额
  1527, // 内部异常反馈单审核后修改个人金额-内部异常反馈单审核后修改个人金额
  1528, // 隐藏销售金额-隐藏销售金额
  1529, // 隐藏成本金额-隐藏成本金额
  1530, // 工资录入单-工资录入单
  1531, // 工资录入单建立-工资录入单建立
  1532, // 工资录入单删除-工资录入单删除
  1533, // 工资录入单终审-工资录入单终审
  1534, // 工资录入单终撤-工资录入单终撤
  1535, // 工资录入单打印-工资录入单打印
  1536, // 工资录入单增加备注-工资录入单增加备注
  1537, // 直接录入工资-直接录入工资
  1538, // 订单收款单-订单收款单
  1539, // 订单收款单建立-订单收款单建立
  1540, // 订单收款单删除-订单收款单删除
  1541, // 订单收款单审核-订单收款单审核
  1542, // 订单收款单撤审-订单收款单撤审
  1543, // 订单收款单增加备注-订单收款单增加备注
  1544, // 订单收款单打印-订单收款单打印
  1545, // 外协商盘盈单-外协商盘盈单
  1546, // 外协商盘盈单建立-外协商盘盈单建立
  1547, // 外协商盘盈单删除-外协商盘盈单删除
  1548, // 外协商盘盈单审核-外协商盘盈单审核
  1549, // 外协商盘盈单撤审-外协商盘盈单撤审
  1550, // 外协商盘盈单增加备注-外协商盘盈单增加备注
  1551, // 外协商盘盈单打印-外协商盘盈单打印
  1552, // 外协商盘亏单-外协商盘亏单
  1553, // 外协商盘亏单建立-外协商盘亏单建立
  1554, // 外协商盘亏单删除-外协商盘亏单删除
  1555, // 外协商盘亏单审核-外协商盘亏单审核
  1556, // 外协商盘亏单撤审-外协商盘亏单撤审
  1557, // 外协商盘亏单增加备注-外协商盘亏单增加备注
  1558, // 外协商盘亏单打印-外协商盘亏单打印
  1559, // 客户欠货单-客户欠货单
  1560, // 客户欠货单建立-客户欠货单建立
  1561, // 客户欠货单删除-客户欠货单删除
  1562, // 客户欠货单审核-客户欠货单审核
  1563, // 客户欠货单撤审-客户欠货单撤审
  1564, // 客户欠货单增加备注-客户欠货单增加备注
  1565, // 客户欠货单终止-客户欠货单终止
  1566, // 客户欠货单暂停-客户欠货单暂停
  1567, // 客户欠货单手动完成-客户欠货单手动完成
  1568, // 客户欠货单终止明细物料-客户欠货单终止明细物料
  1569, // 客户欠货单打印-客户欠货单打印
  1570, // 辅助功能-辅助功能
  1571, // 客户库存还货查询-客户库存还货查询
  1572, // 客户还货单-客户还货单
  1573, // 客户借货单建立-客户借货单建立
  1574, // 客户借货单删除-客户借货单删除
  1575, // 客户借货单审核-客户借货单审核
  1576, // 客户借货单撤审-客户借货单撤审
  1577, // 客户借货单增加备注-客户借货单增加备注
  1578, // 客户借货单打印-客户借货单打印
  1579, // 销售预测单统计表-销售预测单统计表
  1580, // 指定仓库-指定仓库
  1581, // 加0库存-加0库存
  1582, // 自定义单据打印格式-自定义单据打印格式
  1583, // 重算结存-重算结存
  1584, // 自定义报表-自定义报表
  1585, // 系统数据字典-系统数据字典
  1586, // 历史信息管理-历史信息管理
  1589, // 数据窗口编辑器-数据窗口编辑器
  1590, // 导航图编辑-导航图编辑
  1591, // 供应商付款单增加备注-供应商付款单增加备注
  1592, // 客户收款单增加备注-客户收款单增加备注
  1593, // 报表-报表
  1594, // 物料工序表变更单明细表-物料工序表变更单明细表
  1595, // 物料清单变更单明细表-物料清单变更单明细表
  1596, // 设定带薪时数-设定带薪时数
  1597, // 部件选配资料-部件选配资料
  1598, // 部件选配资料设定-部件选配资料设定
  1599, // 事件报警触发器-事件报警触发器
  1600, // 物料默认供应商批设置-物料默认供应商批设置
  1601, // 物料默认供应商批设置-物料默认供应商批设置
  1602, // 无用-无用
  1603, // 申购供应商选择及审核-申购供应商选择及审核
  1604, // 供应商选择-供应商选择
  1605, // 供应商审核/撤审-供应商审核/撤审
  1606, // 材料申购待采购列表-材料申购待采购列表
  1607, // 销售订单区域明细统计表-销售订单区域明细统计表
  1608, // 销售订单发货统计表-销售订单发货统计表
  1609, // 产品配置资料定义-产品配置资料定义
  1610, // 帐务-帐务
  1611, // 会计科目-会计科目
  1612, // 允许选择所有供应商-允许选择所有供应商
  1613, // 分部生产费用单-分部生产费用单
  1614, // 分部生产费用单建立-分部生产费用单建立
  1615, // 分部生产费用单删除-分部生产费用单删除
  1616, // 分部生产费用单审核-分部生产费用单审核
  1617, // 分部生产费用单撤审-分部生产费用单撤审
  1618, // 分部生产费用单增加备注-分部生产费用单增加备注
  1619, // 分部生产费用单打印-分部生产费用单打印
  1620, // 设备模具-设备模具
  1621, // 设备档案-设备档案
  1622, // 设备建立-设备建立
  1623, // 设备删除-设备删除
  1624, // 建立配件-建立配件
  1625, // 建立维护计划-建立维护计划
  1626, // 建立维修记录-建立维修记录
  1627, // 建立调拨记录-建立调拨记录
  1628, // 设备型号-设备型号
  1629, // 设备型号设定-设备型号设定
  1630, // 打印-打印
  1631, // 明细查询-明细查询
  1632, // 设备维修记录日报表-设备维修记录日报表
  1633, // 外挂程序设定-外挂程序设定
  1634, // 组织架构-组织架构
  1635, // 外挂程序-外挂程序
  1636, // 生产计划车间进度-生产计划车间进度
  1637, // 供应商费用单-供应商费用单
  1638, // 供应商费用单建立-供应商费用单建立
  1639, // 供应商费用单删除-供应商费用单删除
  1640, // 供应商费用单终审-供应商费用单终审
  1641, // 供应商费用单终撤-供应商费用单终撤
  1642, // 供应商费用单添加备注-供应商费用单添加备注
  1643, // 供应商费用单打印-供应商费用单打印
  1644, // 供应商费用项目-供应商费用项目
  1645, // 供应商费用项目设定-供应商费用项目设定
  1646, // 查看及编辑分部结算价-查看及编辑分部结算价
  1647, // 修改实发货数量-修改实发货数量
  1648, // 业务员借货单-业务员借货单
  1649, // 业务员还货单-业务员还货单
  1650, // 业务员借货单建立-业务员借货单建立
  1651, // 业务员借货单删除-业务员借货单删除
  1652, // 业务员借货单审核-业务员借货单审核
  1653, // 业务员借货单撤审-业务员借货单撤审
  1654, // 业务员借货单增加备注-业务员借货单增加备注
  1655, // 业务员借货单打印-业务员借货单打印
  1656, // 业务员还货单建立-业务员还货单建立
  1657, // 业务员还货单删除-业务员还货单删除
  1658, // 业务员还货单审核-业务员还货单审核
  1659, // 业务员还货单撤审-业务员还货单撤审
  1660, // 业务员还货单增加备注-业务员还货单增加备注
  1661, // 业务员还货单打印-业务员还货单打印
  1662, // 业务员借货单统计表-业务员借货单统计表
  1663, // 业务员还货单统计表-业务员还货单统计表
  1664, // 业务员未还货统计表-业务员未还货统计表
  1665, // 自动类型进仓单-自动类型进仓单
  1666, // 自动类型出仓单-自动类型出仓单
  1667, // 车间调拨单统计表-车间调拨单统计表
  1668, // 业务员借货单手动完成-业务员借货单手动完成
  1669, // 损益表-损益表
  1670, // 技术部产品开发任务单-技术部产品开发任务单
  1671, // 技术部产品开发任务单建立-技术部产品开发任务单建立
  1672, // 技术部产品开发任务单删除-技术部产品开发任务单删除
  1673, // 技术部产品开发任务单初审-技术部产品开发任务单初审
  1674, // 技术部产品开发任务单初撤-技术部产品开发任务单初撤
  1675, // 技术部产品开发任务单二审-技术部产品开发任务单二审
  1676, // 技术部产品开发任务单二撤-技术部产品开发任务单二撤
  1677, // 技术部产品开发任务单终审-技术部产品开发任务单终审
  1678, // 技术部产品开发任务单终撤-技术部产品开发任务单终撤
  1679, // 技术部产品开发任务单增加备注-技术部产品开发任务单增加备注
  1680, // 技术部产品开发任务单打印-技术部产品开发任务单打印
  1681, // 供应商采购送检单-供应商采购送检单
  1682, // 供应商采购送检单建立-供应商采购送检单建立
  1683, // 供应商采购送检单删除-供应商采购送检单删除
  1684, // 供应商采购送检单终审-供应商采购送检单终审
  1685, // 供应商采购送检单终撤-供应商采购送检单终撤
  1686, // 供应商采购送检单增加备注-供应商采购送检单增加备注
  1687, // 供应商采购送检单打印-供应商采购送检单打印
  1688, // 销售发货单仓审后修改单价-销售发货单仓审后修改单价
  1689, // 销售退货单仓审后修改单价-销售退货单仓审后修改单价
  1690, // 供应商送检统计表-供应商送检统计表
  1691, // 技术部产品开发任务单统计表-技术部产品开发任务单统计表
  1692, // 工段派工单明细表-工段派工单明细表
  1693, // 设定工时-设定工时
  1694, // 来料加工缺料表-来料加工缺料表
  1695, // 车间工人生产时间单-车间工人生产时间单
  1696, // 车间工人生产时间单建立-车间工人生产时间单建立
  1697, // 车间工人生产时间单删除-车间工人生产时间单删除
  1698, // 车间工人生产时间单审核-车间工人生产时间单审核
  1699, // 车间工人生产时间单撤审-车间工人生产时间单撤审
  1700, // 车间工人生产时间单增加备注-车间工人生产时间单增加备注
  1701, // 车间工人生产时间单打印-车间工人生产时间单打印
  1702, // 删除应收帐-删除应收帐
  1703, // 删除应付帐-删除应付帐
  1704, // 员工社保月份记录表-员工社保月份记录表
  1705, // 员工培训单-员工培训单
  1706, // 员工培训单建立-员工培训单建立
  1707, // 员工培训单删除-员工培训单删除
  1708, // 员工培训单审核-员工培训单审核
  1709, // 员工培训单撤审-员工培训单撤审
  1710, // 员工培训单增加备注-员工培训单增加备注
  1711, // 员工培训单打印-员工培训单打印
  1712, // 员工资料打印-员工资料打印
  1713, // 嵌入式自定义报表设定-嵌入式自定义报表设定
  1714, // 嵌入式自定义报表-嵌入式自定义报表
  1715, // 报表数据发送-报表数据发送
  1716, // 报表打印-报表打印
  1717, // 报表数据发送-报表数据发送
  1718, // 报表打印-报表打印
  1719, // 报表数据发送-报表数据发送
  1720, // 报表打印-报表打印
  1721, // 报表数据发送-报表数据发送
  1722, // 报表打印-报表打印
  1723, // 报表数据发送-报表数据发送
  1724, // 报表打印-报表打印
  1725, // 报表数据发送-报表数据发送
  1726, // 报表打印-报表打印
  1727, // 报表数据发送-报表数据发送
  1728, // 报表打印-报表打印
  1729, // 报表数据发送-报表数据发送
  1730, // 报表打印-报表打印
  1731, // 报表数据发送-报表数据发送
  1732, // 报表打印-报表打印
  1733, // 报表数据发送-报表数据发送
  1734, // 报表打印-报表打印
  1735, // 报表数据发送-报表数据发送
  1736, // 报表打印-报表打印
  1737, // 报表数据发送-报表数据发送
  1738, // 报表打印-报表打印
  1739, // 报表数据发送-报表数据发送
  1740, // 报表打印-报表打印
  1741, // 报表数据发送-报表数据发送
  1742, // 报表打印-报表打印
  1743, // 报表数据发送-报表数据发送
  1744, // 报表打印-报表打印
  1745, // 报表数据发送-报表数据发送
  1746, // 报表打印-报表打印
  1747, // 报表数据发送-报表数据发送
  1748, // 报表打印-报表打印
  1749, // 报表数据发送-报表数据发送
  1750, // 报表打印-报表打印
  1751, // 报表数据发送-报表数据发送
  1752, // 报表打印-报表打印
  1753, // 报表数据发送-报表数据发送
  1754, // 报表打印-报表打印
  1755, // 报表数据发送-报表数据发送
  1756, // 报表打印-报表打印
  1757, // 报表数据发送-报表数据发送
  1758, // 报表打印-报表打印
  1759, // 报表数据发送-报表数据发送
  1760, // 报表打印-报表打印
  1761, // 报表数据发送-报表数据发送
  1762, // 报表打印-报表打印
  1763, // 报表数据发送-报表数据发送
  1764, // 报表打印-报表打印
  1765, // 报表数据发送-报表数据发送
  1766, // 报表打印-报表打印
  1767, // 报表数据发送-报表数据发送
  1768, // 报表打印-报表打印
  1769, // 报表数据发送-报表数据发送
  1770, // 报表打印-报表打印
  1771, // 报表数据发送-报表数据发送
  1772, // 报表打印-报表打印
  1773, // 报表数据发送-报表数据发送
  1774, // 报表打印-报表打印
  1775, // 报表数据发送-报表数据发送
  1776, // 报表打印-报表打印
  1777, // 报表数据发送-报表数据发送
  1778, // 报表打印-报表打印
  1779, // 报表数据发送-报表数据发送
  1780, // 报表打印-报表打印
  1781, // 报表数据发送-报表数据发送
  1782, // 报表打印-报表打印
  1787, // 报表数据发送-报表数据发送
  1788, // 报表打印-报表打印
  1789, // 报表数据发送-报表数据发送
  1790, // 报表打印-报表打印
  1791, // 报表数据发送-报表数据发送
  1792, // 报表打印-报表打印
  1793, // 报表数据发送-报表数据发送
  1794, // 报表打印-报表打印
  1795, // 报表数据发送-报表数据发送
  1796, // 报表打印-报表打印
  1797, // 报表数据发送-报表数据发送
  1798, // 报表打印-报表打印
  1799, // 报表数据发送-报表数据发送
  1800, // 报表打印-报表打印
  1801, // 报表数据发送-报表数据发送
  1802, // 报表打印-报表打印
  1803, // 报表数据发送-报表数据发送
  1804, // 报表打印-报表打印
  1805, // 报表数据发送-报表数据发送
  1806, // 报表打印-报表打印
  1807, // 报表数据发送-报表数据发送
  1808, // 报表打印-报表打印
  1809, // 报表数据发送-报表数据发送
  1810, // 报表打印-报表打印
  1811, // 报表数据发送-报表数据发送
  1812, // 报表打印-报表打印
  1813, // 报表数据发送-报表数据发送
  1814, // 报表打印-报表打印
  1815, // 报表数据发送-报表数据发送
  1816, // 报表打印-报表打印
  1817, // 报表数据发送-报表数据发送
  1818, // 报表打印-报表打印
  1819, // 报表数据发送-报表数据发送
  1820, // 报表打印-报表打印
  1821, // 报表数据发送-报表数据发送
  1822, // 报表打印-报表打印
  1823, // 报表数据发送-报表数据发送
  1824, // 报表打印-报表打印
  1825, // 报表数据发送-报表数据发送
  1826, // 报表打印-报表打印
  1827, // 报表数据发送-报表数据发送
  1828, // 报表打印-报表打印
  1829, // 报表数据发送-报表数据发送
  1830, // 报表打印-报表打印
  1831, // 报表数据发送-报表数据发送
  1832, // 报表打印-报表打印
  1833, // 报表数据发送-报表数据发送
  1834, // 报表打印-报表打印
  1835, // 报表数据发送-报表数据发送
  1836, // 报表打印-报表打印
  1837, // 报表数据发送-报表数据发送
  1838, // 报表打印-报表打印
  1839, // 报表数据发送-报表数据发送
  1840, // 报表打印-报表打印
  1841, // 报表数据发送-报表数据发送
  1842, // 报表打印-报表打印
  1843, // 报表数据发送-报表数据发送
  1844, // 报表打印-报表打印
  1845, // 报表数据发送-报表数据发送
  1846, // 报表打印-报表打印
  1847, // 报表数据发送-报表数据发送
  1848, // 报表打印-报表打印
  1849, // 报表数据发送-报表数据发送
  1850, // 报表打印-报表打印
  1851, // 报表数据发送-报表数据发送
  1852, // 报表打印-报表打印
  1853, // 报表数据发送-报表数据发送
  1854, // 报表打印-报表打印
  1855, // 报表数据发送-报表数据发送
  1856, // 报表打印-报表打印
  1857, // 报表数据发送-报表数据发送
  1858, // 报表打印-报表打印
  1859, // 报表数据发送-报表数据发送
  1860, // 报表打印-报表打印
  1861, // 报表数据发送-报表数据发送
  1862, // 报表打印-报表打印
  1863, // 报表数据发送-报表数据发送
  1864, // 报表打印-报表打印
  1865, // 报表数据发送-报表数据发送
  1866, // 报表打印-报表打印
  1867, // 报表数据发送-报表数据发送
  1868, // 报表打印-报表打印
  1869, // 报表数据发送-报表数据发送
  1870, // 报表打印-报表打印
  1871, // 报表数据发送-报表数据发送
  1872, // 报表打印-报表打印
  1873, // 报表数据发送-报表数据发送
  1874, // 报表打印-报表打印
  1875, // 报表数据发送-报表数据发送
  1876, // 报表打印-报表打印
  1877, // 报表数据发送-报表数据发送
  1878, // 报表打印-报表打印
  1879, // 报表数据发送-报表数据发送
  1880, // 报表打印-报表打印
  1881, // 报表数据发送-报表数据发送
  1882, // 报表打印-报表打印
  1883, // 报表数据发送-报表数据发送
  1884, // 报表打印-报表打印
  1885, // 报表数据发送-报表数据发送
  1886, // 报表打印-报表打印
  1887, // 报表数据发送-报表数据发送
  1888, // 报表打印-报表打印
  1889, // 报表数据发送-报表数据发送
  1890, // 报表打印-报表打印
  1891, // 报表数据发送-报表数据发送
  1892, // 报表打印-报表打印
  1893, // 报表数据发送-报表数据发送
  1894, // 报表打印-报表打印
  1895, // 报表数据发送-报表数据发送
  1896, // 报表打印-报表打印
  1897, // 报表数据发送-报表数据发送
  1898, // 报表打印-报表打印
  1899, // 报表数据发送-报表数据发送
  1900, // 报表打印-报表打印
  1901, // 报表数据发送-报表数据发送
  1902, // 报表打印-报表打印
  1903, // 报表数据发送-报表数据发送
  1904, // 报表打印-报表打印
  1905, // 报表数据发送-报表数据发送
  1906, // 报表打印-报表打印
  1907, // 报表数据发送-报表数据发送
  1908, // 报表打印-报表打印
  1909, // 报表数据发送-报表数据发送
  1910, // 报表打印-报表打印
  1911, // 报表数据发送-报表数据发送
  1912, // 报表打印-报表打印
  1913, // 报表数据发送-报表数据发送
  1914, // 报表打印-报表打印
  1915, // 报表数据发送-报表数据发送
  1916, // 报表打印-报表打印
  1917, // 报表数据发送-报表数据发送
  1918, // 报表打印-报表打印
  1919, // 报表数据发送-报表数据发送
  1920, // 报表打印-报表打印
  1921, // 报表数据发送-报表数据发送
  1922, // 报表打印-报表打印
  1923, // 报表数据发送-报表数据发送
  1924, // 报表打印-报表打印
  1925, // 报表数据发送-报表数据发送
  1926, // 报表打印-报表打印
  1927, // 报表数据发送-报表数据发送
  1928, // 报表打印-报表打印
  1929, // 报表数据发送-报表数据发送
  1930, // 报表打印-报表打印
  1931, // 报表数据发送-报表数据发送
  1932, // 报表打印-报表打印
  1933, // 报表数据发送-报表数据发送
  1934, // 报表打印-报表打印
  1935, // 报表数据发送-报表数据发送
  1936, // 报表打印-报表打印
  1937, // 报表数据发送-报表数据发送
  1938, // 报表打印-报表打印
  1939, // 报表数据发送-报表数据发送
  1940, // 报表打印-报表打印
  1941, // 报表数据发送-报表数据发送
  1942, // 报表打印-报表打印
  1943, // 报表数据发送-报表数据发送
  1944, // 报表打印-报表打印
  1945, // 报表数据发送-报表数据发送
  1946, // 报表打印-报表打印
  1947, // 报表数据发送-报表数据发送
  1948, // 报表打印-报表打印
  1949, // 报表数据发送-报表数据发送
  1950, // 报表打印-报表打印
  1951, // 报表数据发送-报表数据发送
  1952, // 报表打印-报表打印
  1953, // 报表数据发送-报表数据发送
  1954, // 报表打印-报表打印
  1955, // 报表数据发送-报表数据发送
  1956, // 报表打印-报表打印
  1957, // 报表数据发送-报表数据发送
  1958, // 报表打印-报表打印
  1959, // 报表数据发送-报表数据发送
  1960, // 报表打印-报表打印
  1961, // 报表数据发送-报表数据发送
  1962, // 报表打印-报表打印
  1963, // 报表数据发送-报表数据发送
  1964, // 报表打印-报表打印
  1965, // 报表数据发送-报表数据发送
  1966, // 报表打印-报表打印
  1967, // 报表数据发送-报表数据发送
  1968, // 报表打印-报表打印
  1969, // 报表数据发送-报表数据发送
  1970, // 报表打印-报表打印
  1971, // 报表数据发送-报表数据发送
  1972, // 报表打印-报表打印
  1973, // 报表数据发送-报表数据发送
  1974, // 报表打印-报表打印
  1975, // 报表数据发送-报表数据发送
  1976, // 报表打印-报表打印
  1977, // 报表数据发送-报表数据发送
  1978, // 报表打印-报表打印
  1979, // 报表数据发送-报表数据发送
  1980, // 报表打印-报表打印
  1981, // 报表数据发送-报表数据发送
  1982, // 报表打印-报表打印
  1983, // 报表数据发送-报表数据发送
  1984, // 报表打印-报表打印
  1985, // 报表数据发送-报表数据发送
  1986, // 报表打印-报表打印
  1987, // 报表数据发送-报表数据发送
  1988, // 报表打印-报表打印
  1989, // 报表数据发送-报表数据发送
  1990, // 报表打印-报表打印
  1991, // 报表数据发送-报表数据发送
  1992, // 报表打印-报表打印
  1993, // 报表数据发送-报表数据发送
  1994, // 报表打印-报表打印
  1995, // 报表数据发送-报表数据发送
  1996, // 报表打印-报表打印
  1997, // 报表数据发送-报表数据发送
  1998, // 报表打印-报表打印
  1999, // 报表数据发送-报表数据发送
  2000, // 报表打印-报表打印
  2001, // 报表数据发送-报表数据发送
  2002, // 报表打印-报表打印
  2005, // 报表数据发送-报表数据发送
  2006, // 报表打印-报表打印
  2007, // 报表数据发送-报表数据发送
  2008, // 报表打印-报表打印
  2009, // 报表数据发送-报表数据发送
  2010, // 报表打印-报表打印
  2011, // 报表数据发送-报表数据发送
  2012, // 报表打印-报表打印
  2013, // 报表数据发送-报表数据发送
  2014, // 报表打印-报表打印
  2015, // 报表数据发送-报表数据发送
  2016, // 报表打印-报表打印
  2017, // 报表数据发送-报表数据发送
  2018, // 报表打印-报表打印
  2019, // 报表数据发送-报表数据发送
  2020, // 报表打印-报表打印
  2021, // 报表数据发送-报表数据发送
  2022, // 报表打印-报表打印
  2023, // 报表数据发送-报表数据发送
  2024, // 报表打印-报表打印
  2025, // 报表数据发送-报表数据发送
  2026, // 报表打印-报表打印
  2027, // 报表数据发送-报表数据发送
  2028, // 报表打印-报表打印
  2029, // 报表数据发送-报表数据发送
  2030, // 报表打印-报表打印
  2031, // 报表数据发送-报表数据发送
  2032, // 报表打印-报表打印
  2033, // 报表数据发送-报表数据发送
  2034, // 报表打印-报表打印
  2035, // 报表数据发送-报表数据发送
  2036, // 报表打印-报表打印
  2037, // 报表数据发送-报表数据发送
  2038, // 报表打印-报表打印
  2039, // 报表数据发送-报表数据发送
  2040, // 报表打印-报表打印
  2041, // 报表数据发送-报表数据发送
  2042, // 报表打印-报表打印
  2043, // 报表数据发送-报表数据发送
  2044, // 报表打印-报表打印
  2045, // 报表数据发送-报表数据发送
  2046, // 报表打印-报表打印
  2047, // 报表数据发送-报表数据发送
  2048, // 报表打印-报表打印
  2049, // 报表数据发送-报表数据发送
  2050, // 报表打印-报表打印
  2051, // 报表数据发送-报表数据发送
  2052, // 报表打印-报表打印
  2053, // 报表数据发送-报表数据发送
  2054, // 报表打印-报表打印
  2055, // 报表数据发送-报表数据发送
  2056, // 报表打印-报表打印
  2057, // 报表数据发送-报表数据发送
  2058, // 报表打印-报表打印
  2059, // 报表数据发送-报表数据发送
  2060, // 报表打印-报表打印
  2061, // 报表数据发送-报表数据发送
  2062, // 报表打印-报表打印
  2063, // 报表数据发送-报表数据发送
  2064, // 报表打印-报表打印
  2065, // 报表数据发送-报表数据发送
  2066, // 报表打印-报表打印
  2067, // 报表数据发送-报表数据发送
  2068, // 报表打印-报表打印
  2069, // 报表数据发送-报表数据发送
  2070, // 报表打印-报表打印
  2071, // 报表数据发送-报表数据发送
  2072, // 报表打印-报表打印
  2073, // 报表数据发送-报表数据发送
  2074, // 报表打印-报表打印
  2075, // 报表数据发送-报表数据发送
  2076, // 报表打印-报表打印
  2077, // 报表数据发送-报表数据发送
  2078, // 报表打印-报表打印
  2079, // 报表数据发送-报表数据发送
  2080, // 报表打印-报表打印
  2081, // 数据发送-数据发送
  2082, // 报表数据发送-报表数据发送
  2083, // 报表打印-报表打印
  2084, // 报表数据发送-报表数据发送
  2085, // 报表数据发送-报表数据发送
  2086, // 报表数据发送-报表数据发送
  2087, // 报表打印-报表打印
  2088, // 报表数据发送-报表数据发送
  2089, // 报表数据发送-报表数据发送
  2090, // 报表数据发送-报表数据发送
  2091, // 报表数据发送-报表数据发送
  2092, // 报表数据发送-报表数据发送
  2093, // 报表数据发送-报表数据发送
  2094, // 报表打印-报表打印
  2095, // 报表数据发送-报表数据发送
  2096, // 报表打印-报表打印
  2097, // 报表数据发送-报表数据发送
  2098, // 报表打印-报表打印
  2099, // 报表数据发送-报表数据发送
  2100, // 报表打印-报表打印
  2101, // 报表数据发送-报表数据发送
  2102, // 报表打印-报表打印
  2103, // 报表数据发送-报表数据发送
  2104, // 报表数据发送-报表数据发送
  2105, // 报表打印-报表打印
  2106, // 报表数据发送-报表数据发送
  2107, // 报表打印-报表打印
  2108, // 报表数据发送-报表数据发送
  2109, // 报表打印-报表打印
  2110, // 报表数据发送-报表数据发送
  2111, // 报表数据发送-报表数据发送
  2112, // 报表数据发送-报表数据发送
  2113, // 报表数据发送-报表数据发送
  2114, // 报表打印-报表打印
  2115, // 仓库盘点表修改-仓库盘点表修改
  2116, // 外协商盘点表修改-外协商盘点表修改
  2117, // 外协商盘点表审核-外协商盘点表审核
  2118, // 外协商盘点表撤审-外协商盘点表撤审
  2119, // 仓库盘点表删除-仓库盘点表删除
  2120, // 外协商盘点表删除-外协商盘点表删除
  2121, // 报表数据发送-报表数据发送
  2122, // 报表打印-报表打印
  2123, // 工价表工时审核/撤审-工价表工时审核/撤审
  2124, // 修改预计完成日期-修改预计完成日期
  2125, // 车间综合统计表-车间综合统计表
  2126, // 报表数据发送-报表数据发送
  2127, // 报表打印-报表打印
  2128, // 品质异常反馈单-品质异常反馈单
  2129, // 建立-建立
  2130, // 删除-删除
  2131, // 终审-终审
  2132, // 终撤-终撤
  2133, // 添加备注-添加备注
  2134, // 打印-打印
  2135, // 外协申请待外协列表-外协申请待外协列表
  2136, // 报表数据发送-报表数据发送
  2137, // 报表打印-报表打印
  2138, // 生产计划修改工段备注-生产计划修改工段备注
  2139, // 生产指令单修改工段备注-生产指令单修改工段备注
  2140, // 生产进仓单确认-生产进仓单确认
  2141, // 生产进仓单反确认-生产进仓单反确认
  2142, // 生产进仓单确认-生产进仓单确认
  2143, // 生产进仓单反确认-生产进仓单反确认
  2144, // 同型号产品计件单批量建立-同型号产品计件单批量建立
  2145, // 同型号产品计件单批量建立编辑-同型号产品计件单批量建立编辑
  2146, // 同型号产品计件单批量建立删除-同型号产品计件单批量建立删除
  2147, // 同型号产品计件单批量建立审核-同型号产品计件单批量建立审核
  2148, // 同型号产品计件单批量建立撤审-同型号产品计件单批量建立撤审
  2149, // 同型号产品计件单批量建立打印-同型号产品计件单批量建立打印
  2150, // 同型号产品计件单批量建立增加备注-同型号产品计件单批量建立增加备注
  2151, // 采购收货单仓审后修改单价-采购收货单仓审后修改单价
  2152, // 仓库外协收货单仓审后修改单价-仓库外协收货单仓审后修改单价
  2153, // 查看物料相关信息-查看物料相关信息
  2154, // 产品及物料编辑附件-产品及物料编辑附件
  2155, // 设置代用物料-设置代用物料
  2156, // 车间工人生产时间单统计表-车间工人生产时间单统计表
  2157, // 报表数据发送-报表数据发送
  2158, // 报表打印-报表打印
  2159, // 工序动作-工序动作
  2160, // 工序动作设定-工序动作设定
  2161, // 销售订单生产审核-销售订单生产审核
  2162, // 销售订单生产审核-销售订单生产审核
  2163, // 销售订单生产撤审-销售订单生产撤审
  2164, // 销售订单打印-销售订单打印
  2165, // 车间仓库存查询-车间仓库存查询
  2166, // 车间仓库存查询-车间仓库存查询
  2167, // 报表数据发送-报表数据发送
  2168, // 报表打印-报表打印
  2169, // 报表数据发送-报表数据发送
  2170, // 报表打印-报表打印
  2171, // 生产计划异常计件单价表-生产计划异常计件单价表
  2172, // 报表数据发送-报表数据发送
  2173, // 报表打印-报表打印
  2174, // 指令单工段计件金额统计表-指令单工段计件金额统计表
  2175, // 报表数据发送-报表数据发送
  2176, // 报表打印-报表打印
  2177, // 生产指令单批变更需求数-生产指令单批变更需求数
  2178, // 变更需求数-变更需求数
  2179, // 销售发货单不显示客户欠款情况-销售发货单不显示客户欠款情况
  2180, // 外协销售发货及退货统计表-外协销售发货及退货统计表
  2181, // 报表数据发送-报表数据发送
  2182, // 报表打印-报表打印
  2183, // 车间库存分配数转换单-车间库存分配数转换单
  2184, // 车间库存分配数转换单建立-车间库存分配数转换单建立
  2185, // 车间库存分配数转换单删除-车间库存分配数转换单删除
  2186, // 车间库存分配数转换单审核-车间库存分配数转换单审核
  2187, // 车间库存分配数转换单撤审-车间库存分配数转换单撤审
  2188, // 车间库存分配数转换单打印-车间库存分配数转换单打印
  2189, // 车间库存分配数转换单增加备注-车间库存分配数转换单增加备注
  2190, // 生产指令单批量换料-生产指令单批量换料
  2191, // 生产指令单指批量换料-生产指令单指批量换料
  2192, // 隐藏客户名称-隐藏客户名称
  2193, // 销售类型-销售类型
  2194, // 销售类型设定-销售类型设定
  2195, // 生产计划异常完成统计表-生产计划异常完成统计表
  2196, // 报表数据发送-报表数据发送
  2197, // 报表打印-报表打印
  2198, // 物料工序表报表-物料工序表报表
  2199, // 报表数据发送-报表数据发送
  2200, // 报表打印-报表打印
  2201, // 隐藏所有计件单报表的单价和金额-隐藏所有计件单报表的单价和金额
  2202, // 销售订单修改明细备注2-销售订单修改明细备注2
  2203, // 进仓单审核时必须有单价-进仓单审核时必须有单价
  2204, // 供应商价格高级删除-供应商价格高级删除
  2205, // 客户价格高级删除-客户价格高级删除
  2206, // 出纳结帐-出纳结帐
  2207, // 出纳反结帐-出纳反结帐
  2208, // 外协商结存重算-外协商结存重算
  2209, // 车间盘存确认-车间盘存确认
  2210, // 车间盘点审核/撤审-车间盘点审核/撤审
  2211, // 车间用料分摊-车间用料分摊
  2212, // 车间费用分摊-车间费用分摊
  2213, // 车间盘存终审/终撤-车间盘存终审/终撤
  2214, // 生产计划终止计件-生产计划终止计件
  2215, // 生产指令单终止计件/取消终止计件-生产指令单终止计件/取消终止计件
  2216, // 客户返利单统计表-客户返利单统计表
  2217, // 报表数据发送-报表数据发送
  2218, // 报表打印-报表打印
  2219, // 供应商费用单统计表-供应商费用单统计表
  2220, // 报表数据发送-报表数据发送
  2221, // 报表打印-报表打印
  2222, // 销售发货单显示客户结余-销售发货单显示客户结余
  2223, // 销售发货单显示客户结余-销售发货单显示客户结余
  2224, // 供应商采购验退单-供应商采购验退单
  2225, // 建立-建立
  2226, // 删除-删除
  2227, // 审核-审核
  2228, // 撤审-撤审
  2229, // 增加备注-增加备注
  2230, // 打印-打印
  2231, // 供应商外协送检单-供应商外协送检单
  2232, // 供应商外协送检单建立-供应商外协送检单建立
  2233, // 供应商外协送检单删除-供应商外协送检单删除
  2234, // 供应商外协送检单终审-供应商外协送检单终审
  2235, // 供应商外协送检单终撤-供应商外协送检单终撤
  2236, // 供应商外协送检单增加备注-供应商外协送检单增加备注
  2237, // 供应商外协送检单打印-供应商外协送检单打印
  2238, // 设置结构树显示内容-设置结构树显示内容
  2239, // 车间异常计件金额分摊-车间异常计件金额分摊
  2240, // 供应商外协验退单-供应商外协验退单
  2241, // 建立-建立
  2242, // 删除-删除
  2243, // 审核-审核
  2244, // 撤审-撤审
  2245, // 增加备注-增加备注
  2246, // 打印-打印
  2247, // 外协申请物料供应商选择及审核-外协申请物料供应商选择及审核
  2248, // 外协商选择-外协商选择
  2249, // 外协商审核/撤审-外协商选择
  2250, // 允许选择所有外协商-允许选择所有外协商
  2251, // 报表数据发送-报表数据发送
  2252, // 报表打印-报表打印
  2253, // 来料加工订单收料统计表-来料加工订单收料统计表
  2254, // 报表数据发送-报表数据发送
  2255, // 报表打印-报表打印
  2256, // 来料加工发货单仓审后修改单价-来料加工发货单仓审后修改单价
  2257, // 销售发货单仓审或确认后修改单据-销售发货单仓审或确认后修改单据
  2258, // 员工薪酬调整单-员工薪酬调整单
  2259, // 员工薪酬调整单建立-员工薪酬调整单建立
  2260, // 员工薪酬调整单删除-员工薪酬调整单删除
  2261, // 员工薪酬调整单初审-员工薪酬调整单初审
  2262, // 员工薪酬调整单终审-员工薪酬调整单终审
  2263, // 员工薪酬调整单打印-员工薪酬调整单打印
  2264, // 员工薪酬调整单增加备注-员工薪酬调整单增加备注
  2265, // 员工薪酬调整单初撤-员工薪酬调整单初撤
  2266, // 员工基本薪酬-员工基本薪酬
  2267, // 查看产品相关信息-查看产品相关信息
  2268, // 修改离职员工部门-修改离职员工部门
  2269, // 售后档案-售后档案
  2270, // 售后档案建立-售后档案建立
  2271, // 售后档案删除-售后档案删除
  2272, // 售后档案打印-售后档案打印
  2273, // 数据发送-数据发送
  2274, // 售后服务单-售后服务单
  2275, // 售后服务单建立-售后服务单建立
  2276, // 售后服务单删除-售后服务单删除
  2277, // 售后服务单初级审核-售后服务单初级审核
  2278, // 售后服务单初级撤审-售后服务单初级撤审
  2279, // 售后服务单最终审核-售后服务单最终审核
  2280, // 售后服务单最终撤审-售后服务单最终撤审
  2281, // 售后服务单打印-售后服务单打印
  2282, // 售后服务单添加备注-售后服务单添加备注
  2283, // 服务项目-服务项目
  2284, // 服务项目设定-服务项目设定
  2285, // 客户服务项目统计表-客户服务项目统计表
  2286, // 报表数据发送-报表数据发送
  2287, // 报表打印-报表打印
  2288, // 客户服务材料统计表-客户服务材料统计表
  2289, // 报表数据发送-报表数据发送
  2290, // 报表打印-报表打印
  2291, // 生产审前变更明细交期-生产审前变更明细交期
  2292, // 员工别号-员工别号
  2293, // 员工别号编辑-员工别号编辑
  2294, // 计件附加工价-计件附加工价
  2295, // 编辑计件附加工价-编辑计件附加工价
  2296, // 使用附加工价-使用附加工价
  2297, // 销售订单分类-销售订单分类
  2298, // 销售订单分类设定-销售订单分类设定
  2299, // 库存配置调整单-库存配置调整单
  2300, // 库存配置调整单建立-库存配置调整单建立
  2301, // 库存配置调整单删除-库存配置调整单删除
  2302, // 库存配置调整单审核-库存配置调整单审核
  2303, // 库存配置调整单撤审-库存配置调整单撤审
  2304, // 库存配置调整单增加备注-库存配置调整单增加备注
  2305, // 库存配置调整单打印-库存配置调整单打印
  2306, // 生产计划用料需求表-生产计划用料需求表
  2307, // 报表数据发送-报表数据发送
  2308, // 报表打印-报表打印
  2309, // 生产指令单换料单统计表-生产指令单换料单统计表
  2310, // 报表数据发送-报表数据发送
  2311, // 报表打印-报表打印
  2312, // 销售发货单更改明细库存信息-销售发货单更改明细库存信息
  2313, // 条码生成单-条码生成单
  2314, // 条码生成单建立-条码生成单建立
  2315, // 条码生成单删除-条码生成单删除
  2316, // 条码生成单审核-条码生成单审核
  2317, // 条码生成单撤审-条码生成单撤审
  2318, // 条码生成单增加备注-条码生成单增加备注
  2319, // 条码生成单打印-条码生成单打印
  2320, // 供应商外协送检统计表-供应商外协送检统计表
  2321, // 报表数据发送-报表数据发送
  2322, // 报表打印-报表打印
  2323, // 供应商外协验退单统计表-供应商外协验退单统计表
  2324, // 报表数据发送-报表数据发送
  2325, // 报表打印-报表打印
  2326, // 供应商采购验退单统计表-供应商采购验退单统计表
  2327, // 报表数据发送-报表数据发送
  2328, // 报表打印-报表打印
  2329, // 条型码明细表-条型码明细表
  2330, // 报表数据发送-报表数据发送
  2331, // 报表打印-报表打印
  2332, // 待安排条码指令列表-待安排条码指令列表
  2333, // 查看产品相关信息-查看产品相关信息
  2334, // 自定义1-自定义1
  2335, // 自定义1设定-自定义1设定
  2336, // 自定义2-自定义2
  2337, // 自定义2设定-自定义2设定
  2338, // 销售出仓单仓审-销售出仓单仓审
  2339, // 销售出仓单审核-销售出仓单审核
  2340, // 销售出仓单撤审-销售出仓单撤审
  2341, // 修改实发货数量-修改实发货数量
  2342, // 价格表删除-价格表删除
  2343, // 生产指令单增料单-生产指令单增料单
  2344, // 生产指令单增料单建立-生产指令单增料单建立
  2345, // 生产指令单增料单删除-生产指令单增料单删除
  2346, // 生产指令单增料单审核-生产指令单增料单审核
  2347, // 生产指令单增料单增加备注-生产指令单增料单增加备注
  2348, // 生产指令单增料单打印-生产指令单增料单打印
  2349, // 工段完工单-工段完工单
  2350, // 工段完工单建立-工段完工单建立
  2351, // 工段完工单删除-工段完工单删除
  2352, // 工段完工单审核-工段完工单审核
  2353, // 工段完工单撤审-工段完工单撤审
  2354, // 工段完工单增加备注-工段完工单增加备注
  2355, // 工段完工单打印-工段完工单打印
  2357, // 销售订单配置修改单建立-销售订单配置修改单建立
  2358, // 销售订单配置修改单删除-销售订单配置修改单删除
  2359, // 销售订单配置修改单审核-销售订单配置修改单审核
  2360, // 销售订单配置修改单打印-销售订单配置修改单打印
  2361, // 销售订单配置及相关计划配置变更单-销售订单配置及相关计划配置变更单
  2362, // 销售订单配置修改单建立-销售订单配置修改单建立
  2363, // 销售订单配置修改单删除-销售订单配置修改单删除
  2364, // 销售订单配置修改单审核-销售订单配置修改单审核
  2365, // 销售订单配置修改单打印-销售订单配置修改单打印
  2366, // 高级价格策略-高级价格策略
  2367, // 高级价格策略建立-高级价格策略建立
  2368, // 高级价格策略删除-高级价格策略删除
  2369, // 工段完工单统计表-工段完工单统计表
  2370, // 报表数据发送-报表数据发送
  2371, // 报表打印-报表打印
  2372, // 销售订单配置及相关计划配置变更单明细表-销售订单配置及相关计划配置变更单明细表
  2373, // 报表数据发送-报表数据发送
  2374, // 报表打印-报表打印
  2375, // 编辑损耗率公式-编辑损耗率公式
  2376, // 工段盘点单-工段盘点单
  2377, // 工段盘点单建立-工段盘点单建立
  2378, // 工段盘点单删除-工段盘点单删除
  2379, // 工段盘点单审核-工段盘点单审核
  2380, // 工段盘点单撤审-工段盘点单撤审
  2381, // 工段盘点单增加备注-工段盘点单增加备注
  2382, // 工段盘点单打印-工段盘点单打印
  2383, // 产品计划成本价调整单-产品计划成本价调整单
  2384, // 产品计划成本价调整单建立-产品计划成本价调整单建立
  2385, // 产品计划成本价调整单删除-产品计划成本价调整单删除
  2386, // 产品计划成本价调整单审核-产品计划成本价调整单审核
  2387, // 产品计划成本价调整单增加备注-产品计划成本价调整单增加备注
  2388, // 产品计划成本价调整单打印-产品计划成本价调整单打印
  2389, // 禁止编辑标准清单-禁止编辑标准清单
  2390, // 销售金额分析图表-销售金额分析图表
  2391, // 报表数据发送-报表数据发送
  2392, // 报表打印-报表打印
  2393, // 超物料安全库存报警-超物料安全库存报警
  2394, // 查询超库存上下限物料-查询超库存上下限物料
  2395, // 登陆时提示系统报警数据-登陆时提示系统报警数据
  2396, // 产品历史成本统计表-产品历史成本统计表
  2397, // 报表数据发送-报表数据发送
  2398, // 报表打印-报表打印
  2399, // 单据短信模板设置-单据短信模板设置
  2400, // 价格分类-价格分类
  2401, // 价格分类-价格分类
  2402, // 销售发货单单价不允许编辑-销售发货单单价不允许编辑
  2403, // 销售订单单价不允许编辑-销售订单单价不允许编辑
  2404, // 高级价格策略审核\撤审-高级价格策略审核\撤审
  2405, // 高级价格策略设有效\设无效-高级价格策略设有效\设无效
  2406, // 隐藏所有计件单的单价和金额-隐藏所有计件单的单价和金额
  2407, // 设置返利规则-设置返利规则
  2408, // 客户欠货终止单-客户欠货终止单
  2409, // 客户欠货终止单建立-客户欠货终止单建立
  2410, // 客户欠货终止单删除-客户欠货终止单删除
  2411, // 客户欠货终止单仓审-客户欠货终止单仓审
  2412, // 客户欠货终止单仓撤-客户欠货终止单仓撤
  2413, // 客户欠货终止单财审-客户欠货终止单财审
  2414, // 客户欠货终止单财撤-客户欠货终止单财撤
  2415, // 客户欠货终止单增加备注-客户欠货终止单增加备注
  2416, // 客户欠货终止单打印-客户欠货终止单打印
  2417, // 客户欠货终止单确认-客户欠货终止单确认
  2418, // 客户欠货终止单反确认-客户欠货终止单反确认
  2419, // 物料采购限价批设置-物料采购限价批设置
  2420, // 物料采购限价批设置-物料采购限价批设置
  2421, // 报表数据发送-报表数据发送
  2422, // 报表打印-报表打印
  2423, // 高级换料策略-高级换料策略
  2424, // 高级换料策略建立-高级换料策略建立
  2425, // 高级换料策略删除-高级换料策略删除
  2426, // 工序派工单-工序派工单
  2427, // 工序完工单-工序完工单
  2428, // 工序派工单建立-工序派工单建立
  2429, // 工序派工单删除-工序派工单删除
  2430, // 工序派工单审核-工序派工单审核
  2431, // 工序派工单撤审-工序派工单撤审
  2432, // 工序派工单终止-工序派工单终止
  2433, // 工序派工单完成-工序派工单完成
  2434, // 工序完工单建立-工序完工单建立
  2435, // 工序完工单删除-工序完工单删除
  2436, // 工序完工单确认-工序完工单确认
  2437, // 工序完工单反确认-工序完工单反确认
  2438, // 工序完工单仓库审核-工序完工单仓库审核
  2439, // 工序完工单仓库撤审-工序完工单仓库撤审
  2440, // 工序完工单计件审核-工序完工单计件审核
  2441, // 工序完工单计件撤审-工序完工单计件撤审
  2442, // 材料申购单终止明细物料-材料申购单终止明细物料
  2443, // 成品申购单终止明细物料-成品申购单终止明细物料
  2444, // 电子邮件-电子邮件
  2445, // 建立公开邮箱-建立公开邮箱
  2446, // 建立私人邮箱-建立私人邮箱
  2447, // 修改备注-修改备注
  2448, // 注塑机-注塑机
  2449, // 班类型-班类型
  2450, // 班类型建立-班类型建立
  2451, // 注塑设备型号-注塑设备型号
  2452, // 注塑设备型号建立-注塑设备型号建立
  2453, // 注塑设备型号删除-注塑设备型号删除
  2454, // 注塑机台-注塑机台
  2455, // 注塑机台建立-注塑机台建立
  2456, // 注塑机台删除-注塑机台删除
  2457, // 模具项目-模具项目
  2458, // 模具项目建立-模具项目建立
  2459, // 模具项目删除-模具项目删除
  2460, // 模具管理-模具管理
  2461, // 模具建立-模具建立
  2462, // 模具删除-模具删除
  2463, // 虚拟材料-虚拟材料
  2464, // 虚拟材料建立-虚拟材料建立
  2465, // 虚拟材料删除-虚拟材料删除
  2466, // 班类型删除-班类型删除
  2467, // 明细查询-明细查询
  2468, // 模具制造统计表-模具制造统计表
  2469, // 报表数据发送-报表数据发送
  2470, // 报表打印-报表打印
  2471, // 模具相关产品明细表-模具相关产品明细表
  2472, // 报表数据发送-报表数据发送
  2473, // 报表打印-报表打印
  2474, // 建立组合配置子件-建立组合配置子件
  2475, // 增加库存虚拟数量-增加库存虚拟数量
  2476, // 增加库存虚拟数量-增加库存虚拟数量
  2477, // 增加库存虚拟数量-增加库存虚拟数量
  2478, // 增加库存虚拟数量-增加库存虚拟数量
  2479, // 增加库存虚拟数量-增加库存虚拟数量
  2480, // 机台排程-机台排程
  2481, // 机台管理-机台管理
  2482, // 注塑质检单-注塑质检单
  2483, // 水口料进仓单-水口料进仓单
  2484, // 机台任务管理-机台任务管理
  2485, // 调机-调机
  2486, // 更改机台状态-更改机台状态
  2487, // 注塑:打印生产档案-注塑:打印生产档案
  2488, // 注塑:标签管理-注塑:标签管理
  2489, // 查看任务用料情况-查看任务用料情况
  2490, // 查看生产计划物料清单-查看生产计划物料清单
  2491, // 查看相关物料资料-查看相关物料资料
  2492, // 注塑质检单建立-注塑质检单建立
  2493, // 注塑质检单删除-注塑质检单删除
  2494, // 注塑质检单仓审-注塑质检单仓审
  2495, // 注塑质检单仓撤-注塑质检单仓撤
  2496, // 注塑质检单工资审-注塑质检单工资审
  2497, // 注塑质检单工资撤审-注塑质检单工资撤审
  2498, // 水口料进仓单建立-水口料进仓单建立
  2499, // 水口料进仓单删除-水口料进仓单删除
  2500, // 水口料进仓单审核-水口料进仓单审核
  2501, // 水口料进仓单撤审-水口料进仓单撤审
  2502, // 水口料进仓单增加备注-水口料进仓单增加备注
  2503, // 水口料进仓单打印-水口料进仓单打印
  2504, // 编辑机台排程-编辑机台排程
  2505, // 编辑机台排程-编辑机台排程
  2506, // 编辑机台排程-编辑机台排程
  2507, // 查看相关订单-查看相关订单
  2508, // 成本管理-成本管理
  2509, // 成本管理-成本管理
  2510, // 外协申请单终止明细物料-外协申请单终止明细物料
  2511, // 工序默认规则-工序默认规则
  2512, // 计件单默认员工规则设定-计件单默认员工规则设定
  2513, // 产能参数批设置-产能参数批设置
  2514, // 产能参数批设置-产能参数批设置
  2515, // 报表数据发送-报表数据发送
  2516, // 报表打印-报表打印
  2517, // 嵌入式报表-嵌入式报表
  2518, // 嵌入式报表-嵌入式报表
  2519, // 嵌入式报表-嵌入式报表
  2520, // 嵌入式报表-嵌入式报表
  2521, // 嵌入式报表-嵌入式报表
  2522, // 嵌入式报表-嵌入式报表
  2523, // 嵌入式报表-嵌入式报表
  2524, // 嵌入式报表-嵌入式报表
  2525, // 嵌入式报表-嵌入式报表
  2526, // 嵌入式报表-嵌入式报表
  2527, // 嵌入式报表-嵌入式报表
  2528, // 客户物料别名-客户物料别名
  2529, // 客户物料别名设定-客户物料别名设定
  2530, // 产品盘点单-产品盘点单
  2531, // 盘点单建立-盘点单建立
  2532, // 盘点单删除-盘点单删除
  2533, // 盘点单审核-盘点单审核
  2534, // 盘点单撤审-盘点单撤审
  2535, // 盘点单增加备注-盘点单增加备注
  2536, // 盘点单打印-盘点单打印
  2537, // 生产指令单工序派工统计表-生产指令单工序派工统计表
  2538, // 报表数据发送-报表数据发送
  2539, // 报表打印-报表打印
  2541, // 供应商档案-供应商档案
  2542, // 报表数据发送-报表数据发送
  2543, // 报表打印-报表打印
  2544, // 供应商建立-供应商建立
  2545, // 供应商删除-供应商删除
  2546, // 设正式-设正式
  2547, // 设非正式-设非正式
  2548, // 设黑名单-设黑名单
  2549, // 联系人建立-联系人建立
  2550, // 辅助项目摘要修改-辅助项目摘要修改
  2551, // 样板建立-样板建立
  2552, // 客户计划收款公式-客户计划收款公式
  2553, // 客户计划收款公式设定-客户计划收款公式设定
  2554, // 销售发货单不允许修改结算方式-销售发货单不允许修改结算方式
  2555, // 销售退货单不允许修改结算方式-销售退货单不允许修改结算方式
  2556, // 采购收货单不允许修改结算方式-采购收货单不允许修改结算方式
  2557, // 采购退货单不允许修改结算方式-采购退货单不允许修改结算方式
  2558, // 仓库外协收货单不允许修改结算方式-仓库外协收货单不允许修改结算方式
  2559, // 仓库外协返工单不允许修改结算方式-仓库外协返工单不允许修改结算方式
  2560, // 车间外协收货单不允许修改结算方式-车间外协收货单不允许修改结算方式
  2561, // 车间外协返工单不允许修改结算方式-车间外协返工单不允许修改结算方式
  2562, // 工段生产日历-工段生产日历
  2563, // 工段生产日历设定-工段生产日历设定
  2565, // 车间工段监控-车间工段监控
  2566, // 生产指令单工段派工统计表-生产指令单工段派工统计表
  2567, // 报表数据发送-报表数据发送
  2568, // 报表打印-报表打印
  2569, // 物料清单辅助建立-物料清单辅助建立
  2570, // 系统解决方案-系统解决方案
  2571, // 查看所有邮箱-查看所有邮箱
  2572, // 编辑邮箱帐号-编辑邮箱帐号
  2573, // 删除邮箱帐号-删除邮箱帐号
  2574, // 设定非正式客户业务员-设定非正式客户业务员
  2575, // 定义资料导入-定义资料导入
  2576, // 多产品客户调货单-多产品客户调货单
  2577, // 多产品客户调货单建立-多产品客户调货单建立
  2578, // 多产品客户调货单删除-多产品客户调货单删除
  2579, // 多产品客户调货单审核-多产品客户调货单审核
  2580, // 多产品客户调货单撤审-多产品客户调货单撤审
  2581, // 多产品客户调货单增加备注-多产品客户调货单增加备注
  2582, // 多产品客户调货单打印-多产品客户调货单打印
  2583, // 部件流程-部件流程
  2584, // 部件流程定义-部件流程定义
  2585, // 材料采购待收货列表-材料采购待收货列表
  2586, // 报表数据发送-报表数据发送
  2587, // 报表打印-报表打印
  2588, // 采购收货单录入质检结果-采购收货单录入质检结果
  2589, // 建立库存分配-建立库存分配
  2590, // 删除库存分配-删除库存分配
  2591, // 建立库存分配计划-建立库存分配计划
  2592, // 删除库存分配计划-删除库存分配计划
  2593, // 建立库存分配-建立库存分配
  2594, // 删除库存分配-删除库存分配
  2595, // 建立库存分配计划-建立库存分配计划
  2596, // 删除库存分配计划-删除库存分配计划
  2597, // 建立库存分配-建立库存分配
  2598, // 删除库存分配-删除库存分配
  2599, // 建立库存分配计划-建立库存分配计划
  2600, // 删除库存分配计划-删除库存分配计划
  2601, // 建立库存分配-建立库存分配
  2602, // 删除库存分配-删除库存分配
  2603, // 建立库存分配计划-建立库存分配计划
  2604, // 删除库存分配计划-删除库存分配计划
  2605, // 建立库存分配-删除库存分配计划
  2606, // 删除库存分配-删除库存分配
  2607, // 建立库存分配计划-建立库存分配计划
  2608, // 删除库存分配计划-删除库存分配计划
  2609, // 工段工作量统计表-工段工作量统计表
  2610, // 报表数据发送-报表数据发送
  2611, // 报表打印-报表打印
  2620, // 安全库存调整单-安全库存调整单
  2621, // 安全库存调整单建立-安全库存调整单建立
  2622, // 安全库存调整单删除-安全库存调整单删除
  2623, // 安全库存调整单初审-安全库存调整单初审
  2624, // 安全库存调整单初撤-安全库存调整单初撤
  2625, // 安全库存调整单终审-安全库存调整单终审
  2626, // 安全库存调整单增加备注-安全库存调整单增加备注
  2627, // 安全库存调整单打印-安全库存调整单打印
  2628, // 在进行订单修改明细批号-在进行订单修改明细批号
  2629, // 采购临时扫描查询-采购临时扫描查询
  2630, // 报表数据发送-报表数据发送
  2631, // 报表打印-报表打印
  2632, // 生产指令单工作中心进度-生产指令单工作中心进度
  2633, // 报表数据发送-报表数据发送
  2634, // 报表打印-报表打印
  2635, // 销售订单必须选择订单分类-销售订单必须选择订单分类
  2636, // 上传名单-上传名单
  2637, // 注塑质检单生成进仓数-注塑质检单生成进仓数
  2638, // 注塑质检单反完成生产任务-注塑质检单反完成生产任务
  2639, // 注塑质检明细表-注塑质检明细表
  2640, // 报表数据发送-报表数据发送
  2641, // 报表打印-报表打印
  2642, // 注塑质检单工资统计表-注塑质检单工资统计表
  2643, // 报表数据发送-报表数据发送
  2644, // 报表打印-报表打印
  2645, // 水口料回收统计表-水口料回收统计表
  2646, // 报表数据发送-报表数据发送
  2647, // 报表打印-报表打印
  2648, // 注塑计价单-注塑计价单
  2649, // 注塑计价单建立-注塑计价单建立
  2650, // 注塑计价单删除-注塑计价单删除
  2651, // 注塑计价单审核-注塑计价单审核
  2652, // 注塑计价单撤审-注塑计价单撤审
  2653, // 注塑计价单打印-注塑计价单打印
  2654, // 外挂程序-外挂程序
  2655, // 外挂程序-外挂程序
  2656, // 外挂程序-外挂程序
  2657, // 外挂程序-外挂程序
  2658, // 外挂程序-外挂程序
  2659, // 外挂程序-外挂程序
  2660, // 外挂程序-外挂程序
  2661, // 外挂程序-外挂程序
  2662, // 外挂程序-外挂程序
  2663, // 外挂程序-外挂程序
  2664, // 外挂程序-外挂程序
  2665, // 销售发货单修改实际销售数-销售发货单修改实际销售数
  2666, // 查看产品相关信息-查看产品相关信息
  2667, // 发货通知单-发货通知单
  2668, // 发货通知单建立-发货通知单建立
  2669, // 发货通知单删除-发货通知单删除
  2670, // 发货通知单审核-发货通知单审核
  2671, // 发货通知单撤审-发货通知单撤审
  2672, // 发货通知单增加备注-发货通知单增加备注
  2673, // 发货通知单终止-发货通知单终止
  2674, // 发货通知单暂停-发货通知单暂停
  2675, // 发货通知单手动完成-发货通知单手动完成
  2676, // 发货通知单终止明细-发货通知单终止明细
  2677, // 发货通知单打印-发货通知单打印
  2678, // 隐藏真实考勤日报表-隐藏真实考勤日报表
  2679, // 考勤日报表高级编辑-考勤日报表高级编辑
  2680, // 考勤日报表高级编辑-考勤日报表高级编辑
  2681, // 高级处理劳动法工资表-高级处理劳动法工资表
  2682, // 隐藏真实劳动法报表-隐藏真实劳动法报表
  2683, // 员工充值消费汇总表-员工充值消费汇总表
  2684, // 报表数据发送-报表数据发送
  2685, // 报表打印-报表打印
  2686, // 销售退货单必须选发货历史-销售退货单必须选发货历史
  2687, // 外协订单终止收货明细物料-外协订单终止收货明细物料
  2688, // 外协订单终止发出明细物料-外协订单终止发出明细物料
  2689, // 编辑库存摘要-编辑库存摘要
  2690, // 编辑库存摘要-编辑库存摘要
  2691, // 更新库存摘要-更新库存摘要
  2692, // 更新库存摘要-更新库存摘要
  2693, // 更新库存摘要-更新库存摘要
  2694, // 注塑质检单打印-注塑质检单打印
  2695, // 允许按订单时修改单价-允许按订单时修改单价
  2696, // 指纹采集-指纹采集
  2697, // 客户返利规则设置-客户返利规则设置
  2698, // 客户返利规则设置建立-客户返利规则设置建立
  2699, // 客户返利规则设置删除-客户返利规则设置删除
  2700, // 客户返利规则设置审核-客户返利规则设置审核
  2701, // 客户返利规则设置撤审-客户返利规则设置撤审
  2702, // 客户返利规则设置增加备注-客户返利规则设置增加备注
  2703, // 客户返利规则设置打印-客户返利规则设置打印
  2704, // 辅助生成返利单-辅助生成返利单
  2705, // 条码扫描-条码扫描
  2706, // 生产进仓条码扫描-生产进仓条码扫描
  2707, // 采购收货条码扫描-采购收货条码扫描
  2708, // 采购退货条码扫描-采购退货条码扫描
  2709, // 其它进仓条码扫描-其它进仓条码扫描
  2710, // 其它出仓条码扫描-其它出仓条码扫描
  2711, // 仓库调拨条码扫描-仓库调拨条码扫描
  2712, // 条码扫描-条码扫描
  2713, // 工序完工单录入计件信息-工序完工单录入计件信息
  2714, // 产品最新报价调整单-产品最新报价调整单
  2715, // 产品最新报价调整单建立-产品最新报价调整单建立
  2716, // 产品最新报价调整单删除-产品最新报价调整单删除
  2717, // 产品最新报价调整单审核-产品最新报价调整单审核
  2718, // 产品最新报价调整单增加备注-产品最新报价调整单增加备注
  2719, // 产品最新报价调整单打印-产品最新报价调整单打印
  2720, // 物料进出明细统计表-物料进出明细统计表
  2721, // 报表数据发送-报表数据发送
  2722, // 报表打印-报表打印
  2723, // 客户产品调货条码转换单-客户产品调货条码转换单
  2724, // 客户产品调货条码转换单建立-客户产品调货条码转换单建立
  2725, // 客户产品调货条码转换单删除-客户产品调货条码转换单删除
  2726, // 客户产品调货条码转换单审核-客户产品调货条码转换单审核
  2727, // 客户产品调货条码转换单撤审-客户产品调货条码转换单撤审
  2728, // 客户产品调货条码转换单确认-客户产品调货条码转换单确认
  2729, // 客户产品调货条码转换单反确认-客户产品调货条码转换单反确认
  2730, // 客户产品调货条码转换单增加备注-客户产品调货条码转换单增加备注
  2731, // 客户产品调货条码转换单打印-客户产品调货条码转换单打印
  2732, // 其它进仓单确认-其它进仓单确认
  2733, // 其它进仓单反确认-其它进仓单反确认
  2734, // 仓库调拨单确认-仓库调拨单确认
  2735, // 仓库调拨单反确认-仓库调拨单反确认
  2736, // 其他出仓单确认-其他出仓单确认
  2737, // 其他出仓单反确认-其他出仓单反确认
  2738, // 采购收货单确认-采购收货单确认
  2739, // 采购收货单反确认-采购收货单反确认
  2740, // 采购退货单确认-采购退货单确认
  2741, // 采购退货单反确认-采购退货单反确认
  2742, // 采购收货单确认-采购收货单确认
  2743, // 采购收货单反确认-采购收货单反确认
  2744, // 采购退货单确认-采购退货单确认
  2745, // 采购退货单反确认-采购退货单反确认
  2746, // 只能查看有效客户-只能查看有效客户
  2747, // 辅助报价-辅助报价
  2748, // 计价模板-计价模板
  2749, // 计价模板设定-计价模板设定
  2750, // 床垫产品计价-床垫产品计价
  2751, // 条码扫描-条码扫描
  2752, // 条码扫描-条码扫描
  2753, // 条码扫描-条码扫描
  2754, // 条码扫描-条码扫描
  2755, // 条码扫描-条码扫描
  2756, // 条码扫描-条码扫描
  2757, // 条码调出扫描-条码调出扫描
  2758, // 条码调入扫描-条码调入扫描
  2759, // 物料清单模板-物料清单模板
  2760, // 物料清单模板设定-物料清单模板设定
  2761, // 物料清单辅助编辑器_床垫软床-物料清单辅助编辑器_床垫软床
  2762, // 注塑:水口料标签打印-注塑:水口料标签打印
  2763, // 销售不使用优惠金额-销售不使用优惠金额
  2764, // 采购不使用冲减费用-采购不使用冲减费用
  2765, // 客户费用单初审-客户费用单初审
  2766, // 客户费用单初撤-客户费用单初撤
  2767, // 供应商费用单初审-供应商费用单初审
  2768, // 供应商费用单初撤-供应商费用单初撤
  2769, // 工作中心达成率统计表-工作中心达成率统计表
  2770, // 报表数据发送-报表数据发送
  2771, // 报表打印-报表打印
  2772, // 生产计划部件条码统计表-生产计划部件条码统计表
  2773, // 报表数据发送-报表数据发送
  2774, // 报表打印-报表打印
  2775, // 部件条码打印-部件条码打印
  2776, // 部件条码管理-部件条码管理
  2777, // 部件条码打印-部件条码打印
  2778, // 查看产品生产流程-查看产品生产流程
  2779, // 查看产品条码工艺流程-查看产品条码工艺流程
  2780, // 采购收货包件进仓单-采购收货包件进仓单
  2781, // 采购收货包件配套结算单-采购收货包件配套结算单
  2782, // 采购收货包件进仓单建立-采购收货包件进仓单建立
  2783, // 采购收货包件进仓单删除-采购收货包件进仓单删除
  2784, // 采购收货包件进仓单审核-采购收货包件进仓单审核
  2785, // 采购收货包件进仓单撤审-采购收货包件进仓单撤审
  2786, // 采购收货包件进仓单增加备注-采购收货包件进仓单增加备注
  2787, // 采购收货包件配套结算单建立-采购收货包件配套结算单建立
  2788, // 采购收货包件配套结算单删除-采购收货包件配套结算单删除
  2789, // 采购收货包件配套结算单仓审-采购收货包件配套结算单仓审
  2790, // 采购收货包件配套结算单仓撤-采购收货包件配套结算单仓撤
  2791, // 采购收货包件配套结算单财审-采购收货包件配套结算单财审
  2792, // 采购收货包件配套结算单财撤-采购收货包件配套结算单财撤
  2793, // 采购收货包件配套结算单增加备注-采购收货包件配套结算单增加备注
  2794, // 加工费用单-加工费用单
  2795, // 加工费用单建立-加工费用单建立
  2796, // 加工费用单删除-加工费用单删除
  2797, // 加工费用单初审-加工费用单初审
  2798, // 加工费用单初撤-加工费用单初撤
  2799, // 加工费用单财审-加工费用单财审
  2800, // 加工费用单财撤-加工费用单财撤
  2801, // 加工费用单增加备注-加工费用单增加备注
  2802, // 加工费用单打印-加工费用单打印
  2803, // 外协商库存成本价调整单-外协商库存成本价调整单
  2804, // 外协商库存成本价调整单建立-外协商库存成本价调整单建立
  2805, // 外协商库存成本价调整单删除-外协商库存成本价调整单删除
  2806, // 外协商库存成本价调整单审核-外协商库存成本价调整单审核
  2807, // 外协商库存成本价调整单增加备注-外协商库存成本价调整单增加备注
  2808, // 外协商库存成本价调整单打印-外协商库存成本价调整单打印
  2809, // 客户未对数汇总表-客户未对数汇总表
  2810, // 报表数据发送-报表数据发送
  2811, // 报表打印-报表打印
  2812, // 手动完工-手动完工
  2813, // 手动接收-手动接收
  2814, // 注塑:拌料标签打印-注塑:拌料标签打印
  2815, // 工作中心进度统计表-工作中心进度统计表
  2816, // 报表数据发送-报表数据发送
  2817, // 报表打印-报表打印
  2818, // 工作中心工作量统计表-工作中心工作量统计表
  2819, // 报表数据发送-报表数据发送
  2820, // 报表打印-报表打印
  2821, // 数据发送-数据发送
  2822, // 数据发送-数据发送
  2823, // 销售报价单成本明细数据发送-销售报价单成本明细数据发送
  2825, // 在线用户列表-在线用户列表
  2826, // 智能升级-智能升级
  2827, // 员工审核-员工审核
  2828, // 员工撤审-员工撤审
  2829, // 库存分配调货单-库存分配调货单
  2830, // 库存分配调货单建立-库存分配调货单建立
  2831, // 库存分配调货单删除-库存分配调货单删除
  2832, // 库存分配调货单二审-库存分配调货单二审
  2833, // 库存分配调货单二撤-库存分配调货单二撤
  2834, // 库存分配调货单增加备注-库存分配调货单增加备注
  2835, // 库存分配调货单打印-库存分配调货单打印
  2836, // 注塑质检单工资编辑-注塑质检单工资编辑
  2837, // 客户价格打印-客户价格打印
  2838, // 更新客户价格-更新客户价格
  2839, // 辅助建立计件单-辅助建立计件单
  2840, // 采购合同-采购合同
  2841, // 采购合同|常规-采购合同|常规
  2842, // 采购合同|常规建立-采购合同|常规建立
  2843, // 采购合同|常规删除-采购合同|常规删除
  2844, // 采购合同|常规初审-采购合同|常规初审
  2845, // 采购合同|常规初审撤审-采购合同|常规初审撤审
  2846, // 采购合同|常规终审-采购合同|常规终审
  2847, // 采购合同|常规终审撤审-采购合同|常规终审撤审
  2848, // 采购合同|常规增加备注-采购合同|常规增加备注
  2849, // 采购合同|常规打印-采购合同|常规打印
  2850, // 采购合同|玻璃-泡沫-纸质-采购合同|玻璃-泡沫-纸质
  2851, // 采购合同|玻璃-泡沫-纸质建立-采购合同|玻璃-泡沫-纸质建立
  2852, // 采购合同|玻璃-泡沫-纸质删除-采购合同|玻璃-泡沫-纸质删除
  2853, // 采购合同|玻璃-泡沫-纸质初审-采购合同|玻璃-泡沫-纸质初审
  2854, // 采购合同|玻璃-泡沫-纸质初审撤审-采购合同|玻璃-泡沫-纸质初审撤审
  2855, // 采购合同|玻璃-泡沫-纸质终审-采购合同|玻璃-泡沫-纸质终审
  2856, // 采购合同|玻璃-泡沫-纸质终审撤审-采购合同|玻璃-泡沫-纸质终审撤审
  2857, // 采购合同|玻璃-泡沫-纸质增加备注-采购合同|玻璃-泡沫-纸质增加备注
  2858, // 采购合同|玻璃-泡沫-纸质打印-采购合同|玻璃-泡沫-纸质打印
  2859, // 采购合同|钢材-采购合同|钢材
  2860, // 采购合同|钢材建立-采购合同|钢材建立
  2861, // 采购合同|钢材删除-采购合同|钢材删除
  2862, // 采购合同|钢材初审-采购合同|钢材初审
  2863, // 采购合同|钢材初审撤审-采购合同|钢材初审撤审
  2864, // 采购合同|钢材终审-采购合同|钢材终审
  2865, // 采购合同|钢材终审撤审-采购合同|钢材终审撤审
  2866, // 采购合同|钢材增加备注-采购合同|钢材增加备注
  2867, // 采购合同|钢材打印-采购合同|钢材打印
  2868, // 外协合同-外协合同
  2869, // 外协合同建立-外协合同建立
  2870, // 外协合同删除-外协合同删除
  2871, // 外协合同初审-外协合同初审
  2872, // 外协合同初审撤审-外协合同初审撤审
  2873, // 外协合同终审-外协合同终审
  2874, // 外协合同终审撤审-外协合同终审撤审
  2875, // 外协合同增加备注-外协合同增加备注
  2876, // 外协合同打印-外协合同打印
  2877, // 玻璃/纸箱工艺-玻璃/纸箱工艺
  2878, // 玻璃工艺设定-玻璃工艺设定
  2879, // 纸箱类别-纸箱类别
  2880, // 纸箱类别设定-纸箱类别设定
  2881, // 纸质|泡沫密度-纸质|泡沫密度
  2882, // 纸质|泡沫密度设定-纸质|泡沫密度设定
  2883, // 供应商工艺-供应商工艺
  2884, // 供应商工艺设定-供应商工艺设定
  2885, // 辅助计价-辅助计价
  2886, // 玻璃计价1-玻璃计价1
  2887, // 玻璃计价-玻璃计价
  2888, // 纸箱|泡沫批计价-纸箱|泡沫批计价
  2889, // 钢管计价-钢管计价
  2890, // 玻璃计价1设定-玻璃计价1设定
  2891, // 玻璃计价设定-玻璃计价设定
  2892, // 纸箱|泡沫批计价设定-纸箱|泡沫批计价设定
  2893, // 钢管计价设定-钢管计价设定
  2894, // 招聘管理-招聘管理
  2895, // 人员增补申请单-人员增补申请单
  2896, // 人员增补申请单建立-人员增补申请单建立
  2897, // 人员增补申请单删除-人员增补申请单删除
  2898, // 人员增补申请单审核-人员增补申请单审核
  2899, // 人员增补申请单撤审-人员增补申请单撤审
  2900, // 人员增补申请单增加备注-人员增补申请单增加备注
  2901, // 人员增补申请单打印-人员增补申请单打印
  2902, // 应聘人员面试单-应聘人员面试单
  2903, // 应聘人员面试单建立-应聘人员面试单建立
  2904, // 应聘人员面试单删除-应聘人员面试单删除
  2905, // 应聘人员面试单审核-应聘人员面试单审核
  2906, // 应聘人员面试单撤审-应聘人员面试单撤审
  2907, // 应聘人员面试单增加备注-应聘人员面试单增加备注
  2908, // 应聘人员面试单打印-应聘人员面试单打印
  2909, // 复试通知单-复试通知单
  2910, // 复试通知单建立-复试通知单建立
  2911, // 复试通知单删除-复试通知单删除
  2912, // 复试通知单审核-复试通知单审核
  2913, // 复试通知单撤审-复试通知单撤审
  2914, // 复试通知单增加备注-复试通知单增加备注
  2915, // 复试通知单打印-复试通知单打印
  2916, // 培训项目-培训项目
  2917, // 培训项目设定-培训项目设定
  2918, // 员工物品借用单-员工物品借用单
  2919, // 员工物品归还单-员工物品归还单
  2920, // 员工物品借用单建立-员工物品借用单建立
  2921, // 员工物品借用单删除-员工物品借用单删除
  2922, // 员工物品借用单审核-员工物品借用单审核
  2923, // 员工物品借用单撤审-员工物品借用单撤审
  2924, // 员工物品借用单增加备注-员工物品借用单增加备注
  2925, // 员工物品借用单打印-员工物品借用单打印
  2926, // 员工物品归还单建立-员工物品归还单建立
  2927, // 员工物品归还单删除-员工物品归还单删除
  2928, // 员工物品归还单审核-员工物品归还单审核
  2929, // 员工物品归还单撤审-员工物品归还单撤审
  2930, // 员工物品归还单增加备注-员工物品归还单增加备注
  2931, // 员工物品归还单打印-员工物品归还单打印
  2932, // 产品生产需求分析-产品生产需求分析
  2933, // 报表数据发送-报表数据发送
  2934, // 报表打印-报表打印
  2935, // 生产计划初审-生产计划初审
  2936, // 生产计划初级撤审-生产计划初级撤审
  2937, // 生产指令单初审-生产指令单初审
  2938, // 生产指令单初撤-生产指令单初撤
  2939, // 工序派工单打印-工序派工单打印
  2940, // 生产指令单工段进度_New-生产指令单工段进度_New
  2941, // 报表数据发送-报表数据发送
  2942, // 报表打印-报表打印
  2943, // 可视化排程-可视化排程
  2944, // 重排-重排
  2945, // 销售报价单初审-销售报价单初审
  2946, // 销售报价单初撤-销售报价单初撤
  2947, // 车间产能日报表(软体)-车间产能日报表(软体)
  2948, // 报表数据发送-报表数据发送
  2949, // 报表打印-报表打印
  2950, // 工艺派工单-工艺派工单
  2951, // 工艺派工单建立-工艺派工单建立
  2952, // 工艺派工单删除-工艺派工单删除
  2953, // 工艺派工单审核-工艺派工单审核
  2954, // 工艺派工单撤审-工艺派工单撤审
  2955, // 工艺派工单打印-工艺派工单打印
  2956, // 工艺派工单增加备注-工艺派工单增加备注
  2957, // 拆分申购单数量-拆分申购单数量
  2958, // 不显示已财审的销售发货单-不显示已财审的销售发货单
  2959, // 发料单-发料单
  2960, // 发料单建立-发料单建立
  2961, // 发料单删除-发料单删除
  2962, // 发料单确认-发料单确认
  2963, // 发料单反确认-发料单反确认
  2964, // 发料单审核-发料单审核
  2965, // 发料单撤审-发料单撤审
  2966, // 发料单添加备注-发料单添加备注
  2967, // 发料单打印-发料单打印
  2968, // 销售订单补充相关号-销售订单补充相关号
  2969, // 销售意向单-销售意向单
  2970, // 销售意向单新建-销售意向单新建
  2971, // 销售意向单删除-销售意向单删除
  2972, // 销售意向单初审-销售意向单初审
  2973, // 销售意向单初撤-销售意向单初撤
  2974, // 销售意向单暂停-销售意向单暂停
  2975, // 销售意向单终止-销售意向单终止
  2976, // 销售意向单完成-销售意向单完成
  2977, // 销售意向单打印-销售意向单打印
  2978, // 销售意向单增加备注-销售意向单增加备注
  2979, // 报表数据发送-报表数据发送
  2980, // 报表打印-报表打印
  2981, // 仓库外协退回单财审-仓库外协退回单财审
  2982, // 仓库外协退回单财撤-仓库外协退回单财撤
  2983, // 仓库外协发出单财审-仓库外协发出单财审
  2984, // 仓库外协发出单财撤-仓库外协发出单财撤
  2985, // 仓库外协发出单财审-仓库外协发出单财审
  2986, // 仓库外协发出单财撤-仓库外协发出单财撤
  2987, // 仓库外协退回单财审-仓库外协退回单财审
  2988, // 仓库外协退回单财撤-仓库外协退回单财撤
  2989, // 供应商限价属性批设定-供应商限价属性批设定
  2990, // 供应商限价属性批设定-供应商限价属性批设定
  2991, // 报表数据发送-报表数据发送
  2992, // 报表打印-报表打印
  2993, // 销售报价单明细清单保存-销售报价单明细清单保存
  2994, // 单据事件脚本设置-单据事件脚本设置
  2995, // 生产计划需求处理方式变更单-生产计划需求处理方式变更单
  2996, // 生产计划需求处理方式变更单建立-生产计划需求处理方式变更单建立
  2997, // 生产计划需求处理方式变更单删除-生产计划需求处理方式变更单删除
  2998, // 生产计划需求处理方式变更单审核-生产计划需求处理方式变更单审核
  2999, // 生产计划需求处理方式变更单增加备注-生产计划需求处理方式变更单增加备注
  3000, // 生产计划需求处理方式变更单打印-生产计划需求处理方式变更单打印
  3001, // 仓库外协返工单仓审后修改单价-仓库外协返工单仓审后修改单价
  3002, // 条码扫描-条码扫描
  3003, // 其它分部生产需求统计表-其它分部生产需求统计表
  3004, // 报表数据发送-报表数据发送
  3005, // 报表打印-报表打印
  3006, // 部件条码管理-部件条码管理
  3007, // 部件条码打印-部件条码打印
  3008, // 材料采购订单明细拆分数量-材料采购订单明细拆分数量
  3009, // 外协订单明细拆分数量-外协订单明细拆分数量
  3010, // 删除组合配置-删除组合配置
  3011, // 组合配置个人产品计件单辅助录入-组合配置个人产品计件单辅助录入
  3012, // 辅助生成个人产品计件单-辅助生成个人产品计件单
  3014, // 员工物品领用统计表-员工物品领用统计表
  3015, // 报表数据发送-报表数据发送
  3016, // 报表打印-报表打印
  3017, // 员工物品归还统计表-员工物品归还统计表
  3018, // 报表数据发送-报表数据发送
  3019, // 报表打印-报表打印
  3020, // 员工物品归还单财审-员工物品归还单财审
  3021, // 员工物品归还单财撤-员工物品归还单财撤
  3022, // 其它出仓单财审-其它出仓单财审
  3023, // 其它出仓单财撤-其它出仓单财撤
  3024, // 其它进仓单财审-其它进仓单财审
  3025, // 其它进仓单财撤-其它进仓单财撤
  3026, // 盘盈单财审-盘盈单财审
  3027, // 盘盈单财撤-盘盈单财撤
  3028, // 盘亏单财审-盘亏单财审
  3029, // 盘亏单财撤-盘亏单财撤
  3030, // 销售订单调整优先级-销售订单调整优先级
  3031, // 按销售订单单价更新价格表-按销售订单单价更新价格表
  3032, // 修改开始日期与要求完成日期-修改开始日期与要求完成日期
  3033, // 修改开始日期与要求完成日期-修改开始日期与要求完成日期
  3034, // 生产进仓单财审-生产进仓单财审
  3035, // 生产进仓单财撤-生产进仓单财撤
  3036, // 生产进仓单财审-生产进仓单财审
  3037, // 生产进仓单财撤-生产进仓单财撤
  3038, // 允许删除未匹配条码-允许删除未匹配条码
  3039, // 工艺完工单-工艺完工单
  3040, // 工艺完工单建立-工艺完工单建立
  3041, // 工艺完工单删除-工艺完工单删除
  3042, // 工艺完工单审核-工艺完工单审核
  3043, // 工艺完工单撤审-工艺完工单撤审
  3044, // 工艺完工单打印-工艺完工单打印
  3045, // 发货通知单可以不选销售订单-发货通知单可以不选销售订单
  3046, // 成品采购订单统计表-成品采购订单统计表
  3047, // 报表数据发送-报表数据发送
  3048, // 报表打印-报表打印
  3049, // 修改实退货数量-修改实退货数量
  3050, // 明细查询-明细查询
  3051, // 人员增补申请单统计表-人员增补申请单统计表
  3052, // 报表数据发送-报表数据发送
  3053, // 报表打印-报表打印
  3054, // 应聘人员面试单统计表-应聘人员面试单统计表
  3055, // 报表数据发送-报表数据发送
  3056, // 报表打印-报表打印
  3057, // 复试通知单-复试通知单
  3058, // 报表数据发送-报表数据发送
  3059, // 报表打印-报表打印
  3060, // 员工物品借还及借还款查询-员工物品借还及借还款查询
  3061, // 报表数据发送-报表数据发送
  3062, // 报表打印-报表打印
  3063, // 采购退货单仓审后修改单价-采购退货单仓审后修改单价
  3064, // 采购订单单价不允许编辑-采购订单单价不允许编辑
  3065, // 采购收货单单价不允许编辑-采购收货单单价不允许编辑
  3066, // 销售发货单仓审后不能打印-销售发货单仓审后不能打印
  3067, // 发货通知单统计表-发货通知单统计表
  3068, // 报表数据发送-报表数据发送
  3069, // 报表打印-报表打印
  3070, // 查看相关计件单-查看相关计件单
  3071, // 查看相关计件单-查看相关计件单
  3072, // 转帐单财务确认-转帐单财务确认
  3073, // 转帐单财务反确认-转帐单财务反确认
  3074, // 其它收入支出单财务确认-其它收入支出单财务确认
  3075, // 其它收入支出单财务反确认-其它收入支出单财务反确认
  3076, // 查看借还物品-查看借还物品
  3077, // 查看借还款-查看借还款
  3078, // 查询相关单据-查询相关单据
  3079, // 查询相关单据-查询相关单据
  3080, // 修改销售日期-修改销售日期
  3081, // 客户物料别名统计表-客户物料别名统计表
  3082, // 报表数据发送-报表数据发送
  3083, // 报表打印-报表打印
  3084, // 员工借款单-员工借款单
  3085, // 员工借款单建立-员工借款单建立
  3086, // 员工借款单删除-员工借款单删除
  3087, // 员工借款单审核-员工借款单审核
  3088, // 员工借款单撤审-员工借款单撤审
  3089, // 员工借款单财务确认-员工借款单财务确认
  3090, // 员工借款单财务反确认-员工借款单财务反确认
  3091, // 员工借款单添加备注-员工借款单添加备注
  3092, // 员工借款单打印-员工借款单打印
  3093, // 员工还款单-员工还款单
  3094, // 员工还款单建立-员工还款单建立
  3095, // 员工还款单删除-员工还款单删除
  3096, // 员工还款单审核-员工还款单审核
  3097, // 员工还款单撤审-员工还款单撤审
  3098, // 员工还款单财务确认-员工还款单财务确认
  3099, // 员工还款单财务反确认-员工还款单财务反确认
  3100, // 员工还款单添加备注-员工还款单添加备注
  3101, // 员工还款单打印-员工还款单打印
  3102, // Excel导入财务数据-Excel导入财务数据
  3103, // 导入/修改-导入/修改
  3104, // 删除-删除
  3105, // 审核-审核
  3106, // 撤审-撤审
  3107, // 订餐取餐日对比表-订餐取餐日对比表
  3108, // 报表数据发送-报表数据发送
  3109, // 报表打印-报表打印
  3110, // 外协收货/退货单0单价不允许财审-外协收货/退货单0单价不允许财审
  3111, // 物料塑料资料批修改-物料塑料资料批修改
  3112, // 物料塑料资料批修改-物料塑料资料批修改
  3113, // 报表数据发送-报表数据发送
  3114, // 报表打印-报表打印
  3115, // 供应商询价单统计表-供应商询价单统计表
  3116, // 报表数据发送-报表数据发送
  3117, // 报表打印-报表打印
  3118, // 产品计划成本价-产品计划成本价
  3119, // 产品计划成本价设定-产品计划成本价设定
  3120, // 报表数据发送-报表数据发送
  3121, // 报表打印-报表打印
  3122, // 建立工序完工单-建立工序完工单
  3123, // 条码扫描-条码扫描
  3124, // 生产指令单工序变更单-生产指令单工序变更单
  3125, // 生产指令单工序变更单建立-生产指令单工序变更单建立
  3126, // 生产指令单工序变更单删除-生产指令单工序变更单删除
  3127, // 生产指令单工序变更单审核-生产指令单工序变更单审核
  3128, // 生产指令单工序变更单增加备注-生产指令单工序变更单增加备注
  3129, // 生产指令单工序变更单打印-生产指令单工序变更单打印
  3130, // 销售报价终止明细-销售报价终止明细
  3131, // 销售报价取消终止明细-销售报价取消终止明细
  3132, // 系统公告管理-系统公告管理
  3133, // 工序完工单统计表-工序完工单统计表
  3134, // 报表数据发送-报表数据发送
  3135, // 报表打印-报表打印
  3136, // 工序完工单打印-工序完工单打印
  3137, // 客户电子商务-客户电子商务
  3138, // 客户电子商务设置-客户电子商务设置
  3139, // 供应商电子商务-供应商电子商务
  3140, // 供应商电子商务设置-供应商电子商务设置
  3141, // 协作权限-协作权限
  3142, // 资料推送-资料推送
  3143, // 资料同步-资料同步
  3144, // 采购订单发送-采购订单发送
  3145, // 供应方-供应方
  3146, // 需求方-需求方
  3147, // 采购订单供应商交期确认-采购订单供应商交期确认
  3148, // 采购订单供应商交期拒绝-采购订单供应商交期拒绝
  3149, // 客户采购订单反馈-客户采购订单反馈
  3150, // 客户采购订单拒绝-客户采购订单拒绝
  3151, // 销售订单交期确认-销售订单交期确认
  3152, // 销售发货单发送-销售发货单发送
  3153, // 电子商务通信设置-电子商务通信设置
  3154, // 加工费用单统计表-加工费用单统计表
  3155, // 报表数据发送-报表数据发送
  3156, // 报表打印-报表打印
  3157, // 电子商务通信设置-电子商务通信设置
  3158, // 销售订单折扣不允许编辑-销售订单折扣不允许编辑
  3159, // 销售发货单折扣不允许编辑-销售发货单折扣不允许编辑
  3160, // 产品销售价格限价策略批设置-产品销售价格限价策略批设置
  3161, // 产品销售价格限价策略批设置-产品销售价格限价策略批设置
  3162, // 报表数据发送-报表数据发送
  3163, // 报表打印-报表打印
  3164, // 供应商询价单发送-供应商询价单发送
  3165, // 销售报价单发送-销售报价单发送
  3166, // 客户询价单处理-客户询价单处理
  3167, // 客户询价单拒绝-客户询价单拒绝
  3168, // 供应商报价单处理-供应商报价单处理
  3169, // 供应商报价单拒绝-供应商报价单拒绝
  3170, // 基础资料-基础资料
  3171, // 协作-协作
  3172, // 电子商务消息发送-电子商务消息发送
  3173, // 电子商务消息确认-电子商务消息确认
  3174, // 物料清单设有效/无效-物料清单设有效/无效
  3175, // 短信通道-短信通道
  3176, // 智能开料插件-智能开料插件
  3177, // 发料通知单统计表-发料通知单统计表
  3178, // 报表数据发送-报表数据发送
  3179, // 报表打印-报表打印
  3180, // 销售价格-销售价格
  3181, // 生产计划自制需求修改车间-生产计划自制需求修改车间
  3182, // 客户收款单终审前确定客户-客户收款单终审前确定客户
  3183, // 库存分配借货单-库存分配借货单
  3184, // 库存分配借货单建立-库存分配借货单建立
  3185, // 库存分配借货单删除-库存分配借货单删除
  3186, // 库存分配借货单二审-库存分配借货单二审
  3187, // 库存分配借货单二撤-库存分配借货单二撤
  3188, // 库存分配借货单增加备注-库存分配借货单增加备注
  3189, // 库存分配借货单打印-库存分配借货单打印
  3190, // 库存分配还货单-库存分配还货单
  3191, // 库存分配还货单建立-库存分配还货单建立
  3192, // 库存分配还货单删除-库存分配还货单删除
  3193, // 库存分配还货单二审-库存分配还货单二审
  3194, // 库存分配还货单二撤-库存分配还货单二撤
  3195, // 库存分配还货单增加备注-库存分配还货单增加备注
  3196, // 库存分配还货单打印-库存分配还货单打印
  3197, // 允许修改单据窗口每页行数-允许修改单据窗口每页行数
  3198, // 销售订单初审后变更单价-销售订单初审后变更单价
  3199, // 销售订单终审后变更单价-销售订单终审后变更单价
  3200, // 调出明细只能选公共库存-调出明细只能选公共库存
  3201, // 调货时只能调空闲库存-调货时只能调空闲库存
  3202, // 销售返工订单-销售返工订单
  3203, // 销售返工订单建立-销售返工订单建立
  3204, // 销售返工订单删除-销售返工订单删除
  3205, // 销售返工订单审核-销售返工订单审核
  3206, // 销售返工订单撤审-销售返工订单撤审
  3207, // 销售返工订单生产审核-销售返工订单生产审核
  3208, // 销售返工订单生产撤审-销售返工订单生产撤审
  3209, // 销售返工订单增加备注-销售返工订单增加备注
  3210, // 销售返工订单终止-销售返工订单增加备注
  3211, // 销售返工订单暂停-销售返工订单暂停
  3212, // 销售返工订单手动完成-销售返工订单手动完成
  3213, // 销售返工订单终止明细物料-销售返工订单终止明细物料
  3214, // 销售返工订单打印-销售返工订单打印
  3215, // 销售返工订单导出Excel-销售返工订单导出Excel
  3216, // 销售返工订单添加附件-销售返工订单添加附件
  3217, // 查看产品相关信息-查看产品相关信息
  3218, // 返工退仓单-返工退仓单
  3219, // 返工退仓单建立-返工退仓单建立
  3220, // 返工退仓单删除-返工退仓单删除
  3221, // 返工退仓单审核-返工退仓单审核
  3222, // 返工退仓单撤审-返工退仓单撤审
  3223, // 返工退仓单添加备注-返工退仓单添加备注
  3224, // 返工退仓单打印-返工退仓单打印
  3225, // 返工退仓单确认-返工退仓单确认
  3226, // 返工退仓单反确认-返工退仓单反确认
  3227, // 条码扫描-条码扫描
  3228, // 返工退仓单财审-返工退仓单财审
  3229, // 返工退仓单财撤-返工退仓单财撤
  3230, // 返工退仓单-返工退仓单
  3231, // 返工退仓单建立-返工退仓单建立
  3232, // 返工退仓单删除-返工退仓单删除
  3233, // 返工退仓单审核-返工退仓单审核
  3234, // 返工退仓单撤审-返工退仓单撤审
  3235, // 返工退仓单增加备注-返工退仓单增加备注
  3236, // 返工退仓单打印-返工退仓单打印
  3237, // 返工退仓单确认-返工退仓单确认
  3238, // 返工退仓单反确认-返工退仓单反确认
  3239, // 条码扫描-条码扫描
  3240, // 返工退仓单财审-返工退仓单财审
  3241, // 返工退仓单财撤-返工退仓单财撤
  3242, // 手动修改成本-手动修改成本
  3243, // 供应商采购送检单初审-供应商采购送检单初审
  3244, // 供应商采购送检单初撤-供应商采购送检单初撤
  3245, // 供应商外协送检单初审-供应商外协送检单初审
  3246, // 供应商外协送检单初撤-供应商外协送检单初撤
  3247, // 供应商采购送检单初审后修改数量-供应商采购送检单初审后修改数量
  3248, // 供应商外协送检单初审后修改数量-供应商外协送检单初审后修改数量
  3249, // 物料进仓-物料进仓
  3250, // 物料出仓-物料出仓
  3251, // 物料调货-物料调货
  3252, // 部件选配资料删除-部件选配资料删除
  3253, // 生产指令单批修改相关号-生产指令单批修改相关号
  3254, // 生产计划批修改相关号-生产计划批修改相关号
  3255, // 个人其它计件对帐表-个人其它计件对帐表
  3256, // 报表数据发送-报表数据发送
  3257, // 报表打印-报表打印
  3258, // 采购价格限制策略批设置-采购价格限制策略批设置
  3259, // 采购价格限制策略批设置-采购价格限制策略批设置
  3260, // 报表数据发送-报表数据发送
  3261, // 报表打印-报表打印
  3262, // 车间管理工资分摊-车间管理工资分摊
  3263, // 严格按计划物料必须按计划建立申请单-严格按计划物料必须按计划建立申请单
  3264, // 基本工资变更单撤审-基本工资变更单撤审
  3265, // 补底工资变更单撤审-补底工资变更单撤审
  3266, // 销售报价单可选非正式客户-销售报价单可选非正式客户
  3267, // 隐藏工价-隐藏工价
  3268, // 查看产品相关信息-查看产品相关信息
  3269, // 供应商询价单初审-供应商询价单初审
  3270, // 供应商询价单初撤-供应商询价单初撤
  3271, // 外协商询价单初审-外协商询价单初审
  3272, // 外协商询价单初撤-外协商询价单初撤
  3273, // 自动对单-自动对单
  3274, // 自动对单-自动对单
  3275, // 工种-工种
  3276, // 工种设定-工种设定
  3277, // 建立其它进仓类型单据-建立其它进仓类型单据
  3278, // 建立生产进仓|按生产指令类型单据-建立生产进仓|按生产指令类型单据
  3279, // 建立采购进仓|按采购订单类型单据-建立采购进仓|按采购订单类型单据
  3280, // 建立采购进仓|非采购订单类型单据-建立采购进仓|非采购订单类型单据
  3281, // 建立生产进仓|非生产指令类型单据-建立生产进仓|非生产指令类型单据
  3282, // 建立非条码仓调入条码仓类型单据-建立非条码仓调入条码仓类型单据
  3283, // 建立销售退货类型单据-建立销售退货类型单据
  3284, // 建立盘盈补贴条码类型单据-建立盘盈补贴条码类型单据
  3285, // 采购待送检列表-采购待送检列表
  3286, // 报表数据发送-报表数据发送
  3287, // 报表打印-报表打印
  3288, // 外协待送检列表-外协待送检列表
  3289, // 报表数据发送-报表数据发送
  3290, // 报表打印-报表打印
  3291, // 个性包件或组合配置整排散进包件调整配置并调货-个性包件或组合配置整排散进包件调整配置并调货
  3292, // 采购收货单仓审前修改进仓成本价-采购收货单仓审前修改进仓成本价
  3293, // 采购收货单仓审前修改进仓成本价-采购收货单仓审前修改进仓成本价
  3294, // 考核项目-考核项目
  3295, // 考核项目设定-考核项目设定
  3296, // 预算项目-预算项目
  3297, // 预算项目设定-预算项目设定
  3298, // 职级-职级
  3299, // 职级设定-职级设定
  3300, // 预算单列表-预算单列表
  3301, // 预算单建立-预算单建立
  3302, // 预算单删除-预算单删除
  3303, // 预算单初审-预算单初审
  3304, // 预算单初撤-预算单初撤
  3305, // 预算单终审-预算单终审
  3306, // 预算单终撤-预算单终撤
  3307, // 预算单补充评价-预算单补充评价
  3308, // 预算单打印-预算单打印
  3309, // 考核单统计-考核单统计
  3310, // 预算单统计-预算单统计
  3311, // 对比工价表工价差异-对比工价表工价差异
  3312, // 对比工价表工价差异-对比工价表工价差异
  3313, // 作废部件条码-作废部件条码
  3314, // 作废部件条码-作废部件条码
  3315, // 客户修改-客户修改
  3316, // 考核/预算分类-考核/预算分类
  3317, // 考核/预算分类设置-考核/预算分类设置
  3318, // 客户销售订单金额对比统计表-客户销售订单金额对比统计表
  3319, // 报表数据发送-报表数据发送
  3320, // 报表打印-报表打印
  3321, // 销售发货单确认后仓审前修改明细备注-销售发货单确认后仓审前修改明细备注
  3322, // 销售发货单仓审后修改明细备注1,2-销售发货单仓审后修改明细备注1,2
  3323, // 定时任务设置-定时任务设置
  3324, // 客户收款单终审前取消客户-客户收款单终审前取消客户
  3325, // 外协发出单可以不选外协计划-外协发出单可以不选外协计划
  3326, // 辅助计件-辅助计件
  3327, // 个人完工报告辅助建立个人产品计件单（五金）-个人完工报告辅助建立个人产品计件单（五金）
  3328, // 辅助生成个人产品件单-辅助生成个人产品件单
  3329, // 生产计划分排程批-生产计划分排程批
  3330, // 指令单分排程批-指令单分排程批
  3331, // 自制质检单二级审核-自制质检单二级审核
  3332, // 自制质检单二级撤审-自制质检单二级撤审
  3333, // 采购质检单-采购质检单
  3334, // 采购质检单新建-采购质检单新建
  3335, // 采购质检单删除-采购质检单删除
  3336, // 采购质检单审核-采购质检单审核
  3337, // 采购质检单撤审-采购质检单撤审
  3338, // 采购质检单二级审核-采购质检单二级审核
  3339, // 采购质检单二级撤审-采购质检单二级撤审
  3340, // 采购质检单增加备注-采购质检单增加备注
  3341, // 采购质检单打印-采购质检单打印
  3342, // 外协质检单-外协质检单
  3343, // 外协质检单新建-外协质检单新建
  3344, // 外协质检单删除-外协质检单删除
  3345, // 外协质检单审核-外协质检单审核
  3346, // 外协质检单撤审-外协质检单撤审
  3347, // 外协质检单二级审核-外协质检单二级审核
  3348, // 外协质检单二级撤审-外协质检单二级撤审
  3349, // 外协质检单增加备注-外协质检单增加备注
  3350, // 外协质检单打印-外协质检单打印
  3351, // 更新邮箱类型-更新邮箱类型
  3352, // 部件流程打印-部件流程打印
  3353, // 设置工段足料状态-设置工段足料状态
  3354, // 设置工段足料状态-设置工段足料状态
  3355, // 库存推送策略-库存推送策略
  3356, // 库存推送策略建立-库存推送策略建立
  3357, // 库存推送策略删除-库存推送策略删除
  3358, // 库存推送-库存推送
  3359, // 生产计划包件变更单-生产计划包件变更单
  3360, // 生产计划包件变更单建立-生产计划包件变更单建立
  3361, // 生产计划包件变更单删除-生产计划包件变更单删除
  3362, // 生产计划包件变更单审核-生产计划包件变更单审核
  3363, // 生产计划包件变更单撤审-生产计划包件变更单撤审
  3364, // 生产计划包件变更单明细审核-生产计划包件变更单明细审核
  3365, // 生产计划包件变更单明细撤审-生产计划包件变更单明细撤审
  3366, // 生产计划包件变更单明细终止-生产计划包件变更单明细终止
  3367, // 生产计划包件变更单明细撤销终止-生产计划包件变更单明细撤销终止
  3368, // 生产计划包件变更单打印-生产计划包件变更单打印
  3369, // 生产审前变更明细交期-生产审前变更明细交期
  3370, // 生产审后变更明细交期-生产审后变更明细交期
  3371, // 生产审后变更明细交期-生产审后变更明细交期
  3372, // 材料采购订单审核后修改单价-材料采购订单审核后修改单价
  3373, // 客户发货单实发数计算选项-客户发货单实发数计算选项
  3374, // 客户发货单实发数计算选项设定-客户发货单实发数计算选项设定
  3375, // 零售业务-零售业务
  3376, // 客户积分换礼品单-客户积分换礼品单
  3377, // 客户积分换礼品单建立-客户积分换礼品单建立
  3378, // 客户积分换礼品单删除-客户积分换礼品单删除
  3379, // 客户积分换礼品单审核-客户积分换礼品单审核
  3380, // 客户积分换礼品单撤审-客户积分换礼品单撤审
  3381, // 客户积分换礼品单添加备注-客户积分换礼品单添加备注
  3382, // 客户积分换礼品单打印-客户积分换礼品单打印
  3383, // 零售单-零售单
  3384, // 零售单建立-零售单建立
  3385, // 零售单删除-零售单删除
  3386, // 零售单审核-零售单审核
  3387, // 零售单撤审-零售单撤审
  3388, // 零售单添加备注-零售单添加备注
  3389, // 零售单打印-零售单打印
  3390, // 零售单修改折扣-零售单修改折扣
  3391, // 会员类型-会员类型
  3392, // 会员类型设置-会员类型设置
  3393, // 价格表高级批修改-价格表高级批修改
  3394, // 价格表高级修改-价格表高级修改
  3395, // 供应商推送库存查询-供应商推送库存查询
  3396, // 报表数据发送-报表数据发送
  3397, // 报表打印-报表打印
  3398, // 发布公告-发布公告
  3399, // 公告推送列表-公告推送列表
  3400, // 公告编辑-公告编辑
  3401, // 公告删除-公告删除
  3402, // 赔偿单统计表-赔偿单统计表
  3403, // 报表数据发送-报表数据发送
  3404, // 报表打印-报表打印
  3405, // 客户费用单处理-客户费用单处理
  3406, // 客户费用单拒绝-客户费用单拒绝
  3407, // 供应商费用单处理-供应商费用单处理
  3408, // 供应商费用单拒绝-供应商费用单拒绝
  3409, // 行政办公-行政办公
  3410, // 工作提醒定义-工作提醒定义
  3411, // 工作提醒定义设定-工作提醒定义设定
  3412, // 工作提醒用户订阅-工作提醒用户订阅
  3413, // 工作提醒用户订阅设定-工作提醒用户订阅设定
  3414, // 工作提醒管理员订阅-工作提醒管理员订阅
  3415, // 工作提醒管理员订阅设定-工作提醒管理员订阅设定
  3416, // OA自定义提醒调用默认窗口-OA自定义提醒调用默认窗口
  3417, // 员工工种熟练程度-员工工种熟练程度
  3418, // 员工工种熟练程度设置-员工工种熟练程度设置
  3419, // 报表数据发送-报表数据发送
  3420, // 报表打印-报表打印
  3421, // 车间指令单工序进度表-车间指令单工序进度表
  3422, // 报表数据发送-报表数据发送
  3423, // 报表打印-报表打印
  3424, // 物料单价变更单-物料单价变更单
  3425, // 物料单价变更单新建-物料单价变更单新建
  3426, // 物料单价变更单删除-物料单价变更单删除
  3427, // 物料单价变更单审核-物料单价变更单审核
  3428, // 物料单价变更单增加备注-物料单价变更单增加备注
  3429, // 物料单价变更单打印-物料单价变更单打印
  3430, // 盘点单统计表-盘点单统计表
  3431, // 报表数据发送-报表数据发送
  3432, // 报表打印-报表打印
  3433, // 采购收货质检单-采购收货质检单
  3434, // 采购收货质检单新建-采购收货质检单新建
  3435, // 采购收货质检单删除-采购收货质检单删除
  3436, // 采购收货质检单审核-采购收货质检单审核
  3437, // 采购收货质检单撤审-采购收货质检单撤审
  3438, // 采购收货质检单二级审核-采购收货质检单二级审核
  3439, // 采购收货质检单二级撤审-采购收货质检单二级撤审
  3440, // 采购收货质检单增加备注-采购收货质检单增加备注
  3441, // 采购收货质检单打印-采购收货质检单打印
  3442, // 库存分配调货单统计表-库存分配调货单统计表
  3443, // 报表数据发送-报表数据发送
  3444, // 报表打印-报表打印
  3445, // 库存分配借货单统计表-库存分配借货单统计表
  3446, // 报表数据发送-报表数据发送
  3447, // 报表打印-报表打印
  3448, // 库存分配还货单统计表-库存分配还货单统计表
  3449, // 报表数据发送-报表数据发送
  3450, // 报表打印-报表打印
  3451, // 客户冲帐单-客户冲帐单
  3452, // 客户冲帐单建立-客户冲帐单建立
  3453, // 客户冲帐单删除-客户冲帐单删除
  3454, // 客户冲帐单审核-客户冲帐单审核
  3455, // 客户冲帐单撤审-客户冲帐单撤审
  3456, // 客户冲帐单打印-客户冲帐单打印
  3457, // 客户冲帐单增加备注-客户冲帐单增加备注
  3458, // 人员招聘汇总统计表-人员招聘汇总统计表
  3459, // 报表数据发送-报表数据发送
  3460, // 报表打印-报表打印
  3461, // 在职人员籍贯分布汇总表-在职人员籍贯分布汇总表
  3462, // 报表数据发送-报表数据发送
  3463, // 报表打印-报表打印
  3464, // 部门违规月统计表-部门违规月统计表
  3465, // 报表数据发送-报表数据发送
  3466, // 报表打印-报表打印
  3467, // 人事变动月统计表-人事变动月统计表
  3468, // 报表数据发送-报表数据发送
  3469, // 报表打印-报表打印
  3470, // 删除错误充值记录-删除错误充值记录
  3471, // 供应商销售发货单处理-供应商销售发货单处理
  3472, // 成品申购待采购列表-成品申购待采购列表
  3473, // 报表数据发送-报表数据发送
  3474, // 报表打印-报表打印
  3475, // 车辆费用单处理-车辆费用单处理
  3476, // 车辆费用单反处理-车辆费用单反处理
  3477, // 按指令单工序辅助建立计件单-按指令单工序辅助建立计件单
  3478, // 建立计件单-建立计件单
  3479, // 部门员工流失月统计表-部门员工流失月统计表
  3480, // 报表数据发送-报表数据发送
  3481, // 报表打印-报表打印
  3482, // 人力分布月统计表-人力分布月统计表
  3483, // 报表数据发送-报表数据发送
  3484, // 报表打印-报表打印
  3485, // 车辆费用单到期提醒表-车辆费用单到期提醒表
  3486, // 报表数据发送-报表数据发送
  3487, // 报表打印-报表打印
  3488, // 供应商付款单确认-供应商付款单确认
  3489, // 供应商付款单反确认-供应商付款单反确认
  3490, // 零售单修改单价-零售单修改单价
  3491, // 零售单录入优惠金额-零售单录入优惠金额
  3492, // 销售订单废弃单-销售订单废弃单
  3493, // 供应商付款单添加附件-供应商付款单添加附件
  3494, // 其它收入支出单添加附件-其它收入支出单添加附件
  3495, // 销售发货单废弃单-销售发货单废弃单
  3496, // 材料采购订单废弃单-材料采购订单废弃单
  3497, // 采购收货单废弃单-采购收货单废弃单
  3498, // 成品采购订单废弃单-成品采购订单废弃单
  3499, // 采购收货明细待质检列表-采购收货明细待质检列表
  3500, // 采购收货明细待质检列表修改-采购收货明细待质检列表修改
  3501, // 采购收货明细待质检列表审核-采购收货明细待质检列表审核
  3502, // 采购收货明细待质检列表撤审-采购收货明细待质检列表撤审
  3503, // 采购收货明细待质检列表调收货质检单-采购收货明细待质检列表调收货质检单
  3504, // 报表数据发送-报表数据发送
  3505, // 报表打印-报表打印
  3506, // 工艺完工单仓审-工艺完工单仓审
  3507, // 工艺完工单仓撤-工艺完工单仓撤
  3508, // 物料工序表公式公共参数-物料工序表公式公共参数
  3509, // 工价表公式公共参数设定-工价表公式公共参数设定
  3510, // 供应商纸板询价单-供应商纸板询价单
  3511, // 供应商纸板询价单建立-供应商纸板询价单建立
  3512, // 供应商纸板询价单删除-供应商纸板询价单删除
  3513, // 供应商纸板询价单初审-供应商纸板询价单初审
  3514, // 供应商纸板询价单初撤-供应商纸板询价单初审
  3515, // 供应商纸板询价单终审-供应商纸板询价单终审
  3517, // 供应商纸板询价单增加备注-供应商纸板询价单增加备注
  3518, // 供应商纸板询价单打印-供应商纸板询价单打印
  3519, // 工作事件单-工作事件单
  3520, // 工作事件单建立-工作事件单建立
  3521, // 工作事件单删除-工作事件单删除
  3522, // 工作事件单打印-工作事件单打印
  3523, // 事件描述-事件描述
  3524, // 事件描述审核/撤审-事件描述审核/撤审
  3525, // 事件描述修改-事件描述修改
  3526, // 综合分析-综合分析
  3527, // 综合分析审核/撤审-综合分析审核/撤审
  3528, // 综合分析修改-综合分析修改
  3529, // 处理结果-处理结果
  3530, // 处理结果审核/撤审-处理结果审核/撤审
  3531, // 安排处理结果修改-安排处理结果修改
  3532, // 完成处理结果修改-完成处理结果修改
  3533, // 纠正预防-纠正预防
  3534, // 纠正预防审核/撤审-纠正预防审核/撤审
  3535, // 纠正预防修改-纠正预防修改
  3536, // 责任修改-责任修改
  3537, // 责任审核/撤审-责任审核/撤审
  3538, // 效果确认-效果确认
  3539, // 效果确认修改-效果确认修改
  3540, // 效果确认审核/撤审-效果确认审核/撤审
  3541, // 财务部意见填写-财务部意见填写
  3542, // 总经办意见填写-总经办意见填写
  3543, // 允许接收其它同事消息-允许接收其它同事消息
  3544, // 允许发表任何事件意见-允许发表任何事件意见
  3545, // 允许替换员工发表意见-允许替换员工发表意见
  3546, // 确认完成/取消-确认完成/取消
  3547, // 供应商资料初审-供应商资料初审
  3548, // 供应商资料初撤-供应商资料初撤
  3549, // 供应商资料终审-供应商资料终审
  3550, // 供应商资料终撤-供应商资料终撤
  3551, // 物料默认客户批设置-物料默认客户批设置
  3552, // 物料默认客户批设置-物料默认客户批设置
  3553, // 报表数据发送-报表数据发送
  3554, // 报表打印-报表打印
  3555, // 常用物料工序表公式-常用物料工序表公式
  3556, // 常用公式设置-常用公式设置
  3557, // 工作提醒-工作提醒
  3558, // 销售订单修改单价同时更新发货单单价-销售订单修改单价同时更新发货单单价
  3559, // 物料类别推送-物料类别推送
  3560, // 客户价格表审核-客户价格表审核
  3561, // 客户价格表撤审-客户价格表撤审
  3562, // 供应商价格打印-供应商价格打印
  3563, // 人员身份证到期提醒表-人员身份证到期提醒表
  3564, // 报表数据发送-报表数据发送
  3565, // 报表打印-报表打印
  3566, // 客户新产品统计表-客户新产品统计表
  3567, // 报表数据发送-报表数据发送
  3568, // 报表打印-报表打印
  3569, // 唛头管理-唛头管理
  3570, // 新建-新建
  3571, // 删除-删除
  3572, // 初审-初审
  3573, // 初撤-初撤
  3574, // 终审-终审
  3575, // 终撤-终撤
  3576, // 唛头模板-唛头模板
  3577, // 新建-新建
  3578, // 删除-删除
  3579, // 初审-初审
  3580, // 初撤-初撤
  3581, // 终审-终审
  3582, // 终撤-终撤
  3583, // 增加备注-增加备注
  3584, // 打印-打印
  3585, // 增加备注-增加备注
  3586, // 打印-打印
  3587, // 材质-材质
  3588, // 材质设定-材质设定
  3589, // 供应商资料初审-供应商资料初审
  3590, // 供应商资料初撤-供应商资料初撤
  3591, // 供应商资料终审-供应商资料终审
  3592, // 供应商资料终撤-供应商资料终撤
  3593, // 客户初审-客户初审
  3594, // 客户初撤-客户初撤
  3595, // 客户终审-客户终审
  3596, // 客户终撤-客户终撤
  3597, // 客户初审-客户初审
  3598, // 客户初撤-客户初撤
  3599, // 客户终审-客户终审
  3600, // 客户终撤-客户终撤
  3601, // 产品及物料初审-产品及物料初审
  3602, // 产品及物料初撤-产品及物料初撤
  3603, // 产品及物料终审-产品及物料终审
  3604, // 产品及物料终撤-产品及物料终撤
  3605, // 加工项目/工艺定义-加工项目/工艺定义
  3606, // 新建项目-新建项目
  3607, // 删除项目-删除项目
  3608, // 新建加工工艺-新建加工工艺
  3609, // 删除加工工艺-删除加工工艺
  3610, // 交货方式-交货方式
  3611, // 交货方式定义-交货方式定义
  3612, // 木皮工艺-木皮工艺
  3613, // 木皮工艺定义-木皮工艺定义
  3614, // 主生产计划材料成本核算表-主生产计划材料成本核算表
  3615, // 报表数据发送-报表数据发送
  3616, // 报表打印-报表打印
  3617, // 增加备忘录-增加备忘录
  3618, // 条码扫描-条码扫描
  3619, // 采购订单单价变更单-采购订单单价变更单
  3620, // 采购订单单价变更单建立-采购订单单价变更单建立
  3621, // 采购订单单价变更单删除-采购订单单价变更单删除
  3622, // 采购订单单价变更单初审-采购订单单价变更单初审
  3623, // 采购订单单价变更单初撤-采购订单单价变更单初撤
  3624, // 采购订单单价变更单终审-采购订单单价变更单终审
  3625, // 采购订单单价变更单终撤-采购订单单价变更单终撤
  3626, // 采购订单单价变更单打印-采购订单单价变更单打印
  3627, // 采购订单单价变更单添加备注-采购订单单价变更单添加备注
  3628, // 高级价格策略终审\终撤-高级价格策略终审\终撤
  3629, // 生产计划二级审核-生产计划二级审核
  3630, // 生产计划二级撤审-生产计划二级撤审
  3631, // 生产指令单二级审核-生产指令单二级审核
  3632, // 生产指令单二级撤审-生产指令单二级撤审
  3633, // 条码进出明细表-条码进出明细表
  3634, // 报表数据发送-报表数据发送
  3635, // 报表打印-报表打印
  3636, // 客户新产品退货统计表-客户新产品退货统计表
  3637, // 报表数据发送-报表数据发送
  3638, // 报表打印-报表打印
  3639, // 终审后修改摘要内容项目资料-终审后修改摘要内容项目资料
  3640, // 工段生产成本月份统计表-工段生产成本月份统计表
  3641, // 报表数据发送-报表数据发送
  3642, // 报表打印-报表打印
  3643, // 销售订单材料领用汇总表-销售订单材料领用汇总表
  3644, // 报表数据发送-报表数据发送
  3645, // 报表打印-报表打印
  3646, // 客户等级-客户等级
  3647, // 客户等级设定-客户等级设定
  3648, // 配置对应客户等级设定-配置对应客户等级设定
  3649, // 配置对应客户等级设定-配置对应客户等级设定
  3650, // 批上传/下载物料附件-批上传/下载物料附件
  3651, // 销售订单导入-销售订单导入
  3652, // 网店产品定义-网店产品定义
  3653, // 待安排条码采购订单明细列表-待安排条码采购订单明细列表
  3654, // 工序派工单成组/取消成组-工序派工单成组/取消成组
  3655, // 网店帐号-网店帐号
  3656, // 网店订单收款-网店订单收款
  3657, // 生产采购物料追踪表-生产采购物料追踪表
  3658, // 报表数据发送-报表数据发送
  3659, // 报表打印-报表打印
  3660, // 修改交期-修改交期
  3661, // 生产自制物料跟踪表-生产自制物料跟踪表
  3662, // 报表数据发送-报表数据发送
  3663, // 报表打印-报表打印
  3664, // 生产外协物料跟踪表-生产外协物料跟踪表
  3665, // 报表数据发送-报表数据发送
  3666, // 报表打印-报表打印
  3667, // 批修改采购负责人-批修改采购负责人
  3668, // 客户补件单确认-客户补件单确认
  3669, // 客户补件单反确认-客户补件单反确认
  3670, // 客户补件单仓审-客户补件单仓撤
  3671, // 客户补件单仓撤-客户补件单仓撤
  3672, // 销售订单0单价不允许保存-销售订单0单价不允许保存
  3673, // 产品及物料高级删除-产品及物料高级删除
  3674, // 产品及物料修改状态-产品及物料修改状态
  3675, // 修改-修改
  3676, // 删除-删除
  3677, // 接受-接受
  3678, // 导入-导入
  3679, // 修改-修改
  3680, // 删除-删除
  3681, // 同步-同步
  3682, // 终止领料明细-终止领料明细
  3683, // 取消终止领料明细-取消终止领料明细
  3684, // 销售退货单显示客户结余-销售退货单显示客户结余
  3685, // 销售退货单显示客户结余-销售退货单显示客户结余
  3686, // 客户补件单显示客户结余-客户补件单显示客户结余
  3687, // 辅助生成采购订单调价-辅助生成采购订单调价
  3688, // 辅助生成采购订单调价-辅助生成采购订单调价
  3689, // 辅助生成采购订单调价-辅助生成采购订单调价
  3690, // 配套车间指令单备料明细表-配套车间指令单备料明细表
  3691, // 报表数据发送-报表数据发送
  3692, // 报表打印-报表打印
  3693, // 辅助生成采购订单调价-辅助生成采购订单调价
  3694, // 生产补料单-生产补料单
  3695, // 生产补料单建立-生产补料单建立
  3696, // 生产补料单删除-生产补料单删除
  3697, // 生产补料单审核-生产补料单审核
  3698, // 生产补料单撤审-生产补料单撤审
  3699, // 生产补料单添加备注-生产补料单添加备注
  3700, // 生产补料单打印-生产补料单打印
  3701, // 生产补料单确认-生产补料单确认
  3702, // 生产补料单反确认-生产补料单反确认
  3703, // 只允许修改自己及下级用户建立的单据-只允许修改自己及下级用户建立的单据
  3704, // 只允许修改自己及下级用户建立的单据-只允许修改自己及下级用户建立的单据
  3705, // 只能修改自己建立的单据-只能修改自己建立的单据
  3706, // 只能修改自己建立的单据-只能修改自己建立的单据
  3707, // 只能修改自己建立的单据-只能修改自己建立的单据
  3708, // 单价不允许编辑-单价不允许编辑
  3709, // 外协订单不限价-外协订单不限价
  3710, // 只允许修改单价-只允许修改单价
  3711, // 发料通知单终止数量-发料通知单终止数量
  3712, // 不允许审核订单明细没有默认供应商的采购订单-不允许审核订单明细没有默认供应商的采购订单
  3713, // 不允许审核订单明细没有申购单的采购订单-不允许审核订单明细没有申购单的采购订单
  3714, // 不允许审核订单明细没有采购合同的采购订单-不允许审核订单明细没有采购合同的采购订单
  3715, // 不能仓库审核有实发数与计划发货数不相等的发货单-不能仓库审核有实发数与计划发货数不相等的发货单
  3716, // 调汇-调汇
  3717, // 网店运输单打印-网店运输单打印
  3718, // 审核后修改车间备注-审核后修改车间备注
  3719, // 网店运费录入-网店运费录入
  3720, // 不允许审核附件项目超过10分的考核单-不允许审核附件项目超过10分的考核单
  3721, // 明细查询-明细查询
  3722, // 绩效考核统计表-绩效考核统计表
  3723, // 报表数据发送-报表数据发送
  3724, // 报表打印-报表打印
  3725, // 网店-网店
  3726, // 网店-网店
  3727, // 物料资料修改日志-物料资料修改日志
  3728, // 报表数据发送-报表数据发送
  3729, // 报表打印-报表打印
  3730, // 业绩提成-业绩提成
  3731, // 销售提成方案-销售提成方案
  3732, // 销售提成方案建立-销售提成方案建立
  3733, // 销售提成方案删除-销售提成方案删除
  3734, // 销售提成方案审核-销售提成方案审核
  3735, // 销售提成方案撤审-销售提成方案撤审
  3736, // 销售提成单-销售提成单
  3737, // 销售提成单建立-销售提成单建立
  3738, // 销售提成单删除-销售提成单删除
  3739, // 销售提成单审核-销售提成单审核
  3740, // 销售提成单撤审-销售提成单撤审
  3741, // 开发提成方案-开发提成方案
  3742, // 开发提成单-开发提成单
  3743, // 开发提成单建立-开发提成单建立
  3744, // 开发提成单删除-开发提成单删除
  3745, // 开发提成单审核-开发提成单审核
  3746, // 开发提成单撤审-开发提成单撤审
  3747, // 销售提成单工资审-销售提成单工资审
  3748, // 销售提成单工资撤审-销售提成单工资撤审
  3749, // 开发提成单工资审-开发提成单工资审
  3750, // 开发提成单工资撤审-开发提成单工资撤审
  3751, // 发料单修改-发料单修改
  3752, // 生产领料单修改-生产领料单修改
  3753, // 超额发料单修改-超额发料单修改
  3754, // 生产退料单修改-生产退料单修改
  3755, // 其他领料单修改-其他领料单修改
  3756, // 生产补料单修改-生产补料单修改
  3757, // 生产领料单修改-生产领料单修改
  3758, // 超额发料单修改-超额发料单修改
  3759, // 生产退料单修改-生产退料单修改
  3760, // 其他领料单修改-其他领料单修改
  3761, // 工序派工单工作中心员工设置-工序派工单工作中心员工设置
  3762, // 修改工序折算数量单价-修改工序折算数量单价
  3763, // 生产退料单可以不选生产计划-生产退料单可以不选生产计划
  3764, // 超额发料单可以不选生产计划-超额发料单可以不选生产计划
  3765, // 仓审后修改结算方式-仓审后修改结算方式
  3766, // 仓审后修改结算方式-仓审后修改结算方式
  3767, // 仓审后修改单价-仓审后修改单价
  3768, // 隐藏地址，身份证，家庭电话-隐藏地址，身份证，家庭电话
  3769, // 员工合同审核-员工合同审核
  3770, // 员工合同撤审-员工合同撤审
  3771, // 工价表变更单确认-工价表变更单确认
  3772, // 工价表变更单反确认-工价表变更单反确认
  3773, // 允许查看所有员工-允许查看所有员工
  3774, // 在用物料允许修改关键信息-在用物料允许修改关键信息
  3775, // 批确认-批确认
  3776, // 批仓审-批仓审
  3777, // 批计件审-批计件审
  3778, // 批修改计件月份-批修改计件月份
  3779, // 不允许使用按比例分配-不允许使用按比例分配
  3780, // 必须使用保存自动分配-必须使用保存自动分配
  3781, // 盘盈条码-盘盈条码
  3782, // 员工每月假期表-员工每月假期表
  3783, // 员工每月假期设置-员工每月假期设置
  3784, // 库存分配调货单初审-库存分配调货单初审
  3785, // 库存分配调货单初撤-库存分配调货单初撤
  3786, // 库存分配借货单初审-库存分配借货单初审
  3787, // 库存分配借货单初撤-库存分配借货单初撤
  3788, // 库存分配还货单初审-库存分配还货单初审
  3789, // 库存分配还货单初撤-库存分配还货单初撤
  3790, // 销售订单配置修改单初审-销售订单配置修改单初审
  3791, // 销售订单配置修改单初撤-销售订单配置修改单初撤
  3792, // 按销售发货单更新价格表-按销售发货单更新价格表
  3793, // 修改保存打印-修改保存打印
  3794, // 上传-上传
  3795, // 运费录入-运费录入
  3796, // 查看已仓审发货单-查看已仓审发货单
  3797, // 导出-导出
  3798, // 考勤异常情况统计表-考勤异常情况统计表
  3799, // 报表打印-报表打印
  3800, // 报表数据发送-报表数据发送
  3801, // 采购收货单财审后不能打印单据-采购收货单财审后不能打印单据
  3802, // 财审后不能打印单据-财审后不能打印单据
  3803, // 人事辅助项目-人事辅助项目
  3804, // 人事辅助项目设定-人事辅助项目设定
  3805, // 销售报价记录单-销售报价记录单
  3806, // 新建-新建
  3807, // 删除-删除
  3808, // 审核-审核
  3809, // 撤审-撤审
  3810, // 终审-终审
  3811, // 终撤-终撤
  3812, // 添加备注-添加备注
  3813, // 打印-打印
  3814, // 隐藏成本-隐藏成本
  3815, // 明细报价-明细报价
  3816, // 明细审核-明细审核
  3817, // 明细撤审-明细撤审
  3818, // 成本明细数据发送-成本明细数据发送
  3820, // 终止明细-终止明细
  3821, // 取消终止明细-取消终止明细
  3822, // 可选非正式客户-可选非正式客户
  3823, // 亚洲国际电商-亚洲国际电商
  3824, // 注册新用户-注册新用户
  3825, // 注册信息-注册信息
  3826, // 物料类别映射-物料类别映射
  3827, // 销售订单配置修改单增加备注-销售订单配置修改单增加备注
  3828, // 查找合作-查找合作
  3829, // 合作请求-合作请求
  3830, // 不允许采购订单折扣为0-不允许采购订单折扣为0
  3831, // 不允许采购收货单的折扣为0-不允许采购收货单的折扣为0
  3832, // 工资录入单月统计表-工资录入单月统计表
  3833, // 报表打印-报表打印
  3834, // 报表数据发送-报表数据发送
  3835, // 重新生成工序-重新生成工序
  3836, // 重新生成工序-重新生成工序
  3837, // 物料映射-物料映射
  3838, // 修改工价表号-修改工价表号
  3839, // 修改工价表号-修改工价表号
  3840, // 添加附件-添加附件
  3841, // 汇率方案-汇率方案
  3842, // 汇率方案设置-汇率方案设置
  3843, // 允许重复打印条码-允许重复打印条码
  3844, // 允许粘贴单价-允许粘贴单价
  3845, // 允许复制物料清单-允许复制物料清单
  3846, // 允许复制工价表-允许复制工价表
  3847, // 明细只能选择工序-明细只能选择工序
  3848, // 批确认-批确认
  3849, // 批审核-批审核
  3850, // 修改员工分配工资-修改员工分配工资
  3851, // 修改在进行单据明细产品批号-修改在进行单据明细产品批号
  3852, // 批反确认-批反确认
  3853, // 批撤审-批撤审
  3854, // 登录-登录
  3855, // 产品浏览-产品浏览
  3856, // 我的产品-我的产品
  3857, // 促销浏览-促销浏览
  3858, // 我的促销-我的促销
  3859, // 求购浏览-求购浏览
  3860, // 我的求购-我的求购
  3861, // 价格行情与指数-价格行情与指数
  3862, // 手动反扣用料-手动反扣用料
  3863, // 实领数允许超过计划需求数-实领数允许超过计划需求数
  3864, // 订单收款单统计表-订单收款单统计表
  3865, // 报表打印-报表打印
  3866, // 报表数据发送-报表数据发送
  3867, // 批修改工资月份-批修改工资月份
  3868, // 批确认-批确认
  3869, // 批反确认-批反确认
  3870, // 批审核-批审核
  3871, // 批撤审-批撤审
  3872, // 批修改计件月份-批修改计件月份
  3873, // 接受自动审核-接受自动审核
  3874, // 明细必须设置收货仓库-明细必须设置收货仓库
  3875, // 明细必须设置收货仓库-明细必须设置收货仓库
  3876, // 工序,工序号只能双击选择-工序,工序号只能双击选择
  3877, // 供应链电商平台-供应链电商平台
  3878, // 审批公文统计表-审批公文统计表
  3879, // 报表数据发送-报表数据发送
  3880, // 报表打印-报表打印
  3881, // 明细查询-明细查询
  3882, // 销售提成单明细表-销售提成单明细表
  3883, // 报表数据发送-报表数据发送
  3884, // 报表打印-报表打印
  3885, // 开发提成单明细表-开发提成单明细表
  3886, // 报表数据发送-报表数据发送
  3887, // 报表打印-报表打印
  3888, // 删除邮件-删除邮件
  3889, // 彻底删除邮件-彻底删除邮件
  3890, // 客户补件单确认后才能打印-客户补件单确认后才能打印
  3891, // 明细终止数量按计划的默认重新采购-明细终止数量按计划的默认重新采购
  3892, // 清除条码打印次数-清除条码打印次数
  3893, // 按月重算产品成本-按月重算产品成本
  3894, // 供应商采购送检单添加附件-供应商采购送检单添加附件
  3895, // 采购质检单添加附件-采购质检单添加附件
  3896, // 数据发送-数据发送
  3897, // 数据发送-数据发送
  3898, // 数据发送-数据发送
  3899, // 高级价格策略最新价统计表-高级价格策略最新价统计表
  3900, // 报表数据发送-报表数据发送
  3901, // 报表打印-报表打印
  3902, // 供应商物料类别收货统计表-供应商物料类别收货统计表
  3903, // 报表数据发送-报表数据发送
  3904, // 报表打印-报表打印
  3905, // 明细不能选择更新原订单-明细不能选择更新原订单
  3906, // 生产进仓单仓审后修改单价-生产进仓单仓审后修改单价
  3907, // 员工排班明细表-员工排班明细表
  3908, // 报表数据发送-报表数据发送
  3909, // 报表打印-报表打印
  3910, // 已打印的销售发货单不能撤审-已打印的销售发货单不能撤审
  3911, // 销售发货单不允许重复打印-销售发货单不允许重复打印
  3912, // 已打印的采购收货单不能撤审-已打印的采购收货单不能撤审
  3913, // 采购收货单不允许重复打印-采购收货单不允许重复打印
  3914, // 已打印的外协收货单不能撤审-已打印的外协收货单不能撤审
  3915, // 外协收货单不允许重复打印-外协收货单不允许重复打印
  3916, // 工资录入单明细表-工资录入单明细表
  3917, // 报表数据发送-报表数据发送
  3918, // 报表打印-报表打印
  3919, // 工价表工价审核/撤审-工价表工价审核/撤审
  3926, // 供应商月订货额设定-供应商月订货额设定
  3927, // 供应商月订货额设定-供应商月订货额设定
  3928, // 库存分配仓库盘点表-库存分配仓库盘点表
  3929, // 盘点-盘点
  3930, // 修改-修改
  3931, // 删除-删除
  3932, // 审核-审核
  3933, // 撤审-撤审
  3934, // 报表数据发送-报表数据发送
  3935, // 报表打印-报表打印
  3936, // 销售报价记录单统计表-销售报价记录单统计表
  3937, // 报表数据发送-报表数据发送
  3938, // 报表打印-报表打印
  3939, // 会议/培训记录单-会议/培训记录单
  3940, // 新建-新建
  3941, // 删除-删除
  3942, // 审核-审核
  3943, // 撤审-撤审
  3944, // 读数及分析-读数及分析
  3945, // 增加备注-增加备注
  3946, // 打印-打印
  3947, // 订单收款单二级审核-订单收款单二级审核
  3948, // 订单收款单二级撤审-订单收款单二级撤审
  3949, // 转账单统计表-转账单统计表
  3950, // 报表数据发送-报表数据发送
  3951, // 报表打印-报表打印
  3952, // 批确认-批确认
  3953, // 批审核-批审核
  3954, // 批反确认-批反确认
  3955, // 批撤审-批撤审
  3956, // 销售意向单二审-销售意向单二审
  3957, // 销售意向单二撤-销售意向单二撤
  3958, // 已有相关生产进仓单的单据不能修改删除-已有相关生产进仓单的单据不能修改删除
  3959, // 补卡-补卡
  3960, // 只显示自已建立的单据-只显示自已建立的单据
  3961, // 只显示自已建立的单据-只显示自已建立的单据
  3962, // 只显示自已建立的单据-只显示自已建立的单据
  3963, // 只显示自已建立的单据-只显示自已建立的单据
  3964, // 检查明细是否超领料-检查明细是否超领料
  3965, // 会议/培训记录单明细表-会议/培训记录单明细表
  3966, // 人员培训情况统计表-人员培训情况统计表
  3967, // 报表数据发送-报表数据发送
  3968, // 报表打印-报表打印
  3969, // 报表数据发送-报表数据发送
  3970, // 报表打印-报表打印
  3971, // 编辑生产备注-编辑生产备注
  3972, // 编辑产品默认车间备注-编辑产品默认车间备注
  3973, // 按计划且已超期订单不能撤审和修改交期-按计划且已超期订单不能撤审和修改交期
  3974, // 按计划且已超期订单不能撤审和修改交期-按计划且已超期订单不能撤审和修改交期
  3975, // 清除PDA扫描标记-清除PDA扫描标记
  3976, // 工资发放单-工资发放单
  3977, // 工资发放单建立-工资发放单建立
  3978, // 工资发放单删除-工资发放单删除
  3979, // 工资发放单审核-工资发放单审核
  3980, // 工资发放单撤审-工资发放单撤审
  3981, // 工资发放单终审-工资发放单终审
  3982, // 工资发放单终撤-工资发放单终撤
  3983, // 工资发放单打印-工资发放单打印
  3984, // 工资发放单增加备注-工资发放单增加备注
  3985, // 审核后修改财务信息-审核后修改财务信息
  3986, // 摘要列表不显示应收信息-摘要列表不显示应收信息
  3987, // 辅助建立补料单-辅助建立补料单
  3988, // 报表数据发送-报表数据发送
  3989, // 报表打印-报表打印
  3990, // 销售订单审核检查审核日期+生产周期<=订单明细交期-销售订单审核检查审核日期+生产周期<=订单明细交期
  3991, // 发料单超领明细车间审核-发料单超领明细车间审核
  3992, // 发料单明细实际超领数编辑-发料单明细实际超领数编辑
  3993, // 发料单明细车间审核-发料单明细车间审核
  3994, // 发料单明细车间撤审-发料单明细车间撤审
  3995, // 报表数据发送-报表数据发送
  3996, // 报表打印-报表打印
  3997, // 生产计划运算不冲减数量编辑-生产计划运算不冲减数量编辑
  3998, // 生产计划运算不冲减数量编辑-生产计划运算不冲减数量编辑
  3999, // 报表数据发送-报表数据发送
  4000, // 报表打印-报表打印
  4001, // 产品库存组装统计表-产品库存组装统计表
  4002, // 报表数据发送-报表数据发送
  4003, // 报表打印-报表打印
  4004, // 产品结存组装统计表-产品结存组装统计表
  4005, // 报表数据发送-报表数据发送
  4006, // 报表打印-报表打印
  4007, // 允许修改业务员-允许修改业务员
  4008, // 允许修改业务员-允许修改业务员
  4009, // 外协订单物料跟踪表-外协订单物料跟踪表
  4010, // 报表数据发送-报表数据发送
  4011, // 报表打印-报表打印
  4012, // 库存冻结数异常报表-库存冻结数异常报表
  4013, // 报表数据发送-报表数据发送
  4014, // 报表打印-报表打印
  4015, // 取消冻结数-取消冻结数
  4016, // 发料单明细财务审核-发料单明细财务审核
  4017, // 发料单明细财务撤审-发料单明细财务撤审
  4018, // 外协订单(退回)-外协订单(退回)
  4019, // 建立-建立
  4020, // 删除-删除
  4021, // 审核-审核
  4022, // 撤审-撤审
  4023, // 暂停-暂停
  4024, // 终止-终止
  4025, // 手动完成-手动完成
  4026, // 增加备注-增加备注
  4027, // 打印-打印
  4028, // 终止收货明细物料-终止收货明细物料
  4029, // 终止发出明细物料-终止发出明细物料
  4030, // 单价不允许编辑-单价不允许编辑
  4031, // 外协订单(退回)不限价-外协订单(退回)不限价
  4032, // 外协订单(返工)-外协订单(返工)
  4033, // 建立-建立
  4034, // 删除-删除
  4035, // 审核-审核
  4036, // 撤审-撤审
  4037, // 暂停-暂停
  4038, // 终止-终止
  4039, // 手动完成-手动完成
  4040, // 增加备注-增加备注
  4041, // 打印-打印
  4042, // 终止收货明细物料-终止收货明细物料
  4043, // 终止发出明细物料-终止发出明细物料
  4044, // 单价不允许编辑-单价不允许编辑
  4045, // 外协订单(返工)不限价-外协订单(返工)不限价
  4046, // 临时仓位-临时仓位
  4047, // 临时仓位设定-临时仓位设定
  4048, // 包件指令板件配套提醒表-包件指令板件配套提醒表
  4049, // 报表数据发送-报表数据发送
  4050, // 报表打印-报表打印
  4051, // 条码扫描-条码扫描
  4052, // 指令临时仓位设定-指令临时仓位设定
  4053, // 扫描工段部件交接-扫描工段部件交接
  4054, // 扫描全定制产品最后工段完工-扫描全定制产品最后工段完工
  4055, // 车间工作台-车间工作台
  4056, // 工作事件明细统计表-工作事件明细统计表
  4057, // 报表数据发送-报表数据发送
  4058, // 报表打印-报表打印
  4059, // 工作事件金额统计表-工作事件金额统计表
  4060, // 报表数据发送-报表数据发送
  4061, // 报表打印-报表打印
  4062, // 指令派工完工状态明细表-指令派工完工状态明细表
  4063, // 报表数据发送-报表数据发送
  4064, // 报表打印-报表打印
  4065, // 员工派工完工状况查询-员工派工完工状况查询
  4066, // 报表数据发送-报表数据发送
  4067, // 报表打印-报表打印
  4068, // 物料预算成本设置-物料预算成本设置
  4069, // 物料预算成本设置-物料预算成本设置
  4070, // 报表数据发送-报表数据发送
  4071, // 报表打印-报表打印
  4072, // 物料最新成本统计变动表-物料最新成本统计变动表
  4073, // 报表数据发送-报表数据发送
  4074, // 报表打印-报表打印
  4075, // 设置物料类别推送范围-设置物料类别推送范围
  4076, // 客户可查询物料类别推送-客户可查询物料类别推送
  4077, // 客户可查询物料类别设置及推送-客户可查询物料类别设置及推送
  4078, // 销售订单明细变更单-销售订单明细变更单
  4079, // 建立-建立
  4080, // 删除-删除
  4081, // 审核-审核
  4082, // 增加备注-增加备注
  4083, // 打印-打印
  4084, // 数据发送-数据发送
  4085, // 数据发送-数据发送
  4086, // 分部需求单-分部需求单
  4087, // 建立-建立
  4088, // 删除-删除
  4089, // 审核-审核
  4090, // 撤审-撤审
  4091, // 生产审核-生产审核
  4092, // 生产撤审-生产撤审
  4093, // 增加备注-增加备注
  4094, // 终止-终止
  4095, // 暂停-暂停
  4096, // 手动完成-手动完成
  4097, // 终止明细物料-终止明细物料
  4098, // 打印-打印
  4099, // 库存配置调整单统计表-库存配置调整单统计表
  4100, // 报表数据发送-报表数据发送
  4101, // 报表打印-报表打印
  4102, // 更新未结存进仓单单价和库存成本价-更新未结存进仓单单价和库存成本价
  4103, // 物料工序表工时批修改-物料工序表工时批修改
  4104, // 工价表工时批修改-工价表工时批修改
  4105, // 主生产计划运算冲减数查询表-主生产计划运算冲减数查询表
  4106, // 报表数据发送-报表数据发送
  4107, // 报表打印-报表打印
  4108, // 允许修改费用明细-允许修改费用明细
  4109, // 允许修改费用明细-允许修改费用明细
  4110, // 车间成本属性设置-车间成本属性设置
  4111, // 车间成本属性设置-车间成本属性设置
  4112, // 车间利润统计表-车间利润统计表
  4113, // 报表数据发送-报表数据发送
  4114, // 报表打印-报表打印
  4115, // 取最新车间利润率-取最新车间利润率
  4116, // 验货报告审核/撤审-验货报告审核/撤审
  4117, // 结帐/反结帐-结帐/反结帐
  4118, // 结帐/反结帐-结帐/反结帐
  4119, // 设备修改-设备修改
  4120, // 设备修改-设备修改
  4121, // 查询采购物料的单据-查询采购物料的单据
  4122, // 选个性包件产品主生产计划增加通用包件-选个性包件产品主生产计划增加通用包件
  4123, // 发货通知单初审-发货通知单初审
  4124, // 发货通知单初撤-发货通知单初撤
  4125, // 工段人员设备管理-工段人员设备管理
  4126, // 厂卡打印-厂卡打印
  4127, // 报表数据发送-报表数据发送
  4128, // 报表打印-报表打印
  4129, // 物料资料配置变更单-物料资料配置变更单
  4130, // 建立-建立
  4131, // 删除-删除
  4132, // 审核-审核
  4133, // 增加备注-增加备注
  4134, // 打印-打印
  4135, // 材料成本价为0不能仓审-材料成本价为0不能仓审
  4136, // 材料成本价为0不能仓审-材料成本价为0不能仓审
  4137, // 订单评审-订单评审
  4138, // 不允许修改计件单的计件月份-不允许修改计件单的计件月份
  4139, // 不允许修改计件单的计件月份-不允许修改计件单的计件月份
  4140, // 在进行未发货订单修改费用明细-在进行未发货订单修改费用明细
  4141, // 建立日期和计件月份不允许修改-建立日期和计件月份不允许修改
  4142, // 导入excel更新工艺顺序号-导入excel更新工艺顺序号
  4143, // 工序完工条码扫描-工序完工条码扫描
  4144, // 包件指令包装条码扫描-包件指令包装条码扫描
  4145, // 定制出木工条码扫描-定制出木工条码扫描
  4146, // 查看物料相关信息-查看物料相关信息
  4148, // 销售订单确认-销售订单确认
  4149, // 销售订单反确认-销售订单反确认
  4150, // 外协派工单-外协派工单
  4151, // 建立-建立
  4152, // 删除-删除
  4153, // 终审-终审
  4154, // 终撤-终撤
  4155, // 终止-终止
  4156, // 完成-完成
  4157, // 打印-打印
  4158, // 外协工序完工单-外协工序完工单
  4159, // 建立-建立
  4160, // 删除-删除
  4161, // 确认-确认
  4162, // 反确认-反确认
  4163, // 仓库审核-仓库审核
  4164, // 仓库撤审-仓库撤审
  4165, // 财审-财审
  4166, // 财撤-财撤
  4167, // 打印-打印
  4168, // 工序外协-工序外协
  4169, // 不允许查看无效物料-不允许查看无效物料
  4170, // 建立组合配置-建立组合配置
  4171, // 客户收款单增加相关号-客户收款单增加相关号
  4172, // 电子锯设备-电子锯设备
  4173, // 开料设备定义-开料设备定义
  4174, // 非生产类物料申购单-非生产类物料申购单
  4175, // 建立-建立
  4176, // 删除-删除
  4177, // 初审-初审
  4178, // 初撤-初撤
  4179, // 终审-终审
  4180, // 终撤-终撤
  4181, // 终止-终止
  4182, // 暂停-暂停
  4183, // 手动完成-手动完成
  4184, // 增加备注-增加备注
  4185, // 打印-打印
  4186, // 终止明细物料-终止明细物料
  4187, // 明细必须设置收货仓库-明细必须设置收货仓库
  4188, // 非生产类物料申购单-非生产类物料申购单
  4189, // 报表数据发送-报表数据发送
  4190, // 报表打印-报表打印
  4191, // 仓审后增加相关号码-仓审后增加相关号码
  4192, // 按模板重新生成工价表-按模板重新生成工价表
  4193, // 部门定编人数定义-部门定编人数定义
  4194, // 部门定编人数定义-部门定编人数定义
  4195, // 部门定编人数审核/撤审-部门定编人数审核/撤审
  4196, // 只允许修改自己及下级用户建立的单据-只允许修改自己及下级用户建立的单据
  4197, // 辅助建立后段板资料-辅助建立后段板资料
  4198, // 采购收货单显示供应商结余-采购收货单显示供应商结余
  4199, // 物料清单附件管理-物料清单附件管理
  4200, // 销售发货单仓审日期不能早于销售日期-销售发货单仓审日期不能早于销售日期
  4201, // 允许审批下级用户的公文-允许审批下级用户的公文
  4202, // 允许删除下级用户的公文-允许删除下级用户的公文
  4203, // 反结存-反结存
  4204, // 不能编辑加工价-不能编辑加工价
  4205, // 注塑工艺参数编辑-注塑工艺参数编辑
  4206, // 注塑工艺参数打印-注塑工艺参数打印
  4207, // 注塑:工艺参数查看-注塑:工艺参数查看
  4208, // 注塑:工艺参数打印-注塑:工艺参数打印
  4209, // 采购订单分类-采购订单分类
  4210, // 采购订单分类设定-采购订单分类设定
  4211, // 订单收款单增加相关号-订单收款单增加相关号
  4212, // 其它收入支出单增加相关号-其它收入支出单增加相关号
  4213, // 数据发送-数据发送
  4214, // 修改领料明细的领用工段-修改领料明细的领用工段
  4215, // 现金流量项目-现金流量项目
  4216, // 现金流量项目设置-现金流量项目设置
  4217, // 现金流量表-现金流量表
  4218, // 收入支出设置现金流量项目-收入支出设置现金流量项目
  4219, // 外协工序完工单统计表-外协工序完工单统计表
  4220, // 报表打印-报表打印
  4221, // 报表数据发送-报表数据发送
  4222, // 选配分类技审-选配分类技审
  4223, // 选配分类财审-选配分类财审
  4224, // 选配项值差价查看编辑-选配项值差价查看编辑
  4225, // 配置类别技审-配置类别技审
  4226, // 配置类别财审-配置类别财审
  4227, // 配置内容差价查看编辑-配置内容差价查看编辑
  4228, // 历史排程校验-历史排程校验
  4229, // 物料/产品属性变更单明细表-物料/产品属性变更单明细表
  4230, // 报表打印-报表打印
  4231, // 报表数据发送-报表数据发送
  4232, // 指令单工段质检单-指令单工段质检单
  4233, // 建立-建立
  4234, // 删除-删除
  4235, // 审核-审核
  4236, // 撤审-撤审
  4237, // 打印-打印
  4238, // 公文分类-公文分类
  4239, // 公文分类设置-公文分类设置
  4240, // 公文模板-公文模板
  4241, // 公文模板建立-公文模板建立
  4242, // 公文模板删除-公文模板删除
  4243, // 发送用料列表-发送用料列表
  4244, // 移动应用-移动应用
  4245, // 公文-公文
  4246, // 工段质检-工段质检
  4247, // 操作员信用额-操作员信用额
  4248, // 操作员信用额设置-操作员信用额设置
  4249, // 员工考勤日报表-员工考勤日报表
  4250, // 报表数据发送-报表数据发送
  4251, // 报表打印-报表打印
  4252, // 物料利润率设置-物料利润率设置
  4253, // 报表数据发送-报表数据发送
  4254, // 报表打印-报表打印
  4255, // 物料利润率设置-物料利润率设置
  4256, // 部件选配列表成本价统计-部件选配列表成本价统计
  4257, // 报表数据发送-报表数据发送
  4258, // 报表打印-报表打印
  4259, // 严格选择列表成本价统计-严格选择列表成本价统计
  4260, // 报表数据发送-报表数据发送
  4261, // 报表打印-报表打印
  4262, // 产品配置安全库存-产品配置安全库存
  4263, // 产品配置安全库存设定-产品配置安全库存设定
  4264, // 报表数据发送-报表数据发送
  4265, // 报表打印-报表打印
  4266, // SQL参数设置-SQL参数设置
  4267, // 分配通用包件产品占用数-分配通用包件产品占用数
  4268, // 分配通用包件产品占用数-分配通用包件产品占用数
  4269, // 分配通用包件产品占用数-分配通用包件产品占用数
  4270, // 分配通用包件产品占用数-分配通用包件产品占用数
  4271, // 分配通用包件产品占用数-分配通用包件产品占用数
  4272, // 条码扫描-条码扫描
  4273, // 选择条码-选择条码
  4274, // 自制送检单-自制送检单
  4275, // 新建-新建
  4276, // 删除-删除
  4277, // 初审-初审
  4278, // 初撤-初撤
  4279, // 终审-终审
  4280, // 终撤-终撤
  4281, // 添加备注-添加备注
  4282, // 打印-打印
  4283, // 初审后修改数量-初审后修改数量
  4284, // 自制验退单-自制验退单
  4285, // 新建-新建
  4286, // 删除-删除
  4287, // 审核-审核
  4288, // 撤审-撤审
  4289, // 添加备注-添加备注
  4290, // 打印-打印
  4291, // 数据发送-数据发送
  4292, // 非生产采购订单-非生产采购订单
  4293, // 新建-新建
  4294, // 删除-删除
  4295, // 确认-确认
  4296, // 反确认-反确认
  4297, // 审核-审核
  4298, // 撤审-撤审
  4299, // 终审-终审
  4300, // 终撤-终撤
  4301, // 添加备注-添加备注
  4302, // 打印-打印
  4303, // 暂停-暂停
  4304, // 终止-终止
  4305, // 手动完成-手动完成
  4306, // 终止明细物料-终止明细物料
  4307, // 导出Excel-导出Excel
  4308, // 添加附件-添加附件
  4309, // 只能修改自己建立的单据-只能修改自己建立的单据
  4310, // 仓审前修改收货仓位-仓审前修改收货仓位
  4311, // 仓审前修改收货仓位-仓审前修改收货仓位
  4312, // 淘宝订单管理-淘宝订单管理
  4313, // 超过3天的走访记录不能修改删除-超过3天的走访记录不能修改删除
  4314, // 淘宝接口-淘宝接口
  4315, // 接受订单-接受订单
  4316, // 直接发货-直接发货
  4317, // 取消直接发货-取消直接发货
  4318, // 中止-中止
  4319, // 继续-继续
  4320, // 淘宝直接发货-淘宝直接发货
  4321, // 打印及录入快递单-打印及录入快递单
  4322, // 上传淘宝-上传淘宝
  4323, // 导出-导出
  4324, // 配置批量修改-配置批量修改
  4325, // 淘宝sku配置设置-淘宝sku配置设置
  4326, // 淘宝订单收款-淘宝订单收款
  4327, // 修改-修改
  4328, // 收款-收款
  4329, // 客户走访-客户走访
  4330, // 工序质检申请-工序质检申请
  4331, // 工序质检(自报)-工序质检(自报)
  4332, // 初审-初审
  4333, // 初撤-初撤
  4334, // 板式销售意向单-板式销售意向单
  4335, // 新建-新建
  4336, // 删除-删除
  4337, // 审核-审核
  4338, // 撤审-撤审
  4339, // 添加备注-添加备注
  4340, // 打印-打印
  4341, // 终止-终止
  4342, // 板式报价方案设置-板式报价方案设置
  4343, // 供应链互联-供应链互联
  4344, // 非生产采购-非生产采购
  4345, // 非生产物料申请部门-非生产物料申请部门
  4346, // 非生产物料类别-非生产物料类别
  4347, // 非生产物料申请部门设定-非生产物料申请部门设定
  4348, // 非生产物料类别设定-非生产物料类别设定
  4349, // 部门非生产物料采购预算-部门非生产物料采购预算
  4350, // 部门非生产物料采购预算设定-部门非生产物料采购预算设定
  4351, // 非生产类物料申购单辅助-非生产类物料申购单辅助
  4352, // 资料建立并批复制工艺资料-资料建立并批复制工艺资料
  4353, // 板式报价方案-板式报价方案
  4354, // 板式销售意向单单价不允许编辑-板式销售意向单单价不允许编辑
  4355, // 板式销售意向单折扣不允许编辑-板式销售意向单折扣不允许编辑
  4356, // 发送短信-发送短信
  4357, // 批设置工段工时-批设置工段工时
  4358, // 设置工段工时-设置工段工时
  4359, // 销售订单修改-销售订单修改
  4360, // 管理附件-管理附件
  4361, // 销售订单及排产(板式订制)-销售订单及排产(板式订制)
  4362, // 供应商未对数汇总表-供应商未对数汇总表
  4363, // 报表数据发送-报表数据发送
  4364, // 报表打印-报表打印
  4365, // 不允许审核订单明细有0单价的采购订单-不允许审核订单明细有0单价的采购订单
  4366, // 不允许审核订单明细有0单价的采购订单-不允许审核订单明细有0单价的采购订单
  4367, // 基础设置-基础设置
  4368, // 配置资料-配置资料
  4369, // 基础资料-基础资料
  4370, // 辅助功能-辅助功能
  4371, // 辅助功能-辅助功能
  4372, // 设备接口-设备接口
  4373, // 其它设置-其它设置
  4374, // 初始化库存进仓单-初始化库存进仓单
  4375, // 建立-建立
  4376, // 删除-删除
  4377, // 审核-审核
  4378, // 撤审-撤审
  4379, // 增加备注-增加备注
  4380, // 打印-打印
  4381, // 确认-确认
  4382, // 反确认-反确认
  4383, // 条码扫描-条码扫描
  4384, // 财审-财审
  4385, // 财撤-财撤
  4386, // 客户资料修改-客户资料修改
  4387, // 库存仓位调整单-库存仓位调整单
  4388, // 建立-建立
  4389, // 删除-删除
  4390, // 审核-审核
  4391, // 撤审-撤审
  4392, // 增加备注-增加备注
  4393, // 打印-打印
  4394, // 可显示物料相关信息-可显示物料相关信息
  4395, // 工序完工-工序完工
  4396, // 查询物料-查询物料
  4397, // 查询工资-查询工资
  4398, // 工段进度-工段进度
  4399, // 单据必须选择员工才能保存单据-单据必须选择员工才能保存单据
  4400, // 销售发货单0单价不允许保存-销售发货单0单价不允许保存
  4401, // 外协工序派工单统计表-外协工序派工单统计表
  4402, // 报表打印-报表打印
  4403, // 报表数据发送-报表数据发送
  4404, // 工人生产技能-工人生产技能
  4405, // 工人生产技能设定-工人生产技能设定
  4406, // 仓位盘点单-仓位盘点单
  4407, // 建立-建立
  4408, // 删除-删除
  4409, // 审核-审核
  4410, // 撤审-撤审
  4411, // 增加备注-增加备注
  4412, // 打印-打印
  4413, // 工段日产能分析表-工段日产能分析表
  4414, // 报表数据发送-报表数据发送
  4415, // 报表打印-报表打印
  4416, // 外协订单(退回)可以不选外协订单-外协订单(退回)可以不选外协订单
  4417, // 只允许修改自己及下级用户建立的单据-只允许修改自己及下级用户建立的单据
  4418, // 终止明细数量-终止明细数量
  4419, // 客户收款单终审前修改应收帐日期-客户收款单终审前修改应收帐日期
  4420, // 客户收款单终审前修改摘要信息-客户收款单终审前修改摘要信息
  4421, // 复制单据-复制单据
  4422, // 确认-确认
  4423, // 反确认-反确认
  4424, // 确认-确认
  4425, // 反确认-反确认
  4426, // 确认后允许修改单据-确认后允许修改单据
  4427, // 销售报价不能低于标准销售价-销售报价不能低于标准销售价
  4428, // 销售订单严格按照客户指定的货运部选择-销售订单严格按照客户指定的货运部选择
  4429, // 销售发货单严格按照客户指定的货运部选择-销售发货单严格按照客户指定的货运部选择
  4430, // 生产指令高级换料单-生产指令高级换料单
  4431, // 建立-建立
  4432, // 删除-删除
  4433, // 审核-审核
  4434, // 增加备注-增加备注
  4435, // 打印-打印
  4436, // 生产指令单改制调料单-生产指令单改制调料单
  4437, // 建立-建立
  4438, // 删除-删除
  4439, // 审核-审核
  4440, // 添加备注-添加备注
  4441, // 打印-打印
  4442, // 工序质检-工序质检
  4443, // 生产假日设置-生产假日设置
  4444, // 主计划跟踪表-主计划跟踪表
  4445, // 生产工人负荷统计表-生产工人负荷统计表
  4446, // 报表数据发送-报表数据发送
  4447, // 报表打印-报表打印
  4448, // 批修改供应商-批修改供应商
  4449, // 允许建立返工返修类型单据-允许建立返工返修类型单据
  4450, // 出口代理销售订单-出口代理销售订单
  4451, // 允许手动编辑条码号-允许手动编辑条码号
  4452, // 允许建立返修类型销售退货单-允许建立返修类型销售退货单
  4453, // 允许建立返修类型销售发货单-允许建立返修类型销售发货单
  4454, // 条码扫描-条码扫描
  4455, // 条码扫描-条码扫描
  4456, // 返工返修生产计划辅助建立-返工返修生产计划辅助建立
  4458, // 审核材料明细-审核材料明细
  4459, // 撤审材料明细-撤审材料明细
  4460, // 客户借货单-客户借货单
  4461, // 客户还货单-客户还货单
  4462, // 供应商借货单-供应商借货单
  4463, // 供应商还货单-供应商还货单
  4464, // 建立-建立
  4465, // 删除-删除
  4466, // 审核-审核
  4467, // 撤审-撤审
  4468, // 确认-确认
  4469, // 反确认-反确认
  4470, // 增加备注-增加备注
  4471, // 打印-打印
  4472, // 建立-建立
  4473, // 删除-删除
  4474, // 审核-审核
  4475, // 撤审-撤审
  4476, // 确认-确认
  4477, // 反确认-反确认
  4478, // 增加备注-增加备注
  4479, // 打印-打印
  4480, // 建立-建立
  4481, // 删除-删除
  4482, // 审核-审核
  4483, // 撤审-撤审
  4484, // 确认-确认
  4485, // 反确认-反确认
  4486, // 增加备注-增加备注
  4487, // 打印-打印
  4488, // 建立-建立
  4489, // 删除-删除
  4490, // 审核-审核
  4491, // 撤审-撤审
  4492, // 确认-确认
  4493, // 反确认-反确认
  4494, // 增加备注-增加备注
  4495, // 打印-打印
  4496, // 验退审-验退审
  4497, // 验退撤-验退撤
  4498, // 限制重复打印-限制重复打印
  4499, // 物料财务属性批修改-物料财务属性批修改
  4500, // 物料财务属性批修改-物料财务属性批修改
  4501, // 报表数据发送-报表数据发送
  4502, // 报表打印-报表打印
  4503, // 内部服务单-内部服务单
  4504, // 新建-新建
  4505, // 删除-删除
  4506, // 初审-初审
  4507, // 初撤-初撤
  4508, // 终审-终审
  4509, // 终撤-终撤
  4510, // 添加备注-添加备注
  4511, // 打印-打印
  4512, // 审核材料明细-审核材料明细
  4513, // 撤审材料明细-撤审材料明细
  4514, // 审核服务明细-审核服务明细
  4515, // 撤审服务明细-撤审服务明细
  4516, // 审核服务明细-审核服务明细
  4517, // 撤审服务明细-撤审服务明细
  4518, // 数据发送-数据发送
  4519, // 扫描条码-扫描条码
  4520, // 物料清单工序步骤批修改-物料清单工序步骤批修改
  4521, // 确认-确认
  4522, // 反确认-反确认
  4523, // 数据发送-数据发送
  4524, // 初审后修改单据-初审后修改单据
  4525, // 查看物料相关信息-查看物料相关信息
  4526, // 填写回传时间-填写回传时间
  4527, // 按客户还价更新价格表-按客户还价更新价格表
  4528, // 审核前修改摘要信息-审核前修改摘要信息
  4529, // 增加相关号-增加相关号
  4530, // 增加相关号-增加相关号
  4531, // 补充明细备注-补充明细备注
  4532, // 排程审-排程审
  4533, // 排程撤-排程撤
  4534, // 公告板管理-公告板管理
  4535, // 不允许编辑单价-不允许编辑单价
  4536, // 不允许编辑单价-不允许编辑单价
  4537, // 数据发送-数据发送
  4538, // 填写供应商回复交期-填写供应商回复交期
  4539, // 确认-确认
  4540, // 反确认-反确认
  4541, // 填写计划部要求完成时间-填写计划部要求完成时间
  4542, // 设置合同号-设置合同号
  4543, // 供应链-资料发送设置-供应链-资料发送设置
  4544, // 员工借款单统计表-员工借款单统计表
  4545, // 报表数据发送-报表数据发送
  4546, // 报表打印-报表打印
  4547, // 员工还款单统计表-员工还款单统计表
  4548, // 报表数据发送-报表数据发送
  4549, // 报表打印-报表打印
  4550, // 明细不能编辑单价且没有合同号不能保存-明细不能编辑单价且没有合同号不能保存
  4551, // 销售订单-主生产计划排程序号编辑-销售订单-主生产计划排程序号编辑
  4552, // 编辑-编辑
  4553, // 报表数据发送-报表数据发送
  4554, // 报表打印-报表打印
  4555, // 单价少于定价不能审核-单价少于定价不能审核
  4556, // 编辑损附加公式-编辑损附加公式
  4557, // 工位机-工位机
  4558, // 组长-组长
  4559, // 工人-工人
  4560, // 物料分配情况监控-物料分配情况监控
  4561, // 报表数据发送-报表数据发送
  4562, // 报表打印-报表打印
  4563, // 分配-分配
  4564, // 删除选中-删除选中
  4565, // 建分配计划-建分配计划
  4566, // 自动补充分配-自动补充分配
  4567, // 填写传真时间-填写传真时间
  4568, // 仓审-仓审
  4569, // 仓撤-仓撤
  4570, // 销售订单超期欠料一览表(采购)-销售订单超期欠料一览表(采购)
  4571, // 报表数据发送-报表数据发送
  4572, // 报表打印-报表打印
  4573, // 销售订单超期欠料一览表(外协工序)-销售订单超期欠料一览表(外协工序)
  4574, // 报表数据发送-报表数据发送
  4575, // 报表打印-报表打印
  4576, // 申购单需求日期超期统计表-申购单需求日期超期统计表
  4577, // 报表数据发送-报表数据发送
  4578, // 报表打印-报表打印
  4579, // 允许领料-允许领料
  4580, // 取消允许领料-取消允许领料
  4581, // 工段进度排程派工审-工段进度排程派工审
  4582, // 工段进度排程派工撤-工段进度排程派工撤
  4583, // 工段进度排程派工审-工段进度排程派工审
  4584, // 工段进度排程派工撤-工段进度排程派工撤
  4585, // 财审-财审
  4586, // 财撤-财撤
  4587, // 变更交货日期-变更交货日期
  4588, // 限制必须选计划-限制必须选计划
  4589, // 限制必须选计划-限制必须选计划
  4590, // 限制必须选计划-限制必须选计划
  4591, // 暂估价格修正单-暂估价格修正单
  4592, // 新建-新建
  4593, // 修改-修改
  4594, // 删除-删除
  4595, // 财务审核-财务审核
  4596, // 打印-打印
  4597, // 增加备注-增加备注
  4598, // 仓库成本审核-仓库成本审核
  4599, // 物料销售限价批设置-物料销售限价批设置
  4600, // 物料销售限价批设置-物料销售限价批设置
  4601, // 报表数据发送-报表数据发送
  4602, // 报表打印-报表打印
  4603, // 外部总账凭证导出-外部总账凭证导出
  4604, // 编辑-编辑
  4605, // 导出-导出
  4606, // 辅助建立供应商询价单-辅助建立供应商询价单
  4607, // 辅助建立供应商询价单-辅助建立供应商询价单
  4608, // 只允许变更外协天数-只允许变更外协天数
  4609, // 供应链协同-供应链协同
  4610, // 协同系统企业管理-协同系统企业管理
  4611, // 协同系统物料管理-协同系统物料管理
  4612, // 协同系统注册-协同系统注册
  4613, // 生产退料条码扫描-生产退料条码扫描
  4614, // 实际成本核算【按计划】-实际成本核算【按计划】
  4615, // 编辑状态下不允许删除明细-编辑状态下不允许删除明细
  4616, // 编辑状态下不允许删除明细-编辑状态下不允许删除明细
  4617, // 价格表财审-价格表财审
  4618, // 编辑有效期-编辑有效期
  4619, // 物料类别映射-物料类别映射
  4620, // 生产人员借调单-生产人员借调单
  4621, // 部件选配与配置类别差价计算-部件选配与配置类别差价计算
  4622, // 最新成本统计表-自制物料未设置物料清单异常-最新成本统计表-自制物料未设置物料清单异常
  4623, // 报表数据发送-报表数据发送
  4624, // 报表打印-报表打印
  4625, // 最新成本统计表-自制物料工价异常-最新成本统计表-自制物料工价异常
  4626, // 报表数据发送-报表数据发送
  4627, // 报表打印-报表打印
  4628, // 最新成本统计表-采购物料单价异常-最新成本统计表-采购物料单价异常
  4629, // 报表数据发送-报表数据发送
  4630, // 报表打印-报表打印
  4631, // 最新成本统计表-外协物料单价异常-最新成本统计表-外协物料单价异常
  4632, // 报表数据发送-报表数据发送
  4633, // 报表打印-报表打印
  4634, // 显示供应商所有分部原币结余-显示供应商所有分部原币结余
  4635, // 员工端权限管理-员工端权限管理
  4636, // 工位机权限设置-工位机权限设置
  4637, // 按标准时薪推算工序单件工时-按标准时薪推算工序单件工时
  4638, // 审核-审核
  4639, // 撤审-撤审
  4640, // 物料业务属性批修改-物料业务属性批修改
  4641, // 物料业务属性批修改-物料业务属性批修改
  4642, // 报表数据发送-报表数据发送
  4643, // 报表打印-报表打印
  4644, // 财务单据备注内容定义-财务单据备注内容定义
  4645, // 财务单据备注内容定义-财务单据备注内容定义
  4646, // 指令单日期批修改记录-指令单日期批修改记录
  4647, // 报表数据发送-报表数据发送
  4648, // 报表打印-报表打印
  4649, // 物料图纸及工艺备注设置-物料图纸及工艺备注设置
  4650, // 销售订单明细变更单统计表-销售订单明细变更单统计表
  4651, // 报表数据发送-报表数据发送
  4652, // 报表打印-报表打印
  4653, // 公告板查询-公告板查询
  4654, // 确认-确认
  4655, // 反确认-反确认
  4656, // 人事资料批量修改-人事资料批量修改
  4657, // 人事资料批量修改-人事资料批量修改
  4658, // 批修改日期-批修改日期
  4659, // 师徒关系设置-师徒关系设置
  4660, // 师徒关系设置-师徒关系设置
  4661, // 销售订单明细内容及配置变更汇总表-销售订单明细内容及配置变更汇总表
  4662, // 报表数据发送-报表数据发送
  4663, // 报表打印-报表打印
  4664, // 申购单废弃单-申购单废弃单
  4665, // 外协申请单废弃单-外协申请单废弃单
  4666, // 外协订单废弃单-外协订单废弃单
  4667, // 主计划工段进度表-主计划工段进度表
  4668, // 报表数据发送-报表数据发送
  4669, // 报表打印-报表打印
  4670, // 产品计划成本统计表-产品计划成本统计表
  4671, // 报表数据发送-报表数据发送
  4672, // 报表打印-报表打印
  4673, // 手动修改成本-手动修改成本
  4674, // 按经验生产周期推算要求完成日期-按经验生产周期推算要求完成日期
  4675, // 待安排条码其它进仓单列表-待安排条码其它进仓单列表
  4676, // 待安排条码仓库调拨单列表-待安排条码仓库调拨单列表
  4677, // 成品需求分析表-成品需求分析表
  4678, // 报表数据发送-报表数据发送
  4679, // 报表打印-报表打印
  4680, // 建立-建立
  4681, // 删除-删除
  4682, // 审核-审核
  4683, // 撤审-撤审
  4684, // 主计划包件进仓跟踪表-主计划包件进仓跟踪表
  4685, // 报表数据发送-报表数据发送
  4686, // 报表打印-报表打印
  4687, // 主计划板件开料及上架跟踪表-主计划板件开料及上架跟踪表
  4688, // 报表数据发送-报表数据发送
  4689, // 报表打印-报表打印
  4690, // 不允许审核订单明细有0单价的采购订单-不允许审核订单明细有0单价的采购订单
  4691, // 人事资料特殊属性批设置-人事资料特殊属性批设置
  4692, // 人事资料特殊属性批设置-人事资料特殊属性批设置
  4693, // 生产计划工段计件工资确认表-生产计划工段计件工资确认表
  4694, // 报表数据发送-报表数据发送
  4695, // 报表打印-报表打印
  4696, // 自定义参数设置-自定义参数设置
  4697, // 工作中心产品日分配计件批修改-工作中心产品日分配计件批修改
  4698, // 修改工段流程号-修改工段流程号
  4699, // 修改工段流程号-修改工段流程号
  4700, // 确认-确认
  4701, // 退回-退回
  4702, // 上传发货明细(拆单)-上传发货明细(拆单)
  4703, // 上传报价明细(报价)-上传报价明细(报价)
  4704, // 物料附加成本统计公式批设置-物料附加成本统计公式批设置
  4705, // 物料附加成本统计公式批设置-物料附加成本统计公式批设置
  4706, // 报表数据发送-报表数据发送
  4707, // 报表打印-报表打印
  4708, // 按申购单建立的材料采购订单不允许修改交货日期-按申购单建立的材料采购订单不允许修改交货日期
  4709, // 工伤报告单-工伤报告单
  4710, // 建立-建立
  4711, // 删除-删除
  4712, // 审核-审核
  4713, // 撤审-撤审
  4714, // 打印-打印
  4715, // 工伤统计报表-工伤统计报表
  4716, // 报表数据发送-报表数据发送
  4717, // 报表打印-报表打印
  4718, // 知识库-知识库
  4719, // 知识库用户权限-知识库用户权限
  4720, // 工序进度跟踪表-工序进度跟踪表
  4721, // 报表数据发送-报表数据发送
  4722, // 报表打印-报表打印
  4723, // 查看产品相关信息-查看产品相关信息
  4724, // 查看产品相关信息-查看产品相关信息
  4725, // 查看产品相关信息-查看产品相关信息
  4726, // 查看订单状态:新建-查看订单状态:新建
  4727, // 查看订单状态:待工厂确认-查看订单状态:待工厂确认
  4728, // 查看订单状态:待上传发货明细-查看订单状态:待上传发货明细
  4729, // 查看订单状态:待发货明细确认-查看订单状态:待发货明细确认
  4730, // 查看订单状态:待上传报价明细-查看订单状态:待上传报价明细
  4731, // 查看订单状态:待报价明细确认-查看订单状态:待报价明细确认
  4732, // 查看订单状态:已退回-查看订单状态:已退回
  4733, // 查看订单状态:终止-查看订单状态:终止
  4734, // 查看订单状态:已下单-查看订单状态:已下单
  4735, // 查看订单状态:已发货-查看订单状态:已发货
  4736, // 排产-排产
  4737, // 查看订单状态:已收货-查看订单状态:已收货
  4738, // 数据接口-数据接口
  4739, // 产品制造成本统计表-产品制造成本统计表
  4740, // 报表数据发送-报表数据发送
  4741, // 报表打印-报表打印
  4742, // 手动修改成本-手动修改成本
  4743, // 打印任务-打印任务
  4744, // 工序派工批单财务复核-工序派工批单财务复核
  4745, // 财务确认-财务确认
  4746, // 打印-打印
  4747, // 财务确认-财务确认
  4748, // 财务反确认-财务反确认
  4749, // 采购发票-采购发票
  4750, // 建立-建立
  4751, // 删除-删除
  4752, // 审核-审核
  4753, // 撤审-撤审
  4754, // 打印-打印
  4755, // 知识库查阅-知识库查阅
  4756, // 待派工-待派工
  4757, // 待接工-待接工
  4758, // 待报工-待报工
  4759, // 待质检-待质检
  4760, // 派工明细查询-派工明细查询
  4761, // 内部邮件-内部邮件
  4762, // 工段进度查询-工段进度查询
  4763, // 下属工资查询-下属工资查询
  4764, // 设备列表-设备列表
  4765, // 交出进度-交出进度
  4766, // 接收进度-接收进度
  4767, // 完工确认-完工确认
  4768, // 主界面-主界面
  4769, // 生产进仓-生产进仓
  4770, // 销售出仓-销售出仓
  4771, // 采购进仓-采购进仓
  4772, // 其它出仓-其它出仓
  4773, // 半成品进仓-半成品进仓
  4774, // 仓库调拨-仓库调拨
  4775, // 其它进仓-其它进仓
  4776, // 仓库盘点-仓库盘点
  4777, // 采购退货-采购退货
  4778, // 工段交接-工段交接
  4779, // 最后工段完工-最后工段完工
  4780, // 客户调拨-客户调拨
  4781, // PDA应用-PDA应用
  4782, // 菜单-菜单
  4783, // 条码查询-条码查询
  4784, // 上传离线条码-上传离线条码
  4785, // 销售退货-销售退货
  4786, // 产品盘点单-产品盘点单
  4787, // 还货单-还货单
  4788, // 工序派工确认扫描-工序派工确认扫描
  4789, // 工序派工完工扫描-工序派工完工扫描
  4790, // 下载发货单已扫条码-下载发货单已扫条码
  4791, // 上传离线条码检验结果-上传离线条码检验结果
  4792, // GPS出仓-GPS出仓
  4793, // 指令临时仓位确定-指令临时仓位确定
  4794, // 全定制版式家具工艺完成扫描-全定制版式家具工艺完成扫描
  4795, // 小批量排产出木工扫描-小批量排产出木工扫描
  4796, // 小批量排产出木工扫描（选单）-小批量排产出木工扫描（选单）
  4797, // 小批量排产分包上架扫描-小批量排产分包上架扫描
  4798, // 小批量排产分包上架扫描（选单）-小批量排产分包上架扫描（选单）
  4799, // 包件指令包装扫描-包件指令包装扫描
  4800, // 仓位调拨-仓位调拨
  4801, // 仓位盘点单-仓位盘点单
  4802, // 生产领料单-生产领料单
  4803, // 生产退料单-生产退料单
  4804, // 生产退料单（不按计划）-生产退料单（不按计划）
  4805, // 工序进度查询-工序进度查询
  4806, // 物料清单导入记录-物料清单导入记录
  4807, // 报表数据发送-报表数据发送
  4808, // 报表打印-报表打印
  4809, // 只能查看自己建立的单据-只能查看自己建立的单据
  4810, // 主计划员工工资核对表-主计划员工工资核对表
  4811, // 报表数据发送-报表数据发送
  4812, // 报表打印-报表打印
  4813, // 查看订单状态:待审单确认-查看订单状态:待审单确认
  4814, // 查看订单状态:待财务收款确认-查看订单状态:待财务收款确认
  4815, // 条码调整单-条码调整单
  4816, // 建立-建立
  4817, // 删除-删除
  4818, // 审核-审核
  4819, // 撤审-撤审
  4820, // 增加备注-增加备注
  4821, // 打印-打印
  4822, // 允许重复打印条码-允许重复打印条码
  4823, // 清除条码打印次数-清除条码打印次数
  4824, // 查询采购物料的单据-查询采购物料的单据
  4825, // 允许手动编辑条码号-允许手动编辑条码号
  4826, // 协同系统物料类别管理-协同系统物料类别管理
  4827, // 必须勾选外协件自动计成本价-必须勾选外协件自动计成本价
  4828, // 建立盘盈进仓条码类型单据-建立盘盈进仓条码类型单据
  4829, // 单据明细自定义查询列-单据明细自定义查询列
  4830, // 条码变更单-条码变更单
  4831, // 确认-确认
  4832, // 反确认-反确认
  4833, // 修改订单交期-修改订单交期
  4834, // 机台管理统计表-机台管理统计表
  4835, // 报表数据发送-报表数据发送
  4836, // 报表打印-报表打印
  4837, // 客户协同消息推送-客户协同消息推送
  4838, // 生产进仓单不允许重复打印-生产进仓单不允许重复打印
  4839, // 生产进仓单不允许重复打印-生产进仓单不允许重复打印
  4840, // 仓库新建或修改-仓库新建或修改
  4841, // 仓库删除-仓库删除
  4842, // 派工单拆分-派工单拆分
  4843, // 必须选销售退货单明细-必须选销售退货单明细
  4844, // 齐货订单报警提示-齐货订单报警提示
  4845, // 领出原因不能手动录入且必选-领出原因不能手动录入且必选
  4846, // 业务员账号管理-业务员账号管理
  4847, // 必须选择员工-必须选择员工
  4848, // 必须选择员工-必须选择员工
  4849, // 必须选择员工-必须选择员工
  4850, // 添加附件-添加附件
  4851, // 部件工序进度表-部件工序进度表
  4852, // 报表数据发送-报表数据发送
  4853, // 报表打印-报表打印
  4854, // 查看订单状态:待财务报价确认-查看订单状态:待财务报价确认
  4855, // 银行短信正则表达式-银行短信正则表达式
  4856, // 新建-新建
  4857, // 修改-修改
  4858, // 删除-删除
  4859, // 客户收款短信规则-客户收款短信规则
  4860, // 新建-新建
  4861, // 修改-修改
  4862, // 删除-删除
  4863, // 客户收款短信记录-客户收款短信记录
  4864, // 批修改-批修改
  4865, // 接收-接收
  4866, // 反接收-反接收
  4867, // 作废-作废
  4868, // 反作废-反作废
  4869, // 变更收货汇总回厂日期-变更收货汇总回厂日期
  4870, // 派工批打分-派工批打分
  4871, // 工段质检项目-工段质检项目
  4872, // 工段质检项目设定-工段质检项目设定
  4873, // 初审-初审
  4874, // 初撤-初撤
  4875, // 客户反馈类型-客户反馈类型
  4876, // 客户反馈类型设定-客户反馈类型设定
  4877, // 不良现象类型-不良现象类型
  4878, // 不良现象类型设定-不良现象类型设定
  4879, // 客户反馈单确认-客户反馈单确认
  4880, // 客户反馈单反确认-客户反馈单反确认
  4881, // 协同促销活动设置-协同促销活动设置
  4882, // 必须勾选自动计算材料成本-必须勾选自动计算材料成本
  4883, // 不允许重复打印派工单的权限-不允许重复打印派工单的权限
  4884, // 物料出仓数量少于最小采购量报警表-物料出仓数量少于最小采购量报警表
  4885, // 报表数据发送-报表数据发送
  4886, // 报表打印-报表打印
  4887, // 协同系统物料组合推荐管理-协同系统物料组合推荐管理
  4888, // 物料起订量分析表-物料起订量分析表
  4889, // 报表数据发送-报表数据发送
  4890, // 报表打印-报表打印
  4891, // 销售报价单统计表-销售报价单统计表
  4892, // 报表数据发送-报表数据发送
  4893, // 报表打印-报表打印
  4894, // 添加附件-添加附件
  4895, // 修改组合-修改组合
  4896, // 修改推荐-修改推荐
  4897, // 绩效方案-绩效方案
  4898, // 建立-建立
  4899, // 删除-删除
  4900, // 审核-审核
  4901, // 撤审-撤审
  4902, // 绩效管理-绩效管理
  4903, // 建立-建立
  4904, // 删除-删除
  4905, // 审核-审核
  4906, // 撤审-撤审
  4907, // 统计数据-统计数据
  4908, // 报表数据发送-报表数据发送
  4909, // 报表打印-报表打印
  4910, // 报表数据发送-报表数据发送
  4911, // 报表打印-报表打印
  4912, // 设置目标-设置目标
  4913, // 品质异常反馈单-品质异常反馈单
  4914, // 客户反馈单统计表-客户反馈单统计表
  4915, // 报表数据发送-报表数据发送
  4916, // 报表打印-报表打印
  4917, // 品质异常反馈单统计表-品质异常反馈单统计表
  4918, // 报表数据发送-报表数据发送
  4919, // 报表打印-报表打印
  4920, // 销售订单明细交期日期变更异常统计表-销售订单明细交期日期变更异常统计表
  4921, // 报表数据发送-报表数据发送
  4922, // 报表打印-报表打印
  4923, // 单独编辑责任归属明细-单独编辑责任归属明细
  4924, // 添加规格参数名-添加规格参数名
  4925, // 删除规格参数名-删除规格参数名
  4926, // 编辑规格参数值-编辑规格参数值
  4927, // 产品优惠套餐管理-产品优惠套餐管理
  4928, // 产品优惠套餐设置-产品优惠套餐设置
  4929, // 板件分包扫描-板件分包扫描
  4930, // 外协商结存对账表-外协商结存对账表
  4931, // 报表数据发送-报表数据发送
  4932, // 报表打印-报表打印
  4933, // 采购订单明细交期变更单-采购订单明细交期变更单
  4934, // 建立-建立
  4935, // 删除-删除
  4936, // 初审-初审
  4937, // 初撤-初撤
  4938, // 打印-打印
  4939, // 外协订单明细交期变更单-外协订单明细交期变更单
  4940, // 建立-建立
  4941, // 删除-删除
  4942, // 初审-初审
  4943, // 初撤-初撤
  4944, // 打印-打印
  4945, // 1010开料软件数据库连接设置-1010开料软件数据库连接设置
  4946, // 板件工序完工扫描-板件工序完工扫描
  4947, // 销售订单明细交货日期变更历史-销售订单明细交货日期变更历史
  4948, // 报表数据发送-报表数据发送
  4949, // 报表打印-报表打印
  4950, // 板件分包扫描-板件分包扫描
  4951, // 销售订单BOM分析-销售订单BOM分析
  4952, // 建立清单-建立清单
  4953, // 确认允许排产-确认允许排产
  4954, // 报表数据发送-报表数据发送
  4955, // 报表打印-报表打印
  4956, // 反确认-反确认
  4957, // 木工扫描-木工扫描
  4958, // 上架扫描-上架扫描
  4959, // 客户反馈单发生时机-客户反馈单发生时机
  4960, // 客户反馈单发生时机设置-客户反馈单发生时机设置
  4961, // 按计划且已超期订单不能撤审和修改交期-按计划且已超期订单不能撤审和修改交期
  4962, // 副工序完工统计表-副工序完工统计表
  4963, // 报表数据发送-报表数据发送
  4964, // 报表打印-报表打印
  4965, // 补充副工序完工数-补充副工序完工数
  4966, // 材料申购明细交期变更单-材料申购明细交期变更单
  4967, // 建立-建立
  4968, // 删除-删除
  4969, // 初审-初审
  4970, // 初撤-初撤
  4971, // 打印-打印
  4972, // 外协申购明细回厂日期变更单-外协申购明细回厂日期变更单
  4973, // 建立-建立
  4974, // 删除-删除
  4975, // 初审-初审
  4976, // 初撤-初撤
  4977, // 打印-打印
  4978, // 产品收费项-产品收费项
  4979, // 产品收费项设置-产品收费项设置
  4980, // 客户产品收费项报价单-客户产品收费项报价单
  4981, // 新建-新建
  4982, // 删除-删除
  4983, // 审核-审核
  4984, // 撤审-撤审
  4985, // 添加备注-添加备注
  4986, // 打印-打印
  4987, // 终审-终审
  4988, // 终撤-终撤
  4989, // 物料采购属性变更单-物料采购属性变更单
  4990, // 建立-建立
  4991, // 删除-删除
  4992, // 初审-初审
  4993, // 初撤-初撤
  4994, // 终审-终审
  4995, // 终撤-终撤
  4996, // 增加备注-增加备注
  4997, // 打印-打印
  4998, // 终审-终审
  4999, // 终撤-终撤
  5000, // 终审-终审
  5001, // 终撤-终撤
  5002, // 终审-终审
  5003, // 终撤-终撤
  5004, // 终审-终审
  5005, // 终撤-终撤
  5006, // 用料需求申请-用料需求申请
  5007, // 建立-建立
  5008, // 删除-删除
  5009, // 初审-初审
  5010, // 初撤-初撤
  5011, // 二审-二审
  5012, // 二撤-二撤
  5013, // 终审-终审
  5014, // 终撤-终撤
  5015, // 数据发送-数据发送
  5016, // 打印-打印
  5017, // 收费项目函数-收费项目函数
  5018, // 收费项目函数设置-收费项目函数设置
  5019, // 销售预测单明细交期变更单-销售预测单明细交期变更单
  5020, // 建立-建立
  5021, // 删除-删除
  5022, // 初审-初审
  5023, // 初撤-初撤
  5024, // 终审-终审
  5025, // 终撤-终撤
  5026, // 打印-打印
  5027, // 销售订单明细交期变更单-销售订单明细交期变更单
  5028, // 建立-建立
  5029, // 删除-删除
  5030, // 初审-初审
  5031, // 初撤-初撤
  5032, // 终审-终审
  5033, // 终撤-终撤
  5034, // 打印-打印
  5035, // 查看订单状态:待交期确认-查看订单状态:待交期确认
  5036, // 生产进仓单废弃单-生产进仓单废弃单
  5037, // 其它进仓单废弃单-其它进仓单废弃单
  5038, // 其它出仓单废弃单-其它出仓单废弃单
  5039, // 客户产品调货条码转换单废弃单-客户产品调货条码转换单废弃单
  5040, // 库存分配调货单废弃单-库存分配调货单废弃单
  5041, // 材料申购明细交期变更单跟踪表-材料申购明细交期变更单跟踪表
  5042, // 报表数据发送-报表数据发送
  5043, // 报表打印-报表打印
  5044, // 采购订单明细交期变更单跟踪表-采购订单明细交期变更单跟踪表
  5045, // 报表数据发送-报表数据发送
  5046, // 报表打印-报表打印
  5047, // 外协申购明细回厂日期变更单跟踪表-外协申购明细回厂日期变更单跟踪表
  5048, // 报表数据发送-报表数据发送
  5049, // 报表打印-报表打印
  5050, // 外协订单明细交期变更单跟踪表-外协订单明细交期变更单跟踪表
  5051, // 报表数据发送-报表数据发送
  5052, // 报表打印-报表打印
  5053, // 销售预测单明细交期变更单跟踪表-销售预测单明细交期变更单跟踪表
  5054, // 报表数据发送-报表数据发送
  5055, // 报表打印-报表打印
  5056, // 销售订单明细交期变更单跟踪表-销售订单明细交期变更单跟踪表
  5057, // 报表数据发送-报表数据发送
  5058, // 报表打印-报表打印
  5059, // 必须选择员工-必须选择员工
  5060, // 更新条码订单分配信息-更新条码订单分配信息
  5061, // 取消条码订单分配信息-取消条码订单分配信息
  5064, // 新建-新建
  5065, // 修改-修改
  5066, // 删除-删除
  5067, // 审核-审核
  5068, // 撤审-撤审
  5069, // 添加附件-添加附件
  5070, // 查看附件-查看附件
  5071, // 工作中心计划明细-工作中心计划明细
  5072, // 批生成申购单-批生成申购单
  5073, // 批生成发料通知单-批生成发料通知单
  5074, // 拆单员变更-拆单员变更
  5075, // 价格表调价明细表-价格表调价明细表
  5076, // 报表数据发送-报表数据发送
  5077, // 报表打印-报表打印
  5078, // 不允许编辑工价-不允许编辑工价
  5079, // 客户收款单终审前变更分部-客户收款单终审前变更分部
  5080, // 物料属性使用设置-物料属性使用设置
  5081, // 物料属性显示方案-物料属性显示方案
  5082, // 编辑目录-编辑目录
  5083, // 删除目录-删除目录
  5084, // 生产指令单领料金额对比表-生产指令单领料金额对比表
  5085, // 报表数据发送-报表数据发送
  5086, // 报表打印-报表打印
  5087, // 呆滞天数区间-呆滞天数区间
  5088, // 呆滞天数区间设置-呆滞天数区间设置
  5089, // 物料呆滞属性批修改-物料呆滞属性批修改
  5090, // 物料呆滞属性批修改-物料呆滞属性批修改
  5091, // 报表数据发送-报表数据发送
  5092, // 报表打印-报表打印
  5093, // 仓库呆滞物料预警统计-仓库呆滞物料预警统计
  5094, // 统计数据-统计数据
  5095, // 报表数据发送-报表数据发送
  5096, // 报表打印-报表打印
  5097, // 周转天数区间-周转天数区间
  5098, // 周转天数区间设置-周转天数区间设置
  5099, // 库存周期统计-库存周期统计
  5100, // 统计数据-统计数据
  5101, // 报表数据发送-报表数据发送
  5102, // 报表打印-报表打印
  5103, // 库存金额周期占比分析统计表-库存金额周期占比分析统计表
  5104, // 报表数据发送-报表数据发送
  5105, // 报表打印-报表打印
  5106, // 库存周期汇总统计表-库存周期汇总统计表
  5107, // 报表数据发送-报表数据发送
  5108, // 报表打印-报表打印
  5109, // 模具属性批设置-模具属性批设置
  5110, // 模具属性批设置-模具属性批设置
  5111, // 报表数据发送-报表数据发送
  5112, // 报表打印-报表打印
  5113, // 待安排工序替代工序拆分-待安排工序替代工序拆分
  5114, // 修改绩效数据-修改绩效数据
  5115, // 销售订单个性包件清单属性批修改-销售订单个性包件清单属性批修改
  5116, // 编辑-编辑
  5117, // 报表数据发送-报表数据发送
  5118, // 报表打印-报表打印
  5119, // 组合配置子件包装属性批修改-组合配置子件包装属性批修改
  5120, // 编辑-编辑
  5121, // 更新相关单据-更新相关单据
  5122, // 报表数据发送-报表数据发送
  5123, // 报表打印-报表打印
  5124, // 自制送检单统计表-自制送检单统计表
  5125, // 报表数据发送-报表数据发送
  5126, // 报表打印-报表打印
  5127, // 注塑日产能达标率统计表-注塑日产能达标率统计表
  5128, // 报表数据发送-报表数据发送
  5129, // 报表打印-报表打印
  5130, // 批设置组长等信息-批设置组长等信息
  5131, // 自制验退单统计表-自制验退单统计表
  5132, // 报表数据发送-报表数据发送
  5133, // 报表打印-报表打印
  5134, // 设备派工-设备派工
  5135, // 隐藏订单交货日期-隐藏订单交货日期
  5136, // 退料原因不能手动录入且必选-退料原因不能手动录入且必选
  5137, // 领出原因不能手动录入且必选-领出原因不能手动录入且必选
  5138, // 采购订单包件变更单-采购订单包件变更单
  5139, // 新建-新建
  5140, // 删除-删除
  5141, // 审核-审核
  5142, // 撤审-撤审
  5143, // 明细审核-明细审核
  5144, // 明细撤审-明细撤审
  5145, // 明细终止-明细终止
  5146, // 明细撤销终止-明细撤销终止
  5147, // 打印-打印
  5148, // 修改-修改
  5149, // 领出原因不能手动录入且必选-领出原因不能手动录入且必选
  5150, // 在进行单据变更设备-在进行单据变更设备
  5151, // 供应商物料别名统计表-供应商物料别名统计表
  5152, // 报表数据发送-报表数据发送
  5153, // 报表打印-报表打印
  5154, // 工序终止数量查询-工序终止数量查询
  5155, // 责任处理-责任处理
  5156, // 责任反处理-责任反处理
  5157, // 销售发货单初确认-销售发货单初确认
  5158, // 销售发货单反初确认-销售发货单反初确认
  5159, // 允许发表任何事件意见-允许发表任何事件意见
  5160, // 工价表撤审-工价表撤审
  5161, // 确认方案后可以编辑责任归属-确认方案后可以编辑责任归属
  5162, // 可以选择设置为不质检的产品-可以选择设置为不质检的产品
  5163, // 只能查看自己建立的单据-只能查看自己建立的单据
  5164, // 订单金额分配-订单金额分配
  5165, // 确认-确认
  5166, // 反确认-反确认
  5167, // 终止-终止
  5168, // 不允许修改单价-不允许修改单价
  5169, // 补料原因不能手动录入且必选-补料原因不能手动录入且必选
  5170, // 仓库呆滞预警占比分析统计表-仓库呆滞预警占比分析统计表
  5171, // 报表数据发送-报表数据发送
  5172, // 报表打印-报表打印
  5173, // 隐藏金额-隐藏金额
  5174, // 隐藏金额-隐藏金额
  5175, // 隐藏金额-隐藏金额
  5176, // 隐藏金额-隐藏金额
  5177, // 内部交易单-内部交易单
  5178, // 建立-建立
  5179, // 删除-删除
  5180, // 审核-审核
  5181, // 撤审-撤审
  5182, // 打印-打印
  5183, // 内部交易统计表-内部交易统计表
  5184, // 报表数据发送-报表数据发送
  5185, // 报表打印-报表打印
  5186, // 物料需求数相关查询-物料需求数相关查询
  5187, // 确认-确认
  5188, // 反确认-反确认
  5189, // 确认-确认
  5190, // 反确认-反确认
  5191, // 客户帐户建立-客户帐户建立
  5192, // 客户帐户建立-客户帐户建立
  5193, // 外协商盘盈单统计表-外协商盘盈单统计表
  5194, // 报表数据发送-报表数据发送
  5195, // 报表打印-报表打印
  5196, // 外协商盘亏单统计表-外协商盘亏单统计表
  5197, // 报表数据发送-报表数据发送
  5198, // 报表打印-报表打印
  5199, // 云端订单及排产-云端订单及排产
  5200, // 隐藏离职员工-隐藏离职员工
  5201, // 销售限价为0不能审核-销售限价为0不能审核
  5202, // 云端SKU配对-云端SKU配对
  5203, // 高级删除-高级删除
  5204, // 销售订单预约报表-销售订单预约报表
  5205, // 报表数据发送-报表数据发送
  5206, // 报表打印-报表打印
  5207, // 销售退货单不允许重复打印-销售退货单不允许重复打印
  5208, // 生产指令单增料单统计表-生产指令单增料单统计表
  5209, // 报表数据发送-报表数据发送
  5210, // 报表打印-报表打印
  5211, // 暂估明细特殊调整-暂估明细特殊调整
  5212, // 销售订单专用款统计表-销售订单专用款统计表
  5213, // 报表数据发送-报表数据发送
  5214, // 报表打印-报表打印
  5215, // 库存金额占比分析表（有进仓无领料）-库存金额占比分析表（有进仓无领料）
  5216, // 报表数据发送-报表数据发送
  5217, // 报表打印-报表打印
  5218, // 移动ERP-移动ERP
  5219, // 采购送检单-采购送检单
  5220, // 建单-建单
  5221, // 采购质检单-采购质检单
  5222, // 修改-修改
  5223, // 审核-审核
  5224, // 发料通知单-发料通知单
  5225, // 发料单-发料单
  5226, // 建单-建单
  5227, // 修改-修改
  5228, // 审核-审核
  5229, // 销售订单-销售订单
  5230, // 销售发货单-销售发货单
  5231, // 库存表-库存表
  5232, // 首页-产销情况-首页-产销情况
  5233, // 首页-订单情况-首页-订单情况
  5234, // 首页-财务状况-首页-财务状况
  5235, // 首页-库存情况-首页-库存情况
  5236, // 条码打包单-条码打包单
  5237, // 新建-新建
  5238, // 删除-删除
  5239, // 审核-审核
  5240, // 撤审-撤审
  5241, // 增加备注-增加备注
  5242, // 打印-打印
  5243, // 工序完工扫描-工序完工扫描
  5244, // 补充增加明细备注-补充增加明细备注
  5245, // 覆盖增加明细备注-覆盖增加明细备注
  5246, // 工序派工单(派工批)-工序派工单(派工批)
  5247, // 新建/修改-新建/修改
  5248, // 撤审-撤审
  5252, // 条码打包-条码打包
  5253, // 不允许修改结算方式-不允许修改结算方式
  5254, // 测试-测试
  5255, // 销售发货单查询-销售发货单查询
  5256, // 采购订单进度查询-采购订单进度查询
  5257, // 供应商库存查询-供应商库存查询
  5258, // 全定制家具方案-全定制家具方案
  5259, // 特采审核-特采审核
  5260, // 采购收货审核-采购收货审核
  5261, // 复制单据-复制单据
  5262, // 供应商到货预算-供应商到货预算
  5263, // 外协加工价为0不能仓审-外协加工价为0不能仓审
  5264, // 外协收货明细待质检列表-外协收货明细待质检列表
  5265, // 修改-修改
  5266, // 审核-审核
  5267, // 撤审-撤审
  5268, // 报表数据发送-报表数据发送
  5269, // 报表打印-报表打印
  5270, // 柜数上限设置-柜数上限设置
  5271, // 设置-设置
  5272, // 回单-回单
  5273, // 反回单-反回单
  5274, // 只能查看自己建立的单据-只能查看自己建立的单据
  5275, // 销售订单柜预约报表-销售订单柜预约报表
  5276, // 标准调拨价变更单-标准调拨价变更单
  5277, // 建立-建立
  5278, // 删除-删除
  5279, // 审核-审核
  5280, // 增加备注-增加备注
  5281, // 打印-打印
  5282, // 生产计划综合进度跟踪-生产计划综合进度跟踪
  5283, // 报表数据发送-报表数据发送
  5284, // 报表打印-报表打印
  5285, // 采购审核-采购审核
  5286, // 必须选择发货历史-必须选择发货历史
  5287, // 不允许修改单价-不允许修改单价
  5288, // 不允许修改单价-不允许修改单价
  5289, // 明细没有合同不允许审核-明细没有合同不允许审核
  5290, // 明细没有单价不允许审核-明细没有单价不允许审核
  5291, // 明细没有默认供应商不允许审核-明细没有默认供应商不允许审核
  5292, // 工段完工-工段完工
  5293, // 工段进度列表-工段进度列表
  5294, // 销售业绩日报表-销售业绩日报表
  5295, // 报表数据发送-报表数据发送
  5296, // 报表打印-报表打印
  5297, // 区域经理设置-区域经理设置
  5298, // 销售任务设置-销售任务设置
  5299, // 经营日报表-经营日报表
  5300, // 其它收入支出单-其它收入支出单
  5301, // 工序外协数量跟踪表-工序外协数量跟踪表
  5302, // 报表数据发送-报表数据发送
  5303, // 报表打印-报表打印
  5304, // 销售订单实际利润统计表-销售订单实际利润统计表
  5305, // 报表数据发送-报表数据发送
  5306, // 报表打印-报表打印
  5307, // 计算生产成本-计算生产成本
  5308, // 销售订单外协加工数跟踪表-销售订单外协加工数跟踪表
  5309, // 报表数据发送-报表数据发送
  5310, // 报表打印-报表打印
  5311, // 批修改税率-批修改税率
  5312, // 财审-财审
  5313, // 财撤-财撤
  5314, // 仓库外协待收货列表-仓库外协待收货列表
  5315, // 报表数据发送-报表数据发送
  5316, // 报表打印-报表打印
  5317, // 仓库外协待发出列表-仓库外协待发出列表
  5318, // 报表数据发送-报表数据发送
  5319, // 报表打印-报表打印
  5320, // 唛头附件上传-唛头附件上传
  5321, // 删除其他人上传的唛头附件-删除其他人上传的唛头附件
  5322, // 发送唛头邮件-发送唛头邮件
  5323, // 订单唛头预警-订单唛头预警
  5324, // 唛头审核-唛头审核
  5325, // 唛头撤审-唛头撤审
  5326, // 唛头附件上传-唛头附件上传
  5327, // 发送唛头邮件-发送唛头邮件
  5328, // 删除其他人上传的唛头附件-删除其他人上传的唛头附件
  5329, // 获取销售订单唛头附件-获取销售订单唛头附件
  5330, // 销售订单唛头用料管理-销售订单唛头用料管理
  5331, // 编辑唛头用料-编辑唛头用料
  5332, // 唛头用料审核-唛头用料审核
  5333, // 唛头用料撤审-唛头用料撤审
  5334, // 唛头附件上传-唛头附件上传
  5335, // 删除其他人上传的唛头附件-删除其他人上传的唛头附件
  5336, // 发送唛头邮件-发送唛头邮件
  5337, // 隐藏客户联系方式-隐藏客户联系方式
  5338, // 终审后允许发表意见-终审后允许发表意见
  5339, // 终审后允许发表意见-终审后允许发表意见
  5340, // 设默认供应商-设默认供应商
  5341, // 增加备忘录-增加备忘录
  5342, // 修改需求日期-修改需求日期
  5343, // 批终止汇总明细数量-批终止汇总明细数量
  5344, // 交期确定-交期确定
  5345, // 确认/变更交货日期-确认/变更交货日期
  5346, // 总计件汇总表(按员工)-总计件汇总表(按员工)
  5347, // 报表数据发送-报表数据发送
  5348, // 报表打印-报表打印
  5349, // 确认收货数-确认收货数
  5350, // 确认并仓审-确认并仓审
  5351, // 外贸-外贸
  5352, // 港口-港口
  5353, // 设置-设置
  5354, // 柜型-柜型
  5355, // 设置-设置
  5356, // 贸易方式-贸易方式
  5357, // 设置-设置
  5358, // 运费-运费
  5359, // 设置-设置
  5360, // 产品优惠信息-产品优惠信息
  5361, // 设置-设置
  5362, // 报表数据发送-报表数据发送
  5363, // 报表打印-报表打印
  5364, // 不能仓审有实际退货数与计划退货数不相等的退货单-不能仓审有实际退货数与计划退货数不相等的退货单
  5365, // 外协工序完工-外协工序完工
  5366, // 销售订单实际利润统计表(汇总)-销售订单实际利润统计表(汇总)
  5367, // 报表数据发送-报表数据发送
  5368, // 报表打印-报表打印
  5369, // 指定报价、拆单员-指定报价、拆单员
  5370, // 附件管理-附件管理
  5371, // 统计报表-统计报表
  5372, // 订单明细功能-页签-订单明细功能-页签
  5373, // 报价信息-页签-报价信息-页签
  5374, // 订单收款明细-页签-订单收款明细-页签
  5375, // 板件清单-页签-板件清单-页签
  5376, // 材料清单-页签-材料清单-页签
  5377, // 五金清单-页签-五金清单-页签
  5378, // 采购申购单-页签-采购申购单-页签
  5379, // 采购订单-页签-采购订单-页签
  5380, // 采购收货单-页签-采购收货单-页签
  5381, // 领料单-页签-领料单-页签
  5382, // 指令单-页签-指令单-页签
  5383, // 板件条码单-页签-板件条码单-页签
  5384, // 派工单-页签-派工单-页签
  5385, // 完工单-页签-完工单-页签
  5386, // 进仓单-页签-进仓单-页签
  5387, // 发货单-页签-发货单-页签
  5388, // 隐藏金额-隐藏金额
  5389, // 销售订单产品报价明细表-销售订单产品报价明细表
  5390, // 工资管理-工资管理
  5391, // 成本统计表-成本统计表
  5392, // 订单拆单明细表-订单拆单明细表
  5393, // 工序序完工单统计表-工序序完工单统计表
  5394, // 订单产品包件明细表-订单产品包件明细表
  5395, // 导入板件清单-导入板件清单
  5396, // 导入材料清单-导入材料清单
  5397, // 导入五金清单-导入五金清单
  5398, // 生成计划和派工-生成计划和派工
  5399, // 派工单打印-派工单打印
  5400, // 派工单打印-派工单打印
  5401, // 分包管理-分包管理
  5402, // 发货-发货
  5403, // 其他功能-其他功能
  5404, // 删除拆分订单行-删除拆分订单行
  5405, // 删除清单(勾选)-删除清单(勾选)
  5406, // 生成采购申购单(勾选)-生成采购申购单(勾选)
  5407, // 生成采购申购单(勾选)-生成采购申购单(勾选)
  5408, // 生成材料领料单(勾选)-生成材料领料单(勾选)
  5409, // 生成材料领料单(勾选)-生成材料领料单(勾选)
  5410, // 包件明细--增包-包件明细--增包
  5411, // 包件明细--删包-包件明细--删包
  5412, // 包件明细--包件进仓-包件明细--包件进仓
  5413, // 板件明细--删除板件(勾选)-板件明细--删除板件(勾选)
  5414, // 未分包板件--分包(勾选)-未分包板件--分包(勾选)
  5415, // 未分包板件--删除板件(勾选)-未分包板件--删除板件(勾选)
  5416, // 外协损耗统计单-外协损耗统计单
  5417, // 报表数据发送-报表数据发送
  5418, // 报表打印-报表打印
  5419, // 未分包板件--修改规格-未分包板件--修改规格
  5420, // 销售订单(定制)-销售订单(定制)
  5421, // 工序完工扫描(定制)-工序完工扫描(定制)
  5422, // 审核-审核
  5423, // 撤审-撤审
  5424, // 采购收货单添加附件-采购收货单添加附件
  5425, // 采购收货单查看附件-采购收货单查看附件
  5427, // 物料查询-物料查询
  5428, // 生产质检单-生产质检单
  5429, // 工序质检方案-工序质检方案
  5430, // 工序质检项目设定-工序质检项目设定
  5431, // 生产质检单-生产质检单
  5432, // 新建-新建
  5433, // 删除-删除
  5434, // 初审-初审
  5435, // 初撤-初撤
  5436, // 终审-终审
  5437, // 终撤-终撤
  5438, // 添加备注-添加备注
  5439, // 打印-打印
  5440, // 二审-二审
  5441, // 二撤-二撤
  5442, // 二审-二审
  5443, // 二撤-二撤
  5444, // 二审-二审
  5445, // 二撤-二撤
  5446, // 二审-二审
  5447, // 二撤-二撤
  5448, // 二审-二审
  5449, // 二撤-二撤
  5450, // 二审-二审
  5451, // 二撤-二撤
  5452, // 修改销售订单摘要信息-修改销售订单摘要信息
  5453, // 产品价格相关公式批设置-产品价格相关公式批设置
  5454, // 设置-设置
  5455, // 报表数据发送-报表数据发送
  5456, // 报表打印-报表打印
  5457, // 外协退回单可以不选外协订单-外协退回单可以不选外协订单
  5458, // 外协返工单可以不选外协订单-外协返工单可以不选外协订单
  5459, // 销售报表-销售报表
  5460, // 销售订单统计表-销售订单统计表
  5461, // 业务员销售排名统计表-业务员销售排名统计表
  5462, // 客户销售排名统计表-客户销售排名统计表
  5463, // 产品销售排名统计表-产品销售排名统计表
  5464, // 财务报表-财务报表
  5465, // 销售订单收款统计表-销售订单收款统计表
  5466, // 周转统计表-周转统计表
  5467, // 产值统计表-产值统计表
  5468, // 销售订单利润统计表-销售订单利润统计表
  5469, // 生产报表-生产报表
  5470, // 在进行出口订单异常统计表-在进行出口订单异常统计表
  5471, // 销售准交统计表-销售准交统计表
  5472, // 车间指令单-车间指令单
  5473, // 单据备注选配资料-单据备注选配资料
  5474, // 新建-新建
  5475, // 修改-修改
  5476, // 删除-删除
  5477, // 销售年度汇总表-销售年度汇总表
  5478, // 报表数据发送-报表数据发送
  5479, // 报表打印-报表打印
  5480, // 考核节点-考核节点
  5481, // 设置-设置
  5482, // 销售政策-销售政策
  5483, // 设置-设置
  5484, // 客户资料下单/发货属性批修改-客户资料下单/发货属性批修改
  5485, // 客户资料下单/发货属性批修改-客户资料下单/发货属性批修改
  5486, // 报表数据发送-报表数据发送
  5487, // 报表打印-报表打印
  5488, // 修改销售政策-修改销售政策
  5489, // 奖罚单-奖罚单
  5490, // 新建-新建
  5491, // 修改-修改
  5492, // 采购订单-采购订单
  5493, // 销售预测单-销售预测单
  5494, // 销售-销售
  5495, // 采购-采购
  5496, // 生产-生产
  5497, // 人事-人事
  5498, // 允许客户超信用额度时确认销售发货单-允许客户超信用额度时确认销售发货单
  5499, // 客户信用额度调整单-客户信用额度调整单
  5500, // 新建-新建
  5501, // 删除-删除
  5502, // 审核-审核
  5503, // 打印-打印
  5504, // 附件查看-附件查看
  5505, // 附件管理-附件管理
  5506, // 导出Excel-导出Excel
  5507, // 出口销售订单-出口销售订单
  5508, // 新建-新建
  5509, // 修改-修改
  5510, // 删除-删除
  5511, // 初审-初审
  5512, // 初撤-初撤
  5513, // 终审-终审
  5514, // 终撤-终撤
  5515, // 打印-打印
  5516, // 增加备注-增加备注
  5517, // 增加生产备注-增加生产备注
  5518, // 增加辅助备注-增加辅助备注
  5519, // 增加车间明细备注-增加车间明细备注
  5520, // 修改相关号-修改相关号
  5521, // 编辑单据备忘摘要-编辑单据备忘摘要
  5522, // 调整优先级-调整优先级
  5523, // 按订单价格更新价格表-按订单价格更新价格表
  5524, // 辅助建立订单收款单(订金)-辅助建立订单收款单(订金)
  5525, // 辅助建立客户收款单(订金)-辅助建立客户收款单(订金)
  5526, // 辅助建立客户收款单(余款)-辅助建立客户收款单(余款)
  5527, // 辅助生成多张客户收款单(订金)-辅助生成多张客户收款单(订金)
  5528, // 辅助生成多张客户收款单(余款)-辅助生成多张客户收款单(余款)
  5529, // 暂停订单-暂停订单
  5530, // 取消暂停订单-取消暂停订单
  5531, // 终止订单-终止订单
  5532, // 取消终止订单-取消终止订单
  5533, // 完成订单-完成订单
  5534, // 取消完成订单-取消完成订单
  5535, // 查看消息确认-查看消息确认
  5536, // 查看附件-查看附件
  5537, // 添加附件-添加附件
  5538, // 出运单-出运单
  5539, // 新建-新建
  5540, // 修改-修改
  5541, // 删除-删除
  5542, // 初审-初审
  5543, // 初撤-初撤
  5544, // 终审-终审
  5545, // 终撤-终撤
  5546, // 打印-打印
  5547, // 增加备注-增加备注
  5548, // 增加生产备注-增加生产备注
  5549, // 暂停单据-暂停单据
  5550, // 取消暂停单据-取消暂停单据
  5551, // 终止单据-终止单据
  5552, // 取消终止单据-取消终止单据
  5553, // 完成单据-完成单据
  5554, // 取消完成单据-取消完成单据
  5555, // 辅助建立销售发货单-辅助建立销售发货单
  5556, // 辅助建立议付单证-辅助建立议付单证
  5557, // 查看附件-查看附件
  5558, // 添加附件-添加附件
  5559, // 议付单证-议付单证
  5560, // 财审-财审
  5561, // 财撤-财撤
  5562, // 打印-打印
  5563, // 增加备注-增加备注
  5564, // 批计算物料生产周期上限-批计算物料生产周期上限
  5565, // 批计算物料生产周期上限-批计算物料生产周期上限
  5566, // 报表数据发送-报表数据发送
  5567, // 报表打印-报表打印
  5568, // 供应商冲账单-供应商冲账单
  5569, // 建立-建立
  5570, // 删除-删除
  5571, // 审核-审核
  5572, // 撤审-撤审
  5573, // 打印-打印
  5574, // 增加备注-增加备注
  5575, // 物料供需监控表-物料供需监控表
  5576, // 报表数据发送-报表数据发送
  5577, // 报表打印-报表打印
  5578, // 出口销售出仓单-出口销售出仓单
  5580, // 新建-新建
  5581, // 修改-修改
  5582, // 删除-删除
  5583, // 仓审-仓审
  5584, // 仓撤-仓撤
  5585, // 打印-打印
  5586, // 增加备注-增加备注
  5587, // 物料纸箱/泡沫属性批修改-物料纸箱/泡沫属性批修改
  5588, // 物料纸箱/泡沫属性批修改-物料纸箱/泡沫属性批修改
  5589, // 报表数据发送-报表数据发送
  5590, // 报表打印-报表打印
  5591, // 审核后编辑明细备注-审核后编辑明细备注
  5592, // 删除派工批-删除派工批
  5593, // 车间产能分析-车间产能分析
  5594, // 销售订单粗产能分析-销售订单粗产能分析
  5595, // 确认-确认
  5596, // 反确认-反确认
  5597, // 工作节点模板-工作节点模板
  5598, // 设置-设置
  5599, // 隐藏规格参数页-隐藏规格参数页
  5600, // 在进行销售订单统计表-在进行销售订单统计表
  5601, // 配置项值技审\技撤-配置项值技审\技撤
  5602, // 配置项值财审\财撤-配置项值财审\财撤
  5603, // 销售报价-销售报价
  5604, // 允许查看人民币单价及汇率-允许查看人民币单价及汇率
  5605, // 维修项目-维修项目
  5606, // 维修项目设定-维修项目设定
  5607, // 维修评价-维修评价
  5608, // 维修评价设定-维修评价设定
  5609, // 采购报表-采购报表
  5610, // 采购收货统计表-采购收货统计表
  5611, // 供应商采购统计表-供应商采购统计表
  5612, // 物料采购统计表-物料采购统计表
  5613, // 只能查看自己有关的单据-只能查看自己有关的单据
  5614, // 工人自检-工人自检
  5615, // 质检员质检-质检员质检
  5616, // 设备-设备
  5617, // 报修-报修
  5618, // 维修-维修
  5619, // 生产计划工段排程表-生产计划工段排程表
  5620, // 排程初始化-排程初始化
  5621, // 排程调整-排程调整
  5622, // 排程备料审-排程备料审
  5623, // 排程备料撤-排程备料撤
  5624, // 报表数据发送-报表数据发送
  5625, // 报表打印-报表打印
  5626, // 品质异常反馈单-品质异常反馈单
  5627, // 建单-建单
  5628, // 已发表意见不能初撤-已发表意见不能初撤
  5629, // 已发表意见不能初撤-已发表意见不能初撤
  5630, // 在进行订单修改明细分组-在进行订单修改明细分组
  5631, // 初审-初审
  5632, // 初撤-初撤
  5633, // 只允许查看自己建立的单据-只允许查看自己建立的单据
  5634, // 只允许查看自己建立的单据-只允许查看自己建立的单据
  5635, // 销售订单统计表(实时数据)-销售订单统计表(实时数据)
  5636, // 隐藏生产商、联系人、电话-隐藏生产商、联系人、电话
  5637, // 订单收款单(专项收款)-订单收款单(专项收款)
  5638, // 建立\修改-建立\修改
  5639, // 删除-删除
  5640, // 审核-审核
  5641, // 专款专项报表-专款专项报表
  5642, // 报表打印-报表打印
  5643, // 报表数据发送-报表数据发送
  5644, // 工段产能负荷总表-工段产能负荷总表
  5645, // 报表数据发送-报表数据发送
  5646, // 报表打印-报表打印
  5647, // 设备维护计划统计表-设备维护计划统计表
  5648, // 报表数据发送-报表数据发送
  5649, // 报表打印-报表打印
  5650, // 客户资料客户组属性批修改-客户资料客户组属性批修改
  5651, // 客户资料客户组属性批修改-客户资料客户组属性批修改
  5652, // 报表数据发送-报表数据发送
  5653, // 报表打印-报表打印
  5654, // 指令单质检统计表-指令单质检统计表
  5655, // 报表数据发送-报表数据发送
  5656, // 报表打印-报表打印
  5657, // 终审前编辑罚款明细-终审前编辑罚款明细
  5658, // 工段质检单-工段质检单
  5659, // 建立-建立
  5660, // 删除-删除
  5661, // 初审-初审
  5662, // 初撤-初撤
  5663, // 终审-终审
  5664, // 终撤-终撤
  5665, // 添加备注-添加备注
  5666, // 打印-打印
  5667, // 添加附件-添加附件
  5668, // 终审前编辑罚款明细-终审前编辑罚款明细
  5669, // 采购收货单-采购收货单
  5670, // 采购退货单-采购退货单
  5671, // 建单-建单
  5672, // 仓审-仓审
  5673, // 建单-建单
  5674, // 仓审-仓审
  5675, // 生产退料单-生产退料单
  5676, // 建单-建单
  5677, // 仓审-仓审
  5678, // 物料图片缓存-物料图片缓存
  5679, // 设备分类-设备分类
  5680, // 设备分类设置-设备分类设置
  5681, // 模具分类-模具分类
  5682, // 模具分类设置-模具分类设置
  5683, // 模具型号-模具型号
  5684, // 模具型号设定-模具型号设定
  5685, // 隐藏生产商、联系人、电话-隐藏生产商、联系人、电话
  5686, // 模具档案-模具档案
  5687, // 模具建立-模具建立
  5688, // 模具删除-模具删除
  5689, // 建立配件-建立配件
  5690, // 建立维护计划-建立维护计划
  5691, // 建立维修记录-建立维修记录
  5692, // 建立调拨记录-建立调拨记录
  5693, // 打印-打印
  5694, // 数据发送-数据发送
  5695, // 设备模具存放位置-设备模具存放位置
  5696, // 设置-设置
  5697, // 帐务初始化-帐务初始化
  5698, // 帐务-帐务
  5699, // 固定资产-固定资产
  5700, // 质检统计表-质检统计表
  5701, // 销售订单延期罚款项目设置-销售订单延期罚款项目设置
  5702, // 设置-设置
  5703, // 销售订单延期罚款公式设置-销售订单延期罚款公式设置
  5704, // 设置-设置
  5705, // 销售订单延期罚款统计-销售订单延期罚款统计
  5706, // 统计罚款-统计罚款
  5707, // 罚款确认-罚款确认
  5708, // 罚款反确认-罚款反确认
  5709, // 报表数据发送-报表数据发送
  5710, // 报表打印-报表打印
  5711, // 采购订单延期罚款统计-采购订单延期罚款统计
  5712, // 统计罚款-统计罚款
  5713, // 罚款确认-罚款确认
  5714, // 罚款反确认-罚款反确认
  5715, // 报表数据发送-报表数据发送
  5716, // 报表打印-报表打印
  5717, // 采购订单延期罚款项目设置-采购订单延期罚款项目设置
  5718, // 设置-设置
  5719, // 采购订单延期罚款公式设置-采购订单延期罚款公式设置
  5720, // 设置-设置
  5721, // 销售延期提醒对象设置-销售延期提醒对象设置
  5722, // 设置-设置
  5723, // 发送提醒-发送提醒
  5724, // 帐务系统设置-帐务系统设置
  5725, // 同步客户订货历史-同步客户订货历史
  5726, // 物料工序表生产属性批修改-物料工序表生产属性批修改
  5727, // 编辑-编辑
  5728, // 报表数据发送-报表数据发送
  5729, // 报表打印-报表打印
  5730, // 产品及物料规格参数批修改-产品及物料规格参数批修改
  5731, // 批修改-批修改
  5732, // 报表数据发送-报表数据发送
  5733, // 报表打印-报表打印
  5734, // 不允许编辑单价-不允许编辑单价
  5735, // 主生产计划排产年度汇总表-主生产计划排产年度汇总表
  5736, // 报表数据发送-报表数据发送
  5737, // 报表打印-报表打印
  5738, // 不允许修改明细员工-不允许修改明细员工
  5739, // 不允许修改客户折扣-不允许修改客户折扣
  5740, // 不允许修改客户折扣-不允许修改客户折扣
  5741, // 发布公告-发布公告
  5742, // 财务-财务
  5743, // 应收帐-应收帐
  5744, // 应付帐-应付帐
  5745, // 资料-资料
  5746, // 客户档案-客户档案
  5747, // 财审后编辑不影响应收帐的费用明细-财审后编辑不影响应收帐的费用明细
  5748, // 录入金额计算单价-录入金额计算单价
  5749, // 确认-确认
  5750, // 反确认-反确认
  5751, // 产品系列销售对比统计表-产品系列销售对比统计表
  5752, // 物料积压查询-物料积压查询
  5753, // 确认-确认
  5754, // 费用报销申请单-费用报销申请单
  5755, // 新建/修改-新建/修改
  5756, // 删除-删除
  5757, // 初审-初审
  5758, // 终审-终审
  5759, // 初撤-初撤
  5760, // 终撤-终撤
  5761, // 增加备注-增加备注
  5762, // 打印-打印
  5763, // 财务确认-财务确认
  5764, // 财务反确认-财务反确认
  5765, // 部门费用预算-部门费用预算
  5766, // 设置-设置
  5767, // 费用报销类型-费用报销类型
  5768, // 设置-设置
  5769, // 费用报销申请单-费用报销申请单
  5770, // 新建-新建
  5771, // 修改-修改
  5772, // 审核-审核
  5773, // 撤审-撤审
  5774, // 删除-删除
  5775, // 部门预算报销统计表-部门预算报销统计表
  5776, // 供应商质量自检单-供应商质量自检单
  5777, // 供应商现场质检单-供应商现场质检单
  5778, // 确认-确认
  5779, // 开始质检-开始质检
  5780, // 录入质检结果-录入质检结果
  5781, // 成品采购协同质检方式-成品采购协同质检方式
  5782, // 设置-设置
  5783, // 数据发送-数据发送
  5784, // 打印-打印
  5785, // 供应商现场质检单-供应商现场质检单
  5786, // 开始质检-开始质检
  5787, // 录入质检结果-录入质检结果
  5788, // 编辑明细终止数-编辑明细终止数
  5789, // 补充增加明细备注-补充增加明细备注
  5790, // 覆盖增加明细备注-覆盖增加明细备注
  5791, // 补充增加明细备注2-补充增加明细备注2
  5792, // 覆盖增加明细备注2-覆盖增加明细备注2
  5793, // 确认-确认
  5794, // 反确认-反确认
  5795, // 限制派工员工受限于工种技术等级-限制派工员工受限于工种技术等级
  5796, // 供应商代发货单-供应商代发货单
  5797, // 确认-确认
  5798, // 产品协同订单分组-产品协同订单分组
  5799, // 报表数据发送-报表数据发送
  5800, // 报表打印-报表打印
  5801, // 手动录入完成数-手动录入完成数
  5802, // 供应商异常统计表-供应商异常统计表
  5803, // 内部质量异常统计表-内部质量异常统计表
  5804, // 客诉统计表-客诉统计表
  5805, // 制程检验报表-制程检验报表
  5806, // 报表数据发送-报表数据发送
  5807, // 报表打印-报表打印
  5808, // 来料检验报表-来料检验报表
  5809, // 报表数据发送-报表数据发送
  5810, // 报表打印-报表打印
  5811, // 不允许修改结算方式-不允许修改结算方式
  5812, // 不允许修改结算方式-不允许修改结算方式
  5813, // 外协工序返工财务审核-外协工序返工财务审核
  5814, // 财审-财审
  5815, // 财撤-财撤
  5816, // 外协-外协
  5817, // 外协收货单-外协收货单
  5818, // 外协发出单-外协发出单
  5819, // 外协退回单-外协退回单
  5820, // 外协返工单-外协返工单
  5821, // 新建-新建
  5822, // 添加附件-添加附件
  5823, // 查看附件-查看附件
  5824, // 指令单拉货考核统计表-指令单拉货考核统计表
  5825, // 主管确认-主管确认
  5826, // 主管反确认-主管反确认
  5827, // 完成拉货任务-完成拉货任务
  5828, // 完成尾数任务-完成尾数任务
  5829, // 统计罚款-统计罚款
  5830, // 罚款确认-罚款确认
  5831, // 批冻结用料-批冻结用料
  5832, // 罚款反确认-罚款反确认
  5833, // 审核后修改经手人-审核后修改经手人
  5834, // 物料质检属性批设置-物料质检属性批设置
  5835, // 设置-设置
  5836, // 报表数据发送-报表数据发送
  5837, // 报表打印-报表打印
  5838, // 工序完工变更单-工序完工变更单
  5839, // 新建/修改-新建/修改
  5840, // 删除-删除
  5841, // 审核-审核
  5842, // 打印-打印
  5843, // 只能修改或删除自己建立的单据-只能修改或删除自己建立的单据
  5844, // 在进行订单修改明细批号、备忘摘要-在进行订单修改明细批号、备忘摘要
  5845, // 已审核订单修改明细单价-已审核订单修改明细单价
  5846, // 批更新订单明细的体积、毛重、净重-批更新订单明细的体积、毛重、净重
  5847, // 自制送检单-自制送检单
  5848, // 建单-建单
  5849, // 自制质检单-自制质检单
  5850, // 修改-修改
  5851, // 报表数据发送-报表数据发送
  5852, // 报表打印-报表打印
  5853, // 报表数据发送-报表数据发送
  5854, // 报表打印-报表打印
  5855, // 报表数据发送-报表数据发送
  5856, // 报表打印-报表打印
  5857, // 报表数据发送-报表数据发送
  5858, // 报表打印-报表打印
  5859, // 批修改明细完工时间-批修改明细完工时间
  5860, // 只能修改自己建立的单据-只能修改自己建立的单据
  5861, // 只能修改自己建立的单据-只能修改自己建立的单据
  5862, // 外协订单-外协订单
  5863, // 新建-新建
  5864, // 删除-删除
  5865, // 外协申请待订货清单-外协申请待订货清单
  5866, // 删除-删除
  5867, // 删除-删除
  5868, // 新建-新建
  5869, // 删除-删除
  5870, // 新建-新建
  5871, // 删除-删除
  5872, // 新建-新建
  5873, // 删除-删除
  5874, // 删除-删除
  5875, // 销售订单明细终止申请单-销售订单明细终止申请单
  5876, // 新建-新建
  5877, // 删除-删除
  5878, // 审核-审核
  5879, // 撤审-撤审
  5880, // 终审-终审
  5882, // 打印-打印
  5883, // 允许更新订单-允许更新订单
  5884, // 允许更新收货单-允许更新收货单
  5885, // 在进行单据修改单价-在进行单据修改单价
  5887, // 允许按订单时修改单价-允许按订单时修改单价
  5888, // 只允许修改自己及下级用户建立的单据-只允许修改自己及下级用户建立的单据
  5889, // 终止订单明细数量-终止订单明细数量
  5891, // 修改销售订单摘要信息不受已开发货单限制-修改销售订单摘要信息不受已开发货单限制
  5892, // 财审前修改单价-财审前修改单价
  5893, // 仓审后财审前修改费用明细-仓审后财审前修改费用明细
  5894, // 仓审后财审前修改费用明细-仓审后财审前修改费用明细
  5895, // 上传\删除附件-上传\删除附件
  5896, // 上传\删除附件-上传\删除附件
  5897, // 录入多质检结果-录入多质检结果
  5898, // 修改-修改
  5899, // 取消库存分配-取消库存分配
  5900, // 条码扫描-条码扫描
  5901, // 供应商帐号建立-供应商帐号建立
  5902, // 销售价格表-销售价格表
  5903, // 产品价格对比-产品价格对比
  5904, // 物料价格对比-物料价格对比
  5905, // 确认-确认
  5906, // 反确认-反确认
  5907, // 确认-确认
  5908, // 反确认-反确认
  5909, // 确认-确认
  5910, // 反确认-反确认
  5911, // 申诉-申诉
  5912, // 内部消息附件迁移-内部消息附件迁移
  5913, // 费用报销统计表-费用报销统计表
  5914, // 报表数据发送-报表数据发送
  5915, // 报表打印-报表打印
  5916, // 品质统计-品质统计
  5917, // 财审前修改发票日期及汇率-财审前修改发票日期及汇率
  5918, // 不允许编辑计划领数-不允许编辑计划领数
  5919, // 批排程派工审-批排程派工审
  5920, // 批排程派工撤-批排程派工撤
  5921, // 材料已领数与反扣数差异统计表-材料已领数与反扣数差异统计表
  5922, // 报表数据发送-报表数据发送
  5923, // 报表打印-报表打印
  5924, // 批取消条码打印次数-批取消条码打印次数
  5925, // 批撤审已审核单据-批撤审已审核单据
  5926, // 批删除未审核单据-批删除未审核单据
  5927, // 设备预防维护计划完成率统计表-设备预防维护计划完成率统计表
  5928, // 报表数据发送-报表数据发送
  5929, // 报表打印-报表打印
  5930, // 重要设备故障累计时间统计表-重要设备故障累计时间统计表
  5931, // 报表数据发送-报表数据发送
  5932, // 报表打印-报表打印
  5933, // 重要设备故障累计时间占比统计表-重要设备故障累计时间占比统计表
  5934, // 报表数据发送-报表数据发送
  5935, // 报表打印-报表打印
  5936, // 管理设备图片-管理设备图片
  5937, // 管理设备附件-管理设备附件
  5938, // 管理模具图片-管理模具图片
  5939, // 管理模具附件-管理模具附件
  5940, // 设备报表-设备报表
  5941, // 设备预防维护计划完成率-设备预防维护计划完成率
  5942, // 重要设备故障累计时间-重要设备故障累计时间
  5943, // 重要设备故障累计时间-车间占比-重要设备故障累计时间-车间占比
  5944, // 确认后仓审前修改单据日期及计件月份-确认后仓审前修改单据日期及计件月份
  5945, // 自制半成品一键领料进仓-自制半成品一键领料进仓
  5946, // 报表数据发送-报表数据发送
  5947, // 报表打印-报表打印
  5948, // 确认-确认
  5949, // 反确认-反确认
  5950, // 审核后确认前修改明细协同提货日期-审核后确认前修改明细协同提货日期
  5951, // 仓审后修改工价-仓审后修改工价
  5952, // 车间生产入库计划达成表-车间生产入库计划达成表
  5953, // 隐藏客户联系方式-隐藏客户联系方式
  5954, // 显示客户结余-显示客户结余
  5955, // 显示供应商结余-显示供应商结余
  5956, // 实际成本核算【按产品】-实际成本核算【按产品】
  5957, // 实际成本核算-实际成本核算
  5958, // 微盟接口-微盟接口
  5959, // 微盟sku配置设置-微盟sku配置设置
  5960, // 微盟仓库-微盟仓库
  5961, // 其他领料单-其他领料单
  5962, // 建单-建单
  5963, // 只能查看自己建立的单据-只能查看自己建立的单据
  5964, // 仓库备料日计划报表-仓库备料日计划报表
  5965, // 报表数据发送-报表数据发送
  5966, // 报表打印-报表打印
  5967, // 只能查看自己建立的单据-只能查看自己建立的单据
  5968, // 已报工待质检完工-已报工待质检完工
  5969, // 供应商月份不良数据对比表(按月)-供应商月份不良数据对比表(按月)
  5970, // 报表数据发送-报表数据发送
  5971, // 报表打印-报表打印
  5972, // 供应商月份不良数据对比表(按日)-供应商月份不良数据对比表(按日)
  5973, // 报表数据发送-报表数据发送
  5974, // 报表打印-报表打印
  5975, // 供应商不良率统计表-供应商不良率统计表
  5976, // 报表数据发送-报表数据发送
  5977, // 报表打印-报表打印
  5978, // 不良品处理方式-不良品处理方式
  5979, // 设置-设置
  5980, // 样本量子码表-样本量子码表
  5981, // 设置-设置
  5982, // 不良品处理单-不良品处理单
  5983, // 新建-新建
  5984, // 删除-删除
  5985, // 审核-审核
  5986, // 撤审-撤审
  5987, // 添加备注-添加备注
  5988, // 打印-打印
  5989, // 只能查看自己建立的单据-只能查看自己建立的单据
  5990, // 质量追溯(源头追溯)-质量追溯(源头追溯)
  5991, // 品质复检单-品质复检单
  5992, // 新建-新建
  5993, // 删除-删除
  5994, // 审核-审核
  5995, // 撤审-撤审
  5996, // 终审-终审
  5997, // 终撤-终撤
  5998, // 添加备注-添加备注
  5999, // 打印-打印
  6000, // 自定义Excel报表设定-自定义Excel报表设定
  6001, // 自定义Excel报表-自定义Excel报表
  6002, // 质量追溯(去向追溯)-质量追溯(去向追溯)
  6003, // 附件查看-附件查看
  6004, // 附件管理-附件管理
  6005, // 客户交期确认通知人设置-客户交期确认通知人设置
  6006, // 客户交期确认-客户交期确认
  6007, // 税率为0不允许保存-税率为0不允许保存
  6008, // 税率为0不允许保存-税率为0不允许保存
  6009, // 数据仓库导入设置-数据仓库导入设置
  6010, // 供应商物料格价变动表-供应商物料格价变动表
  6011, // 报表数据发送-报表数据发送
  6012, // 报表打印-报表打印
  6013, // 物料采购成本汇总-物料采购成本汇总
  6014, // 报表数据发送-报表数据发送
  6015, // 报表打印-报表打印
  6016, // 物料采购成本明细表-物料采购成本明细表
  6017, // 报表数据发送-报表数据发送
  6018, // 报表打印-报表打印
  6019, // 物料采购供应商占比分析表(含汇总和明细表)-物料采购供应商占比分析表(含汇总和明细表)
  6020, // 报表数据发送-报表数据发送
  6021, // 报表打印-报表打印
  6022, // 更新销售订单计划价-更新销售订单计划价
  6023, // 修改工价-修改工价
  6024, // 销售订单预算利润统计表-销售订单预算利润统计表
  6025, // 报表数据发送-报表数据发送
  6026, // 报表打印-报表打印
  6027, // 只允许操作有权限工段的排程-只允许操作有权限工段的排程
  6028, // 采购质检单统计表-采购质检单统计表
  6029, // 报表数据发送-报表数据发送
  6030, // 报表打印-报表打印
  6031, // 不允许重复打印-不允许重复打印
  6032, // 批修改备注-批修改备注
  6033, // 发票管理-发票管理
  6034, // 明细查询-明细查询
  6035, // 应收款-应收款
  6036, // 应收账初始化-应收账初始化
  6037, // 应收单据财务审核-应收单据财务审核
  6038, // 客户应收费用单-客户应收费用单
  6039, // 应收明细账-应收明细账
  6040, // 应收调账单-应收调账单
  6041, // 客户收支单-客户收支单
  6042, // 应收核销单-应收核销单
  6043, // 应收汇兑损益单-应收汇兑损益单
  6044, // 明细查询-报表
  6045, // 客户余额表-客户余额表
  6046, // 应收账龄表-应收账龄表
  6047, // 客户收入支出明细表-客户收入支出明细表
  6048, // 客户应收已收费用明细表-客户应收已收费用明细表
  6049, // 应付款-应付款
  6050, // 应付账初始化-应付账初始化
  6051, // 应付单据财务审核-应付单据财务审核
  6052, // 供应商应付费用单-供应商应付费用单
  6053, // 应付明细账-应付明细账
  6054, // 应付调账单-应付调账单
  6055, // 供应商收支单-供应商收支单
  6056, // 应付核销单-应付核销单
  6057, // 应付汇兑损益单-应付汇兑损益单
  6058, // 明细查询-明细查询
  6059, // 供应商余额表-供应商余额表
  6060, // 应付账龄表-应付账龄表
  6061, // 供应商收入支出明细表-供应商收入支出明细表
  6062, // 供应商应付已付费用明细表-供应商应付已付费用明细表
  6063, // 出纳帐-出纳帐
  6064, // 出纳初始化-出纳初始化
  6065, // 收入单-收入单
  6066, // 支出单-支出单
  6067, // 转账单-转账单
  6068, // 出纳汇兑损益单-出纳汇兑损益单
  6069, // 员工借款单-员工借款单
  6070, // 员工还款单-员工还款单
  6071, // 出纳明细账-出纳明细账
  6072, // 明细查询-明细查询
  6073, // 收入支出明细表-收入支出明细表
  6074, // 员工借款还款明细表-员工借款还款明细表
  6075, // 转账单明细表-转账单明细表
  6076, // 出纳余额表-出纳余额表
  6077, // 报表数据发送-报表数据发送
  6078, // 报表打印-报表打印
  6079, // 报表数据发送-报表数据发送
  6080, // 报表打印-报表打印
  6081, // 报表数据发送-报表数据发送
  6082, // 报表打印-报表打印
  6083, // 报表数据发送-报表数据发送
  6084, // 报表打印-报表打印
  6085, // 报表数据发送-报表数据发送
  6086, // 报表打印-报表打印
  6087, // 报表数据发送-报表数据发送
  6088, // 报表打印-报表打印
  6089, // 报表数据发送-报表数据发送
  6090, // 报表打印-报表打印
  6091, // 报表数据发送-报表数据发送
  6092, // 报表打印-报表打印
  6093, // 报表数据发送-报表数据发送
  6094, // 报表打印-报表打印
  6095, // 报表数据发送-报表数据发送
  6096, // 报表打印-报表打印
  6097, // 报表数据发送-报表数据发送
  6098, // 报表打印-报表打印
  6099, // 报表数据发送-报表数据发送
  6100, // 报表打印-报表打印
  6101, // 应收【销售发票】明细表-应收【销售发票】明细表
  6102, // 应付【采购发票】明细表-应付【采购发票】明细表
  6103, // 报表数据发送-报表数据发送
  6104, // 报表打印-报表打印
  6105, // 报表数据发送-报表数据发送
  6106, // 报表打印-报表打印
  6107, // 保存-保存
  6108, // 审核-审核
  6109, // 撤审-撤审
  6110, // 报表数据发送-报表数据发送
  6111, // 报表打印-报表打印
  6112, // 新建-新建
  6113, // 删除-删除
  6114, // 审核-审核
  6115, // 撤审-撤审
  6116, // 添加备注-添加备注
  6117, // 打印-打印
  6118, // 报表数据发送-报表数据发送
  6119, // 报表打印-报表打印
  6120, // 新建-新建
  6121, // 删除-删除
  6122, // 审核-审核
  6123, // 撤审-撤审
  6124, // 添加备注-添加备注
  6125, // 打印-打印
  6126, // 新建-新建
  6127, // 删除-删除
  6128, // 出纳审核-出纳审核
  6129, // 出纳撤审-出纳撤审
  6130, // 添加备注-添加备注
  6131, // 打印-打印
  6132, // 新建-新建
  6133, // 删除-删除
  6134, // 审核-审核
  6135, // 撤审-撤审
  6136, // 添加备注-添加备注
  6137, // 打印-打印
  6138, // 新建-新建
  6139, // 删除-删除
  6140, // 审核-审核
  6141, // 撤审-撤审
  6142, // 添加备注-添加备注
  6143, // 打印-打印
  6144, // 保存-保存
  6145, // 审核-审核
  6146, // 撤审-撤审
  6147, // 报表数据发送-报表数据发送
  6148, // 报表打印-报表打印
  6149, // 新建-新建
  6150, // 删除-删除
  6151, // 审核-审核
  6152, // 撤审-撤审
  6153, // 添加备注-添加备注
  6154, // 打印-打印
  6155, // 报表数据发送-报表数据发送
  6156, // 报表打印-报表打印
  6157, // 新建-新建
  6158, // 删除-删除
  6159, // 审核-审核
  6160, // 撤审-撤审
  6161, // 添加备注-添加备注
  6162, // 打印-打印
  6163, // 新建-新建
  6164, // 删除-删除
  6165, // 审核-审核
  6166, // 撤审-撤审
  6167, // 添加备注-添加备注
  6168, // 打印-打印
  6169, // 新建-新建
  6170, // 删除-删除
  6171, // 审核-审核
  6172, // 撤审-撤审
  6173, // 添加备注-添加备注
  6174, // 打印-打印
  6175, // 新建-新建
  6176, // 删除-删除
  6177, // 审核-审核
  6178, // 撤审-撤审
  6179, // 添加备注-添加备注
  6180, // 打印-打印
  6181, // 保存-保存
  6182, // 审核-审核
  6183, // 撤审-撤审
  6184, // 报表数据发送-报表数据发送
  6185, // 报表打印-报表打印
  6186, // 新建-新建
  6187, // 删除-删除
  6188, // 审核-审核
  6189, // 撤审-撤审
  6190, // 添加备注-添加备注
  6191, // 打印-打印
  6192, // 新建-新建
  6193, // 删除-删除
  6194, // 审核-审核
  6195, // 撤审-撤审
  6196, // 添加备注-添加备注
  6197, // 打印-打印
  6198, // 新建-新建
  6199, // 删除-删除
  6200, // 审核-审核
  6201, // 撤审-撤审
  6202, // 添加备注-添加备注
  6203, // 打印-打印
  6204, // 新建-新建
  6205, // 删除-删除
  6206, // 审核-审核
  6207, // 撤审-撤审
  6208, // 添加备注-添加备注
  6209, // 打印-打印
  6210, // 新建-新建
  6211, // 删除-删除
  6212, // 审核-审核
  6213, // 撤审-撤审
  6214, // 添加备注-添加备注
  6215, // 打印-打印
  6216, // 新建-新建
  6217, // 删除-删除
  6218, // 审核-审核
  6219, // 撤审-撤审
  6220, // 添加备注-添加备注
  6221, // 打印-打印
  6222, // 报表数据发送-报表数据发送
  6223, // 报表打印-报表打印
  6224, // 结帐-结帐
  6225, // 反结帐-反结帐
  6226, // 独立核算分账套-独立核算分账套
  6227, // 设置-设置
  6228, // 仓库外协发出单-仓库外协发出单
  6229, // 仓库外协退回单-仓库外协退回单
  6230, // 物料成本统计参数-物料成本统计参数
  6231, // 设置-设置
  6232, // 报表数据发送-报表数据发送
  6233, // 报表打印-报表打印
  6234, // 只能查看自己建立的单据-只能查看自己建立的单据
  6235, // 材料使用量分析报表-材料使用量分析报表
  6236, // 报表数据发送-报表数据发送
  6237, // 报表打印-报表打印
  6238, // 修改单据备注-修改单据备注
  6239, // 外协返工单-外协返工单
  6240, // 新建-新建
  6241, // 删除-删除
  6242, // 外协申请单可以不选择生产计划-外协申请单可以不选择生产计划
  6243, // 订单欠款统计表-订单欠款统计表
  6244, // 产品毛利统计表-产品毛利统计表
  6245, // 外协工序派工单-外协工序派工单
  6246, // 新建-新建
  6247, // 删除-删除
  6248, // 采购暂估明细查询-采购暂估明细查询
  6249, // 报表数据发送-报表数据发送
  6250, // 报表打印-报表打印
  6251, // 销售发出商品明细查询-销售发出商品明细查询
  6252, // 报表数据发送-报表数据发送
  6253, // 报表打印-报表打印
  6254, // 添加附件-添加附件
  6255, // 人员列表-人员列表
  6256, // 隐藏绩效分页-隐藏绩效分页
  6257, // 隐藏摘要信息“绩效积分”-隐藏摘要信息“绩效积分”
  6258, // 隐藏摘要信息“基本工资”-隐藏摘要信息“基本工资”
  6259, // 隐藏摘要信息“补底工资”-隐藏摘要信息“补底工资”
  6260, // 批修改销售日期-批修改销售日期
  6261, // 仓库-仓库
  6262, // 仓位调拨-仓位调拨
  6263, // 新建-新建
  6264, // 修改-修改
  6265, // 审核-审核
  6266, // 产品盘点-产品盘点
  6267, // 新建-新建
  6268, // 修改-修改
  6269, // 个人工具管理明细状况表-个人工具管理明细状况表
  6270, // 报表数据发送-报表数据发送
  6271, // 报表打印-报表打印
  6272, // 应收汇兑损益明细表-应收汇兑损益明细表
  6273, // 报表数据发送-报表数据发送
  6274, // 报表打印-报表打印
  6275, // 应付汇兑损益明细表-应付汇兑损益明细表
  6276, // 报表数据发送-报表数据发送
  6277, // 报表打印-报表打印
  6278, // 出纳汇兑损益明细表-出纳汇兑损益明细表
  6279, // 报表数据发送-报表数据发送
  6280, // 报表打印-报表打印
  6281, // 调汇-调汇
  6282, // 调汇-调汇
  6283, // 调汇-调汇
  6284, // 预算利润统计分析报表-预算利润统计分析报表
  6285, // 会计审核-会计审核
  6286, // 会计撤审-会计撤审
  6287, // 会计审核-会计审核
  6288, // 会计撤审-会计撤审
  6289, // 会计审核-会计审核
  6290, // 会计撤审-会计撤审
  6291, // 会计审核-会计审核
  6292, // 会计撤审-会计撤审
  6293, // 会计审核-会计审核
  6294, // 会计撤审-会计撤审
  6295, // 会计审核-会计审核
  6296, // 会计撤审-会计撤审
  6297, // 会计审核-会计审核
  6298, // 会计撤审-会计撤审
  6299, // 发料单领用工段变更-发料单领用工段变更
  6300, // 报表数据发送-报表数据发送
  6301, // 报表打印-报表打印
  6302, // 统计领料金额-统计领料金额
  6303, // 更新领料工段-更新领料工段
  6304, // 更新领出原因-更新领出原因
  6305, // 采购收货暂估价补充-采购收货暂估价补充
  6306, // 报表数据发送-报表数据发送
  6307, // 报表打印-报表打印
  6308, // 编辑-编辑
  6309, // 会计审-会计审
  6310, // 会计撤审-会计撤审
  6311, // 会计审-会计审
  6312, // 会计撤审-会计撤审
  6313, // 临时订单物料计算-临时订单物料计算
  6314, // 客户收款单分配金额-客户收款单分配金额
  6315, // 订单分配金额-订单分配金额
  6316, // 删除金额分配-删除金额分配
  6317, // 待安排条码采购收货列表-待安排条码采购收货列表
  6318, // 报表数据发送-报表数据发送
  6319, // 报表打印-报表打印
  6320, // 确认-确认
  6321, // 反确认-反确认
  6322, // 分配新入库存-分配新入库存
  6323, // 库龄分析汇总表-库龄分析汇总表
  6324, // 报表数据发送-报表数据发送
  6325, // 报表打印-报表打印
  6326, // 出仓成本调整单-出仓成本调整单
  6327, // 新建-新建
  6328, // 删除-删除
  6329, // 审核-审核
  6330, // 撤审-撤审
  6331, // 会计审核-会计审核
  6332, // 会计撤审-会计撤审
  6333, // 添加备注-添加备注
  6334, // 打印-打印
  6335, // 出仓成本调整单明细表-出仓成本调整单明细表
  6336, // 报表数据发送-报表数据发送
  6337, // 报表打印-报表打印
  6338, // 修改明细内容关联订单号-修改明细内容关联订单号
  6339, // 确认-确认
  6340, // 反确认-反确认
  6341, // 确认后修改单据-确认后修改单据
  6342, // 采购暂估入库-采购暂估入库
  6343, // 新建-新建
  6344, // 删除-删除
  6345, // 审核-审核
  6346, // 撤审-撤审
  6347, // 会计审核-会计审核
  6348, // 会计撤审-会计撤审
  6349, // 添加备注-添加备注
  6350, // 打印-打印
  6351, // 采购暂估冲回-采购暂估冲回
  6352, // 新建-新建
  6353, // 删除-删除
  6354, // 审核-审核
  6355, // 撤审-撤审
  6356, // 会计审核-会计审核
  6357, // 会计撤审-会计撤审
  6358, // 添加备注-添加备注
  6359, // 打印-打印
  6360, // 应收汇兑损益单-应收汇兑损益单
  6361, // 新建-新建
  6362, // 删除-删除
  6363, // 审核-审核
  6364, // 撤审-撤审
  6365, // 添加备注-添加备注
  6366, // 打印-打印
  6367, // 采购收货仓审批量保存-采购收货仓审批量保存
  6368, // 生产领料单-生产领料单
  6369, // 建单-建单
  6370, // 审核-审核
  6371, // 借用原因只能选不能录入-借用原因只能选不能录入
  6372, // 应收调账明细表-应收调账明细表
  6373, // 报表数据发送-报表数据发送
  6374, // 报表打印-报表打印
  6375, // 应付调账明细表-应付调账明细表
  6376, // 报表数据发送-报表数据发送
  6377, // 报表打印-报表打印
  6378, // 出口销售出仓单-出口销售出仓单
  6379, // 出运单统计表-出运单统计表
  6380, // 报表数据发送-报表数据发送
  6381, // 报表打印-报表打印
  6382, // 计划成本价调整单统计表-计划成本价调整单统计表
  6383, // 报表数据发送-报表数据发送
  6384, // 报表打印-报表打印
  6385, // 会计审-会计审
  6386, // 会计撤审-会计撤审
  6387, // 会计审-会计审
  6388, // 会计撤审-会计撤审
  6389, // 删除离职员工-删除离职员工
  6390, // 报销内容不能为空白或金额为0-报销内容不能为空白或金额为0
  6391, // 会计审-会计审
  6393, // 会计撤审-会计撤审
  6394, // 只允许修改自己及下级用户建立的单据-只允许修改自己及下级用户建立的单据
  6395, // 订单金额分配-订单金额分配
  6396, // 删除订单分配金额-删除订单分配金额
  6397, // 删除订单分配金额-删除订单分配金额
  6398, // 销售报价方案-销售报价方案
  6399, // 销售报价方案新建-销售报价方案新建
  6400, // 销售报价方案修改-销售报价方案修改
  6401, // 初审后终审前可编辑用料/工序明细-初审后终审前可编辑用料/工序明细
  6402, // 单据必须选客户-单据必须选客户
  6403, // 销售订单明细单价变更单-销售订单明细单价变更单
  6404, // 建立-建立
  6405, // 修改-修改
  6406, // 删除-删除
  6407, // 初审-初审
  6408, // 初撤-初撤
  6409, // 终审-终审
  6410, // 终撤-终撤
  6411, // 打印-打印
  6412, // 添加备注-添加备注
  6413, // 销售报价单确认-销售报价单确认
  6414, // 销售报价单反确认-销售报价单反确认
  6415, // 事件单-事件单
  6416, // 建立-建立
  6417, // 删除-删除
  6418, // 发起-发起
  6419, // 反发起-反发起
  6420, // 完成调查-完成调查
  6421, // 继续调查-继续调查
  6422, // 审核-审核
  6423, // 终止-终止
  6424, // 编辑处理结果-编辑处理结果
  6425, // 只显示自己相关单据-只显示自己相关单据
  6426, // 物料监控【不按分部汇总】-物料监控【不按分部汇总】
  6427, // 报表数据发送-报表数据发送
  6428, // 报表打印-报表打印
  6429, // 不允许重复打印-不允许重复打印
  6430, // 已打印的外协返工单不可以撤审-已打印的外协返工单不可以撤审
  6431, // 编辑帮助-编辑帮助
  6432, // 不允许编辑单价-不允许编辑单价
  6433, // 仓库结存表结余金额调整单【按物料】-仓库结存表结余金额调整单【按物料】
  6434, // 新建-新建
  6435, // 删除-删除
  6436, // 审核-审核
  6437, // 撤审-撤审
  6438, // 会计审核-会计审核
  6439, // 会计撤审-会计撤审
  6440, // 打印-打印
  6441, // 仓库结存表结余金额调整单统计表-仓库结存表结余金额调整单统计表
  6442, // 报表数据发送-报表数据发送
  6443, // 报表打印-报表打印
  6444, // 定价为0不能审核-定价为0不能审核
  6445, // 初始化库存进仓单明细表-初始化库存进仓单明细表
  6446, // 报表数据发送-报表数据发送
  6447, // 报表打印-报表打印
  6448, // 无视申诉期审核单据-无视申诉期审核单据
  6449, // 参考单价为0不能保存-参考单价为0不能保存
  6450, // 参考单价为0不能保存-参考单价为0不能保存
  6451, // 供应商合同条款模板方案-供应商合同条款模板方案
  6452, // 供应商合同条款模板方案批设置-供应商合同条款模板方案批设置
  6453, // 新建-新建
  6454, // 删除-删除
  6455, // 初审-初审
  6456, // 初撤-初撤
  6457, // 终审-终审
  6458, // 终撤-终撤
  6459, // 打印-打印
  6460, // 修改-修改
  6461, // 审核-审核
  6462, // 撤审-撤审
  6463, // PDA选单扫描-PDA选单扫描
  6464, // 行政报表-行政报表
  6465, // 事件单统计报表-事件单统计报表
  6466, // 应付帐龄统计表-应付帐龄统计表
  6467, // 报表数据发送-报表数据发送
  6469, // 报表打印-报表打印
  6470, // 应收转应付调账单-应收转应付调账单
  6471, // 新建-新建
  6472, // 删除-删除
  6473, // 出纳审-出纳审
  6474, // 出纳撤-出纳撤
  6475, // 会计审-会计审
  6476, // 会计撤-会计撤
  6477, // 打印-打印
  6478, // 应付转应收调账单-应付转应收调账单
  6479, // 新建-新建
  6480, // 删除-删除
  6481, // 出纳审-出纳审
  6482, // 出纳撤-出纳撤
  6483, // 会计审-会计审
  6484, // 会计撤-会计撤
  6485, // 打印-打印
  6486, // 工段足料才能排程审核-工段足料才能排程审核
  6487, // 工段足料才能排程审核-工段足料才能排程审核
  6488, // 应付账龄统计表-应付账龄统计表
  6489, // 单价为0不能保存-单价为0不能保存
  6490, // 订单分配金额明细表-订单分配金额明细表
  6491, // 查看附件-查看附件
  6492, // 添加附件-添加附件
  6493, // 查看附件-查看附件
  6494, // 添加附件-添加附件
  6495, // 查看附件-查看附件
  6496, // 添加附件-添加附件
  6497, // 必选选择车间-必须选择车间
  6498, // 只能查看对应车间权限的单据-只能查看对应车间权限的单据
  6499, // 条码拆分-条码拆分
  6500, // 条码合并-条码合并
  6501, // 复制工艺价格-复制工艺价格
  6502, // 只能显示自己建立的单据-只能显示自己建立的单据
  6503, // 只能修改自己建立的单据-只能修改自己建立的单据
  6506, // 隐藏客户信息-隐藏客户信息
  6507, // 编辑损耗数-编辑损耗数
  6508, // 查看附件-查看附件
  6509, // 添加附件-添加附件
  6510, // 查看附件-查看附件
  6511, // 添加附件-添加附件
  6512, // 初审-初审
  6513, // 初撤-初撤
  6514, // 超额发料单-超额发料单
  6515, // 查看附件-查看附件
  6516, // 管理附件-管理附件
  6517, // 初审-初审
  6518, // 初撤-初撤
  6519, // 批修改-批修改
  6520, // 批改用料-批改用料
  6521, // 设备产能负荷总表-设备产能负荷总表
  6522, // 报表数据发送-报表数据发送
  6523, // 报表打印-报表打印
  6524, // 修改单据币种汇率-修改单据币种汇率
  6525, // 修改单据币种汇率-修改单据币种汇率
  6526, // 客户辅助项目统计表-客户辅助项目统计表
  6527, // 财审前修改费用明细-财审前修改费用明细
  6528, // 用料核算检查表-用料核算检查表
  6529, // 客户冲账单统计表-客户冲账单统计表
  6530, // 没有上传唛头也可以进行唛头审-没有上传唛头也可以进行唛头审
  6531, // 事件原因分类-事件原因分类
  6532, // 设置-设置
  6533, // 修改事件原因分类-修改事件原因分类
  6534, // 确认后才能打印-确认后才能打印
  6535, // 隐藏供应商名称-隐藏供应商名称
  6539, // 只能查看自己及下级建立的单据-只能查看自己及下级建立的单据
  6540, // 只能查看自己及下级建立的单据-只能查看自己及下级建立的单据
  6541, // 出纳初审-出纳初审
  6542, // 出纳初撤-出纳初撤
  6543, // 车间在制品成本表-车间在制品成本表
  6544, // 报表数据发送-报表数据发送
  6545, // 报表打印-报表打印
  6546, // 只允许查询自己及其下级用户建立的单据-只允许查询自己及其下级用户建立的单据
  6547, // 个完工单明细统计表-个完工单明细统计表
  6548, // 不允许保存调入日期和调出日期不一致的单据-不允许保存调入日期和调出日期不一致的单据
  6549, // 按订单不允许编辑单价-按订单不允许编辑单价
  6550, // 完工单明细产能参数统计表-完工单明细产能参数统计表
  6551, // 报表数据发送-报表数据发送
  6552, // 报表打印-报表打印
  6553, // 派工单缺料异常反馈表-派工单缺料异常反馈表
  6554, // 报表数据发送-报表数据发送
  6555, // 报表打印-报表打印
  6556, // 应收账龄统计表-应收账龄统计表
  6557, // 报表数据发送-报表数据发送
  6558, // 报表打印-报表打印
  6559, // 终审前确认客户-终审前确认客户
  6560, // 终审前取消客户-终审前取消客户
  6561, // 更新在进行销售单据毛重净重-更新在进行销售单据毛重净重
  6562, // 隐藏客户名称-隐藏客户名称
  6563, // 生产补料单-生产补料单
  6564, // 供应商资料修改-供应商资料修改
  6565, // 销售报价单-销售报价单
  6566, // 销售报价记录单-销售报价记录单
  6567, // 材料申购单-材料申购单
  6568, // 供应商费用单-供应商费用单
  6569, // 应收账龄统计表-应收账龄统计表
  6570, // 不允许修改币种-不允许修改币种
  6571, // 不允许修改币种-不允许修改币种
  6572, // 不允许修改币种-不允许修改币种
  6573, // 隐藏费用明细页-隐藏费用明细页
  6574, // 差价项目规则-差价项目规则
  6575, // 设置-设置
  6576, // 报表数据发送-报表数据发送
  6577, // 报表打印-报表打印
  6578, // 自定义分析报表-自定义分析报表
  6579, // 自定义分析报表模板管理-自定义分析报表模板管理
  6580, // 出口销售订单单价不允许编辑-出口销售订单单价不允许编辑
  6581, // 委外加工-委外加工
  6582, // 委外指令单-委外指令单
  6583, // 委外出仓单-委外出仓单
  6584, // 委外退回单-委外退回单
  6585, // 委外收货单-委外收货单
  6586, // 委外返工单-委外返工单
  6587, // 委外仓盘盈单-委外仓盘盈单
  6588, // 委外仓盘亏单-委外仓盘亏单
  6589, // 委外仓盘点表-委外仓盘点表
  6590, // 委外仓结存表-委外仓结存表
  6591, // 建立-建立
  6592, // 删除-删除
  6593, // 初审-初审
  6594, // 初撤-初撤
  6595, // 终审-终撤
  6596, // 暂停-暂停
  6597, // 手动完成-手动完成
  6598, // 终止-终止
  6599, // 增加备注-增加备注
  6600, // 打印-打印
  6601, // 数据发送-数据发送
  6602, // 修改开始日期与要求完成日期-修改开始日期与要求完成日期
  6603, // 修改工艺-修改工艺
  6604, // 指定供应商-指定供应商
  6605, // 录入供应商回复交期-录入供应商回复交期
  6606, // 拆分指令-拆分指令
  6607, // 不允许编辑加工价-不允许编辑加工价
  6608, // 建立-建立
  6609, // 删除-删除
  6610, // 审核-审核
  6611, // 撤审-撤审
  6612, // 会计审-会计审
  6613, // 会计撤-会计撤
  6614, // 增加备注-增加备注
  6615, // 打印-打印
  6616, // 建立-建立
  6617, // 删除-删除
  6618, // 审核-审核
  6619, // 撤审-撤审
  6620, // 会计审-会计审
  6621, // 会计撤-会计撤
  6622, // 增加备注-增加备注
  6623, // 打印-打印
  6624, // 建立-建立
  6625, // 删除-删除
  6626, // 仓审-仓审
  6627, // 仓撤-仓撤
  6628, // 财审-财审
  6629, // 财撤-财撤
  6630, // 增加备注-增加备注
  6631, // 打印-打印
  6632, // 仓审后修改单价-仓审后修改单价
  6633, // 仓审后修改结算方式-仓审后修改结算方式
  6634, // 仓审前修改仓位-仓审前修改仓位
  6635, // 材料成本价为0不能仓审-材料成本价为0不能仓审
  6636, // 加工价为0不能仓审-加工价为0不能仓审
  6637, // 不允许修改结算方式-不允许修改结算方式
  6638, // 已打印的单据不能撤审-已打印的单据不能撤审
  6639, // 不允许重复打印-不允许重复打印
  6640, // 不允许编辑加工价-不允许编辑加工价
  6641, // 建立-建立
  6642, // 删除-删除
  6643, // 仓审-仓审
  6644, // 仓撤-仓撤
  6645, // 财审-财审
  6646, // 财撤-财撤
  6647, // 增加备注-增加备注
  6648, // 打印-打印
  6649, // 仓审后修改单价-仓审后修改单价
  6650, // 加工价为0不能仓审-加工价为0不能仓审
  6651, // 不允许修改结算方式-不允许修改结算方式
  6652, // 已打印的单据不能撤审-已打印的单据不能撤审
  6653, // 不允许重复打印-不允许重复打印
  6654, // 建立-建立
  6655, // 删除-删除
  6656, // 审核-审核
  6657, // 撤审-撤审
  6658, // 增加备注-增加备注
  6659, // 打印-打印
  6660, // 建立-建立
  6661, // 删除-删除
  6662, // 审核-审核
  6663, // 撤审-撤审
  6664, // 增加备注-增加备注
  6665, // 打印-打印
  6666, // 盘点-盘点
  6667, // 修改-修改
  6668, // 删除-删除
  6669, // 审核-审核
  6670, // 撤审-撤审
  6671, // 数据发送-数据发送
  6672, // 打印-打印
  6673, // 结存-结存
  6674, // 重算-重算
  6675, // 数据发送-数据发送
  6676, // 打印-打印
  6677, // 修改单据摘要-修改单据摘要
  6678, // 终撤-终撤
  6679, // 修改单据摘要-修改单据摘要
  6680, // 修改单据摘要-修改单据摘要
  6681, // 修改单据摘要-修改单据摘要
  6682, // 委外仓库存表-委外仓库存表
  6683, // 数据发送-数据发送
  6684, // 打印-打印
  6685, // 编辑用料明细-编辑用料明细
  6686, // 明细查询-明细查询
  6687, // 委外出仓单统计表-委外出仓单统计表
  6688, // 委外退回单统计表-委外退回单统计表
  6689, // 委外收货单统计表-委外收货单统计表
  6690, // 委外返工单统计表-委外返工单统计表
  6693, // 委外仓盘盈单明细表-委外仓盘盈单明细表
  6694, // 委外仓盘亏单明细表-委外仓盘亏单明细表
  6695, // 报表数据发送-报表数据发送
  6696, // 报表打印-报表打印
  6697, // 报表数据发送-打印
  6698, // 报表打印-报表打印
  6699, // 报表数据发送-报表数据发送
  6700, // 报表打印-报表打印
  6701, // 报表数据发送-报表数据发送
  6702, // 报表打印-报表打印
  6707, // 报表数据发送-报表数据发送
  6708, // 报表打印-报表打印
  6709, // 报表数据发送-报表数据发送
  6710, // 报表打印-报表打印
  6711, // 应收账龄分析表-应收账龄分析表
  6712, // 报表数据发送-报表数据发送
  6713, // 报表打印-报表打印
  6714, // 应付账龄分析表-应付账龄分析表
  6715, // 报表数据发送-报表数据发送
  6716, // 报表打印-报表打印
  6717, // 修改备注-修改备注
  6718, // 角色权限-角色权限
  6719, // 本次应领数不能大于本次需求数-本次应领数不能大于本次需求数
  6720, // 条码变更单-条码变更单
  6721, // 建立-建立
  6722, // 删除-删除
  6723, // 审核-审核
  6724, // 撤审-撤审
  6725, // 限制录入客户信息-限制录入客户信息
  6726, // 生产指令单批量增料-生产指令单批量增料
  6727, // 销售发货单0税率不允许保存-销售发货单0税率不允许保存
  6728, // 工段流程汇总表-工段流程汇总表
  6729, // 报表数据发送-报表数据发送
  6730, // 报表打印-报表打印
  6731, // 修改明细交期-修改明细交期
  6732, // 嵌入式报表-嵌入式报表
  6733, // 嵌入式报表-嵌入式报表
  6734, // 嵌入式报表-嵌入式报表
  6735, // 供应商收支单-供应商收支单
  6736, // 销售订单配置及相关计划配置变更单-销售订单配置及相关计划配置变更单
  6737, // 报表数据发送-报表数据发送
  6738, // 报表打印-报表打印
  6739, // 不按计划允许指定加工后物料(收发物料不一样)-不按计划允许指定加工后物料(收发物料不一样)
  6740, // 不按计划允许指定加工后物料(收发物料一致)-不按计划允许指定加工后物料(收发物料一致)
  6741, // 个人其他计件单-个人其他计件单
  6742, // 人力概况-人力概况
  6743, // 编辑-编辑
  6744, // 指令派工完工统计表-指令派工完工统计表
  6745, // 委外-委外
  6746, // 委外指令单-委外指令单
  6747, // 委外发出单-委外发出单
  6748, // 委外退回单-委外退回单
  6749, // 委外收货单-委外收货单
  6750, // 委外返工单-委外返工单
  6751, // 委外商库存-委外商库存
  6752, // 修改生产回复交期-修改生产回复交期
  6753, // 工资录入单初审-工资录入单初审
  6754, // 工资录入单初撤-工资录入单初撤
  6755, // 勾选物料按工价表生成工段流程-勾选物料按工价表生成工段流程
  6756, // 查看物料清单(含配置换料)-查看物料清单(含配置换料)
  6757, // 确认-确认
  6758, // 反确认-反确认
  6759, // 确认-确认
  6760, // 反确认-反确认
  6761, // 手动完成-手动完成
  6762, // 取消手动完成单据-取消手动完成单据
  6763, // 调机任务-调机任务
  6764, // 建立-建立
  6765, // 删除-删除
  6766, // 审核-审核
  6767, // 撤审-撤审
  6768, // 委外申请待订货清单-委外申请待订货清单
  6769, // 委外订单待发出清单-委外订单待发出清单
  6770, // 委外订单待退回清单-委外订单待退回清单
  6771, // 委外订单待收货清单-委外订单待收货清单
  6772, // 委外订单允许返工清单-委外订单允许返工清单
  6773, // 主计划运算批变更处理方式-主计划运算批变更处理方式
  6774, // 报表数据发送-报表数据发送
  6775, // 报表打印-报表打印
  6776, // 编辑超级BOM选配-编辑超级BOM选配
  6777, // 只能修改自己建立的单据-只能修改自己建立的单据
  6778, // 只能修改自己建立的单据-只能修改自己建立的单据
  6779, // 只能修改自己建立的单据-只能修改自己建立的单据
  6780, // 只能修改自己建立的单据-只能修改自己建立的单据
  6781, // 只能修改自己建立的单据-只能修改自己建立的单据
  6782, // 查看附件-查看附件
  6783, // 添加附件-添加附件
  6784, // 批量工序完工-批量工序完工
  6785, // 齐货订单未发货-齐货订单未发货
  6786, // 工段流程统计表-工段流程统计表
  6787, // 报表数据发送-报表数据发送
  6788, // 报表打印-报表打印
  6789, // 不允许仓审计划发货数不等于实发货数-不允许仓审计划发货数不等于实发货数
  6790, // 修改单据摘要-修改单据摘要
  6791, // 工艺路线-工艺路线
  6792, // 工艺路线-工艺路线
  6793, // 第三方对接模式-第三方对接模式
  6794, // 委外指令单终止单-委外指令单终止单
  6795, // 新建-新建
  6796, // 删除-删除
  6797, // 审核-审核
  6798, // 增加备注-增加备注
  6799, // 打印-打印
  6800, // 经营看板-经营看板
  6801, // 考勤日报表-考勤日报表
  6802, // 考勤月报表-考勤月报表
  6803, // 不允许修改币种-不允许修改币种
  6804, // 不允许修改币种-不允许修改币种
  6805, // 不允许修改币种-不允许修改币种
  6806, // 不允许修改币种-不允许修改币种
  6807, // 不允许修改客户币种-不允许修改客户币种
  6808, // 不允许修改供应商币种-不允许修改供应商币种
  6809, // 不允许修改客户币种-不允许修改客户币种
  6810, // 供应商金额汇总表-供应商金额汇总表
  6811, // 报表数据发送-报表数据发送
  6812, // 报表打印-报表打印
  6813, // 只能查看自己及下级建立的单据-只能查看自己及下级建立的单据
  6814, // 只能查看自己及下级建立的单据-只能查看自己及下级建立的单据
  6815, // 只能查看自己及下级建立的单据-只能查看自己及下级建立的单据
  6816, // 只能查看自己及下级建立的单据-只能查看自己及下级建立的单据
  6817, // 委外送检单-委外送检单
  6818, // 委外质检单-委外质检单
  6819, // 建立-建立
  6820, // 删除-删除
  6821, // 初审-初审
  6822, // 初撤-初撤
  6823, // 终审-终审
  6824, // 终撤-终撤
  6825, // 增加备注-增加备注
  6826, // 打印-打印
  6827, // 建立-建立
  6828, // 删除-删除
  6829, // 初审-初审
  6830, // 初撤-初撤
  6831, // 终审-终审
  6832, // 终撤-终撤
  6833, // 增加备注-增加备注
  6834, // 打印-打印
  6835, // 必须选择部门-必须选择部门
  6836, // 必须选择部门-必须选择部门
  6837, // 物料监控-物料监控
  6838, // 生产组织映射-生产组织映射
  6839, // 编辑-编辑
  6840, // 派工任务-派工任务
  6841, // 委外质检单-委外质检单
  6842, // 客户应收结余表-客户应收结余表
  6843, // 工段排程甘特图-工段排程甘特图
  6844, // 超仓库物料安全库存报警-超仓库物料安全库存报警
  6845, // 不允许保存订单明细0单价的采购订单-不允许保存订单明细0单价的采购订单
  6846, // 商机阶段-商机阶段
  6847, // 修改-修改
  6848, // 商机管理窗口-商机管理窗口
  6849, // 新建-新建
  6850, // 删除-删除
  6851, // 返回上一阶段-返回上一阶段
  6852, // 进入下一阶段-进入下一阶段
  6853, // 丢单-丢单
  6854, // 成交-成交
  6855, // 采购收货明细批量修改单价-采购收货明细批量修改单价
  6856, // 报表数据发送-报表数据发送
  6857, // 报表打印-报表打印
  6858, // 修改-修改
  6859, // 出口销售出仓单-出口销售出仓单
  6860, // 出运单-出运单
  6861, // 客户档案-客户档案
  6862, // 商机管理-商机管理
  6863, // 供应商委外送检单统计表-供应商委外送检单统计表
  6864, // 报表数据发送-报表数据发送
  6865, // 报表打印-报表打印
  6866, // 委外质检单统计表-委外质检单统计表
  6867, // 报表数据发送-报表数据发送
  6868, // 报表打印-报表打印
  6869, // 隐藏成本和金额-隐藏成本和金额
  6870, // 仓库结存表结余金额调整单【按库存】-仓库结存表结余金额调整单【按库存】
  6871, // 新建-新建
  6872, // 删除-删除
  6873, // 审核-审核
  6874, // 撤审-撤审
  6875, // 会计审核-会计审核
  6876, // 会计撤审-会计撤审
  6877, // 打印-打印
  6878, // 物料清单-物料清单
  6879, // 物料修改历史统计表-物料修改历史统计表
  6880, // 报表数据发送-报表数据发送
  6881, // 报表打印-报表打印
  6882, // 不允许重复打印-不允许重复打印
  6883, // 明细查询-明细查询
  6884, // 销售订单-销售订单
  6885, // 订单变更-订单变更
  6886, // 明细查询-明细查询
  6887, // 出口业务-出口业务
  6888, // 明细查询-明细查询
  6889, // 订单跟踪-订单跟踪
  6890, // 销售发货-销售发货
  6891, // 明细查询-明细查询
  6892, // 客户-客户
  6893, // 销售价格-销售价格
  6894, // 销售订单-销售订单
  6895, // 客户反馈单-客户反馈单
  6896, // 其他-其他
  6897, // 订单评审-订单评审
  6898, // 生产计划-生产计划
  6899, // 单据变更-单据变更
  6900, // 明细查询-明细查询
  6901, // 生产排程-生产排程
  6902, // 物料需求-物料需求
  6903, // 用料变更-用料变更
  6904, // 明细查询-明细查询
  6905, // 明细查询-明细查询
  6906, // 辅助功能-辅助功能
  6907, // 明细查询-明细查询
  6908, // 基础资料-基础资料
  6909, // 生产执行-生产执行
  6910, // 工段-工段
  6911, // 工序-工序
  6912, // 工艺-工艺
  6913, // 进度-进度
  6914, // 明细查询-明细查询
  6915, // 辅助功能-辅助功能
  6916, // 基础资料-基础资料
  6917, // 设备模具-设备模具
  6918, // 注塑管理-注塑管理
  6919, // 供应商关系-供应商关系
  6920, // 采购价格-采购价格
  6921, // 物料申购-物料申购
  6922, // 单据变更-单据变更
  6923, // 明细查询-明细查询
  6924, // 采购订单-采购订单
  6925, // 单据变更-单据变更
  6926, // 明细查询-明细查询
  6927, // 采购收货-采购收货
  6928, // 明细查询-明细查询
  6929, // 唛头管理-唛头管理
  6930, // 明细查询-明细查询
  6931, // 供应商-供应商
  6932, // 采购价格-采购价格
  6933, // 采购订单-采购订单
  6934, // 外协商关系-外协商关系
  6935, // 物料外协-物料外协
  6936, // 车间外协-车间外协
  6937, // 仓库外协-仓库外协
  6938, // 明细查询-明细查询
  6939, // 品质-品质
  6940, // 采购检验-采购检验
  6941, // 明细查询-明细查询
  6942, // 制程检验-制程检验
  6943, // 明细查询-明细查询
  6944, // 外协检验-外协检验
  6945, // 售后跟踪-售后跟踪
  6946, // 明细查询-明细查询
  6947, // 质量追溯-质量追溯
  6948, // 明细查询-明细查询
  6949, // 明细查询-明细查询
  6950, // 明细查询-明细查询
  6951, // 库存管理-库存管理
  6952, // 明细查询-明细查询
  6953, // 条码管理-条码管理
  6954, // 明细查询-明细查询
  6955, // 工资管理-工资管理
  6956, // 明细查询-明细查询
  6957, // 员工管理-员工管理
  6958, // 假勤管理-假勤管理
  6959, // 业绩提成-业绩提成
  6960, // 绩效考核-绩效考核
  6961, // 薪酬工资-薪酬工资
  6962, // 车辆管理-车辆管理
  6963, // 员工服务-员工服务
  6964, // 存货核算-存货核算
  6965, // 计划成本-计划成本
  6966, // 实际成本-实际成本
  6967, // 利润统计-利润统计
  6968, // 成本核算-成本核算
  6969, // 产品物料-产品物料
  6970, // 物料属性批改-物料属性批改
  6971, // 明细查询-明细查询
  6972, // 物料清单-物料清单
  6973, // 明细查询-明细查询
  6974, // 工序-工序
  6975, // 生产流程-生产流程
  6976, // 报表分析-报表分析
  6977, // 经营报表-经营报表
  6978, // 预警提醒-预警提醒
  6979, // 基础资料-基础资料
  6980, // 权限-权限
  6981, // 窗口权限-窗口权限
  6982, // 个性化设置-个性化设置
  6983, // 操作日志-操作日志
  6984, // 采购订单明细终止申请单-采购订单明细终止申请单
  6985, // 新建-新建
  6986, // 删除-删除
  6987, // 审核-审核
  6988, // 撤审-撤审
  6989, // 终审-终审
  6990, // 物料进出明细查询-物料进出明细查询
  6991, // 报表数据发送-报表数据发送
  6992, // 报表打印-报表打印
  6993, // 物料进出明细统计表-物料进出明细统计表
  6994, // 报表数据发送-报表数据发送
  6995, // 报表打印-报表打印
  6996, // 供应商质检批次统计表-供应商质检批次统计表
  6997, // 委外验退单-委外验退单
  6998, // 建立-建立
  6999, // 删除-删除
  7000, // 确认-确认
  7001, // 反确认-反确认
  7002, // 审核-审核
  7003, // 撤审-撤审
  7004, // 打印-打印
  7005, // 初审-初审
  7006, // 初撤-初撤
  7007, // 允许编辑工序明细单价-允许编辑工序明细单价
  7008, // 产品基础数据综合管理-产品基础数据综合管理
  7009, // 编辑-编辑
  7010, // 审核-审核
  7011, // 撤审-撤审
  7012, // 查询成本预算-查询成本预算
  7013, // 产品板件清单-产品板件清单
  7014, // 工组接受-工组接受
  7015, // 调试设备-调试设备
  7016, // 生产质检单审核-生产质检单审核
  7017, // 供应商应付结余表-供应商应付结余表
  7018, // 压机排程甘特图-压机排程甘特图
  7019, // 需求明细本次应领数为0不允许审核-需求明细本次应领数为0不允许审核
  7020, // 客户辅助项目批设置-客户辅助项目批设置
  7021, // 订单评审-订单评审
  7022, // 0工价不能计件审核-0工价不能计件审核
  7023, // 0单价不允许财审-0单价不允许财审
  7024, // 0单价不允许财审-0单价不允许财审
  7025, // 0单价不允许财审-0单价不允许财审
  7026, // 编辑开票信息-编辑开票信息
  7027, // 重新评审-重新评审
  7028, // 保存PMC回复交期-保存PMC回复交期
  7029, // 生产质检单统计表-生产质检单统计表
  7030, // 报表数据发送-报表数据发送
  7031, // 报表打印-报表打印
  7032, // 编辑工价明细-编辑工价明细
  7033, // 客户收款单-客户收款单
  7034, // 新建-新建
  7035, // 车间工序待质检任务-车间工序待质检任务
  7036, // 委外收货质检单-委外收货质检单
  7037, // 委外收货明细待质检列表-委外收货明细待质检列表
  7038, // 新建-新建
  7039, // 删除-删除
  7040, // 初审-初审
  7041, // 初撤-初撤
  7042, // 终审-终审
  7043, // 终撤-终撤
  7044, // 增加备注-增加备注
  7045, // 打印-打印
  7046, // 报表数据发送-报表数据发送
  7047, // 报表打印-报表打印
  7048, // 扩展字段综合维护-扩展字段综合维护
  7049, // 复合扩展字段维护-复合扩展字段维护
  7050, // 隐藏利润相关信息-隐藏利润相关信息
  7051, // 审核-审核
  7052, // 委外收货明细待质检列表-委外收货明细待质检列表
  7053, // 保存-保存
  7054, // 审核-审核
  7055, // 撤审-撤审
  7057, // 采购收货明细待质检列表-采购收货明细待质检列表
  7058, // 保存-保存
  7059, // 审核-审核
  7060, // 撤审-撤审
  7061, // 供应商询价单-供应商询价单
  7062, // 开票申请单-开票申请单
  7063, // 回款申请单-回款申请单
  7064, // 新建-新建
  7065, // 删除-删除
  7066, // 终审-终审
  7067, // 终撤-终撤
  7068, // 编辑发票号-编辑发票号
  7069, // 新建-新建
  7070, // 删除-删除
  7071, // 初审-初审
  7072, // 初撤-初撤
  7073, // 终审-终审
  7074, // 终撤-终撤
  7075, // 财务确认-财务确认
  7076, // 反确认-反确认
  7077, // 确认-确认
  7078, // 反确认-反确认
  7079, // 审核-审核
  7080, // 委外收货质检单-委外收货质检单
  7081, // 采购收货质检单-采购收货质检单
  7082, // 初审-初审
  7083, // 初撤-初撤
  7084, // 产品技术资料审核中心-产品技术资料审核中心
  7085, // 编辑-编辑
  7086, // 审核-审核
  7087, // 不允许审核0单价的委外指令单-不允许审核0单价的委外指令单
  7088, // 批物料需求变更单-批物料需求变更单
  7089, // 新建-新建
  7090, // 删除-删除
  7091, // 初审-初审
  7092, // 初撤-初撤
  7093, // 终审-终审
  7094, // 销售装车顺序-销售装车顺序
  7095, // 物料价格详细查询-物料价格详细查询
  7096, // 查看附件-查看附件
  7097, // 编辑附件-编辑附件
  7098, // 审核后修改明细备注-审核后修改明细备注
  7099, // 审核后修改明细备注2-审核后修改明细备注2
  7100, // 物料行情价对比分析图表-物料行情价对比分析图表
  7101, // 不允许修改税率-不允许修改税率
  7102, // 物料ABCD分类-物料ABCD分类
  7103, // 增加产品-增加产品
  7104, // 统计-统计
  7105, // 更新信息到安全库存-更新信息到安全库存
  7106, // 查看统计记录-查看统计记录
  7107, // 公式设置-公式设置
  7108, // 只能查看自己建立的单据-只能查看自己建立的单据
  7109, // 工序完工单-工序完工单
  7110, // 隐藏客户名称-隐藏客户名称
  7111, // 统计成本-统计成本
  7112, // 新建-新建
  7113, // 审核-审核
  7114, // 撤审-撤审
  7115, // 派工单完工扫描(部件)-派工单完工扫描(部件)
  7116, // 允许删除用料明细自动计算明细行-允许删除用料明细自动计算明细行
  7117, // 新终止数不能少于原来已有的终止数-新终止数不能少于原来已有的终止数
  7118, // 新终止数不能少于原来已有的终止数-新终止数不能少于原来已有的终止数
  7119, // 允许批修改部件选配项标准值-允许批修改部件选配项标准值
  7120, // 只查看自己建立的单据-只查看自己建立的单据
  7121, // 扫描条码-扫描条码
  7122, // 删除条码-删除条码
  7123, // 允许删除自动生成的工价明细-允许删除自动生成的工价明细
  7124, // 单价为0不允许保存-单价为0不允许保存
  7125, // 采购待收(不质检)-采购待收(不质检)
  7126, // 作废条形码-作废条形码
  7127, // 生产进仓反扣车间出仓单-生产进仓反扣车间出仓单
  7128, // 修改数量-修改数量
  7129, // 审核-审核
  7130, // 撤审-撤审
  7131, // 数据发送-数据发送
  7132, // 生产领料调拨车间进仓单-生产领料调拨车间进仓单
  7133, // 待调入审核半成品/辅料调拨单-待调入审核半成品/辅料调拨单
  7134, // 指令单半成品/辅料调拨单-指令单半成品/辅料调拨单
  7135, // 新建-新建
  7136, // 删除-删除
  7137, // 调出审核-调出审核
  7138, // 调出撤审-调出撤审
  7139, // 调入审核-调入审核
  7140, // 调出撤审-调出撤审
  7141, // 财审-财审
  7142, // 财撤-财撤
  7143, // 修改单据摘要信息-修改单据摘要信息
  7144, // 领料需求反扣跟踪表-领料需求反扣跟踪表
  7145, // 确认后不允许修改-确认后不允许修改
  7146, // 变更原因必填-变更原因必填
  7147, // 批物料需求变更单统计表-批物料需求变更单统计表
  7148, // 预收款初始化-预收款初始化
  7149, // 保存-保存
  7150, // 审核-审核
  7151, // 撤审-撤审
  7152, // 报表数据发送-报表数据发送
  7153, // 报表打印-报表打印
  7161, // 添加附件-添加附件
  7162, // 查看附件-查看附件
  7163, // 恢复净需求数-恢复净需求数
  7164, // 确认-确认
  7165, // 反确认-反确认
  7166, // 预付款初始化-预付款初始化
  7167, // 保存-保存
  7168, // 审核-审核
  7169, // 撤审-撤审
  7170, // 报表数据发送-报表数据发送
  7171, // 报表打印-报表打印
  7179, // 应收核销明细表-应收核销明细表
  7180, // 应付核销明细表-应付核销明细表
  7181, // 委外发出单-委外发出单
  7182, // 委外退回单-委外退回单
  7183, // 采购收货质检单统计表-采购收货质检单统计表
  7184, // 报表数据发送-报表数据发送
  7185, // 报表打印-报表打印
  7186, // 委外收货质检单统计表-委外收货质检单统计表
  7187, // 报表数据发送-报表数据发送
  7188, // 报表打印-报表打印
  7189, // 备货计划拆分计划数及材料可用数到销售订单-备货计划拆分计划数及材料可用数到销售订单
  7190, // 报表数据发送-报表数据发送
  7191, // 报表打印-报表打印
  7192, // 报表数据发送-报表数据发送
  7193, // 报表打印-报表打印
  7194, // 辅助建立客户收支单(订金)-辅助建立客户收支单(订金)
  7195, // 辅助建立客户收支单(余款)-辅助建立客户收支单(余款)
  7196, // 辅助建立客户收支单-辅助建立客户收支单
  7197, // 辅助建立客户收支单(订金)-辅助建立客户收支单(订金)
  7198, // 辅助建立客户收支单(余款)-辅助建立客户收支单(余款)
  7199, // 跨分部征调用料-跨分部征调用料
  7200, // 确认后修改单价-确认后修改单价
  7201, // 管易云SKU配对-管易云SKU配对
  7202, // 定时检查任务设置-定时检查任务设置
  7203, // 采购确认收货(不质检)-采购确认收货(不质检)
  7204, // 必须勾选保存自动导入单价-必须勾选保存自动导入单价
  7205, // 销售订单修改明细备注-销售订单修改明细备注
  7206, // 报价员只看自己的单据-报价员只看自己的单据
  7207, // 拆单员只看自己单据-拆单员只看自己单据
  7208, // 不能查看已经报价确认未审核的单据-不能查看已经报价确认未审核的单据
  7209, // 产品配置附件管理-产品配置附件管理
  7210, // 附件管理-附件管理
  7211, // 附件查看-附件查看
  7212, // 必须勾选外协件自动计算成本价-必须勾选外协件自动计算成本价
  7213, // 商机等级-商机等级
  7214 // 商机来源-商机来源
];
